﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace SAIB_Web_Api
{
    public class RouteConfig
    {
        #region Master >> Login
        public const string Login = "api/master/Login";
        public const string UserAlreadyLoginYes = "api/master/user-already-login-yes";
        public const string UserAlreadyLoginNo = "api/master/user-already-login-no";
        public const string LogOut = "api/master/logout";
        //public const string GetLoginData = "api/master/GetLoginData";
        public const string GenerateRestApiKey = "api/Generate/RestApiKey";
        #endregion

        #region Master >> Currency Manager
        public const string Currency = "api/master/currency";
        public const string GetCountry = "api/master/country/country";
        public const string GetCountryList = "api/master/country/country-list";
        public const string GetCurrencyList = "api/master/country/add/currency-list";
        #endregion

        #region Master >> Country Manager
        public const string GetInternationalCountryTypeList = "api/master/country/add/international-transaction-type-list";
        public const string GetDomesticCountryTypeList = "api/master/country/add/Domestic-transaction-type-list";
        public const string SaveCountry = "api/master/country/add";
        public const string GetCountryByID = "api/master/country/countrybyid";
        public const string UpdateCountry = "api/master/country/update";
        public const string GetApproveRejectVisibility = "api/master/country/approve-reject-visibility";
        public const string GetViewCountry = "api/master/country/getviewcountry";
        public const string ApproveCountry = "api/master/country/approve";
        public const string City = "api/master/city";
        public const string Location = "api/master/location";
        public const string PurposeOfTransfer = "api/master/purpose-of-transfer";
        public const string GetPurposeOfTransferPaymentMode = "api/master/payment-mode";
        #endregion

        #region CountryPermission
        public const string PermissionListDropdown = "api/master/country/country-permission/add/country-permission-dropdown";
        public const string BaseCountryDropDown = "api/master/country/country-permission/base-country-dropdown";
        public const string TargetCountryDropDown = "api/master/country/country-permission/target-country-dropdown";
        public const string SendingCountryDropDown_Insert = "api/master/country/country-permission/add/sending-country-dropDown";
        public const string ReceivingCountryDropDown_Insert = "api/master/country/country-permission/add/receiving-country-dropDown";
        public const string FillGridBySendingCountry = "api/master/country/country-permission/add/get-data";
        public const string CountryPermission = "api/master/country/country-permission";
        #endregion

        #region Master >> Back Office >> Country >> Mode Of Payment
        public const string AllModeOfPaymentList = "api/master/country/mode-of-payment-list";
        public const string CountryWiseModeOfPayment = "api/master/country-wise-mode-of-payment";
        public const string AddModeOfPayment = "api/master/country-wise-mode-of-payment";
        public const string UpdateModeOfPayment = "api/master/country-wise-mode-of-payment";
        #endregion        

        #region Master >> Back Office >> Agency Rate[frmViewUSDWiseExchangeRateTest.aspx]
        public const string AgencyRates = "api/master/agency-rates";
        public const string AgencyRatesCurrencyList = "api/master/agency-rates/currency-list";
        public const string ExchangeRateSettlementCurrencyList = "api/master/agency-rates/settlement-currency";
        public const string ExchangeRateSettlementCurrencyListByAgentID = "api/master/agency-rates/settlement-currency-by-agentId";
        public const string ExchangeRateCurrencyList = "api/master/agency-rates/exchange-rate-currency-list";
        public const string RatesValidation = "api/master/agency-rates/rates-validation";
        #endregion

        #region Master >> View Rates Test (frmViewRatesTest.aspx)
        //BoMExchangeRateBankRateController//
        public const string ReceivingCountryDropDown = "api/master/agent-wise-rate/receiving-country-dropdown";
        public const string ReceivingAgentDropDown = "api/master/agent-wise-rate/receiving-agent-dropdown";
        public const string ExchangeRateBankRateReceivingCountryDropDown_Insert = "api/master/agent-wise-rate/insert-record/receiving-country-list";
        public const string ExchangeRateInsertCurrencyList = "api/master/agent-wise-rate/insert-record/receiving-currency-list";
        public const string ExchangeRateInsertAgentAccountDropDown = "api/master/agent-wise-rate/insert-record/agent-account-list";
        public const string ExchangeRateInsertModOfPaymentList = "api/master/agent-wise-rate/insert-record/mode-of-payment-list";
        public const string ExchangeRateBankRate = "api/master/agent-wise-rate/exchange-rate-bank-rate";

        //BoMExchangeRateBankRateAgentWiseController//
        public const string SendingCountryDropDown = "api/master/agent-wise-rate/sending-country-dropDown";
        public const string SendingAgentDropDown = "api/master/agent-wise-rate/sending-agent-dropdown";
        public const string AgentWiseReceivingCountryDropDown = "api/master/agent-wise-rate/agent-wise-receiving-country-dropdown";
        public const string AgentWiseReceivingAgentDropDown = "api/master/agent-wise-rate/agent-wise-receiving-agent-dropdown";
        public const string ExchangeRateBankRateAgentWise = "api/master/agent-wise-rate/exchange-rate-bank-rate-agentWise";
        public const string GetExchangeRateBankRateAgentWise_SendingCurrency = "api/master/agent-wise-rate/sending-currency";
        public const string GetExchangeRateBankRateSendingAgent = "api/master/agent-wise-rate/sending-agent";
        public const string GetExchangeRateBankRateModeofPayment = "api/master/agent-wise-rate/mode-of-payment";
        public const string GetExchangeRateBankRateSettlementCurrency = "api/master/agent-wise-rate/settlement-currency";
        public const string EditUpdateExchangeRateBankRateAgentWise = "api/master/agent-wise-rate/exchange-rate-bank-rate-agentWise/edit-page/update";
        public const string ExchangeRatesValidation = "api/master/agent-wise-rate/rate-validation";
        public const string AgentWiseRatesValidation = "api/master/agent-wise-rate/exchange-rate-bank-rate-agentWise/rate-validation";
        #endregion

        #region DailyRates [frmDailyRates1.aspx]
        public const string GetDailyRatesFillGridRecord = "api/master/agent-wise-rate/daily-rates-fill-gridview";
        public const string DailyRatesSendingCountry = "api/master/agent-wise-rate/daily-rates-sending-country";
        public const string DailyRatesSendingAgent = "api/master/agent-wise-rate/daily-rates-sending-agent";
        public const string DailyRatesReceivingCountry = "api/master/agent-wise-rate/daily-rates-receiving-country";
        public const string DailyRatesReceivingAgent = "api/master/agent-wise-rate/daily-rates-receiving-agent";
        public const string DailyRatesCIFNumberList = "api/master/agent-wise-rate/daily-rates-cif-number-list";
        #endregion

        #region Exchange Margin Tab-1 - /master/exchange-margin/agency-margin/specific-sending-Country
        public const string SendingCountryDropDownGet = "api/master/exchange-margin/agency-margin/sending-country/sending-country-dropdown";
        public const string SendingCountryDropDownAdd = "api/master/exchange-margin/agency-margin/sending-country/add/sending-country";
        public const string SendingCurrencyDropDownAdd = "api/master/exchange-margin/agency-margin/sending-country/add/sending-currency";
        public const string ManageSendingCountry = "api/master/exchange-margin/agency-margin/sending-country";
        #endregion Tab1

        #region Exchange Margin Tab-2 - /master/exchange-margin/agency-margin/specific-sending-and-receiving-country
        public const string MarginSendingCountryList = "api/master/exchange-margin/agency-margin/sending-and-receiving-country/sending-country";
        public const string MarginReceivingCountryList = "api/master/exchange-margin/agency-margin/sending-and-receiving-country/receiving-country";
        public const string MarginSendingCurrencDropDown = "api/master/exchange-margin/agency-margin/sending-and-receiving-country/sending-currency";
        public const string MarginReceivingCurrencyDropDown = "api/master/exchange-margin/agency-margin/sending-and-receiving-country/receiving-currency";
        public const string MarginModeOfPaymentList = "api/master/exchange-margin/agency-margin/sending-and-receiving-country/mode-of-payment";
        public const string ManageSendingAndReceCountry = "api/master/exchange-margin/agency-margin/sending-and-receiving-country";
        #endregion Tab-2

        #region Exchange Margin Tab-3 - master/exchange-margin/agency-margin/cif-wise-margins
        public const string CIFWiseSendingCountry = "api/master/exchange-margin/agency-margin/cif-wise-margins/sending-country";
        public const string CIFWiseReceivingCountry = "api/master/exchange-margin/agency-margin/cif-wise-margins/receiving-country";
        public const string CIFWiseSendingCurrency = "api/master/exchange-margin/agency-margin/cif-wise-margins/sending-currency";
        public const string CIFWiseReceivingCurrency = "api/master/exchange-margin/agency-margin/cif-wise-margins/receiving-currency";
        public const string CIFWiseModeOfPaymentList = "api/master/exchange-margin/agency-margin/cif-wise-margins/mode-of-payment";
        public const string CIFNumberList = "api/master/exchange-margin/agency-margin/cif-wise-margins/cif-number-list";
        public const string CIFWiseMargins = "api/master/exchange-margin/agency-margin/cif-wise-margins";
        //public const string AddSRSendingExchangeCIFWiseMarginsTab3 = "api/master/exchange-margin/agency-margin/cif-wise-margins/add-new-record";
        //public const string UpdateSRSendingExchangeCIFWiseMarginsTab3 = "api/master/exchange-margin/agency-margin/cif-wise-margins/update-record";
        #endregion Tab - 3

        #region Country Wise Commission Method
        public const string GetCountryWiseCommission = "api/master/agent-wise-rate/country-wise-commission";
        public const string GetCountryWiseCommissionSendingCountry = "api/master/country-wise-commission/sending-country";
        public const string GetCountryWiseCommissionReceiveCountry = "api/master/country-wise-commission/receive-country";
        public const string GetCountryWiseCommissionModeOfPayment = "api/master/country-wise-commission/mode-of-payment";
        public const string GetCountryWiseCommissionSendCountry_Insert = "api/master/country-wise-commission/sendcountry-insert";
        public const string GetCountryWiseCommissionSendCurrency_Insert = "api/master/country-wise-commission/sendcurrency-insert";
        public const string GetCountryWiseCommissionReceiveCountry_Insert = "api/master/country-wise-commission/receivecountry-insert";
        public const string GetCountryWiseCommissionTotalCommissionType_Insert = "api/master/country-wise-commissionn/totalcommission-type-insert";
        public const string GetCountryWiseCommissionSendCurrencyType_Insert = "api/master/country-wise-commission/sendcurrencytype-insert";
        public const string AddCountryWiseCommission = "api/master/country-wise-commission/add";
        public const string EditCountryWiseCommission = "api/master/Country-Wise-Commission/Edit";
        public const string CountryWiseCommissionGridUpdate = "api/master/country-wise-commission/grid-update";
        public const string UpdateCountryWiseCommission = "api/master/country-wise-commission/update";
        public const string DeleteCountryWiseCommission = "api/master/country-wise-commission/delete";

        #endregion

        #region Agent Wise Commission Method
        public const string GetAgentWiseCommissionSendingCountry = "api/master/agent-wise-commission/sending-country";
        public const string GetAgentWiseCommissionSendAgent = "api/master/agent-wise-commission/send-agent";
        public const string GetAgentWiseCommissionReceiveCountry = "api/master/agent-wise-commission/receive-country";
        public const string GetAgentWiseCommissionReceiveAgent = "api/master/agent-wise-commission/receive-agent";
        public const string GetAgentWiseCommissionModeOfPayment = "api/master/agent-wise-commission/mode-Of-payment";
        public const string GetAgentWiseCommissionSubAgent = "api/master/agent-wise-commission/sub-agent";
        public const string GetAgentWiseCommission = "api/master/agent-wise-commission/agent-wise-commission";
        public const string GetAgentWiseCommission_SendCountry_Insert = "api/master/agent-wise-commission/sendcountry-insert";
        public const string GetAgentWiseCommission_Agent_Insert = "api/master/agent-wise-commission/agent-insert";
        public const string GetAgentWiseCommission_ModeOfPayment_Insert = "api/master/agent-wise-commission/modeofaymentdropdown-insert";
        public const string GetAgentWiseCommission_SendCurrency_Insert = "api/master/agent-wise-commission/sendcurrency-insert";
        public const string GetAgentWiseCommission_ReceiveCountry_Insert = "api/master/agent-wise-commission/receivecountry-insert";
        public const string GetAgentWiseCommission_ReceiveCurrency_Insert = "api/master/agent-wise-commission/receivecurrency-insert";
        public const string GetAgentWiseCommission_ReceiveAgent_Insert = "api/master/agent-wise-commission/receiveagent-insert";
        public const string GetAgentWiseCommission_ReceiveSubAgent_Insert = "api/master/agent-wise-commission/receivesubagent-insert";
        public const string GetAgentWiseCommission_RangeCurrency_Insert = "api/master/agent-wise-commission/rangecurrency-insert";
        public const string GetAgentWiseCommissionSendCurrencyType_Insert = "api/master/agent-wise-commission/sendcurrencytype-insert";
        public const string AgentWiseCommissionByID = "api/master/agent-wise-commission/getdatabyid";
        public const string AddAgentWiseCommission = "api/master/agent-wise-commission/Add";
        public const string UpdateAgentWiseCommission = "api/master/agent-wise-commission/update";
        public const string ViewAgentWiseCommission = "api/master/agent-wise-commission/view";
        public const string ApproveAgentWiseCommission = "api/master/agent-wise-commission/approve";
        public const string AgentWiseCommissionGridUpdate = "api/master/agent-wise-commission/grid-update";
        public const string DeleteAgentWiseCommissions = "api/master/agent-wise-commission/delete";
        #endregion

        #region ViewTransectionStatus
        public const string GetTransectionDetails = "api/master/transection-managment/view-transection-status/by-transection-number";
        public const string GetAgentTypeList = "api/master/transection-managment/view-transection-status/agent-type-list";
        public const string GetPayInCountryList = "api/master/transection-managment/view-transection-status/payin-country-list";
        public const string GetPayInCurrencyList = "api/master/transection-managment/view-transection-status/payin-currency-list";
        public const string GetTransferTypeList = "api/master/transection-managment/view-transection-status/transfer-type-list";
        public const string GetTransectionStatusList = "api/master/transection-managment/view-transection-status/transection-status";
        public const string GetTransectionCountryList = "api/master/transection-managment/view-transection-status/transection-country-list";
        public const string GetAgentList = "api/master/transection-managment/view-transection-status/agent-list";
        public const string GetAgentBranchList = "api/master/transection-managment/view-transection-status/agent-branch-list";
        public const string GetAgentUserList = "api/master/transection-managment/view-transection-status/agent-user-list";
        public const string GetPayOutCurrencyList = "api/master/transection-managment/view-transection-status/payout-currency-list";
        public const string GetData = "api/master/transection-managment/view-transection-status/get-data";
        #endregion

        #region Transection >> ViewStopPayment(frmViewStopPayment.aspx)        
        public const string StopPayment_GetStatusList = "api/master/transection-managment/view-stop-payment/status-list";
        public const string StopPayment_GetAllStatusList = "api/master/transection-managment/view-stop-payment/all-status-list";
        public const string StopPayment_GetAgentTypeList = "api/master/transection-managment/view-stop-payment/agent-type-list";
        public const string StopPayment_GetTransferTypeList = "api/master/transection-managment/view-stop-payment/transfer-type-list";
        public const string StopPayment_GetPayInCountryList = "api/master/transection-managment/view-stop-payment/payin-country-list";
        public const string StopPayment_GetPayOutCountryList = "api/master/transection-managment/view-stop-payment/payout-country-list";
        public const string StopPayment_GetPayInCurrencyList = "api/master/transection-managment/view-stop-payment/payin-currency-list";
        public const string StopPayment_GetPayOutCurrencyList = "api/master/transection-managment/view-stop-payment/payout-currency-list";
        public const string StopPayment_GetAgentList = "api/master/transection-managment/view-stop-payment/agent-list";
        public const string StopPayment_GetAgentBranchList = "api/master/transection-managment/view-stop-payment/agent-branch-list";
        public const string StopPayment_GetAgentUserList = "api/master/transection-managment/view-stop-payment/agent-user-list";
        public const string StopPayment_GetAllRecord = "api/master/transection-managment/view-stop-payment/all-data";
        public const string StopPayment_UpdateTxn = "api/master/transection-managment/view-stop-payment/update-status";
        public const string StopPayment_AllRecordByTxn = "api/master/transection-managment/view-stop-payment/display-details";
        public const string StopPayment_ApprovedTransaction = "api/master/transection-managment/view-stop-payment/approved-transaction";
        #endregion

        #region Agent Manage
        public const string GetAgentManagerCountry = "api/master/manage-agent/country";
        public const string GetAgentManagerAgent = "api/master/manage-agent/agent";
        public const string GetAllAgentManagerRecord = "api/master/manage-agent/agent-all-record";
        public const string GeAgentManager_AgentTypeLise = "api/master/manage-agent/agent-type-list";
        public const string GetAgentWiseCountry = "api/master/manage-agent/agent-wise-country";
        public const string GetAgentManagerCity = "api/master/manage-agent/city";
        public const string GetAgentManagerLocation = "api/master/manage-agent/location";
        public const string GetAgentSettlementCurrency = "api/master/manage-agent/agent-settlement-currency";
        public const string GetAgentCurrency = "api/master/manage-agent/agent-currency";
        public const string GetAgentManagerModeOfPayment = "api/master/manage-agent/mode-of-payment";
        public const string GetAgentAllowedDomesticTransactionType = "api/master/manage-agent/domestic-transaction-type";
        public const string GetAgentAllowedInternationalTransactionType = "api/master/manage-agent/international-transaction-type";
        public const string AddAgent = "api/master/manage-agent/add";
        public const string GetAgentRebateCurrencyType = "api/master/manage-agent/rebate-currency-type";
        public const string GetAgentManagerView = "api/master/manage-agent/view";
        public const string ApproveAgent = "api/master/agent/approve";
        public const string GetAgentDetailByID = "api/master/agent/edit";
        public const string UpdateAgent = "api/master/manage-agent/update";
        public const string GetLimit = "api/master/manage-agent/get-limit";
        #endregion

        #region Edit Transaction(frmEditTransaction.aspx and frmEditTransactionEditMode.aspx)
        public const string EditTransaction_CityChangeEvent = "api/master/transaction/edit-transaction/edit-mode/city-change";
        public const string EditTransaction_RecommendedAgentChangeEvent = "api/master/transaction/edit-transaction/edit-mode/recommended-agent-change";
        public const string EditTransaction_GetAgentList = "api/master/transaction/edit-transaction/search-mode/agent-list";
        public const string EditTransaction_AllRecordByTxn = "api/master/transaction/edit-transaction/edit-mode/display-details";
        public const string EditTransaction_GetStatusList = "api/master/transaction/edit-transaction/search/status-list";
        public const string EditTransaction_GetTransferTypeList = "api/master/transaction/edit-transaction/transfer-type-list";
        public const string EditTransaction_GetPayInCountryList = "api/master/transaction/edit-transaction/payin-country-list";
        public const string EditTransaction_GetPayOutCountryList = "api/master/transaction/edit-transaction/payout-country-list";
        public const string EditTransaction_GetPayInCurrencyList = "api/master/transaction/edit-transaction/payin-currency-list";
        public const string EditTransaction_GetPayOutCurrencyList = "api/mastertransaction/edit-transaction/payout-currency-List";
        public const string EditTransaction_GetAgentBranchList = "api/master/transaction/edit-transaction/agent-branch-list";
        public const string EditTransaction_GetAgentUserList = "api/master/transaction/edit-transaction/agent-user-list";
        public const string EditTransaction_GetAllRecord = "api/master/transaction/edit-transaction/fill-grid";
        public const string EditTransaction_Approved = "api/master/transaction/edit-transaction/status-approved";
        public const string EditTransaction_UpdateStatus = "api/master/transaction/edit-transaction/status-update";
        public const string GetSearchBankCode = "api/master/transaction/edit-transaction/search-bank-code";
        #endregion

        #region Transaction >> CancelRequest

        public const string CancelRequest_GetStatusList = "api/master/transection-managment/cancel-request/status-list";
        public const string CancelRequest_UpdateTrxnStatus = "api/master/transection-managment/cancel-request/update";

        #endregion

        #region Agent Branch Manage

        public const string GetAgentBranchManagerCountry = "api/master/manage-agent-branch/country";
        public const string GetAgentBranchManagerAgent = "api/master/manage-agent-branch/agent";
        public const string GetAgentBranchManagerBranch = "api/master/manage-agent-branch/branch";
        public const string GetAllAgentBranchManager = "api/master/manage-agent-branch/get-all-record";
        public const string GetAgentBranchManagerByBranchCode = "api/master/manage-agent-branch/get-all-record-branch-code";
        public const string GetAgentBranchManagerAgentWiseCountry = "api/master/manage-agent-branch/agent-wise-country";
        public const string GetAgentBranchManagerCountryWiseAgent = "api/master/manage-agent-branch/country-wise-agent";
        public const string GetAgentBranchManagerModeOfPayment = "api/master/manage-agent-branch/mode-of-payment";
        public const string GetAgentBranchManagerBranchCurrency = "api/master/manage-agent-branch/branch-currency";
        public const string AddAgentBranch = "api/master/manage-agent-branch/add";
        public const string GetAgentBranchManagerView = "api/master/manage-agent-branch/view";
        public const string AgentBranchApprove = "api/master/manage-agent-branch/approve";
        public const string GetAgentBranchManagerByID = "api/master/manage-agent-branch/edit";
        public const string AgentBranchUpdate = "api/master/manage-agent-branch/update";
        #endregion

        #region Compliance View List
        public const string compliancemanagementView = "api/compliance-management/view";
        public const string GetComplianceManagementViewBy_TransactionNumber = "api/compliance-management/viewby-transactionnumber";
        public const string GetComplianceManagementViewBy_TransactionID = "api/compliance-management/viewby-transactionid";
        public const string GetComplianceManagementView_ViewCompliance = "api/compliance-management/view-compliance";
        public const string GetComplianceManagementView_TransactionLog = "api/compliance-management/transaction-log";
        public const string GetComplianceManagementView_RequiredDetail = "api/compliance-management/required-detail";
        public const string GetComplianceManagementView_BindData = "api/master/compliance-management/bind-data";
        public const string GetComplianceManagementView_BindWithoutSBI = "api/compliance-management/bind-without-sbi-transactionnumber";
        public const string GetComplianceManagementView_ComplianceShowDetail = "api/compliance-management/compliance-show-detail";
        public const string ComplianceManagementView_OnHold = "api/compliance-management/onhold";
        public const string ComplianceManagementView_UpdateCustBEN = "api/compliance-management/updatecustben";
        public const string ComplianceManagementView_Approve = "api/compliance-management/approve";
        public const string TransactionPrefix = "api/compliance-management/transaction-prefix";
        public const string ComplianceReject = "api/compliance-management/reject";
        public const string ComplianceManagementView_CustomerApprove = "api/compliance-management/customer-approve";
        public const string CustomerReject = "api/compliance-management/customer-reject";
        public const string ComplianceManagementView_BeneficiaryApprove = "api/compliance-management/beneficiary-approve";
        public const string BeneficiaryReject = "api/compliance-management/beneficiary-reject";
        #endregion

        #region Transaction >> ViewCancelTransactionRequest
        public const string ViewCancelRequest_GetAgentCountry = "api/master/transection-managment/view-cancel-request/agent-country";
        public const string ViewCancelRequest_GetAgentList = "api/master/transection-managment/view-cancel-request/agent-list";
        public const string ViewCancelRequest_GetAgentBranchList = "api/master/transection-managment/view-cancel-request/agent-branch";
        public const string ViewCancelRequest_GetSearchResult = "api/master/transection-managment/view-cancel-request/search-result";
        public const string ViewCancelRequest_CancelTransaction = "api/master/transection-managment/view-cancel-request/cancel-transaction";
        public const string ViewCancelRequest_PrintLog = "api/master/transection-managment/view-cancel-request/print-log";
        #endregion

        #region Reports >> Compliance Management >> Compliance Reports >> All
        public const string SuspiciousTransactionReport_Search = "api/master/compliance-management/compliance-reports/suspicious-transaction-report";
        public const string IndianInboundTransactionReport_Search = "api/master/compliance-management/compliance-reports/indian-inbound-transaction-report";
        public const string HighValueTransactionReport_Search = "api/master/compliance-management/compliance-reports/high-value-transaction-report";
        public const string ComplianceReleasedTransactionReport_Search = "api/master/compliance-management/compliance-reports/compliance-released-transaction-report";
        public const string ComplianceholdTransactionReport_Search = "api/master/compliance-management/compliance-reports/compliance-hold-transaction-report";
        public const string ComplianceDetailsReport_Search = "api/master/compliance-management/compliance-reports/compliance-details-report";
        #endregion

        #region Transaction Status

        public const string GetTransactionStatusCountryList = "api/transaction-management/transaction-status/country-list";
        public const string GetAgentforTransactionStatus = "api/transaction-management/transaction-status/agent-list";
        public const string GetAgentBranchforTransactionStatus = "api/transaction-management/transaction-status/agent-branch-list";
        public const string GetTransactionStatus = "api/transaction-management/transaction-status/status";
        public const string GetTransactionStatusDeatil = "api/transaction-management/transaction-status/transaction-detail";
        public const string GetTransactionStatusDeatilByTransactionNumber = "api/transaction-management/transaction-status/transaction-number-detail";
        public const string GetTransactionStatusLog = "api/transaction-management/transaction-status/log";
        #endregion

        #region View Receive Transaction

        public const string GetCountryforReceiveTransaction = "api/transaction-management/receive-transaction-status/country-list";
        public const string GetReceiveTransactionDetail = "api/transaction-management/receive-transaction-status/receive-transaction-detail";
        public const string GetReceiveTransactionByTransactionNumber = "api/transaction-management/receive-transaction-status/transaction-number-detail";
        #endregion

        #region Trnsaction Pending for Approval
        public const string GetTransactionPendingforApprovalStatus = "api/transaction-management/transaction-pending-for-approval/status";
        public const string GetTransactionPendingforApprovalUser = "api/transaction-management/transaction-pending-for-approval/user";
        public const string GetTransactionPendingforApprovalDetail = "api/transaction-management/transaction-pending-for-approval/transaction-pending-detail";
        public const string TransactionApproval = "api/transaction-management/transaction-pending-for-approval/transaction-approval";
        #endregion

        #region Transaction Process Log
        public const string GetTransactionProcessLog = "api/transaction-management/transaction-pending-log/log-detail";
        #endregion

        #region Transaction Search [frmSearchTrxnModeWiseOperationRpt.aspx]
        public const string GetTransactionSearchLCCurrency = "api/transaction-management/transaction-search/lc-currency";
        public const string GetTransactionSearchSendAgent = "api/transaction-management/transaction-search/send-agent";
        public const string GetTransactionSearchFCCurrency = "api/transaction-management/transaction-search/fc-currency";
        public const string GetTransactionSearchReceivingAgent = "api/transaction-management/transaction-search/receiving-agent";
        public const string GetTransactionSearchDetail = "api/transaction-management/transaction-search/transaction-search-detail";

        #endregion

        #region Transaction Cancel Paid

        public const string GetCancelPaidTransactionAgentAccount = "api/transaction-management/transaction-cancel-paid/agent-account";
        public const string GetCancelPaidTransactionAgentBranch = "api/transaction-management/transaction-cancel-paid/agent-branch";
        public const string GetCancelPaidTransactionAllRecord = "api/transaction-management/transaction-cancel-paid/all-record";
        public const string GetCancelPaidTransactionByTransactionNumber = "api/transaction-management/transaction-cancel-paid/transaction-number";
        public const string GetTransactionReport = "api/transaction-management/transaction-cancel-paid/transaction-report";
        public const string CancelPaidTransactionCancel = "api/transaction-management/transaction-cancel-paid/cancel";
        #endregion

        #region Reports >> Agent Wise Trxn Sent Report
        public const string AgentWiseTrxnSentReport_CountryList = "api/master/reports/agent-wise-trxn-sent-report/country-list";
        public const string AgentWiseTrxnSentReport_AgentList = "api/master/reports/agent-wise-trxn-sent-report/agent-list";
        public const string AgentWiseTrxnSentReport_AgentBranchList = "api/master/reports/agent-wise-trxn-sent-report/agent-branch-list";
        public const string AgentWiseTrxnSentReport_FillGrid = "api/master/reports/agent-wise-trxn-sent-report/fill-grid";
        #endregion

        #region Reports >> Transaction Details Report[Reports/TransactionDetailsReport.aspx]
        public const string TransactionDetailsReport_CountryList = "api/master/reports/transaction-details-report/country-list";
        public const string TransactionDetailsReport_AgentList = "api/master/reports/transaction-details-report/agent-list";
        public const string TransactionDetailsReport_FillGrid = "api/master/reports/transaction-details-report/fill-grid";
        public const string TransactionDetailsReportViewAccount = "api/master/reports/transaction-details-report/view-account";
        #endregion

        #region Transaction Search Mode Wise
        public const string GetSearchTransactionModeWise = "api/transaction-management/transaction-search-mode-wise/all- record";
        #endregion

        #region Transaction CTA Hold Summary[frmViewCTAHoldTrxnSummary.aspx]
        public const string GetTransactionCTACountry = "api/transaction-management/transaction-cta-hold-summary/country";
        public const string GetTransactionCTAgent = "api/transaction-management/transaction-cta-hold-summary/agent";
        public const string GetTransactionCTAAllRecord = "api/transaction-management/transaction-cta-hold-summary/all-record";
        //public const string TransactionCTAHoldRelease = "api/transaction-management/transaction-cta-hold-summary/release";
        #endregion

        #region Transaction Receive Status Summary
        public const string GetReceiveTransactionStatusSummaryCountry = "api/transaction-management/transaction-receive-status-summary/country";
        public const string GetReceiveTransactionStatusSummaryAllRecord = "api/transaction-management/transaction-receive-status-summary/all-record";
        #endregion

        #region Transaction Sent Summary
        public const string GetTransactionSentSummaryAgent = "api/transaction-management/transaction-sent-summary/agent";
        public const string GetTransactionSentSummaryAllRecord = "api/transaction-management/transaction-sent-summary/all-record";
        #endregion

        #region Transaction Duplicate
        public const string GetTransactionDuplicate = "api/transaction-management/transaction-duplicate/all-record";
        public const string TransactionDuplicateRelease = "api/transaction-management/transaction-duplicate/release";
        #endregion

        #region Transaction Customer Registration
        public const string GetCustomerRegistrationOccupation = "api/transaction-management/transaction-customer-registration/occupation";
        public const string GetCustomerRegistrationSource = "api/transaction-management/transaction-customer-registration/source";
        public const string GetCustomerRegistrationNationality = "api/transaction-management/transaction-customer-registration/nationality";
        public const string AddCustomerRegistration = "api/transaction-management/transaction-customer-registration/customer-registration";
        public const string GetCustomerRegistrationSearch = "api/transaction-management/transaction-customer-registration/search-customer";
        #endregion

        #region Transaction Edit Customer Registration
        public const string GetProductTypeCustomeronEdit = "api/transaction-management/transaction-edit-customer-registration/product-type";
        public const string GetIdTypeCustomeronEdit = "api/transaction-management/transaction-edit-customer-registration/id-type";
        public const string GetSearchCustomeronEdit = "api/transaction-management/transaction-edit-customer-registration/search-by-customerno";
        public const string UpdateCustomerRegistration = "api/transaction-management/transaction-edit-customer-registration/update";
        #endregion

        #region Transaction Beneficiary Activation
        public const string GetBeneficiaryActivationAllRecord = "api/transaction-management/transaction-beneficiary-activation/all-record";
        public const string ActivateBeneficiary = "api/transaction-management/transaction-beneficiary-activation/activation";
        #endregion

        #region Reports >> Agent PayOut Summary Report
        public const string AgentPayOutSummaryReport_AgentList = "api/master/reports/agent-payout-summary-report/agent-list";
        public const string AgentPayOutSummaryReport_AgentBranchList = "api/master/reports/agent-payout-summary-report/agent-branch-list";
        public const string AgentPayOutSummaryReport_FillGrid = "api/master/reports/agent-payout-summary-report/fill-grid";
        #endregion

        #region Reports >> Rebet Report
        public const string RebetReports_AgentList = "api/master/reports/rebet-report/agent-list";
        public const string RebetReports_PaymentModeList = "api/master/reports/rebet-report/payment-mode-list";
        public const string RebetReport_FillGrid = "api/master/reports/rebet-report/fill-grid";
        #endregion

        #region Reports >> Customer Report
        public const string CustomerReports_TypeList = "api/master/reports/customer-report/type-list";
        public const string CustomerReports_FillGrid = "api/master/reports/customer-report/fill-grid";
        #endregion

        #region Reports >> ViewDailyRates Report(frmViewDailyRates.aspx)
        public const string ViewDailyRatesReport_FillGrid = "api/master/reports/view-daily-rates-report/fill-grid";
        #endregion

        #region Reports >> RptRepush Transaction Report(Reports/RptRepushTransaction.aspx)
        public const string RptRepushTransactionReport_FillGrid = "api/master/reports/rpt-repush-transaction-report/fill-grid";
        #endregion

        #region Reports >> Beneficiary Registration Report[frmBeneficiaryRegistrationReport.aspx]
        public const string BeneficiaryRegistrationReport_FillGrid = "api/master/reports/beneficiary-registration-report/fill-grid";
        #endregion

        #region Back Office >> Global >> Global Transaction Limit Management[frmViewTransactionGlobalLimit.aspx]
        public const string GetGlobalTrxnLimitList = "api/master/global-trxn-limit-list";
        public const string UpdateGlobalTrxnLimit = "api/master/update-global-trxn-limit";
        public const string UpdateSegementLimit = "api/master/update-segement-limit";
        #endregion

        #region Back Office >> VAT [frmVAT.aspx]
        public const string GetVATInformation = "api/master/vat/vat-information";
        public const string UpdateVATInformation = "api/master/vat/update-vat-information";
        #endregion

        #region Transaction Download File
        public const string GetDownloadTransactionAllRecord = "api/transaction-management/transaction-download-file/all-record";
        public const string GetDownloadFileDetail = "api/transaction-management/transaction-download-file/file-detail";
        public const string DownloadTransactionFile = "api/transaction-management/transaction-download-file/download-file";
        #endregion

        #region Transaction Upload File
        public const string GetUploadTransactionAllRecord = "api/transaction-management/transaction-upload-file/all-record";
        public const string UploadTransactionFile = "api/transaction-management/transaction-upload-file/upload-file";
        //public const string UploadTransactionFileNew = "api/transaction-management/transaction-upload-file/upload-file-new";
        #endregion

        #region All Menu Items
        public const string GetAllMenu = "api/menu/all-menu";
        #endregion

        #region Back Office >> RelationshipManagement [frmViewCustBeneRelation.aspx]
        public const string GetCustBeneRelationList = "api/master/cust-bene-relation-list";
        public const string GetCustBeneRelationEditRecord = "api/master/cust-bene-relation-edit-record";
        public const string AddCustBeneRelation = "api/master/add-cust-bene-relation";
        public const string UpdateCustBeneRelation = "api/master/update-cust-bene-relation";
        #endregion

        #region Back Office >> Data Mapping [frmTableDataMapping.aspx]
        public const string DataMappingTypeList = "api/master/mapping-type-list";
        public const string GetMappingAgentList = "api/master/mapping-agent-list";
        public const string GetTRitemList = "api/master/mapping-tritem-list";
        public const string GetMappingSendAgentList = "api/master/mapping-send-agent-list";
        public const string MappingPayOutItemAgentList = "api/master/mapping-payout-item-agent-list";
        public const string DataMappingFillGrid = "api/master/mapping-fill-grid";
        public const string InsertDataMapping = "api/master/insert-data-mapping";
        public const string UpdateDataMapping = "api/master/update-data-mapping";
        public const string DeleteDataMapping = "api/master/delete-data-mapping";
        #endregion

        #region Remitter Occupation [frmViewRemitterOccupation.aspx]
        public const string GetOccupationList = "api/master/remitter-occupation/occupation-list";
        public const string GetRemitterOccupationList = "api/master/remitter-occupation/all-record";
        public const string RemitterOccupationAdd = "api/master/remitter-occupation/add";
        public const string GetRemitterOccupationListByID = "api/master/remitter-occupation/edit";
        public const string RemitterOccupationUpdate = "api/master/remitter-occupation/update";
        #endregion

        #region Tag Mapping >> [TagMapping.aspx]
        public const string GetMappingMethod = "api/master/tag-mapping/mapping-method-list";
        public const string AgentList = "api/master/tag-mapping/agent-list";
        public const string GetCategory = "api/master/tag-mapping/category-list";
        public const string GetTagMappingAllRecord = "api/master/tag-mapping/all-record";
        public const string GetTRItem = "api/master/tag-mapping/tritem-list";
        public const string TagMapping_EditRecordByID = "api/master/tag-mapping/edit";
        public const string UpdateTag = "api/master/tag-mapping/update-tag";
        #endregion

        #region Map Tr Master
        public const string GetPayoutXMLTag = "api/master/map-tr-master/payout-xml-tag-list";
        public const string GetPayoutCountry = "api/master/map-tr-master/country-list";
        public const string GetPayoutCurrency = "api/master/map-tr-master/currency-list";
        public const string GetDeliveryOption = "api/master/map-tr-master/delivery-option-list";
        public const string GetReceivingAgent = "api/master/map-tr-master/receiving-agent-list";
        public const string GetMapTrMasterAllRecord = "api/master/map-tr-master/all-record";
        public const string GetTRTag = "api/master/map-tr-master/trtag-list";
        public const string Update = "api/master/map-tr-master/update";
        #endregion

        #region Manage Exchange Rates >> RATES (MIN - MAX) [FrmEditMinMaxRate.aspx]
        public const string MinMaxCurrencyList = "api/master/manage-exchange-rates/min-max/currency-list";
        public const string AddMinMaxRateList = "api/master/manage-exchange-rates/min-max/add";
        public const string UpdateMinMaxRateList = "api/master/manage-exchange-rates/min-max/update";
        public const string MinMaxCurrencyList_ADD = "api/master/manage-exchange-rates/min-max/currency-add";
        public const string MinMaxGetGridRecords = "api/master/manage-exchange-rates/min-max/grid";
        #endregion 

        #region Reports >> Instant Cash Details Report
        public const string GetrptInstantCashDetailsReport_FillGrid = "api/master/reports/rpt-instant-cash-details-list";
        #endregion

        #region Reports >> Treasury Report
        public const string GetTreasuryReportList_FillGrid = "api/master/reports/treasury-report-list";
        #endregion

        #region CIF wise Commission [frmViewPreferentialCommissionAgent.aspx]
        public const string GetCIFCountryList = "api/master/cif-wise-commission/send-country-list";
        public const string GetCIFAgentList = "api/master/cif-wise-commission/send-agent-list";
        public const string GetCIFReceiveCountryList = "api/master/cif-wise-commission/receive-country-list";
        public const string GetCIFReceiveAgentList = "api/master/cif-wise-commission/receive-agent-list";
        public const string GetCIFSubAgentList = "api/master/cif-wise-commission/sub-agent-list";
        public const string GetCIFWiseCommissionAllRecord = "api/master/cif-wise-commission/all-record";
        public const string GetCIFWiseCommissionByID = "api/master/cif-wise-commission/edit-record";
        public const string GetCIFModOfPayment = "api/master/cif-wise-commission/mode-of-payment-list";
        public const string GetCIFNumberList = "api/master/cif-wise-commission/cif-number-list";
        public const string AddCIFWiseCommission = "api/master/cif-wise-commission/insert";
        public const string UpdateCIFWiseCommission = "api/master/cif-wise-commission/update";
        public const string DeleteCIF = "api/master/cif-wise-commission/delete";
        #endregion

        #region Beneficiary Registration [frmAddBeneficiaryRegistration.aspx]
        public const string GetBeneficiaryRegistrationPayOutCurrency = "api/transaction-management/beneficiary-registration/payout-currency-list";
        public const string GetBeneficiaryRegistrationPurposeTransfer = "api/transaction-management/beneficiary-registration/purpose-transfer-list";
        public const string GetBeneficiaryRegistrationIDType = "api/transaction-management/beneficiary-registration/id-type-list";
        public const string GetBeneficiaryRegistrationPhoneCountryCode = "api/transaction-management/beneficiary-registration/phone-country-code-list";
        public const string GetBeneficiaryRegistrationSourceOfFound = "api/transaction-management/beneficiary-registration/source-of-found-list";
        public const string GetBeneficiaryRegistrationAccountType = "api/transaction-management/beneficiary-registration/account-type-list";
        public const string GetBeneficiaryRegistrationCustomerRelationShip = "api/transaction-management/beneficiary-registration/customer-relation-list";
        public const string GetBeneficiaryRegistrationCustomerDetail = "api/transaction-management/beneficiary-registration/customer-detail";
        public const string GetBeneficiaryRegistrationBankrDetail = "api/transaction-management/beneficiary-registration/bank-detail";
        public const string AddBeneficiaryRegistration = "api/transaction-management/beneficiary-registration/beneficiary-registration";
        #endregion

        #region Reports >> Dashboard Report [frmDashboardReport.aspx]
        public const string GetDashboardReportList_FillGrid = "api/master/reports/dashboard-report-list";
        #endregion

        #region Edit Beneficiary Registration [frmEditBeneficiary.aspx]
        public const string GetBeneficiaryRegistrationByCustomerNumber = "api/transaction-management/edit-beneficiary-registration/search-customer";
        public const string GetBeneficiaryRegistrationView = "api/transaction-management/edit-beneficiary-registration/view";
        public const string GetBeneficiaryRegistrationByEdit = "api/transaction-management/edit-beneficiary-registration/edit";
        public const string UpdateBeneficiaryRegistration = "api/transaction-management/edit-beneficiary-registration/update";
        #endregion

        #region Reports >> RpT View Monthly Fees Reconciliation Report [frmViewMonthlyFeesReconciliation.aspx]
        public const string RpTViewMonthlyFeesReconciliationReportCountry = "api/master/reports/view-monthly-fees-reconciliation-report/country";
        public const string RpTViewMonthlyFeesReconciliationReportAgent = "api/master/reports/view-monthly-fees-reconciliation-report/agent";
        public const string RpTViewMonthlyFeesReconciliationReportCurrency = "api/master/reports/view-monthly-fees-reconciliation-report/currency";
        public const string RpTViewMonthlyFeesReconciliationReportGridViewData = "api/master/reports/view-monthly-fees-reconciliation-report/grid";
        #endregion

        #region Back Office >> View Agent ModeOfPayment1 [frmViewAgentModeOfPayment1.aspx]
        public const string ViewAgentModeOfPayment_CountryList = "api/master/view-agent-modeofpayment/country";
        public const string ViewAgentModeOfPayment_AgentList = "api/master/view-agent-modeofpayment/agent";
        public const string ViewAgentModeOfPayment_FillGrid = "api/master/view-agent-modeofpayment/fill-grid";
        public const string ViewAgentModeOfPayment_Update = "api/master/view-agent-modeofpayment/update";
        public const string AllModeOfPaymentList_Edit = "api/master/view-agent-modeofpayment/modeofpayment-edit";
        #endregion

        #region Back Office >> EditCTAHoldMargin [FrmEditCTAHoldMargin.aspx]        
        public const string EditCTAHoldMarginFillGrid = "api/master/edit-cta-hold-margin/grid";
        public const string EditCTAHoldMarginSendCountry = "api/master/edit-cta-hold-margin/send-country";
        public const string EditCTAHoldMarginSendingCurrency = "api/master/edit-cta-hold-margin/sending-currency";
        public const string EditCTAHoldMarginReceiveCountry = "api/master/edit-cta-hold-margin/receive-country";
        public const string EditCTAHoldMarginReceiveCurrency = "api/master/edit-cta-hold-margin/receive-currency";
        public const string EditCTAHoldMarginInsert = "api/master/edit-cta-hold-margin/insert";
        public const string EditCTAHoldMarginUpdate = "api/master/edit-cta-hold-margin/update";
        #endregion

        #region Manage SA-Agent Min-Max Commission [frmViewSendingAgentPerCommission.aspx]
        public const string GetManageSAAgentMinMaxCommissionSendCountry = "api/master/agent-min-max-commission/send-country-list";
        public const string GetManageSAAgentMinMaxCommissionSendAgent = "api/master/agent-min-max-commission/send-agent-list";
        public const string GetManageSAAgentMinMaxCommissionAllRecord = "api/master/agent-min-max-commission/all-record";
        public const string GetManageSAAgentMinMaxCommissionReceiveCountry = "api/master/agent-min-max-commission/receive-country-list";
        public const string GetManageSAAgentMinMaxCommissionModeOfPayment = "api/master/agent-min-max-commission/mode-of-payment-list";
        public const string ManageSAAgentMinMaxCommissionAdd = "api/master/agent-min-max-commission/insert";
        public const string GetManageSAAgentMinMaxCommissionEdit = "api/master/agent-min-max-commission/edit";
        public const string ManageSAAgentMinMaxCommissionUpdate = "api/master/agent-min-max-commission/update";
        public const string ManageSAAgentMinMaxCommissionGridUpdate = "api/master/agent-min-max-commission/grid-update";
        public const string ManageSAAgentMinMaxCommissionDelete = "api/master/agent-min-max-commission/delete";
        #endregion

        #region Manage RA-Agent Min-Max Commission [frmViewReceivingAgentPerCommission.aspx]
        public const string GetManageRAAgentMinMaxCommissionReceiveCountry = "api/master/ra-agent-min-max-commission/receiving-country-list";
        public const string GetManageRAAgentMinMaxCommissionAgent = "api/master/ra-agent-min-max-commission/agent-list";
        public const string GetManageRAAgentMinMaxCommissionAllRecord = "api/master/ra-agent-min-max-commission/all-record";
        public const string GetManageRAAgentMinMaxCommissionModeOfPayment = "api/master/ra-agent-min-max-commission/mode-of-payment";
        public const string GetManageRAAgentMinMaxCommissionCommissionOn = "api/master/ra-agent-min-max-commission/commission-on";
        public const string ManageRAAgentMinMaxCommissionAdd = "api/master/ra-agent-min-max-commission/insert";
        public const string GetManageRAAgentMinMaxCommissionEdit = "api/master/ra-agent-min-max-commission/edit";
        public const string ManageRAAgentMinMaxCommissionUpdate = "api/master/ra-agent-min-max-commission/update";
        public const string ManageRAAgentMinMaxCommissionDelete = "api/master/ra-agent-min-max-commission/delete";
        public const string ManageRAAgentMinMaxCommissionGridUpdate = "api/master/ra-agent-min-max-commission/grid-update";
        #endregion

        #region SA Sub Agent Commission [frmViewSASubAgentCommissionSlab.aspx]
        public const string GetSASubAgentCommissionCountry = "api/master/sa-sub-agent-commission/country";
        public const string GetSASubAgentCommissionSendingAgent = "api/master/sa-sub-agent-commission/agent";
        public const string GetSASubAgentCommissionSendingSubAgent = "api/master/sa-sub-agent-commission/sending-sub-agent";
        public const string GetSASubAgentCommissionAllRecord = "api/master/sa-sub-agent-commission/all-record";
        public const string SASubAgentCommissionAddUpdate = "api/master/sa-sub-agent-commission/update";
        #endregion

        #region Back Office >> Manage Exchange Margins >> Manage Premium Margins [frmViewAgentVariance.aspx]
        public const string PremiumMarginsSendCountry = "api/master/manage-premium-margins/send-country";
        public const string PremiumMarginsReceivingCountry = "api/master/manage-premium-margins/receive-country";
        public const string PremiumMarginsGridRecords = "api/master/manage-premium-margins/grid";
        public const string PremiumMarginsSendingCountry_ADD = "api/master/manage-premium-margins/add/send-country";
        public const string PremiumMarginsSendingAgentList_ADD = "api/master/manage-premium-margins/add/send-agent";
        public const string PremiumMarginsAgentCurrency_ADD = "api/master/manage-premium-margins/add/agent-currency";
        public const string PremiumMarginsReceiveCountry_ADD = "api/master/manage-premium-margins/add/receive-country";
        public const string PremiumMarginsReceiveAgent_ADD = "api/master/manage-premium-margins/add/receive-agent";
        public const string PremiumMarginsReceiveCurrency_ADD = "api/master/manage-premium-margins/add/receive-currency";
        public const string PremiumMarginsModeOfPayment_ADD = "api/master/manage-premium-margins/add/modeofpayment";
        public const string ViewAgentVarianc_Insert = "api/master/manage-premium-margins/add";
        public const string ViewAgentVarianc_Update = "api/master/manage-premium-margins/update";
        //===[frmEditAgentVariance.aspx]===//
        public const string ViewAgentVarianc_UpdateEditPage = "api/master/manage-premium-margins/edit-page/update";
        #endregion

        #region Masters >> Back Office >> Manage Exchange Rates >> Agent Rates[frmViewSendingAgentExchangeRateTest.aspx]
        public const string AgentExchangeRateSendCountry = "api/master/agent-rates/send-country";
        public const string AgentExchangeRateAgent = "api/master/agent-rates/agent";
        public const string AgentExchangeRateGridRecords = "api/master/agent-rates/grid";
        public const string AgentExchangeRateSendingCountry_Add = "api/master/agent-rates/add/send-country";
        public const string AgentExchangeRateSendingCurrency_Add = "api/master/agent-rates/add/send-currency";
        public const string AgentExchangeRateAgentAccount_Add = "api/master/agent-rates/add/agent-account";
        public const string AgentExchangeRateAgentSettlementCurrency_Add = "api/master/agent-rates/add/agent-settlement-currency";
        public const string BoMAgentExchangeRate_Insert = "api/master/agent-rates/add-data";
        public const string BoMAgentExchangeRate_Update = "api/master/agent-rates/update-data";
        #endregion

        #region Masters >> Back Office >> Manage Source Of Income [frmViewSourceOfIncome.aspx]
        public const string SourceOfIncomeNameList = "api/master/source-of-incomeName/dropdown";
        public const string SourceOfIncomeNameGrid = "api/master/source-of-incomeName/grid";
        public const string SourceOfIncomeAddNewRecord = "api/master/source-of-incomeName/add";
        public const string SourceOfIncomeUpdateRecord = "api/master/source-of-incomeName/update";
        #endregion

        #region Sending Sub Agent Margin [frmSubSendingAgentMargin.aspx]
        public const string GetSendingSubAgentMarginSendingCountry = "api/master/sending-sub-agent-margin/sending-country";
        public const string GetSendingSubAgentMarginReceiveCountry = "api/master/sending-sub-agent-margin/receive-country";
        public const string GetSendingSubAgentMarginAllRecord = "api/master/sending-sub-agent-margin/all-record";
        public const string GetSendingSubAgentMarginSendCurrency = "api/master/sending-sub-agent-margin/send-currency";
        public const string GetSendingSubAgentMarginReceiveCountryInsert = "api/master/sending-sub-agent-margin/receive-country-insert";
        public const string GetSendingSubAgentMarginReceiveCurrencyInsert = "api/master/sending-sub-agent-margin/receive-currency";
        public const string SendingSubAgentMarginAdd = "api/master/sending-sub-agent-margin/insert";
        public const string GetSendingSubAgentMarginEdit = "api/master/sending-sub-agent-margin/edit";
        public const string SendingSubAgentMarginUpdate = "api/master/sending-sub-agent-margin/update";
        #endregion

        #region  Sub Agent Margin [frmViewSubAgentMargin.aspx]
        public const string GetSubAgentMarginAgent = "api/master/sub-agent-margin/agent";
        public const string GetSubAgentMarginView = "api/master/sub-agent-margin/view";
        public const string SubAgentMarginGridUpdate = "api/master/sub-agent-margin/grid-update";
        public const string GetSubAgentMarginSubAgentInsert = "api/master/sub-agent-margin/sub-agent";
        public const string GetSubAgentMarginMinMaxMargin = "api/master/sub-agent-margin/min-max-margin";
        public const string SubAgentMarginAdd = "api/master/sub-agent-margin/insert";
        #endregion

        #region Remove Payment Transaction
        public const string GetTransactionRemovePaymentStatus = "api/transaction/remove-payment/status";
        public const string GetTransactionRemovePaymentAgentType = "api/transaction/remove-payment/agent-type";
        public const string GetTransactionRemovePaymentSendCountry = "api/transaction/remove-payment/send-country";
        public const string GetTransactionRemovePaymentReceiveCountry = "api/transaction/remove-payment/receive-country";
        public const string GetTransactionRemovePaymentSendCurrency = "api/transaction/remove-payment/send-currency";
        public const string GetTransactionRemovePaymentReceiveCurrency = "api/transaction/remove-payment/receive-currency";
        public const string GetTransactionRemovePaymentAgentInsert = "api/transaction/remove-payment/agent";
        public const string GetTransactionRemovePaymentUser = "api/transaction/remove-payment/user";
        public const string GetTransactionRemovePaymentAgentBranch = "api/transaction/remove-payment/agent-branch";
        public const string GetTransactionRemovePaymentTransferType = "api/transaction/remove-payment/transfer-type";
        public const string GetTransactionRemovePaymentAllRecord = "api/transaction/remove-payment/all-record";
        public const string TransactionRemovePaymentBatchApproved = "api/transaction/remove-payment/approve";
        #endregion

        #region Approve Transaction
        public const string GetApproveTransactionStatus = "api/transaction/approve-transaction/status";
        public const string GetApproveTransactionTransferType = "api/transaction/approve-transaction/transfer-type";
        public const string GetApproveTransactionSendCountry = "api/transaction/approve-transaction/send-country";
        public const string GetApproveTransactionReceiveCountry = "api/transaction/approve-transaction/receive-country";
        public const string GetApproveTransactionSendCurrency = "api/transaction/approve-transaction/send-currency";
        public const string GetApproveTransactionReceiveCurrency = "api/transaction/approve-transaction/receive-currency";
        public const string GetApproveTransactionAgent = "api/transaction/approve-transaction/agent";
        public const string GetApproveTransactionAgentBranch = "api/transaction/approve-transaction/agent-branch";
        public const string GetApproveTransactionUser = "api/transaction/approve-transaction/user";
        public const string GetApproveTransactionAllRecord = "api/transaction/approve-transaction/all-record";
        public const string Approve = "api/transaction/approve-transaction/approve";
        public const string GetApproveTransactionView = "api/transaction/approve-transaction/view";
        #endregion

        #region Block Transaction
        public const string GetBlockTransactionAllRecord = "api/transaction/block-transaction/all-record";
        public const string GetBlockTransactionView = "api/transaction/block-transaction/view";
        public const string TransactionBlock = "api/transaction/block-transaction/block";
        public const string TransactionUnBlock = "api/transaction/block-transaction/unblock";
        #endregion

        #region Transaction Status For Agent
        public const string GetTransactionStatusForAgentCountry = "api/transaction/transaction-status-for-agent/country";
        public const string GetTransactionStatusForAgent = "api/transaction/transaction-status-for-agent/agent";
        public const string GetTransactionStatusForAgentBranch = "api/transaction/transaction-status-for-agent/agent-branch";
        public const string GetTransactionStatusForAgentStatus = "api/transaction/transaction-status-for-agent/status";
        public const string GetTransactionStatusForAgentByDateAllRecord = "api/transaction/transaction-status-for-agent/by-date-all-record";
        public const string GetTransactionStatusForAgentByTransactionAllRecord = "api/transaction/transaction-status-for-agent/by-transaction-no-all-record";
        public const string TransactionStatusForAgentBlock = "api/transaction/transaction-status-for-agent/block";
        public const string TransactionStatusForAgentUnBlock = "api/transaction/transaction-status-for-agent/un-block";
        public const string TransactionStatusForAgentLog = "api/transaction/transaction-status-for-agent/log";
        public const string TransactionStatusForAgentReport = "api/transaction/transaction-status-for-agent/view";
        #endregion

        #region Send Agent CTA Hold Transaction
        public const string GetSendAgentCTAHoldTransactionCountry = "api/transaction/send-agent-cta-hold-transaction/country";
        public const string GetSendAgentCTAHoldTransactionAgent = "api/transaction/send-agent-cta-hold-transaction/agent";
        public const string GetSendAgentCTAHoldTransactionAllRecord = "api/transaction/send-agent-cta-hold-transaction/all-record";
        public const string SendAgentCTAHoldTransactionRelease = "api/transaction/send-agent-cta-hold-transaction/release";
        public const string GetSendAgentCTAHoldTransactionView = "api/transaction/send-agent-cta-hold-transaction/view";
        #endregion

        #region Edit Transaction Detail
        public const string GetEditTransactionDetailCustomerNationality = "api/transaction/edit-transaction-detail/customer-nationality";
        public const string GetEditTransactionDetailBeneficiaryNationality = "api/transaction/edit-transaction-detail/beneficiary-nationality";
        public const string GetEditTransactionDetailAllRecord = "api/transaction/edit-transaction-detail/all-record";
        public const string EditTransactionDetail = "api/transaction/edit-transaction-detail/edit";
        #endregion

        #region Vostro Balance
        public const string GetVostroBalanceCountry = "api/transaction/vostro-balance/country";
        public const string GetVostroBalanceAgent = "api/transaction/vostro-balance/agent";
        public const string GetVostroBalanceCurrency = "api/transaction/vostro-balance/currency";
        public const string GetVostroBalanceAllRecord = "api/transaction/vostro-balance/all-record";
        public const string GetVostroBalanceAccInfo = "api/transaction/vostro-balance/acc-info";
        public const string VostroBalanceAdd = "api/transaction/vostro-balance/submit";
        #endregion

        #region Beneficiary Checker
        public const string GetBeneficiaryCheckerAllRecord = "api/transaction/beneficiary-checker/all-record";
        public const string GetBeneficiaryCheckerView = "api/transaction/beneficiary-checker/view";
        public const string BeneficiaryCheckerApprove = "api/transaction/beneficiary-checker/approve";
        public const string BeneficiaryCheckerReject = "api/transaction/beneficiary-checker/reject";
        public const string BeneficiaryCheckerViewReject = "api/transaction/beneficiary-checker/view-reject";
        //public const string UpdateBeneficiary = "api/transaction/beneficiary-checker/update-beneficiary";
        #endregion

        #region Reports >> RpT Agent Report [Agent_Reports/AgentWise_TrxnSentPaid.aspx]
        public const string RpTAgentReportSelectReport = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/select-report";
        public const string RpTAgentReportCountry = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/country";
        public const string RpTAgentReportAgentBranchList = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/agent-branch";
        public const string RpTAgentReportAgentList = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/agent-list";
        public const string RpTAgentReportCurrency = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/currency";
        public const string RpTAgentReportUserList = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/user-list";
        public const string DisplayAgentCommissionReport = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/agent-commission-report";
        public const string AgentTransactionSummaryReport = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/agent-transaction-summary-report";
        public const string DisplaySendRecvTrxnUserWiseReport = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/send-recv-trxn-userwise-report";
        public const string DisplayExchangeEarningsReport = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/exchange-earnings-report";

        public const string StatementOfAccount_Detail = "api/master/reports/agent-report/agent-wise-trxn-sent-paid/grid/statement-of-account-detail";

        #endregion

        #region Reports >> Send Receive Transaction List (Agent_Reports/Agent_Reports.aspx)
        public const string RpTGetAgent_ReportsType = "api/master/reports/agent-report/send-receive-trxn/select-report";
        public const string RpTGetAgentReports_CountryList = "api/master/reports/agent-report/send-receive-trxn/country";
        public const string RpTGetAgentReports_AgentTypeList = "api/master/reports/agent-report/send-receive-trxn/agent";
        public const string RpTGetAgentReports_AgentBranchList = "api/master/reports/agent-report/send-receive-trxn/agent-branch";
        public const string RpTGetAgentReports_StatementOfAccount = "api/master/reports/agent-report/send-receive-trxn/statementofaccount";
        public const string RpTGetAgentReports_SendRecvTransaction = "api/master/reports/agent-report/send-receive-trxn/send-receive-transaction";
        public const string RpTGetAgentReports_SummarizedAccountStatement = "api/master/reports/agent-report/send-receive-trxn/summarized-account-statement";
        public const string RpTGetAgentReports_TransactionInTransit = "api/master/reports/agent-report/send-receive-trxn/transaction-in-transit";
        public const string RpTGetAgentReports_AgentTransactionSummary = "api/master/reports/agent-report/send-receive-trxn/agent-transaction-summary";
        public const string RpTGetAgentReports_ActivityWiseReport = "api/master/reports/agent-report/send-receive-trxn/activity-wise-report";
        public const string RpTGetAgentReports_ExchangeEarningsReport = "api/master/reports/agent-report/send-receive-trxn/exchange-earnings-report";
        #endregion

        #region Reports >> MG Transaction Account Details Report[Reports/MGTransactionDetailsReport.aspx]
        public const string RpTMGTransactionDetailsReportCountry = "api/master/reports/mg-transaction-details-report/country";
        public const string RpTMGTransactionDetailsReportAgentList = "api/master/reports/mg-transaction-details-report/agent";
        public const string RpTMGTransactionDetailsReportGrid = "api/master/reports/mg-transaction-details-report/grid";
        #endregion

        #region Reports >> Rates In Summarized Way Report[Reports/RptRatesInSummarizedWay.aspx]
        public const string RptRatesInSummarizedWayReportCountry = "api/master/reports/rpt-rates-insummarized-wayreport-country/country";
        public const string RptRatesInSummarizedWayReportReceiveCountry = "api/master/reports/rpt-rates-insummarized-wayreport-country/receive-country";
        public const string RptRatesInSummarizedWayReportSendAgent = "api/master/reports/rpt-rates-insummarized-wayreport-country/send-agent";
        public const string RptRatesInSummarizedWayReportReceiveAgent = "api/master/reports/rpt-rates-insummarized-wayreport-country/receive-agent";
        public const string RptRatesInSummarizedWayReportGridRecord = "api/master/reports/rpt-rates-insummarized-wayreport-country/grid";
        #endregion

        #region Reports >> Error Log Report[frmErrorLogReport.aspx]
        //===========Error Log Report[frmErrorLogReport.aspx]============//
        public const string RptErrorLogReportGrid = "api/master/reports/error-log-report/grid";
        #endregion

        #region Masters >> Back Office >> Manage Country Wise Mandatory Field [frmAddMandetoryField.aspx]
        public const string TypeofMandatory = "api/master/add-mandetory-field/type-of-mandatory";
        public const string MandatoryCountryType = "api/master/add-mandetory-fieldcountry-type";
        public const string MandatoryCountryList = "api/master/add-mandetory-field/country-list";
        public const string MandatoryModeOfPayment = "api/master/add-mandetory-field/mode-of-payment";
        public const string MandatoryFieldGridRecords = "api/master/add-mandetory-field/grid";
        #endregion

        #region Reports >> All Receive (MIS) Reports[frmAllReceiveTxnsReport.aspx]
        public const string RPTAllReceiveTxnsReport_RecCountrytList = "api/master/reports/all-receive-trxn-report/rec-country";
        public const string RPTAllReceiveTxnsReport_AgentList = "api/master/reports/all-receive-trxn-report/agent";
        public const string RPTAllReceiveTxnsReportGrid_Detail = "api/master/reports/all-receive-trxn-report/detail/grid";
        public const string RPTAllReceiveTxnsReportGrid_Summary = "api/master/reports/all-receive-trxn-report/summary/grid";
        public const string RPTAllReceiveTxnsReportGrid_StatusWiseSummary = "api/master/reports/all-receive-trxn-report/status-wise-summary/grid";
        #endregion

        #region Rejected Beneficiary
        public const string GetRejectedBeneficiaryAllRecord = "api/transaction/rejected-beneficiary/all-record";
        public const string GetRejectedBeneficiaryByBeneficiaryNo = "api/transaction/rejected-beneficiary/edit";
        #endregion

        #region Channel Hold Transaction
        public const string GetChannelHoldTransactionByDate = "api/transaction/channel-hold-transaction/all-record-by-date";
        public const string GetChannelHoldTransactionByTransactionNumber = "api/transaction/channel-hold-transaction/all-record-by-transaction";
        public const string ChannelHoldTransactionApproved = "api/transaction/channel-hold-transaction/approved";
        public const string ChannelHoldTransactionReject = "api/transaction/channel-hold-transaction/reject";
        #endregion

        #region Cancellation Checker Transaction
        public const string GetCancellationCheckerAllRecord = "api/transaction/cancellation-checker/all-record";
        public const string GetCancellationCheckerTransactionLog = "api/transaction/cancellation-checker/log";
        public const string GetCancellationCheckerView = "api/transaction/cancellation-checker/view";
        public const string CancellationCheckerApproved = "api/transaction/cancellation-checker/approve";
        public const string CancellationCheckerReject = "api/transaction/cancellation-checker/reject";
        public const string CancellationCheckerRecheck = "api/transaction/cancellation-checker/recheck";
        #endregion

        #region Customer Registration Checker
        public const string GetCustomerRegistrationCheckerAllRecord = "api/transaction/customer-registration-checker/all-record";
        public const string CustomerRegistrationCheckerUpdate = "api/transaction/customer-registration-checker/update";
        public const string CustomerRegistrationCheckerReject = "api/transaction/customer-registration-checker/reject";
        public const string GetCustomerRegistrationCheckerView = "api/transaction/customer-registration-checker/view";
        public const string CustomerRegistrationCheckerCustomerApprove = "api/transaction/customer-registration-checker/customer-approve";
        public const string CustomerRegistrationCheckerCustomerReject = "api/transaction/customer-registration-checker/customer-reject";
        #endregion

        #region Rejected Customer
        public const string GetRejectedCustomerAllRecord = "api/transaction/rejected-customer/all-record";
        public const string GetRejectedCustomerEdit = "api/transaction/rejected-customer/edit";
        #endregion

        #region Reports >> Country Wise Summary Report[FrmGetCountryWiseSummaryReport.aspx]
        public const string GetCountryWiseSummaryReportCountry = "api/master/reports/get-country-wise-summary-report/country";
        public const string GetCountryWiseSummaryReportFillGrid = "api/master/reports/get-country-wise-summary-report/grid";
        #endregion

        #region Reports >> Agent Balances Report[Reports/AgentBalances.aspx]
        public const string AgentBalancesCountry = "api/master/reports/agent-balances-report/country";
        public const string AgentBalancesAgent = "api/master/reports/agent-balances-report/agent";
        public const string AgentBalancesFillGrid = "api/master/reports/agent-balances-report/grid";
        #endregion

        #region Reports >>Agent Wise_TrxnPaid Report[Reports/AgentWise_TrxnPaid.aspx]
        public const string AgentWise_TrxnPaidCountryList = "api/master/reports/agent-wise-trxn-paid/country";
        public const string AgentWise_TrxnPaidAgentList = "api/master/reports/agent-wise-trxn-paid/agent";
        public const string AgentWise_TrxnPaidAgentBranchList = "api/master/reports/agent-wise-trxn-paid/agent-branch";
        public const string AgentWise_TrxnPaidFillGrid = "api/master/reports/agent-wise-trxn-paid/grid";
        #endregion

        #region Reports >>All Sent Txns Corridor Wise[frmAllSendReceiveTxnsReport.aspx]
        public const string AllSendReceiveTxnsReportSendCountry = "api/master/reports/all-send-receive-txns-report/sendcountry";
        public const string AllSendReceiveTxnsReportSendAgent = "api/master/reports/all-send-receive-txns-report/send-agent";
        public const string AllSendReceiveTxnsReportSendBranch = "api/master/reports/all-send-receive-txns-report/send-branch";
        public const string AllSendReceiveTxnsReportReceiveCountry = "api/master/reports/all-send-receive-txns-report/receive-country";
        public const string AllSendReceiveTxnsReportReceiveAgent = "api/master/reports/all-send-receive-txns-report/receive-agent";
        public const string AllSendReceiveTxnsReportGrid = "api/master/reports/all-send-receive-txns-report/grid";
        #endregion

        #region TrnTransaction Amendment
        public const string GetTransactionAmendmentAllRecord = "api/transaction/transaction-amendment/all-record";
        public const string TransactionAmendmentAdd = "api/transaction/transaction-amendment/amend";
        #endregion

        #region Channel Cancel Transaction
        public const string GetChannelCancelTransactionAllRecordByDate = "api/transaction/channel-cancel-transaction/all-record-by-date";
        public const string GetChannelCancelTransactionAllRecordByTransactionNumber = "api/transaction/channel-cancel-transaction/all-record-by-transaction-number";
        public const string ChannelCancelTransactionCancellationStatus = "api/transaction/channel-cancel-transaction/cancellation-status";
        public const string ChannelCancelTransactionSend = "api/transaction/channel-cancel-transaction/send";
        #endregion

        #region Reports >>Sent Txns User Wise[Reports/frmAllSentTrxnForSalesP.aspx]
        public const string AllSentTrxnForSalesPSendCountryList = "api/master/reports/all-sent-trxn-for-salesp-report/sendcountry";
        public const string AllSentTrxnForSalesPSendAgentList = "api/master/reports/all-sent-trxn-for-salesp-report/send-agent";
        public const string AllSentTrxnForSalesPSendAgentBranchList = "api/master/reports/all-sent-trxn-for-salesp-report/agent-branch";
        public const string AllSentTrxnForSalesPUserList = "api/master/reports/all-sent-trxn-for-salesp-report/user-list";
        public const string GetAgentWiseTrxnSentSalesPDetailReport = "api/master/reports/all-sent-trxn-for-salesp-report/detail/grid";
        public const string GetAgentWiseTrxnSentSalesPSummaryReport = "api/master/reports/all-sent-trxn-for-salesp-report/summary/grid";

        #endregion

        #region Reports >>Transactions Status Report (Paid / Unpaid)[FrmTransactionStatuspaidunpaidRpt.aspx]
        public const string GetTxnStatusPaidUnPaidReportAgentAccount = "api/master/reports/txn-status-paid-unpaid-report/agent-account";
        public const string GetTxnStatusPaidUnPaidReportBranch = "api/master/reports/txn-status-paid-unpaid-report/branch";
        public const string GetTxnStatusPaidUnPaidReportStatus = "api/master/reports/txn-status-paid-unpaid-report/status";
        public const string GetTxnStatusPaidUnPaidReportCCY = "api/master/reports/txn-status-paid-unpaid-report/ccy";
        #endregion

        #region Beneficiary Complicance Release
        public const string GetBeneficiaryComplicanceReleaseAllRecord = "api/complicance/beneficiary-complicance-release/all-record";
        public const string GetBeneficiaryComplicanceReleaseOFACLogDetails = "api/complicance/beneficiary-complicance-release/ofac-log-details";
        public const string GetBeneficiaryComplicanceReleaseView = "api/complicance/beneficiary-complicance-release/view";
        public const string BeneficiaryComplicanceReleaseApprove = "api/complicance/beneficiary-complicance-release/approve";
        public const string BeneficiaryComplicanceReleaseReject = "api/complicance/beneficiary-complicance-release/reject";
        #endregion

        #region Back Office >> Manage Exchange Margins >> Manage SA Margins [frmSendingAgentMarginAgencyUser.aspx]
        public const string SAMarginSendCountry = "api/master/sa-margin/send-country";
        public const string SAMarginSendAgent = "api/master/sa-margin/send-agent";
        public const string SAMarginFillGrid = "api/master/sa-margin/fill-grid";
        public const string SAMarginSendCountry_ADD = "api/master/sa-margin/add/send-country";
        public const string SAMarginSendAgent_ADD = "api/master/sa-margin/add/send-agent";
        public const string SAMarginAgentCurrency_ADD = "api/master/sa-margin/add/agent-currency";
        public const string SAMarginReceiveCountry_ADD = "api/master/sa-margin/add/receive-country";
        public const string SAMarginReceiveCurrency_ADD = "api/master/sa-margin/add/receive-currency";
        public const string SAMarginFillGrid_ADD = "api/master/sa-margin/add/fill-grid";
        public const string SAMargin_InsertNewRecord = "api/master/sa-margin/add";
        public const string SAMargin_UpdateRecord = "api/master/sa-margin/update";
        #endregion

        #region Reports >>All Sent Transaction (MIS)(Reports/AllAgentWiseMisReport.aspx]
        public const string RPTAllSentTxnsReport_CountrytList = "api/master/reports/all-sent-trxn-report/rec-country";
        public const string RPTAllSentTxnsReport_AgentList = "api/master/reports/all-sent-trxn-report/agent";
        public const string RPTAllSentTxnsReport_Details = "api/master/reports/all-sent-trxn-report/detail/grid";
        public const string RPTAllSentTxnsReport_Summary = "api/master/reports/all-sent-trxn-report/summary/grid";
        public const string RPTAllSentTxnsReport_SummaryStatusWise = "api/master/reports/all-sent-trxn-report/status-wise-summary/grid";
        #endregion

        #region Reports >>Statement of Account (USD)(Agent_Reports/frmUSD_SOA.aspx]
        public const string USD_SOAReport_AccountList = "api/master/reports/usd-soa/account";
        public const string USD_SOAReport_Grid = "api/master/reports/usd-soa/grid";
        #endregion

        #region Reports >> PayOut Summary (Reports/frmAgentPayOutSummary.aspx]
        public const string AgentPayOutSummaryReport_Agent = "api/master/reports/agent-payout-summary-report/agent";
        public const string AgentPayOutSummaryReport_Branch = "api/master/reports/agent-payout-summary-report/branch";
        public const string AgentPayOutSummaryReport_Grid = "api/master/reports/agent-payout-summary-report/grid";
        #endregion

        #region Compliance Upload Report
        public const string GetComplianceUploadReportAllRecord = "api/complicance/compliance-upload-report/all-record";
        #endregion

        #region View Complaince Hold List[frmviewcomplainceholdtransaction.aspx]
        public const string GetViewComplainceHoldListAllRecord = "api/complicance/view-complaince-hold-list/all-record";
        public const string GetViewComplainceHoldListViewComplaice = "api/complicance/view-complaince-hold-list/view-complaice";
        public const string GetViewComplainceHoldListLog = "api/complicance/view-complaince-hold-list/log";
        public const string GetViewComplainceHoldListView = "api/complicance/view-complaince-hold-list/view";
        public const string GetViewComplainceHoldListCustomerShowDetail = "api/complicance/view-complaince-hold-list/customer-show-detail";
        public const string GetViewComplainceHoldListBeneficiaryShowDetail = "api/complicance/view-complaince-hold-list/beneficiary-show-detail";
        public const string GetViewComplainceHoldListPrintDetail = "api/complicance/view-complaince-hold-list/print-detail";
        public const string ComplianceManagementView_ApproveCustomer = "api/complicance/view-complaince-hold-list/customer-approve";
        public const string ViewComplainceHoldListRejectCustomer = "api/complicance/view-complaince-hold-list/customer-reject";
        public const string ComplianceManagementView_ApproveBeneficiary = "api/complicance/view-complaince-hold-list/beneficiary-approve";
        public const string ViewComplainceHoldListRejectBeneficiary = "api/complicance/view-complaince-hold-list/beneficiary-reject";
        public const string ViewComplainceHoldListReject = "api/complicance/view-complaince-hold-list/reject";
        public const string ViewComplainceHoldListRelease = "api/complicance/view-complaince-hold-list/release";
        public const string GetRejectionReasonResponse = "api/complicance/view-complaince-hold-list/rejection-reason";
        #endregion

        #region Manage User Sub Group
        public const string GetManageUserGroup = "api/manage-user/sub-group/group";
        public const string GetManageUserSubGroup = "api/manage-user/sub-group/sub-group";
        public const string GetManageUserSubGroupAllRecord = "api/manage-user/sub-group/get-access";
        public const string ManageUserSubGroupSetAccess = "api/manage-user/sub-group/set-access";
        #endregion

        #region Manage User New Sub Group
        public const string GetManageUserNewGroup = "api/manage-user/new-sub-group/group";
        public const string GetManageUserNewSubGroup = "api/manage-user/new-sub-group/sub-group";
        public const string GetManageUserNewSubGroupAllRecord = "api/manage-user/new-sub-group/get-access";
        public const string ManageUserNewSubGroupSetAccess = "api/manage-user/new-sub-group/set-access";
        #endregion

        #region Reports >> Agents Exchange / Commission details (Agent_Reports/AgentReport_ForMargin.aspx)
        public const string RpTAgentReportForMargin_ReportsType = "api/master/reports/agent-report/report-type";
        public const string RpTAgentReportForMargin_CountryList = "api/master/reports/agent-report/country";
        public const string RpTAgentReportForMargin_AgentList = "api/master/reports/agent-report/agent";
        public const string RpTAgentReportForMargin_AgentBranchList = "api/master/reports/agent-report/agent-branch";
        public const string RpTAgentReportForMargin_CurrencyList = "api/master/reports/agent-report/currency";
        public const string AgentCommissionIncomeDetail = "api/master/reports/agent-report/agent-commission-income-detail/grid";
        public const string AgentExchangeEarningsReport = "api/master/reports/agent-report/agent-exchange-earnings-report/grid";
        #endregion

        #region Reports >> Remittance Send Report (Reports/RemittanceSend.aspx)
        public const string RpTRemittanceSendCountry = "api/master/reports/Remittance/remittance-send/country";
        public const string RpTRemittanceSendAgent = "api/master/reports/Remittance/remittance-send/agent";
        public const string RpTRemittanceSendAgentBranch = "api/master/reports/Remittance/remittance-send/agent-branch";
        public const string RpTRemittanceSendStatus = "api/master/reports/Remittance/remittance-send/status";
        public const string RpTRemittanceSendTranferType = "api/master/reports/Remittance/remittance-send/transfer-type";
        public const string RpTRemittanceSendFillGrid = "api/master/reports/Remittance/remittance-send/grid";
        #endregion

        #region Reports >> Remittance Paid/UnPaid Report (Reports/RemittancePaidUnpaid.aspx)
        public const string RpTRemittancePaidUnpaidCountry = "api/master/reports/Remittance/remittance-paid-unpaid/country";
        public const string RpTRemittancePaidUnpaidAgent = "api/master/reports/Remittance/remittance-paid-unpaid/agent";
        public const string RpTRemittancePaidUnpaidStatus = "api/master/reports/Remittance/remittance-paid-unpaid/status";
        public const string RpTRemittancePaidUnpaidTranferType = "api/master/reports/Remittance/remittance-paid-unpaid/transfer-type";
        public const string RpTRemittancePaidUnpaidFillGrid = "api/master/reports/Remittance/remittance-paid-unpaid/grid";
        #endregion

        #region Compliance Report [FrmComplianceRpt.aspx]
        public const string GetComplianceReportFilter = "api/complicance/compliance-report/filter";
        public const string GetComplianceReportAllRecord = "api/complicance/compliance-report/all-record";
        #endregion

        #region manage Agency User
        public const string GetManageAgencyUserCountry = "api/user-management/manage-agency-user/country";
        public const string GetManageAgencyUserGroup = "api/user-management/manage-agency-user/group";
        public const string GetManageAgencyUserList = "api/user-management/manage-agency-user/user";
        public const string GetManageAgencyUserDetail = "api/user-management/manage-agency-user/get-detail";
        public const string GetManageAgencyUserAllRecord = "api/user-management/manage-agency-user/all-record";
        public const string GetManageAgencyUserGridGroup = "api/user-management/manage-agency-user/grid-group";
        public const string GetManageAgencyUserGridSubGroup = "api/user-management/manage-agency-user/grid-sub-group";
        public const string ManageAgencyUserUpdate = "api/user-management/manage-agency-user/update";
        public const string ManageAgencyUserDelete = "api/user-management/manage-agency-user/delete";
        public const string GetManageAgencyUserAddCountry = "api/user-management/manage-agency-user/add-country";
        public const string GetManageAgencyUserAddGroup = "api/user-management/manage-agency-user/add-group";
        public const string AddAgencyUser = "api/user-management/manage-agency-user/add-agency-user";
        public const string GetManageAgencyUserSet = "api/user-management/manage-agency-user/set";
        public const string ManageAgencyUserSetTree = "api/user-management/manage-agency-user/set-tree";
        #endregion

        #region Agency >> Forex & Treasury Report (AgencySR_Reports/TTR_Reports.aspx)
        public const string AgencyForexTreasuryReportType = "api/master/reports/agency/agency-sr-reports/report-type";
        public const string AgencyForexTreasuryReportCountry = "api/master/reports/agency/agency-sr-reports/country";
        public const string AgencyForexTreasuryReportAgent = "api/master/reports/agency/agency-sr-reports/agent";
        public const string AgencyForexTreasuryReport_TTRFillGrid = "api/master/reports/agency/agency-sr-reports/ttr-report-grid";
        public const string GetForexTreasury_IncomeFillGrid = "api/master/reports/agency/agency-sr-reports/income-report-grid";
        public const string GetForexTreasury_RevaluationFillGrid = "api/master/reports/agency/agency-sr-reports/revaluation-report-grid";
        public const string TurnoverAndYieldComparisonReportGrid_Details = "api/master/reports/agency/agency-sr-reports/grid/turnover-and-yield-comparison-report-details";
        public const string TurnoverAndYieldComparisonReportGrid_Summary = "api/master/reports/agency/agency-sr-reports/grid/turnover-and-yield-comparison-report-summary";
        #endregion

        #region Agency >> Log Report (LogReports.aspx)
        public const string LogReport_ReportsType = "api/master/reports/agency/log-reports/report-type";
        public const string LogReport_ReportsName = "api/master/reports/agency/log-reports/report-name";
        public const string LogReport_UserList = "api/master/reports/agency/log-reports/user";
        public const string LogReport_StatusList = "api/master/reports/agency/log-reports/status";
        public const string LogReport_BranchList = "api/master/reports/agency/log-reports/branch";
        #endregion

        #region Agency >> MIS & Audit Report (MIS_Reports/CountryWiseSendReceiveTrxn_Reports.aspx)
        public const string MISAuditReport_ReportsType = "api/master/reports/agency/mis-audit-reports/report-type";
        public const string MISAuditReport_SendCountry = "api/master/reports/agency/mis-audit-reports/send-country";
        public const string MISAuditReport_SendAgent = "api/master/reports/agency/mis-audit-reports/send-agent";
        public const string MISAuditReport_ReceiveCountry = "api/master/reports/agency/mis-audit-reports/rece-country";
        public const string MISAuditReport_ReceiveAgent = "api/master/reports/agency/mis-audit-reports/rece-agent";

        public const string GetMISReport_CountryWiseSendRecvTrxn = "api/master/reports/agency/mis-audit-reports/fillgrid/country-wise-send-recv-trxn";
        public const string GetMISReport_AgentWiseMISDateWise = "api/master/reports/agency/mis-audit-reports/fillgrid/agent-wise-mis-date-wise";
        public const string GetMISReport_AgentWiseMISMonthWise = "api/master/reports/agency/mis-audit-reports/fillgrid/agent-wise-mis-month-wise";
        public const string GetMISReport_AgentWiseMISYearWise = "api/master/reports/agency/mis-audit-reports/fillgrid/agent-wise-mis-year-wise";
        public const string GetMISReport_SendingCountryToReceivingCountryIncome = "api/master/reports/agency/mis-audit-reports/fillgrid/sending-country-to-receiving-country-income";
        public const string GetMISReport_TopSendingAgentsPerformanceReportYEARLY = "api/master/reports/agency/mis-audit-reports/fillgrid/top-sending-agents-performance-report-yearly";
        public const string GetMISReport_MajorAgentTransactionsAlert = "api/master/reports/agency/mis-audit-reports/fillgrid/major-agent-transactions-alert";
        public const string GetMISReport_DailySendReceiveTrxnsSendCountryWise = "api/master/reports/agency/mis-audit-reports/fillgrid/daily-send-receive-trxns-send-country-wise";
        public const string GetMISReport_ModWiseIntitiatedTransactionRecevingCountry = "api/master/reports/agency/mis-audit-reports/fillgrid/mod-wise-intitiated-transaction-receving-country";
        public const string GetMISReport_MISReportSummary = "api/master/reports/agency/mis-audit-reports/fillgrid/mis-report-summary";
        public const string GetMISReport_TopTenAgentsTransaction = "api/master/reports/agency/mis-audit-reports/fillgrid/top-ten-agents-transaction";

        #endregion

        #region Agency >> Sales & Marketing Report (Sales_Marketing_Reports/SalesMarketing_Reports.aspx)
        public const string GetSalesMarketingReport_ReportsType = "api/master/reports/agency/sales-marketing-reports/report-type";
        public const string GetSalesMarketingReport_Agent = "api/master/reports/agency/sales-marketing-reports/agent";
        public const string GetSalesMarketingReport_AgentBranch = "api/master/reports/agency/sales-marketing-reports/agent-branch";
        public const string GetSalesMarketingReport_FillGrid_TopAgents = "api/master/reports/agency/sales-marketing-reports/fill-grid/top-agent";
        public const string GetSalesMarketingReport_FillGrid_AgentWiseSendReceiveTransaction = "api/master/reports/agency/sales-marketing-reports/fill-grid/agent-wise-send-receive-transaction";
        public const string GetSalesMarketingReport_FillGrid_AgentSummarizedTrxnStatemet = "api/master/reports/agency/sales-marketing-reports/fill-grid/agent-summarized-trxn-statemet";
        public const string GetSalesMarketingReport_FillGrid_TransactionsCorridorSummaryPaymentMode = "api/master/reports/agency/sales-marketing-reports/fill-grid/transactions-corridor-summary-payment-mode";
        public const string GetSalesMarketingReport_FillGrid_TransactionsCorridorSummaryCountry = "api/master/reports/agency/sales-marketing-reports/fill-grid/transactions-corridor-summary-country";
        #endregion

        #region Agency >> Transaction Exchange Gain Report (AgencySR_Reports/frmExchangeGainReport.aspx)
        public const string GetTransactionExchangeGainReport_Country = "api/master/reports/agency/transaction-exchange-gain-reports/country";
        public const string GetTransactionExchangeGainReport_Agent = "api/master/reports/agency/transaction-exchange-gain-reports/agent";
        public const string GetTransactionExchangeGainReport_FillGrid = "api/master/reports/agency/transaction-exchange-gain-reports/fill-grid";
        #endregion

        #region Manage Agent User
        public const string GetManageAgentUserCountry = "api/user-management/manage-agent-user/country";
        public const string GetManageAgentUserAgent = "api/user-management/manage-agent-user/agent";
        public const string GetManageAgentUserAgentBranch = "api/user-management/manage-agent-user/agent-branch";
        public const string GetManageAgentUserGroup = "api/user-management/manage-agent-user/group";
        public const string GetManageAgentUserList = "api/user-management/manage-agent-user/user";
        public const string GetManageAgentUserGetDetail = "api/user-management/manage-agent-user/get-detail";
        public const string GetManageAgentUserAllRecord = "api/user-management/manage-agent-user/filter";
        public const string GetManageAgentUserGridGroup = "api/user-management/manage-agent-user/grid-group";
        public const string GetManageAgentUserGridSubGroup = "api/user-management/manage-agent-user/grid-sub-group";
        public const string GetManageAgentUserLoginDetail = "api/user-management/manage-agent-user/login-detail";
        public const string ManageAgentUserUpdate = "api/user-management/manage-agent-user/update";
        public const string ManageAgentUserDelete = "api/user-management/manage-agent-user/delete";
        public const string GetManageAgentUserAddAgentType = "api/user-management/manage-agent-user/add-agent-type";
        public const string GetManageAgentUserAddCountry = "api/user-management/manage-agent-user/add-country";
        public const string GetManageAgentUserAddAgent = "api/user-management/manage-agent-user/add-agent";
        public const string GetManageAgentUserAddAgentBranch = "api/user-management/manage-agent-user/add-agent-branch";
        public const string GetManageAgentUserAddGroup = "api/user-management/manage-agent-user/add-group";
        public const string GetManageAgentUserSearchByBranchCode = "api/user-management/manage-agent-user/search-by-branch-code";
        public const string GetManageAgentUserforSameLocation = "api/user-management/manage-agent-user/add-user-for-same-location";
        public const string ManageAgentUserAdd = "api/user-management/manage-agent-user/add";
        public const string GetManageAgentUserSet = "api/user-management/manage-agent-user/set";
        public const string ManageAgentUserSetTree = "api/user-management/manage-agent-user/set-tree";
        #endregion

        #region Finance & Accounts >> Commission & Income Report (Finance_Accounts_Reports/FinanceAndAccounts_Reports.aspx)
        public const string GetFinanceAndAccountsReport_ReportType = "api/master/reports/finance-and-account/commission-income-report/report-type";
        public const string GetFinanceAndAccountsReport_CountryList = "api/master/reports/finance-and-account/commission-income-report/country";
        public const string GetFinanceAndAccountsReport_CurrencyList = "api/master/reports/finance-and-account/commission-income-report/currency";
        public const string GetFinanceAndAccountsReport_AgentList = "api/master/reports/finance-and-account/commission-income-report/agent";
        public const string GetFinanceAndAccountsReport_SendAgentList = "api/master/reports/finance-and-account/commission-income-report/send-agent";
        public const string GetFinanceAndAccountsReport_RecvCountryList = "api/master/reports/finance-and-account/commission-income-report/rece-country";
        public const string FillGrid_UnpaidPrincipalReport = "api/master/reports/finance-and-account/commission-income-report/grid/unpaid-principal";
        public const string FillGrid_UnpaidCommissionReport = "api/master/reports/finance-and-account/commission-income-report/grid/unpaid-commission";
        public const string FillGrid_AgencyCommissionIncomeReport = "api/master/reports/finance-and-account/commission-income-report/grid/agency-commission-income";
        public const string FillGrid_AgencyExchangeEarningsReport = "api/master/reports/finance-and-account/commission-income-report/grid/agency-exchange-earnings";
        public const string FillGrid_GlobalTrxnsIncomeSummaryReport = "api/master/reports/finance-and-account/commission-income-report/grid/global-trxns-income-summary-report";
        public const string FillGrid_GlobalTrxnsIncomeSummaryCorridorwise = "api/master/reports/finance-and-account/commission-income-report/grid/global-trxns-income-summary-corridorwise";
        #endregion

        #region Compliance Upload Data
        public const string GetComplianceUploadDataAllRecord = "api/complicance/compliance-upload-data/all-record";
        public const string ComplianceUploadDataFile = "api/complicance/compliance-upload-data/upload-file";
        #endregion

        #region Login First Time
        public const string ChangePassword = "api/master/ChangePassword";
        #endregion

        #region AddComplianceRejectionReasonFlag[frmAddComplianceRejectionReason.aspx]
        public const string GetComplianceRejectionReasonAllRecord = "api/compliance/compliance-rejection-reason/all-record";
        public const string AddComplianceRejectionReason = "api/compliance/compliance-rejection-reason/add";
        public const string GetComplianceRejectionReasonByID = "api/compliance/compliance-rejection-reason/edit";
        public const string UpdateComplianceRejectionReason = "api/compliance/compliance-rejection-reason/update";
        #endregion

        #region Compliance Reject Transaction Report[frmComplianceRejectTransactionReport.aspx]
        public const string GetComplianceRejectTransactionByDate = "api/master/compliance-reject-transaction/by-date";
        public const string GetComplianceRejectTransactionByTrxn = "api/master/compliance-reject-transaction/by-trxn";
        #endregion

        #region RA CTA Hold Transaction
        public const string GetRACTAHoldCountryList = "api/transaction/ra-cta-hold-transaction/country";
        public const string GetRACTAHoldAgentList = "api/transaction/ra-cta-hold-transaction/agent";
        public const string GetRACTAHoldAllRecord = "api/transaction/ra-cta-hold-transaction/all-record";
        public const string GetRACTAHoldTransactionView = "api/transaction/ra-cta-hold-transaction/transaction-view";
        public const string RACTAHoldBatchApproved = "api/transaction/ra-cta-hold-transaction/batch-approved";
        public const string RACTAHoldPreview = "api/transaction/ra-cta-hold-transaction/preview";
        #endregion

        #region FLAG - AddComplianceRejectionReasonFlag[frmAddComplianceRejectionReason.aspx]
        public const string GetFlag = "api/compliance-management/rejection-reason-flag/grid";
        public const string EditFlag = "api/compliance-management/rejection-reason-flag/edit";
        public const string InsertFlag = "api/compliance-management/rejection-reason-flag/add";
        public const string UpdateFlag = "api/compliance-management/rejection-reason-flag/update";
        public const string DeleteFlag = "api/compliance-management/rejection-reason-flag/delete";
        #endregion

        #region Master >> Promotion
        public const string PromotionAdd = "api/master/Promotion/Add-Details";
        public const string PromotionGet = "api/master/Promotion/Get-Details";
        public const string PromotionChecker = "api/master/Promotion/Checker-Approval";
        #endregion

        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );
        }

    }
}
