﻿using SAIB_Web_Api.DataManager;
using SAIB_Web_Api.Models.Response;
using SAIB_Web_Api.Models.Request;
using System;
using System.Collections.Generic;
using System.Data;
using MainRemit;
using Newtonsoft.Json;
using System.Data.SqlClient;
using System.Globalization;
using System.Linq;
using System.Web;
using System.Text;


namespace SAIB_Web_Api.BusinessManager
{
    public class PromotionMaster
    {
        DAL _dal = new DAL();

        CommonLogDetails promotionLogDetails = new CommonLogDetails();

        List<CheckerResponse> CheckerListResponse = new List<CheckerResponse>();
        CheckerResponse CheckerResponse = new CheckerResponse();

        public List<PromotionDetailsResponse> GetPromotionMasterDetails(int PromotionID)
        {

            DataTable dt = _dal.GetPromotionMasterDetails(PromotionID);

            List<PromotionDetailsResponse> lstPromotionDetailsResponse = new List<PromotionDetailsResponse>();

            foreach (DataRow row in dt.Rows)
            {

                PromotionDetailsResponse _PromotionDetails = new PromotionDetailsResponse();

                _PromotionDetails.PromotionID = Convert.ToInt32(row["PromotionId"]);
                _PromotionDetails.PromoTypeID = Convert.ToInt32(row["PromotionType"]);
                //_PromotionDetails.PromotionName = row["PromotionDesp"].ToString();
                _PromotionDetails.Promodescription = row["PromotionDesp"].ToString();
                _PromotionDetails.PromotionValue = row["PromotionValue"].ToString();
                _PromotionDetails.MinAmt = row["MinAmt"].ToString();
                _PromotionDetails.MaxAmt = row["MaxAmt"].ToString();
                _PromotionDetails.CustType = row["CustType"].ToString();
                _PromotionDetails.StartDate = row["ProStartDate"].ToString();
                _PromotionDetails.EndDate = row["ProEndDate"].ToString();
                _PromotionDetails.Segment = row["Segment"].ToString();
                _PromotionDetails.Country = row["Country"].ToString();
                _PromotionDetails.Currency = row["Currency"].ToString();
                _PromotionDetails.ReceiveAgent = row["ReceiveAgent"].ToString();
                _PromotionDetails.ProCIF = row["proCIF"].ToString();
                _PromotionDetails.PromoCode = row["PromoCode"].ToString();
                _PromotionDetails.PaymentMode = row["PaymentMode"].ToString();
                _PromotionDetails.PartnerCode = row["Partnercode"].ToString();
                _PromotionDetails.Active = Convert.ToInt32(row["MainActive"]);
                _PromotionDetails.CREATEDDATE = row["CREATEDDATE"].ToString();
                _PromotionDetails.EnteredBy = row["EnteredBy"].ToString();
                _PromotionDetails.UPDATEDDATE = row["UPDATEDDATE"].ToString();
                _PromotionDetails.UpdatedBy = row["UpdatedBy"].ToString();
                lstPromotionDetailsResponse.Add(_PromotionDetails);
            }

            //string result = string.Join(", ", lstPromotionDetailsResponse.Select(p => p.ToString()));
            //string result = string.Join(", ", lstPromotionDetailsResponse);
            var nameList = lstPromotionDetailsResponse.Select(p => p.EnteredBy).ToList();
            string result = JsonConvert.SerializeObject(lstPromotionDetailsResponse);
            promotionLogDetails.LogToDB("GetPromotionMasterDetails", nameList[0].ToString(), "No Error", result, PromotionID.ToString());

            return lstPromotionDetailsResponse;
        }

        //======ADD Data======//
        public bool PromotionAddNewRecord(PromotionDetailsRequest promotionDetailsRequest)
        {
            try
            {
                string strRequest = "RequestEmpty";
                //int PromoTypeID, string PromoName, string PromoTypeDesp, string PromotionValue, string MinAmt, string MaxAmt, string CustType,
                //string StartDate, string EndDate, string ProSegment, string ProCountryID, string ProCurrency, string ProReceiveAgent,
                //string ProCIF, string PromoCode, string ProPaymentMode, string ProPartnerCode, bool chkIsActive, string G_UserID

                //if (string.IsNullOrEmpty(promotionDetailsRequest.PromoName))
                //{++++++++++++++++++++++
                //    promotionDetailsRequest.PromoName = "None";
                //}
                if (string.IsNullOrEmpty(promotionDetailsRequest.PromoTypeDesp))
                {
                    promotionDetailsRequest.PromoTypeDesp = "None";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.PromotionValue))
                {
                    promotionDetailsRequest.PromotionValue = "0";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.MaxAmt))
                {
                    promotionDetailsRequest.MaxAmt = "0";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.MinAmt))
                {
                    promotionDetailsRequest.MinAmt = "0";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.CustType))
                {
                    promotionDetailsRequest.CustType = "None";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.StartDate))
                {
                    throw new Exception("Mandatory field (StartDate) is Blank");
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.EndDate))
                {
                    throw new Exception("Mandatory field (EndDate) is Blank");
                }


                if (string.IsNullOrEmpty(promotionDetailsRequest.ProSegment))
                {
                    promotionDetailsRequest.ProSegment = "0";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.ProCountryID))
                {
                    promotionDetailsRequest.ProCountryID = "None";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.ProCurrency))
                {
                    promotionDetailsRequest.ProCurrency = "None";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.ProReceiveAgent))
                {
                    promotionDetailsRequest.ProReceiveAgent = "None";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.ProCIF))
                {
                    promotionDetailsRequest.ProCIF = "0";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.PromoCode))
                {
                    promotionDetailsRequest.PromoCode = "0";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.ProPaymentMode))
                {
                    promotionDetailsRequest.ProPaymentMode = "None";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.ProPartnerCode))
                {
                    promotionDetailsRequest.ProPartnerCode = "None";
                }
                if (string.IsNullOrEmpty(promotionDetailsRequest.G_UserID))
                {
                    promotionDetailsRequest.G_UserID = "";
                }

                Promotion.AddPromotion _add = new Promotion.AddPromotion(csCommon.ConnectionString);
                // _add.PromoName = promotionDetailsRequest.PromoName.ToString();
                _add.PromoTypeid = promotionDetailsRequest.PromoTypeID;
                _add.PromoTypeDesp = promotionDetailsRequest.PromoTypeDesp.ToString();
                _add.PromotionValue = promotionDetailsRequest.PromotionValue.ToString();
                _add.MaxAmt = promotionDetailsRequest.MaxAmt.ToString();
                _add.MinAmt = promotionDetailsRequest.MinAmt.ToString();
                _add.CustType = promotionDetailsRequest.CustType.ToString();
                _add.StartDate = promotionDetailsRequest.StartDate.ToString();
                _add.EndDate = promotionDetailsRequest.EndDate.ToString();
                _add.ProSegment = promotionDetailsRequest.ProSegment.ToString();
                _add.ProCountryID = promotionDetailsRequest.ProCountryID.ToString();
                _add.ProCurrency = promotionDetailsRequest.ProCurrency.ToString();
                _add.ProReceiveAgent = promotionDetailsRequest.ProReceiveAgent.ToString();
                _add.ProCIF = promotionDetailsRequest.ProCIF.ToString();
                _add.PromoCode = promotionDetailsRequest.PromoCode.ToString();
                _add.ProPaymentMode = promotionDetailsRequest.ProPaymentMode.ToString();
                _add.ProPartnerCode = promotionDetailsRequest.ProPartnerCode.ToString();
                _add.IsActive = promotionDetailsRequest.chkIsActive;
                _add.CreatedOn = DateTime.Parse(DateTime.Now.ToString());
                _add.CreatedBy = promotionDetailsRequest.G_UserID.ToString();
                _add.Add();

                // string result = string.Join(", ", promotionDetailsRequest.Select(p => p.ToString()));
                strRequest = JsonConvert.SerializeObject(promotionDetailsRequest);
                promotionLogDetails.LogToDB("PromotionAddNewRecord", promotionDetailsRequest.G_UserID.ToString(), "No Error", "True", strRequest);
            }
            catch (Exception ex)
            {
                string strRequest = JsonConvert.SerializeObject(promotionDetailsRequest);
                promotionLogDetails.LogToDB("PromotionAddNewRecord", promotionDetailsRequest.G_UserID.ToString(), ex.ToString(), "False", strRequest);
                throw new Exception("Record Not Saved" + ex);
            }
            return true;
        }

        public List<PromotionCheckerResponse> PromotionCheckerApprove(int PromotionID, string Status, string UserID)
        {
            //int promotionID = Convert.ToInt32(checkerPromotionID).ToString();
            _dal.PromotionApprove(PromotionID, Status, UserID);

            List<PromotionCheckerResponse> promotionCheckerResponses = new List<PromotionCheckerResponse>();
            PromotionCheckerResponse ProcheckerResponse = new PromotionCheckerResponse();
            CheckerResponse.PromotionID = Convert.ToInt32(PromotionID).ToString();
            CheckerResponse.Statuscode = Status.ToString();
            if (Status.ToString() == "A")
            {
                CheckerResponse.CurrentStatusValue = 1;
            }
            else if (Status.ToString() == "D")
            {
                CheckerResponse.CurrentStatusValue = 0;
            }
            else
            {
                CheckerResponse.CurrentStatusValue = 0;
            }
            CheckerListResponse.Add(CheckerResponse);
            ProcheckerResponse.CheckerResponse = CheckerListResponse;
            promotionCheckerResponses.Add(ProcheckerResponse);

            //string result = string.Join(", ", promotionCheckerResponses.Select(p => p.ToString()));
            string result = JsonConvert.SerializeObject(promotionCheckerResponses);
            promotionLogDetails.LogToDB("PromotionCheckerApprove", UserID, "No Error", result, $"PromotionID: {PromotionID.ToString()}, Status: {Status},UserID: {UserID}");

            return promotionCheckerResponses;
        }
    }

}
