﻿using MainRemit;
using MoneyGramService.com.moneygram.extws;
using MyControls;
using MyDatabase;
using Newtonsoft.Json;
using SAIB_Web_Api.Models;
using SAIB_Web_Api.Models.Request;
using SAIB_Web_Api.Models.Response;
using SMQ;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.UI.WebControls;
using static MainRemit.Agent;
using static MainRemit.Country.CountryType.Fill;

namespace SAIB_Web_Api.DataManager
{
    public class DAL
    {
        csDatabase _MyDB = new csDatabase(csCommon.GetConnectionString);
        csQueryBuilder _query = new csQueryBuilder();
        DataSet MyDs = new DataSet();
        #region Currency, Location, ModeOfPayment and Country
        public static DataTable get_table_sp_name(string sp_name_)
        {
            SqlConnection con = new SqlConnection(csCommon.GetConnectionString);
            SqlCommand cmd = new SqlCommand(sp_name_, con);
            cmd.CommandType = CommandType.StoredProcedure;
            //cmd.Parameters.AddWithValue("@" + parameter_, id_);
            //string com = "Select * from UserDetail";
            SqlDataAdapter adpt = new SqlDataAdapter(cmd);
            DataTable dt = new DataTable();
            adpt.Fill(dt);

            return dt;
        }

        public DataTable GetCurrency(int currencyId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (currencyId != 0)
                {
                    _query.Add("@Currency_Id", SqlDbType.NVarChar, currencyId.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetModeOfPayment(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.tbl_Countrywise_ModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllModeOfPaymentList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.ModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ParameterRequired = false;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCity(int countryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.View_CityDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (countryId != 0)
                {
                    _query.Add("@CountryID", SqlDbType.NVarChar, countryId.ToString());
                }
                _query.Run();

                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetLocation(int countryId, int cityId)
        {
            DataTable MyDT = new DataTable();
            try
            {

                _query.TableName = Procedure.View_LocationDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (countryId != 0)
                {
                    _query.Add("@CountryID", SqlDbType.NVarChar, countryId.ToString());
                    _query.Add("@CityID", SqlDbType.NVarChar, cityId.ToString());
                }
                _query.Run();

                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetMasterCountry()
        {
            _query.TableName = Procedure.Country;
            _query.QryType = csQueryBuilder.QueryType.Procedure;
            _query.ProcedureType = csQueryBuilder.ProcType.Select;
            _query.ViewType = csQueryBuilder.VType.Process;
            _query.Run();
            return _MyDB.Return_DataTable(_query.MyCmd);
        }


        public DataTable FillGridRecord(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.Country;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable GetCurrencyList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable GetInternationalTransactionTypeList()
        {
            DataTable MyDT = new DataTable();

            cType _Type = cType.International; // Replace with the appropriate value

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = TableName.CountryType;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("ID");
                _query.Add("CountryType");
                _query.AddCriteria("cType", csSQLFormat.String_InSqlFormat(_Type.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();
                //_MyDB = new csDatabase(csCommon.ConnectionString);
                //MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                //return MyDT;

                string _script = _query.ViewQuery;
                MyDT = _MyDB.Return_DataTable(_script);
                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable GetDomesticTransactionTypeList()
        {
            DataTable MyDT = new DataTable();

            cType _Type = cType.Domestic; // Replace with the appropriate value

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = TableName.CountryType;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("ID");
                _query.Add("CountryType");
                _query.AddCriteria("cType", csSQLFormat.String_InSqlFormat(_Type.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();
                //_MyDB = new csDatabase(csCommon.ConnectionString);
                //MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                //return MyDT;

                string _script = _query.ViewQuery;
                MyDT = _MyDB.Return_DataTable(_script);
                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        //=====CountryPermission======//
        #region CountryPermission
        public DataTable GetFilterData(int BaseCountryID, int TargetCountryID, int Active)
        {
            csDatabase _MyDB;
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.Countrywise_PermissionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@BaseCountryID", SqlDbType.Int, BaseCountryID.ToString());
                _query.Add("@TargetCountryID", SqlDbType.Int, TargetCountryID.ToString());
                _query.Add("@Active", SqlDbType.Int, Active.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable CountryPermission_BaseCountryDropDown()      //==PayInCountry==//
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_CountrywisePermission;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.ParameterRequired = false;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable CountryPermission_TargetCountryDropDown(int BaseCountryID)     //==PayOutCountry==//
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (BaseCountryID == 0) ? Procedure.vw_Filter_TargetCountrywisePermission : Procedure.vw_Filter_CountrywisePermission;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@BaseCountryID", SqlDbType.Int, BaseCountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable PermissionListDropDown()     //==PayOutCountry==//
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.PermissionType;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@PermissionID", SqlDbType.Int, Permission.Send.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable CountryPermission_SendingCountryDropDown_Insert(Permission _MyType)
        {
            DataTable MyDT = new DataTable();

            //MainRemit.Permission _MyType = new MainRemit.Permission();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendCountry : Procedure.vw_ListReceiveCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ParameterRequired = false;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable CountryPermission_ReceivingCountryDropDown_Insert()
        {
            DataTable MyDT = new DataTable();

            MainRemit.Permission _MyType = new MainRemit.Permission();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendCountry : Procedure.vw_ListReceiveCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ParameterRequired = false;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable FillGridBySendingCountry_Insert(int PermissionID, int BaseCountryID)
        {
            csDatabase _MyDB;
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.CountrywisePermission_List;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@BaseCountryID", SqlDbType.Int, BaseCountryID.ToString());
                _query.Add("@PermissionID", SqlDbType.Int, PermissionID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        //======CountryPermission=======//
        #region Rate and ExchangeRate by Dipali

        public DataTable ExchangeRateSettlementCurrencyList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("IsSettlementCurrency", csSQLFormat.String_InSqlFormat("True"), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ExchangeRateCurrencyList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ExchangeRateInsertCurrencyList(int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetPurposeOfTransfer(int purposeoftransferId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.PurposeOfTransfer;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (purposeoftransferId != 0)
                {
                    _query.Add("@PurposeOfTransfer_ID", SqlDbType.NVarChar, purposeoftransferId.ToString());

                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetPurposeOfTransferPaymentMode()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = TableName.PaymentModeBaseType;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("BaseTypeID");
                _query.Add("PaymentModeBaseType");
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.ViewQuery);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgencyRatesCurrencyList(int ddlcurrencyType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "sp_Currency";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.View;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("CurrencyType", SqlDbType.NVarChar, ddlcurrencyType.ToString());
                _Query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgencyRatesFillGrid(int currencyId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.TempUpdatedCurrencyUSDWiseExchangeRate;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (currencyId != 0)
                {
                    _query.Add("@Currency_Id", SqlDbType.NVarChar, currencyId.ToString());

                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgencyRatesValidation(string RatePer, string Rate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query1 = new csQueryBuilder();
                _Query1.TableName = "SpCalulateMinMaxRate";
                _Query1.QryType = csQueryBuilder.QueryType.Procedure;
                _Query1.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query1.ViewType = csQueryBuilder.VType.Process;
                _Query1.Add("@Rate", SqlDbType.Decimal, Rate.ToString());
                _Query1.Add("@RatePer", SqlDbType.Decimal, RatePer.ToString());
                _Query1.Run();
                csDatabase MyDb1 = new csDatabase(csCommon.ConnectionString);
                DataTable TblMinMax1 = MyDb1.Return_DataTable(_Query1.MyCmd);
                return TblMinMax1;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ExchangeRateBankRate(int _PayOutCountry, int _PayOutAgent)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.TempView_BankCurrencyExchangeRate;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, _PayOutAgent.ToString());
                _query.Add("@CountryID", SqlDbType.Int, _PayOutCountry.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ReceivingCountryDropDown(string userId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_BankCurrencyExchangeRate_RCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (!string.IsNullOrEmpty(userId))
                {
                    _query.Add("@UserID", SqlDbType.NVarChar, userId);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ReceivingAgentDropDown(string countryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_BankCurrencyExchangeRate_RAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@CountryID", SqlDbType.Int, countryId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentAccountDropDown(int countryId, int currencyId)
        {
            DataTable MyDT = new DataTable();
            Permission _Type = Permission.Receive;
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_Type.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendingAgentRate_AgentList : Procedure.vw_ReceivingAgentRate_AgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Currency_Id", SqlDbType.Int, currencyId.ToString());
                _query.Add("@CountryID", SqlDbType.Int, countryId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ExchangeRateInsertModOfPaymentList(int AgentId)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable SendingCountryDropDown(string userId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_BankAgentWise_CurrencyExchangeRate_SCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (!string.IsNullOrEmpty(userId))
                {
                    _query.Add("@UserID", SqlDbType.NVarChar, userId);
                }
                _query.Run();

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable SendingAgentDropDown(Permission send, string sendingcountryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (send == Permission.Send) ? Procedure.vw_BankAgentWise_CurrencyExchangeRate_SAgentList : Procedure.vw_BankAgentWise_CurrencyExchangeRate_RAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (send == Permission.Send)
                {
                    _query.Add("@ToCountry_ID", SqlDbType.Int, sendingcountryId.ToString());
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentWiseReceivingCountryDropDown(string sendingcountryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_BankAgentWise_CurrencyExchangeRate_RCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@FromCountry_ID", SqlDbType.Int, sendingcountryId.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentWiseReceivingAgentDropDown(Permission Receive, string sendingcountryId, string receivingcountryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_BankAgentWise_CurrencyExchangeRate_RAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (Receive == Permission.Receive)
                {

                    _query.Add("@FromCountry_ID", SqlDbType.Int, sendingcountryId.ToString());
                    _query.Add("@ToCountry_ID", SqlDbType.Int, receivingcountryId.ToString());
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ExchangeRateBankRateAgentWise(int sendingcountryId, int sendingagentId, int receivingcountryId, int receivingagentId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.TempView_BankAgentWise_CurrencyExchangeRate;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, sendingagentId.ToString());
                _query.Add("@ToAgent_ID", SqlDbType.Int, receivingagentId.ToString());
                _query.Add("@SendCountryID", SqlDbType.Int, sendingcountryId.ToString());
                _query.Add("@ReceCountryID", SqlDbType.Int, receivingcountryId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ExchangeRateBankRateSettlementCurrencyList(int _AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentSettlementCurrency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("Agent_ID", csSQLFormat.int_InSqlFormat(_AgentID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ExchangeRateBankRateReceivingCountryDropDown_Insert(Permission _MyType, bool _AsPerPermission)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region DailyRates
        public DataTable DailyRatesSendingCountry(string userId, string countryType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.ForUserManagement_CountrySpecificUser;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@UserID", SqlDbType.NVarChar, userId);
                _query.Add("@CountryType", SqlDbType.NVarChar, countryType);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable DailyRatesSendingAgent(int CountryID)
        {
            DataTable MyDT = new DataTable();
            Permission _Type = Permission.Send;
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_Type.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable DailyRatesReceivingAgent(int CountryID)
        {
            DataTable MyDT = new DataTable();
            Permission _Type = Permission.Receive;
            try
            {

                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_Type.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable DailyRatesReceivingCountry(int _CountryID, Permission _MyType, bool _AsPerPermission)  //, bool AsPerPermission
        {

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendCountryPermissionList : Procedure.vw_ReceiveCountryPermissionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _MyType.GetHashCode().ToString());
                _query.Run();
                csDatabase _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable DailyRatesCIFNumberList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.CIF_Information;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====GridView===//
        public DataTable GetDailyRatesScriptForAgent(DailyRatesFillGrid_Request gridRequest, Permission _Type)
        {
            DataTable MyDT = new DataTable();

            bool AsPerPermission = gridRequest.SessionG_UserGroup.ToString() == "1" ? false : true;

            int IsAgent = gridRequest.SessionSubUserGroup_Id.ToString() == "3" ? 2 : 1;

            bool IsSubAgent = gridRequest.IsSubAgent.ToString() == "false" ? false : true;


            string UserGroup = gridRequest.SessionG_UserGroup.ToString();

            int _TargetCountryID = gridRequest.TargetCountryID;
            int _TargetAgentID = gridRequest.TargetAgentID;
            int _CountryID = gridRequest.CountryID;
            int _AgentID = gridRequest.AgentID;
            string _CIFNumber = gridRequest.CIFNumber;

            string ProductType = string.Empty;


            try
            {
                if (UserGroup != UserGroupType.SR.GetHashCode().ToString() || UserGroup != "1")
                {
                    int SettelmentCCY = Convert.ToInt32(gridRequest.SessionBaseCurrencyID.ToString());
                    int _CountryID1 = int.Parse(gridRequest.SessionAgentCountryID.ToString());
                    int _AgentID1 = int.Parse(gridRequest.SessionG_Agent_ID.ToString());

                    if (IsAgent == 2)
                    {
                        if (_CIFNumber == "0")
                        {

                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;
                            _query.Add("@IsAgent", SqlDbType.Int, "1");
                            _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }

                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber.ToString());
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType.ToString());
                            }

                            _query.Run();

                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }
                        else
                        {

                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;
                            _query.Add("@IsAgent", SqlDbType.Int, "1");
                            _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }

                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType.ToString());
                            }

                            _query.Run();

                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }

                    }
                    else
                    {
                        if (_CIFNumber == "0")
                        {
                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;
                            _query.Add("@IsAgent", SqlDbType.Int, "1");
                            _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }

                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType.ToString());
                            }
                            _query.Run();

                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }
                        else
                        {
                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;
                            _query.Add("@IsAgent", SqlDbType.Int, "1");
                            _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }

                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType.ToString());
                            }

                            _query.Run();
                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }

                    }
                }
                else
                {
                    int SettelmentCCY = Convert.ToInt32(gridRequest.SessionBaseCurrencyID.ToString());
                    bool _IsAgent = true;
                    if (gridRequest.AgentID <= 2 && _AgentID == -1 && _AgentID == 0)
                    {
                        _IsAgent = false;
                    }

                    if (_CIFNumber == "0")
                    {

                        if (_AgentID == -1)
                        {
                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;

                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType.ToString());
                            }

                            _query.Run();
                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }
                        else
                        {
                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;
                            _query.Add("@IsAgent", SqlDbType.Int, "0");
                            _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID >= 0 && _IsAgent == true)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }

                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType);
                            }

                            _query.Run();
                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }

                    }
                    else
                    {

                        if (_AgentID == -1)
                        {
                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;

                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType);
                            }

                            _query.Run();
                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }
                        else
                        {
                            csQueryBuilder _query = new csQueryBuilder();
                            _query.TableName = Procedure.vw_DailyRates;
                            _query.QryType = csQueryBuilder.QueryType.Procedure;
                            _query.ProcedureType = csQueryBuilder.ProcType.Select;
                            _query.ViewType = csQueryBuilder.VType.Process;
                            _query.Add("@IsAgent", SqlDbType.Int, "0");
                            _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                            if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID >= 0 && _IsAgent == true)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@BaseSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }
                            else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                            {
                                if (_CountryID != -1 && _CountryID != 0)
                                {
                                    _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                                }
                                if (_TargetCountryID != -1 && _TargetCountryID != 0)
                                {
                                    _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                                }
                                if (_AgentID != -1 && _AgentID != 0)
                                {
                                    _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                                }
                                if (_TargetAgentID != -1 && _TargetAgentID != 0)
                                {
                                    _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                                }
                                _query.Add("@TargetSettlementCurrency", SqlDbType.Int, SettelmentCCY.ToString());
                            }

                            if (!string.IsNullOrEmpty(_CIFNumber))
                            {
                                _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                            }
                            if (!string.IsNullOrEmpty(ProductType))
                            {
                                _query.Add("@ProductType", SqlDbType.NVarChar, ProductType);
                            }

                            _query.Run();
                            _MyDB = new csDatabase(csCommon.GetConnectionString);
                            MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                            return MyDT;
                        }

                    }

                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Exchange Margins

        //====BySanat====ExchangeMargins======//


        //=====TAB(1)====Margins - SpecificSendingCountry======//

        public DataTable MarginSendingCountryDropDown()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_vw_SRSendingExchangeMargin_SCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable GetMarginFilterData(int _PayInCountry)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_SRSendingExchangeMargin;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (_PayInCountry != 0)
                {
                    _query.Add("@CountryID", SqlDbType.Int, _PayInCountry.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable MarginSendingCountryDropDown_Add(bool _AsPerPermission)
        {
            DataTable MyDT = new DataTable();
            Permission _MyType = Permission.Send;
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable MarginSendingCurrencyDropDown_Add(string _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }




        //=======Tab(2)=====Margins - SpecificSendingAndReceivingCountry======//


        //===TAB(2)======Sending Country(PayInCountry2)=====//
        public DataTable MarginSendingCountryAdd()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_vw_SR_Exchange_Margin_SCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //===TAB(2)======Receiving Country(PayOutCountry2)=====//
        public DataTable MarginReceivingCountry(int countryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_vw_SR_Exchange_PreferentialMargin_RCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@PayInCountryId", SqlDbType.Int, countryId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //===TAB(2)==========Fill Grid by Filter Button2(Sending and Receiving Margin)======//

        public DataTable GetFilterData(int _PayInCountry, int _PayOutCountry)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_SR_Exchange_Margin;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@SendCountryID", SqlDbType.Int, _PayInCountry.ToString());
                _query.Add("@ReceCountryID", SqlDbType.Int, _PayOutCountry.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //=======frmAddSRExchangeMargin.aspx=====Insert Data Section====TAB-2==//


        //===TAB(2)======Sending Country(SRExchangeMargin_PayInCountryId)=====//
        public DataTable MarginSendingCountry_Add()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_MainCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //===TAB(2)======Sending Currency(SRExchangeMargin_PayInCurrencyId)=====//
        public DataTable MarginSending_Currency_Add(int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //===TAB(2)======Receiving Country(SRExchangeMargin_PayOutCountryId)===Insert Section==//
        public DataTable MarginReceivingCountryAdd(int countryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_vw_SR_Exchange_PreferentialMargin_RCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@PayInCountryId", SqlDbType.Int, countryId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //===TAB(2)======Receiving Courrency(SRExchangeMargin_PayOutCurrencyId)===Insert Section==//
        public DataTable MarginReceivingCurrencyAdd(int countryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, countryId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //===TAB(2)====Mode Of Payment(ModeOfPayment_ID)===Insert Section==//
        public DataTable MarginModeofPaymentAdd(int _TargetCountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Permission_ModeOfPayment_ForSRExchangeMargin;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TargetCountryID", SqlDbType.Int, _TargetCountryID.ToString());
                _query.Run();


                //csQueryBuilder _query = new csQueryBuilder();
                //_query.TableName = Procedure.ModeOfPayment;
                //_query.QryType = csQueryBuilder.QueryType.Procedure;
                //_query.ProcedureType = csQueryBuilder.ProcType.Select;
                //_query.ParameterRequired = false;
                //_query.AddCriteria("ProductType", csSQLFormat.String_InSqlFormat(ProductType.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                //_query.Run();


                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }




        //========TAB(3)======CIF Wise Margins======//


        //=======TAB(3)=====Sending Country(PreferentialPayInCountry2)=====//
        public DataTable MarginSending_CountryDropDown()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_vw_SR_Exchange_PreferentialMargin_SCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //=======TAB(3)=====Receiving Country(PreferentialPayOutCountry2)=====//
        public DataTable MarginReceiving_CountryDropDown(int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_vw_SR_Exchange_PreferentialMargin_RCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@PayInCountryId", SqlDbType.Int, _CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //=====TAB(3)=======Fill Gridview TAB-3======(PreferentialbtnFilter_Click)===//

        public DataTable GetAllFilterdData(int _PayInCountry, int _PayOutCountry)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_SR_Exchange_PreferentialMargin;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@SendCountryID", SqlDbType.Int, _PayInCountry.ToString());
                _query.Add("@ReceCountryID", SqlDbType.Int, _PayOutCountry.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }




        //==============INSERT DATA SECTION=========frmAddSRExchangePreferentialMargin.aspx=====//

        //=====TAB(3)=====Sending Country(PayInCountryId)=====//
        public DataTable MarginSendingCountry_Addd()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_MainCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //=====TAB(3)====Sending Currency(PayInCurrencyId)=====//
        public DataTable MarginSendingCurrencyDropDown_Add(int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //=======TAB(3)====Receiving Country(SRExchangeMargin_PayOutCountryId)===Insert Section==//
        public DataTable MarginReceivingCountry_Add(int countryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_MainCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //===TAB(3)=====Receiving Courrency(SRExchangeMargin_PayOutCurrencyId)===Insert Section==//
        public DataTable MarginReceivingCurrency_Add(int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //===TAB(3)======Mode Of Payment(ModeOfPayment_ID)===Insert Section==//
        public DataTable ModeofPaymentDropDownAdd(int _TargetCountryID)
        {

            DataTable MyDT = new DataTable();

            try
            {

                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Permission_ModeOfPayment_ForSRExchangeMargin;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TargetCountryID", SqlDbType.Int, _TargetCountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //===========CIF Number - TAB(3)========//

        public DataTable MarginCIMnumberList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.CIF_Information;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region ViewTransactionStatus(frmViewTransactionStatus.aspx)

        public DataTable TransactionStatusList()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_ViewTransactionStatus_StatusList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentTypeList(int _AgentId, int _AgentGroupID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_IsAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (_AgentId != 0)
                {
                    _query.Add("@Group_Id", SqlDbType.Int, _AgentGroupID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable TransferTypeList(int _Agent_ID, int _Group)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                if (_Agent_ID == 0)
                {
                    if (_Group == 8) // For display Sender Transaction
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_TrTypeForTransfer;
                    }
                }
                else
                {
                    if (_Group == 8)
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else if (_Group == 9)
                    {
                        _query.TableName = Procedure.vw_Receive_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_SendReceive_Tr_Type;
                    }
                }

                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();
                //return _query.MyCmd;
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ddlPayInCountryList(Permission _MyType = Permission.Send)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSearchSendCountry : Procedure.vw_ListSearchReceiveCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Permission", SqlDbType.Int, _MyType.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ViewTransactionCurrencyList(int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable CountryList()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_ListCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentList(Permission _Type, int _Agent_ID, int _TargetCountryID)
        {
            DataTable MyDT = new DataTable();

            _AgentData Agent_Info = new _AgentData();

            Agent_Info.Agent_ID = _Agent_ID;
            Agent_Info.TargetCountryID = _TargetCountryID;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_Type.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (Agent_Info.Agent_ID != 0)
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, Agent_Info.Agent_ID.ToString());
                }
                _query.Add("@CountryID", SqlDbType.Int, Agent_Info.TargetCountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentBranchList(int AgentInfo)
        {
            DataTable MyDT = new DataTable();

            _AgentData Agent_Info = new _AgentData();

            Agent_Info.Agent_ID = AgentInfo;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentBranchList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (Agent_Info.Agent_ID != 0) // For All Agent branch
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, Agent_Info.Agent_ID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentUserList(int AgentBranchID, int AgentID)
        {
            DataTable MyDT = new DataTable();

            _AgentData Agent_Info = new _AgentData();

            Agent_Info.AgentBranch_ID = AgentBranchID;
            Agent_Info.Agent_ID = AgentID;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentBranchwise_UserList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (Agent_Info.AgentBranch_ID != 0)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, Agent_Info.AgentBranch_ID.ToString());
                }
                _query.Add("@Agent_ID", SqlDbType.Int, Agent_Info.Agent_ID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ddlPayOutCurrencyList(int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ViewRecordBySearch(TransactionSearchParameters parameters, int PermissionType)
        {
            DataTable MyDT = new DataTable();
            Permission _AgentType = new Permission();
            if (PermissionType == 2)
            {
                _AgentType = Permission.Send;
            }
            else if (PermissionType == 1)
            {
                _AgentType = Permission.Receive;
            }
            else if (PermissionType == 0)
            {
                _AgentType = Permission.None;
            }
            try
            {
                _query.TableName = "sp_View_ViewTransactionStatus";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserGroupType", SqlDbType.Int, parameters.SubType.ToString());

                if (parameters.SearchByType == 1)
                {
                    if (parameters.SRTRNo != "0" || parameters.SRTRNo != "" || parameters.SRTRNo != null)
                    {

                        if (!string.IsNullOrEmpty(parameters.SRTRNo))
                        {
                            _query.Add("@SRTRNo", SqlDbType.NVarChar, parameters.SRTRNo.Trim());
                        }
                        else
                        {
                            throw new Exception("Transaction Number not provided.");
                        }

                        if (parameters.SessionAgent_ID != 0)
                        {

                            if (_AgentType == Permission.Send)
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, parameters.AgentID.ToString());
                            }
                            else if (_AgentType == Permission.Receive)
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, parameters.AgentID.ToString());
                            }
                        }
                    }

                }
                else if (parameters.SearchByType == 2)
                {

                    if (parameters.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, parameters.TopRecord.ToString());
                    }
                    if (parameters.TrStatusID != 0 && parameters.TrStatusID != -1)
                    {
                        _query.Add("@TrStatusID", SqlDbType.Int, parameters.TrStatusID.ToString());
                    }
                    if (parameters.AgentID != 0)
                    {
                        if (_AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, parameters.AgentID.ToString());
                        }
                        else if (_AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, parameters.AgentID.ToString());
                        }
                        else
                        {
                            if (parameters.TrTypeID == PaymentMode.Cash.GetHashCode() || parameters.TrTypeID == PaymentMode.Bank_Transfer.GetHashCode() || parameters.TrTypeID == PaymentMode.Draft.GetHashCode())
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, parameters.AgentID.ToString());
                            }
                            else
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, parameters.AgentID.ToString());
                            }
                        }
                    }
                    if (parameters.TrTypeID != 0 && parameters.TrTypeID != -1)
                    {
                        _query.Add("@TrTypeID", SqlDbType.Int, parameters.TrTypeID.ToString());
                    }
                    if (parameters.PayInCountry != 0 && parameters.PayInCountry != -1)
                    {
                        _query.Add("@CountryID", SqlDbType.Int, parameters.PayInCountry.ToString());
                    }
                    if (parameters.PayInCurrency != 0 && parameters.PayInCurrency != -1)
                    {
                        _query.Add("@PayInCurrencyID", SqlDbType.Int, parameters.PayInCurrency.ToString());
                    }
                    if (parameters.PayOutCountry != 0 && parameters.PayOutCountry != -1)
                    {
                        _query.Add("@PayCountryID", SqlDbType.Int, parameters.PayOutCountry.ToString());
                    }
                    if (parameters.PayOutCurrency != 0 && parameters.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, parameters.PayOutCurrency.ToString());
                    }

                    if (!string.IsNullOrEmpty(parameters.osStartDate))
                    {
                        if (!string.IsNullOrEmpty(parameters.osEndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(parameters.osStartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(parameters.osEndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN  '" + parameters.osStartDate + "' AND '" + parameters.osEndDate + "'");
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(parameters.osEndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                }

                else if (parameters.SearchByType == 3)
                {

                    bool _IsInputProvided = false;

                    if (!string.IsNullOrEmpty(parameters.Customer_Name_F))
                    {
                        _query.Add("@Customer_Name_F", SqlDbType.NVarChar, parameters.Customer_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(parameters.Customer_Name_L))
                    {
                        _query.Add("@Customer_Name_L", SqlDbType.NVarChar, parameters.Customer_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(parameters.Remitter_Phone_No))
                    {
                        _query.Add("@Customer_Phone", SqlDbType.NVarChar, parameters.Remitter_Phone_No);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(parameters.Beneficiary_Name_F))
                    {
                        _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, parameters.Beneficiary_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(parameters.Beneficiary_Name_L))
                    {
                        _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, parameters.Beneficiary_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(parameters.Benef_Phone_No))
                    {
                        _query.Add("@Beneficiary_Phone", SqlDbType.NVarChar, parameters.Benef_Phone_No);
                        _IsInputProvided = true;
                    }

                    if (!string.IsNullOrEmpty(parameters.StartDate))
                    {
                        if (!string.IsNullOrEmpty(parameters.EndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(parameters.StartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(parameters.EndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN CONVERT(DATETIME, '" + parameters.StartDate + " 00:00:00', 102) AND CONVERT(DATETIME, '" + parameters.EndDate + " 00:00:00', 102)");
                                    _IsInputProvided = true;
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(parameters.EndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                    if (!_IsInputProvided)
                    {
                        throw new Exception("Input not provided.");
                    }

                }

                if (parameters.LoginAgentCountry != 0)
                {
                    _query.Add("@LoginCountryID", SqlDbType.Int, parameters.LoginAgentCountry.ToString());
                }
                if (parameters.LoginAgentCity != 0)
                {
                    _query.Add("@LoginCityID", SqlDbType.Int, parameters.LoginAgentCity.ToString());
                }
                if (parameters.LoginAgentLocation != 0)
                {
                    _query.Add("@LoginLocationID", SqlDbType.Int, parameters.LoginAgentLocation.ToString());
                }


                if (parameters.AgentBranchId != 0 && parameters.AgentBranchId != -1)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, parameters.AgentBranchId.ToString());
                }

                if (!string.IsNullOrEmpty(parameters.UserID.ToString()) && parameters.UserID != 0 && parameters.UserID != -1)
                {
                    _query.Add("@UserId", SqlDbType.NVarChar, parameters.UserID.ToString());
                }

                if (!string.IsNullOrEmpty(parameters.StatusList))
                {
                    _query.Add("@ListTrStatusID", SqlDbType.NVarChar, parameters.StatusList);
                }

                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Country Wise Commission Method
        public DataTable GetCountryWiseCommission(int PayInCountryID, int PayOutCountryID, int ModeOfPayment_ID, decimal StartRange, decimal EndRange)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.TempView_CommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@SendCountryID", SqlDbType.Int, PayInCountryID.ToString());
                _query.Add("@ReceCountryID", SqlDbType.Int, PayOutCountryID.ToString());
                _query.Add("@ModeOfPayment", SqlDbType.Int, ModeOfPayment_ID.ToString());
                _query.Add("@StartRange", SqlDbType.Decimal, StartRange.ToString());
                _query.Add("@EndRange", SqlDbType.Decimal, EndRange.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCountryWiseCommissionSendCountry()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_CommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetCountryWiseCommissionReceiveCountry(string CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_CommissionSlab_ReceCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddFieldOrder("CountryName", csQueryBuilder.OrderType.Ascending);
                _query.Add("@SendCountryID", SqlDbType.NVarChar, CountryID);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCountryWiseCommissionModeOfPayment(int TargetCountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Permission_ModeOfPayment_ForCommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TargetCountryID", SqlDbType.Int, TargetCountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable CountryWiseCommission_SendCountry_Insert(Permission _MyType, bool _AsPerPermission = false)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable CountryWiseCommission_SendCurrency_Insert(int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable CountryWiseCommission_ReceiveCountry_Insert(Permission _MyType, bool _AsPerPermission = false)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable CountryWiseCommission_CommissionType_Insert()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = TableName.CommissionType;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("ID");
                _query.Add("CommissionType");
                _query.AddFieldOrder("CommissionType", csQueryBuilder.OrderType.Ascending);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.ViewQuery);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable CountryWiseCommission_SendCurrencyType_Insert()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = TableName.CurrencyType;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("ID");
                _query.Add("CurrencyType");
                _query.AddFieldOrder("CurrencyType", csQueryBuilder.OrderType.Ascending);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.ViewQuery);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetCountryWiseCommissionByID(int ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.tbl_CommissionSlabMaster;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("ID", csSQLFormat.int_InSqlFormat(ID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Agent Wise Commission Method

        public DataTable GetAgentWiseCommissionSendCountry()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_AgentWise_CommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommissionSendAgent(int PayInCountry)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_AgentWise_CommissionSlab_Agent;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (PayInCountry != 0)
                {
                    _query.Add("@CountryID", SqlDbType.Int, PayInCountry.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommissionReceiveCountry(int PayInCountry)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_vw_Filter_AgentWise_CommissionSlab_ForRece;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (PayInCountry != 0)
                {
                    _query.Add("@PayInCountryID", SqlDbType.Int, PayInCountry.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommissionReceiveAgent(int PayOutCountry)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_vw_Filter_AgentWise_CommissionSlab_Agent_ForRece;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (PayOutCountry != 0)
                {
                    _query.Add("@PayOutCountryID", SqlDbType.Int, PayOutCountry.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommissionModeOfPayment()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.ModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ParameterRequired = false;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommissionSubAgent(int ReceAgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "Sp_GetActiveSubAgent";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Agent_ID", SqlDbType.Int, ReceAgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission(int PayInCountryId, int PayOutCountryId, int Agent_ID, int ReceivingAgent, int ModeOfPayment_ID, int SubAgentID, decimal StartRange = 0, decimal EndRange = 0)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (SubAgentID != -2)
                {
                    _query.TableName = "sp_View_SubAgentWise_CommissionSlab";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.View;
                    _query.Add("@Agent_ID", SqlDbType.Int, ReceivingAgent.ToString());
                    _query.Add("@CountryID", SqlDbType.Int, PayInCountryId.ToString());
                    _query.Add("@RecCountryID", SqlDbType.Int, PayOutCountryId.ToString());
                    _query.Add("@RecAgent_ID", SqlDbType.Int, SubAgentID.ToString());
                    _query.Add("@ModeOfPayment", SqlDbType.Int, ModeOfPayment_ID.ToString());
                    _query.Add("@StartRange", SqlDbType.Decimal, StartRange.ToString());
                    _query.Add("@EndRange", SqlDbType.Decimal, EndRange.ToString());
                }
                else
                {
                    _query.TableName = Procedure.TempView_AgentWise_CommissionSlab;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@CountryID", SqlDbType.Int, PayInCountryId.ToString());
                    _query.Add("@RecCountryID", SqlDbType.Int, PayOutCountryId.ToString());
                    _query.Add("@Agent_ID", SqlDbType.Int, Agent_ID.ToString());
                    _query.Add("@RecAgent_ID", SqlDbType.Int, ReceivingAgent.ToString());
                    _query.Add("@ModeOfPayment", SqlDbType.Int, ModeOfPayment_ID.ToString());
                    _query.Add("@StartRange", SqlDbType.Decimal, StartRange.ToString());
                    _query.Add("@EndRange", SqlDbType.Decimal, EndRange.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_SendCountry_Insert(Permission MyType, bool AsPerPermission = false)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_Agent_Insert(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_ModeOfPayment_Insert(int AgentId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.ModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ParameterRequired = false;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_SendCurrency_Insert(int CountryID, int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (AgentID == -1)
                {
                    _query.TableName = Procedure.vw_Countrywise_Currency;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                }
                else
                {
                    _query.TableName = Procedure.vw_Agentwise_CurrencyDetails;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_ReceiveCountry_Insert(Permission MyType, bool AsPerPermission = false)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_ReceiveCurrency_Insert(int CountryId, bool IsSettelmentCurrency = false)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (CountryId == -1)
                {
                    _query.TableName = Procedure.Currency;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                }
                else
                {
                    _query.TableName = Procedure.vw_Countrywise_Currency;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@CountryID", SqlDbType.Int, CountryId.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_ReceiveAgent_Insert(int CurrencyID, int CountryID, Permission Type)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (Type.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendingAgentRate_AgentList : Procedure.vw_ReceivingAgentRate_AgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Currency_Id", SqlDbType.Int, CurrencyID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_ReceiveSubAgent_Insert(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "Sp_GetActiveSubAgent";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCommission_RangeCurrencyType_Insert()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = TableName.CurrencyType;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("ID");
                _query.Add("CurrencyType");
                _query.AddFieldOrder("CurrencyType", csQueryBuilder.OrderType.Ascending);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.ViewQuery);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool AddAgentWiseCommission(AgentWiseCommissionRequest agentWiseCommissionRequest)
        {
            _query.TableName = "sp_SubAgentWise_CommissionSlabMaster";
            _query.QryType = csQueryBuilder.QueryType.Procedure;
            _query.ProcedureType = csQueryBuilder.ProcType.Insert;
            _query.ViewType = csQueryBuilder.VType.Process;
            _query.Add("@PayInCountryId", SqlDbType.Int, agentWiseCommissionRequest.PayInCountryID.ToString());
            _query.Add("@SendingAgent", SqlDbType.Int, agentWiseCommissionRequest.Agent_ID.ToString());
            _query.Add("@Agent_ID", SqlDbType.Int, agentWiseCommissionRequest.RecAgent_ID.ToString());
            _query.Add("@PayInCurrencyID", SqlDbType.Int, agentWiseCommissionRequest.PayInCurrencyID.ToString());
            _query.Add("@PayOutCurrencyID", SqlDbType.Int, agentWiseCommissionRequest.PayOutCurrencyID.ToString());
            _query.Add("@ModeOfPayment_ID", SqlDbType.Int, agentWiseCommissionRequest.ModeOfPayment_ID.ToString());
            _query.Add("@StartRange", SqlDbType.Decimal, agentWiseCommissionRequest.StartRange.ToString());
            _query.Add("@EndRange", SqlDbType.Decimal, agentWiseCommissionRequest.EndRange.ToString());
            _query.Add("@ReceivingAgent", SqlDbType.Int, agentWiseCommissionRequest.RecSubAgent_ID.ToString());
            _query.Add("@BaseToBaseCommissionAmount", SqlDbType.Decimal, agentWiseCommissionRequest.BaseToBaseCommissionAmount.ToString());
            _query.Add("@PayCommissionType", SqlDbType.Int, agentWiseCommissionRequest.PayCommissionType.ToString());
            _query.Add("@PayInCommissionType", SqlDbType.Int, agentWiseCommissionRequest.PayInCommissionType.ToString());
            _query.Add("@PayInCurrencyType", SqlDbType.Int, agentWiseCommissionRequest.PayInCurrencyType.ToString());
            _query.Add("@PayInCommissionAmount", SqlDbType.Decimal, agentWiseCommissionRequest.PayInCommissionAmount.ToString());
            _query.Add("@PayOutCommissionType", SqlDbType.Int, agentWiseCommissionRequest.PayOutCommissionType.ToString());
            _query.Add("@PayOutCurrencyType", SqlDbType.Int, agentWiseCommissionRequest.PayOutCurrencyType.ToString());
            _query.Add("@RangeCurrencyType", SqlDbType.Decimal, agentWiseCommissionRequest.RangeCurrencyType.ToString());
            _query.Add("@PayOutCommissionAmount", SqlDbType.Decimal, agentWiseCommissionRequest.PayOutCommissionAmount.ToString());
            _query.Add("@PayOutCountryId", SqlDbType.Int, agentWiseCommissionRequest.PayOutCountryID.ToString());

            #region Added for Min Max Slab
            _query.Add("@IsPayOutMinMax", SqlDbType.VarChar, agentWiseCommissionRequest.IsReceiverMixMaxSet.ToString());
            _query.Add("@PayOutFixAmount", SqlDbType.Decimal, agentWiseCommissionRequest.ReceiverFixAmount.ToString());
            _query.Add("@PayOutMinAmount", SqlDbType.Decimal, agentWiseCommissionRequest.ReceiverMinAmount.ToString());
            _query.Add("@PayOutMaxAmount", SqlDbType.Decimal, agentWiseCommissionRequest.ReceiverMaxAmount.ToString());
            #endregion

            _query.Add("@DtEntered", SqlDbType.DateTime, DateTime.Now.ToString());
            _query.Add("@TmEntered", SqlDbType.DateTime, DateTime.Now.ToString());
            _query.Add("@EnteredBy", SqlDbType.NVarChar, agentWiseCommissionRequest.EnteredBy.ToString());
            _query.Run();

            csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
            MyDB.ExecuteNonQuery(_query.MyCmd);
            return true;
        }
        public DataTable GetAgentWiseCommissionByID(int ID, string IsSubAgent)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (IsSubAgent == "N")
                {
                    _query.TableName = Procedure.tbl_AgentWise_CommissionSlabMaster;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.AddCriteria("ID", csSQLFormat.int_InSqlFormat(ID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                }
                else
                {
                    _query.TableName = "sp_SubAgentWise_CommissionSlabMaster";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.AddCriteria("ID", csSQLFormat.int_InSqlFormat(ID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool UpdateAgentWiseCommission(AgentWiseCommissionRequest agentWiseCommissionRequest)
        {
            _query.TableName = "sp_SubAgentWise_CommissionSlabMaster";
            _query.QryType = csQueryBuilder.QueryType.Procedure;
            _query.ProcedureType = csQueryBuilder.ProcType.Update;
            _query.ViewType = csQueryBuilder.VType.Process;
            _query.Add("@ID", SqlDbType.Int, agentWiseCommissionRequest.ID.ToString());
            _query.Add("@PayInCountryId", SqlDbType.Int, agentWiseCommissionRequest.PayInCountryID.ToString());
            _query.Add("@SendingAgent", SqlDbType.Int, agentWiseCommissionRequest.Agent_ID.ToString());
            _query.Add("@Agent_ID", SqlDbType.Int, agentWiseCommissionRequest.RecAgent_ID.ToString());
            _query.Add("@PayInCurrencyID", SqlDbType.Int, agentWiseCommissionRequest.PayInCurrencyID.ToString());
            _query.Add("@PayOutCurrencyID", SqlDbType.Int, agentWiseCommissionRequest.PayOutCurrencyID.ToString());
            _query.Add("@ModeOfPayment_ID", SqlDbType.Int, agentWiseCommissionRequest.ModeOfPayment_ID.ToString());
            _query.Add("@StartRange", SqlDbType.Decimal, agentWiseCommissionRequest.StartRange.ToString());
            _query.Add("@EndRange", SqlDbType.Decimal, agentWiseCommissionRequest.EndRange.ToString());
            _query.Add("@ReceivingAgent", SqlDbType.Int, agentWiseCommissionRequest.RecSubAgent_ID.ToString());
            _query.Add("@BaseToBaseCommissionAmount", SqlDbType.Decimal, agentWiseCommissionRequest.BaseToBaseCommissionAmount.ToString());
            _query.Add("@PayCommissionType", SqlDbType.Int, agentWiseCommissionRequest.PayCommissionType.ToString());
            _query.Add("@PayInCommissionType", SqlDbType.Int, agentWiseCommissionRequest.PayInCommissionType.ToString());
            _query.Add("@PayInCurrencyType", SqlDbType.Int, agentWiseCommissionRequest.PayInCurrencyType.ToString());
            _query.Add("@PayInCommissionAmount", SqlDbType.Decimal, agentWiseCommissionRequest.PayInCommissionAmount.ToString());
            _query.Add("@PayOutCommissionType", SqlDbType.Int, agentWiseCommissionRequest.PayOutCommissionType.ToString());
            _query.Add("@PayOutCurrencyType", SqlDbType.Int, agentWiseCommissionRequest.PayOutCurrencyType.ToString());
            _query.Add("@RangeCurrencyType", SqlDbType.Decimal, agentWiseCommissionRequest.RangeCurrencyType.ToString());
            _query.Add("@PayOutCommissionAmount", SqlDbType.Decimal, agentWiseCommissionRequest.PayOutCommissionAmount.ToString());
            _query.Add("@PayOutCountryId", SqlDbType.Int, agentWiseCommissionRequest.PayOutCountryID.ToString());

            _query.Add("@IsPayOutMinMax", SqlDbType.VarChar, agentWiseCommissionRequest.IsReceiverMixMaxSet.ToString());
            _query.Add("@PayOutFixAmount", SqlDbType.Decimal, agentWiseCommissionRequest.ReceiverFixAmount.ToString());
            _query.Add("@PayOutMinAmount", SqlDbType.Decimal, agentWiseCommissionRequest.ReceiverMinAmount.ToString());
            _query.Add("@PayOutMaxAmount", SqlDbType.Decimal, agentWiseCommissionRequest.ReceiverMaxAmount.ToString());

            _query.Add("@DtEntered", SqlDbType.DateTime, DateTime.Now.ToString());
            _query.Add("@TmEntered", SqlDbType.DateTime, DateTime.Now.ToString());
            _query.Add("@EnteredBy", SqlDbType.NVarChar, agentWiseCommissionRequest.EnteredBy.ToString());
            _query.Run();

            csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
            MyDB.ExecuteNonQuery(_query.MyCmd);
            return true;
        }

        public DataTable ViewAgentWiseCommission(int ModuleID, int ID, string IsSubAgent)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetCheckerData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@ModuleID", SqlDbType.Int, ModuleID.ToString());
                _query.Add("@ID", SqlDbType.NVarChar, ID.ToString());
                if (IsSubAgent != null)
                {
                    _query.Add("@AddInfo1", SqlDbType.NVarChar, IsSubAgent);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string DeleteAgentWiseCommission(int ID, int SubAgentID)
        {
            try
            {
                _query.TableName = "sp_UpdateSubAgentWise_CommissionSlab";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Delete;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@ID", SqlDbType.Int, ID.ToString());
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                string Message = "Agent Wise Commission Slab information deleted successfully.";
                return Message;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void AgentGridUpdate(int ID, decimal StartRange, decimal EndRange, decimal BaseToBaseCommissionAmount, decimal PayInCommissionAmount, decimal PayOutCommissionAmount, string UserID)
        {
            _query.TableName = "sp_UpdateSubAgentWise_CommissionSlab";
            _query.QryType = csQueryBuilder.QueryType.Procedure;
            _query.ProcedureType = csQueryBuilder.ProcType.Update;
            _query.ViewType = csQueryBuilder.VType.Process;
            _query.Add("@ID", SqlDbType.Int, ID.ToString());
            _query.Add("@StartRange", SqlDbType.Decimal, StartRange.ToString());
            _query.Add("@EndRange", SqlDbType.Decimal, EndRange.ToString());
            _query.Add("@BaseToBaseCommissionAmount", SqlDbType.Decimal, string.IsNullOrEmpty(Convert.ToString(BaseToBaseCommissionAmount)) ? "0" : BaseToBaseCommissionAmount.ToString());
            _query.Add("@PayInCommissionAmount", SqlDbType.Decimal, PayInCommissionAmount.ToString());
            _query.Add("@PayOutCommissionAmount", SqlDbType.Decimal, PayOutCommissionAmount.ToString());
            _query.Add("@EnteredBy", SqlDbType.NVarChar, UserID);
            _query.Run();
            csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
            MyDB.ExecuteNonQuery(_query.MyCmd);
        }

        public bool ApproveAgentWiseCommission(int Moduleid, int Id)
        {
            try
            {
                _query.TableName = "spApproveData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;
                _query.Add("@ModuleID", SqlDbType.Int, Moduleid.ToString());
                _query.Add("@ID", SqlDbType.NVarChar, Id.ToString());
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region ViewStopPayment (frmViewStopPayment.aspx)

        //====Select Status(drpTrStatus)=======//
        public DataTable SelectStatusList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_StopPayment_Status;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> StatusList(ddlStatus)=========//
        public DataTable SelectTransactionStatusList(string Form)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_TrStatus;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@Form", SqlDbType.NVarChar, Form);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Agent Type (drpAgentType)=========//
        public DataTable SelectAgentTypeList(int _AgentId, int _AgentGroupID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_IsAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (_AgentId != 0)
                {
                    _query.Add("@Group_Id", SqlDbType.Int, _AgentGroupID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Transfer Type (ddlTransferType)=========//
        public DataTable SelectTransferTypeList(int _Agent_ID, int _Group)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                if (_Agent_ID == 0)
                {
                    if (_Group == 8) // For display Sender Transaction
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_TrTypeForTransfer;
                    }
                }
                else
                {
                    if (_Group == 8)
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else if (_Group == 9)
                    {
                        _query.TableName = Procedure.vw_Receive_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_SendReceive_Tr_Type;
                    }
                }

                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Send Country (ddlPayInCountry)=========//
        public DataTable SelectSendCountryList(Permission _MyType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSearchSendCountry : Procedure.vw_ListSearchReceiveCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Permission", SqlDbType.Int, _MyType.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Dest Country (ddlPayOutCountry)=========//AgentList
        public DataTable SelectDestCountryList(Permission _MyType, bool _AsPerPermission, int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendCountryPermissionList : Procedure.vw_ReceiveCountryPermissionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _MyType.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Agent List (ddlAgents)=========//
        public DataTable SelectAgentList(Permission _Type, int _Agent_ID, int _TargetCountryID)
        {
            DataTable MyDT = new DataTable();
            _AgentData Agent_Info = new _AgentData();
            Agent_Info.Agent_ID = _Agent_ID;
            Agent_Info.TargetCountryID = _TargetCountryID;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_Type.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (Agent_Info.Agent_ID != 0)
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, Agent_Info.Agent_ID.ToString());
                }
                _query.Add("@CountryID", SqlDbType.Int, Agent_Info.TargetCountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Agent Branch (drpAgentBranch)=========//
        public DataTable SelectAgentBranchList(int _Agent_ID)
        {
            DataTable MyDT = new DataTable();
            _AgentData Agent_Info = new _AgentData();
            Agent_Info.Agent_ID = _Agent_ID;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentBranchList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (Agent_Info.Agent_ID != 0) // For All Agent branch
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, Agent_Info.Agent_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> User List (drpUser)=========//
        public DataTable SelectUserList(int _Agent_ID, int _AgentBranch_ID)
        {
            DataTable MyDT = new DataTable();
            _AgentData Agent_Info = new _AgentData();
            Agent_Info.Agent_ID = _Agent_ID;
            Agent_Info.AgentBranch_ID = _AgentBranch_ID;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentBranchwise_UserList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (Agent_Info.AgentBranch_ID != 0)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, Agent_Info.AgentBranch_ID.ToString());
                }
                _query.Add("@Agent_ID", SqlDbType.Int, Agent_Info.Agent_ID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Send Currency List (ddlPayInCurrency)=========//
        public DataTable SelectPayInCurrencyList(int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======Search Field >> Dest Currency List (ddlPayOutCurrency)=========//
        public DataTable SelectPayOutCurrencyList(int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=======Search Field >> List of Filter Data (Get All Record)=========//
        public DataTable GetAllRecordBySearch(TransactionSearchCriteria transactionSearch)
        {
            DataTable MyDT = new DataTable();
            //Permission _AgentType = Permission.Send;
            SearchInput _Search = new SearchInput();
            ListItemCollection _TrStatusList = new ListItemCollection();

            _Search.TopRecord = transactionSearch.TopRecord;
            _Search.RecAgent_ID = transactionSearch.Agent_ID;
            _Search.PayOutCountry = transactionSearch.PayOutCountry;
            _Search.PayInCountry = transactionSearch.PayInCountry;
            _Search.PayInCurrency = transactionSearch.PayInCurrency;
            _Search.PayOutCurrency = transactionSearch.PayOutCurrency;
            _Search.UserGroupType = transactionSearch.SubType;
            _Search.SessionAgent_ID = transactionSearch.SessionAgent_ID;
            _Search.SRTRNo = transactionSearch.SRTRNo;
            _Search.AgentType = Permission.Send;
            _Search.Agent_ID = transactionSearch.Agent_ID;
            _Search.TrTypeID = transactionSearch.TrTypeID;
            _Search.TrStatusID = transactionSearch.TrStatusID;
            _Search.SearchByType = transactionSearch.SearchByType;
            _Search.Customer_Name_F = transactionSearch.Customer_Name_F;
            _Search.Customer_Name_L = transactionSearch.Customer_Name_L;
            _Search.Remitter_Phone_No = transactionSearch.Remitter_Phone_No;
            _Search.Beneficiary_Name_F = transactionSearch.Beneficiary_Name_F;
            _Search.Beneficiary_Name_L = transactionSearch.Beneficiary_Name_L;
            _Search.Benef_Phone_No = transactionSearch.Benef_Phone_No;
            _Search.StartDate = transactionSearch.StartDate;
            _Search.EndDate = transactionSearch.EndDate;
            _Search.LoginAgentCountry = transactionSearch.LoginAgentCountry;
            _Search.LoginAgentCity = transactionSearch.LoginAgentCity;
            _Search.LoginAgentLocation = transactionSearch.LoginAgentLocation;
            _Search.AgentBranchId = transactionSearch.AgentBranchId;
            _Search.UserID = transactionSearch.UserID;
            string Source = transactionSearch.Source;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                if (Source == "Edit Transaction")
                {
                    _query.TableName = Procedure.View_EditTransaction;
                }
                if (Source == "View Edit Transaction By Supervisor")
                {
                    _query.TableName = Procedure.View_EditTransactionBySupervisor;
                }
                else if (Source == "Edit CTA Transaction")
                {
                    _query.TableName = Procedure.View_EditCTATransaction;
                    if (_Search.RecAgent_ID != -1)
                    {
                        _query.Add("@RecAgent_ID", SqlDbType.Int, _Search.RecAgent_ID.ToString());
                    }
                }
                else if (Source == "Receive Transaction")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction;
                }
                else if (Source == "Receive Transaction ForCash")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction_ForCash;
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }
                }
                else if (Source == "Receive Transaction ForBank")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction_ForBank;
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }
                }
                else if (Source == "View Transaction Status")
                {
                    _query.TableName = Procedure.View_ViewTransactionStatus;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                }
                else if (Source == "View Pending Approval")
                {
                    _query.TableName = Procedure.View_ViewPendingApproval;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                }
                else if (Source == "View Transaction")
                {
                    _query.TableName = Procedure.View_ViewTransaction;
                }
                else if (Source == "Search Transaction")
                {
                    _query.TableName = Procedure.View_SearchTransaction;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                    _query.Add("@SessionAgent_ID", SqlDbType.Int, _Search.SessionAgent_ID.ToString());
                }
                else if (Source == "Sent Transaction")
                {
                    _query.TableName = Procedure.View_SentTransaction;
                }
                else if (Source == "Stop Transaction")
                {
                    _query.TableName = Procedure.View_StopPayment;
                }
                else if (Source == "Remove Transaction")
                {
                    _query.TableName = Procedure.View_RemovePayment;
                }
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;

                if (_Search.SearchByType == 1)
                {
                    #region For Search By Transaction No.
                    if (!string.IsNullOrEmpty(_Search.SRTRNo))
                    {
                        _query.Add("@SRTRNo", SqlDbType.NVarChar, _Search.SRTRNo.Trim());
                    }
                    else
                    {
                        throw new Exception("Transaction Number not provided.");
                    }

                    if (_Search.SessionAgent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    {

                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                    }

                    #endregion For Search By Transaction No.
                }
                else if (_Search.SearchByType == 2)
                {
                    #region For Search By Other Field.
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    if (_Search.TrStatusID != 0 && _Search.TrStatusID != -1)
                    {
                        _query.Add("@TrStatusID", SqlDbType.Int, _Search.TrStatusID.ToString());
                    }
                    if (_Search.Agent_ID != 0)
                    {
                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else
                        {
                            if (_Search.TrTypeID == PaymentMode.Cash.GetHashCode() || _Search.TrTypeID == PaymentMode.Bank_Transfer.GetHashCode() || _Search.TrTypeID == PaymentMode.Draft.GetHashCode())
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                            else
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                        }
                    }
                    if (_Search.TrTypeID != 0 && _Search.TrTypeID != -1)
                    {
                        _query.Add("@TrTypeID", SqlDbType.Int, _Search.TrTypeID.ToString());
                    }
                    if (_Search.PayInCountry != 0 && _Search.PayInCountry != -1)
                    {
                        _query.Add("@CountryID", SqlDbType.Int, _Search.PayInCountry.ToString());
                    }
                    if (_Search.PayInCurrency != 0 && _Search.PayInCurrency != -1)
                    {
                        _query.Add("@PayInCurrencyID", SqlDbType.Int, _Search.PayInCurrency.ToString());
                    }
                    if (_Search.PayOutCountry != 0 && _Search.PayOutCountry != -1)
                    {
                        _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    }
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }

                    #endregion For Search By Other Field.
                }
                else if (_Search.SearchByType == 3)
                {
                    #region For Search By Advanced Fields.
                    bool _IsInputProvided = false;

                    if (!string.IsNullOrEmpty(_Search.Customer_Name_F))
                    {
                        _query.Add("@Customer_Name_F", SqlDbType.NVarChar, _Search.Customer_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Customer_Name_L))
                    {
                        _query.Add("@Customer_Name_L", SqlDbType.NVarChar, _Search.Customer_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Remitter_Phone_No))
                    {
                        _query.Add("@Customer_Phone", SqlDbType.NVarChar, _Search.Remitter_Phone_No);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_F))
                    {
                        _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, _Search.Beneficiary_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_L))
                    {
                        _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, _Search.Beneficiary_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Benef_Phone_No))
                    {
                        _query.Add("@Beneficiary_Phone", SqlDbType.NVarChar, _Search.Benef_Phone_No);
                        _IsInputProvided = true;
                    }

                    //if (_Search.LoginAgentCountry != 0)
                    //{
                    if (!string.IsNullOrEmpty(_Search.StartDate))
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(_Search.StartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(_Search.EndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN CONVERT(DATETIME, '" + _Search.StartDate + " 00:00:00', 102) AND CONVERT(DATETIME, '" + _Search.EndDate + " 00:00:00', 102)");
                                    _IsInputProvided = true;
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                    if (!_IsInputProvided)
                    {
                        throw new Exception("Input not provided.");
                    }
                    //}
                    #endregion For Search By Other Field.
                }

                if (_Search.LoginAgentCountry != 0)
                {
                    _query.Add("@LoginCountryID", SqlDbType.Int, _Search.LoginAgentCountry.ToString());
                }
                if (_Search.LoginAgentCity != 0)
                {
                    _query.Add("@LoginCityID", SqlDbType.Int, _Search.LoginAgentCity.ToString());
                }
                if (_Search.LoginAgentLocation != 0)
                {
                    _query.Add("@LoginLocationID", SqlDbType.Int, _Search.LoginAgentLocation.ToString());
                }


                if (_Search.AgentBranchId != 0 && _Search.AgentBranchId != -1)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, _Search.AgentBranchId.ToString());
                }

                //_query.AddCriteria("Tr_Sequance", csSQLFormat.int_InSqlFormat("1"), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);

                if (Source == "Edit Transaction" || Source == "Search Transaction" ||
                    Source == "View Transaction Status" || Source == "View Edit Transaction By Supervisor"
                    || Source == "View Pending Approval")
                {
                    if (Source == "Edit Transaction" || Source == "View Transaction Status" || Source == "View Pending Approval"
                         || Source == "View Edit Transaction By Supervisor")
                    {
                        if (!string.IsNullOrEmpty(_Search.UserID) && _Search.UserID != "0" && _Search.UserID != "-1")
                        {
                            _query.Add("@UserId", SqlDbType.NVarChar, _Search.UserID);
                        }
                    }
                    //if (_Search.SearchByType == 1)
                    //{
                    //if (_Search.SessionAgent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    //{
                    string _TrStatus = string.Empty;
                    foreach (ListItem _list in _TrStatusList)
                    {
                        if (_list.Value != "0" || _list.Value != "-1")
                        {
                            if (_TrStatus.Length == 0)
                            {
                                _TrStatus = _TrStatus + _list.Value;
                            }
                            else
                            {
                                _TrStatus = _TrStatus + "," + _list.Value;
                            }
                        }
                    }
                    if (!string.IsNullOrEmpty(_TrStatus))
                    {
                        //_script = _script + " AND TrStatusID IN(" + _TrStatus + ")";
                        _query.Add("@ListTrStatusID", SqlDbType.NVarChar, _TrStatus);
                    }
                    //}
                    //}
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);

                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }

        //=======Edit/Update Transaction(frmAddStopPayment.aspx)=========//
        public string UpdateTransactionStatus(StopPayment_UpdateTxn stopPaymentUpdateTxn)
        {
            DataTable MyDT = new DataTable();
            //string _AppID = "4658939080";
            //string _Branch = "1001";
            //string _RefNo = "2286133381";


            Transaction.GetTransaction _get = new Transaction.GetTransaction(csCommon.GetConnectionString);

            _get.Ex_Branch_ID = int.Parse(stopPaymentUpdateTxn._Branch);
            _get.App_ID = stopPaymentUpdateTxn._AppID;
            _get.ReferenceNo = stopPaymentUpdateTxn._RefNo;
            _get.Get();

            //HttpContext.Current.Session["G_UserID"] = EnteredBy;

            try
            {
                string Message = string.Empty;
                if (_get.IsDataExist)
                {
                    if (stopPaymentUpdateTxn.TrStatusID == 27)
                    {
                        if (_get.TrData.TrStatusID == Status.Agency_Block.GetHashCode() || _get.TrData.TrStatusID == 29)
                        {
                            try
                            {
                                //string Remarks = stopPaymentUpdateTxn.Tr_Status_Name;
                                string Remarks = stopPaymentUpdateTxn._Remark;
                                csQueryBuilder _Query = new csQueryBuilder();
                                _Query.TableName = "SpPaidTxn_StopPayment";
                                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                                _Query.ViewType = csQueryBuilder.VType.Process;
                                _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
                                _Query.Add("@TransactionNumber", SqlDbType.NVarChar, _get.TrData.Random_No);
                                _Query.Add("@UserID", SqlDbType.NVarChar, stopPaymentUpdateTxn.EnteredBy.ToString());
                                _Query.Add("@Remarks", SqlDbType.NVarChar, Remarks);
                                _Query.Run();
                                _MyDB = new csDatabase(csCommon.GetConnectionString);
                                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

                            }
                            catch (Exception ex)
                            {
                                throw new Exception("Transaction can not be processed. Please contact Administrator.");
                            }
                        }
                        else
                        {
                            throw new Exception("Transaction can not be process, Current status :  '" + _get.TrData.Tr_Status_Name + "'.");
                        }
                        Message = "Transaction move for paid process.";
                    }
                    else
                    {

                        if (_get.TrData.TrStatusID == Status.Paid.GetHashCode() || _get.TrData.TrStatusID == Status.Processed.GetHashCode())
                        {
                            using (Transaction.StopPayment.Cancel _Cancel = new Transaction.StopPayment.Cancel(csCommon.ConnectionString))
                            {
                                _Cancel.TransactionNumber = stopPaymentUpdateTxn.SRTRNo;
                                _Cancel.TrStatusID = stopPaymentUpdateTxn.TrStatusID;
                                _Cancel.EnteredBy = stopPaymentUpdateTxn.EnteredBy;
                                _Cancel.Remark = stopPaymentUpdateTxn._Remark;
                                string _DtEntered = DateTime.Now.ToString();
                                _Cancel.CancelPaidRequest_New();
                            }
                        }
                        else
                        {
                            using (Transaction.StopPayment.Cancel _Cancel = new Transaction.StopPayment.Cancel(csCommon.ConnectionString))
                            {
                                _Cancel.TransactionNumber = stopPaymentUpdateTxn.SRTRNo;
                                _Cancel.TrStatusID = stopPaymentUpdateTxn.TrStatusID;
                                _Cancel.EnteredBy = stopPaymentUpdateTxn.EnteredBy;
                                _Cancel.Remark = stopPaymentUpdateTxn._Remark;
                                string _DtEntered = DateTime.Now.ToString();
                                _Cancel.CancelRequest_New();
                            }
                        }
                        Message = "Transaction stop successfully.";
                    }
                }

                return Message;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Country Master
        public DataTable GetCountryByID(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Country;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("CountryID", csSQLFormat.int_InSqlFormat(CountryID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCountryByIDFillListBox(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveRejectVisibility(int userID, int ModuleID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_setAccessApprove";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@UserId", SqlDbType.Int, userID.ToString());
                _query.Add("@Approve_IsVisible", SqlDbType.Bit, "1");
                _query.Add("@Access_Approve", SqlDbType.Bit, "1");
                _query.Add("@FunctionID", SqlDbType.Int, ModuleID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void CountryApprove(int CountryID, int ModuleID)
        {
            try
            {
                _query.TableName = "spApproveData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;
                _query.Add("@ModuleID", SqlDbType.Int, ModuleID.ToString());
                _query.Add("@ID", SqlDbType.NVarChar, CountryID.ToString());
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetViewCountry(int CountryID, int ModuleID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetCheckerData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@ModuleID", SqlDbType.Int, ModuleID.ToString());
                _query.Add("@ID", SqlDbType.NVarChar, CountryID.ToString());
                //if (Request.QueryString["AddInfo1"] != null)
                //{
                //    _Query.Add("@AddInfo1", SqlDbType.NVarChar, Request.QueryString["AddInfo1"].ToString());
                //}
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Edit Transaction [frmEditTransaction.aspx]

        //=====Recommended Agent [frmEditTransactionEditMode.aspx]======//
        public DataTable Agent_ddlDestinationLocation(GetAgentList agentList)
        {
            DataTable MyDT = new DataTable();

            try
            {
                _query.TableName = Procedure.vw_DestinationBranch_EditMode_ForGCC;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, agentList.DestinationCountryID.ToString());
                _query.Add("@AgentID", SqlDbType.Int, agentList.AgentID.ToString());
                _query.Add("@CityID", SqlDbType.Int, agentList.DestinationCityID.ToString());
                _query.Add("@ModeOfPayment_ID", SqlDbType.Int, agentList.ModeOfPaymentID.ToString());
                _query.Add("@CurrencyID", SqlDbType.Int, agentList.CurrencyID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Destination Location [City]: [ddlDestinationCity - frmEditTransactionEditMode.aspx]======//
        public DataTable City_ddlDestinationCity(CityData cityInfo)
        {
            DataTable MyDT = new DataTable();
            int DestinationCurrencyID = cityInfo.CurrencyID;
            int _ModeOfPaymentID = cityInfo.ModeOfPaymentID;
            int CountryID = cityInfo.CountryID;
            int Agent_ID = cityInfo.Agent_ID;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_DestinationCity_EditMode_ForGCC;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@AgentID", SqlDbType.Int, Agent_ID.ToString());
                _query.Add("@ModeOfPayment_ID", SqlDbType.Int, _ModeOfPaymentID.ToString());
                _query.Add("@CurrencyID", SqlDbType.Int, DestinationCurrencyID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Status of Transaction [Status]: [ddlTransactionStatus - frmEditTransactionEditMode.aspx]======//
        public DataTable Status_ddlTransactionStatus(StatusDataRequest statusInfo)
        {
            DataTable MyDT = new DataTable();
            int _TrStatusID = statusInfo.TrStatusID;
            int _AgentID = statusInfo.AgentID;
            int _AgentSubGroupID = statusInfo.SubGroupID;


            try
            {
                string _TableName = string.Empty;

                if (_AgentID == 0)
                {
                    _TableName = Procedure.vw_EditTransaction_Status_For_SR;
                }
                else
                {
                    if (_AgentSubGroupID == UserSubGroupType.Agent_Supervisor.GetHashCode())
                    {
                        _TableName = Procedure.vw_EditTransaction_Status_For_AgentSupervisor;
                    }
                    else
                    {
                        _TableName = Procedure.vw_EditTransaction_Status_For_Agent_User;
                    }
                }
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = _TableName;
                _query.Add("@TrStatusID", SqlDbType.Int, _TrStatusID.ToString());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //=====Select the ID Type [frmEditTransactionEditMode.aspx]======//
        public DataTable IdentityType_drpIDType()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = TableName.Identity_Details;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("Type_ID");
                _query.Add("Type_of_ID");
                _query.AddFieldOrder("Type_of_ID", csQueryBuilder.OrderType.Ascending);
                _query.Run();
                string _script = string.Empty;
                _script = _query.ViewQuery;
                _MyDB = new csDatabase(csCommon.GetConnectionString);

                // Assuming Return_DataTable method is properly defined
                MyDT = _MyDB.Return_DataTable(_script);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=======EditTransaction >> Search Field >> List of Filter Data (Get All Record)=========//
        public DataTable EditTransactionFillGrid(TransactionSearchCriteria transactionSearch)
        {
            DataTable MyDT = new DataTable();
            //Permission _AgentType = Permission.Send;
            SearchInput _Search = new SearchInput();
            ListItemCollection _TrStatusList = new ListItemCollection();

            _Search.TopRecord = transactionSearch.TopRecord;
            _Search.RecAgent_ID = transactionSearch.Agent_ID;
            _Search.PayOutCountry = transactionSearch.PayOutCountry;
            _Search.PayInCountry = transactionSearch.PayInCountry;
            _Search.PayInCurrency = transactionSearch.PayInCurrency;
            _Search.PayOutCurrency = transactionSearch.PayOutCurrency;
            _Search.UserGroupType = transactionSearch.SubType;
            _Search.SessionAgent_ID = transactionSearch.SessionAgent_ID;
            _Search.SRTRNo = transactionSearch.SRTRNo;
            _Search.AgentType = Permission.Send;
            _Search.Agent_ID = transactionSearch.Agent_ID;
            _Search.TrTypeID = transactionSearch.TrTypeID;
            _Search.TrStatusID = transactionSearch.TrStatusID;
            _Search.SearchByType = transactionSearch.SearchByType;
            _Search.Customer_Name_F = transactionSearch.Customer_Name_F;
            _Search.Customer_Name_L = transactionSearch.Customer_Name_L;
            _Search.Remitter_Phone_No = transactionSearch.Remitter_Phone_No;
            _Search.Beneficiary_Name_F = transactionSearch.Beneficiary_Name_F;
            _Search.Beneficiary_Name_L = transactionSearch.Beneficiary_Name_L;
            _Search.Benef_Phone_No = transactionSearch.Benef_Phone_No;
            _Search.StartDate = transactionSearch.StartDate;
            _Search.EndDate = transactionSearch.EndDate;
            _Search.LoginAgentCountry = transactionSearch.LoginAgentCountry;
            _Search.LoginAgentCity = transactionSearch.LoginAgentCity;
            _Search.LoginAgentLocation = transactionSearch.LoginAgentLocation;
            _Search.AgentBranchId = transactionSearch.AgentBranchId;
            _Search.UserID = transactionSearch.UserID;
            string Source = transactionSearch.Source;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                if (Source == "Edit Transaction")
                {
                    _query.TableName = Procedure.View_EditTransaction;
                }
                if (Source == "View Edit Transaction By Supervisor")
                {
                    _query.TableName = Procedure.View_EditTransactionBySupervisor;
                }
                else if (Source == "Edit CTA Transaction")
                {
                    _query.TableName = Procedure.View_EditCTATransaction;
                    if (_Search.RecAgent_ID != -1)
                    {
                        _query.Add("@RecAgent_ID", SqlDbType.Int, _Search.RecAgent_ID.ToString());
                    }
                }
                else if (Source == "Receive Transaction")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction;
                }
                else if (Source == "Receive Transaction ForCash")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction_ForCash;
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }
                }
                else if (Source == "Receive Transaction ForBank")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction_ForBank;
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }
                }
                else if (Source == "View Transaction Status")
                {
                    _query.TableName = Procedure.View_ViewTransactionStatus;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                }
                else if (Source == "View Pending Approval")
                {
                    _query.TableName = Procedure.View_ViewPendingApproval;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                }
                else if (Source == "View Transaction")
                {
                    _query.TableName = Procedure.View_ViewTransaction;
                }
                else if (Source == "Search Transaction")
                {
                    _query.TableName = Procedure.View_SearchTransaction;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                    _query.Add("@SessionAgent_ID", SqlDbType.Int, _Search.SessionAgent_ID.ToString());
                }
                else if (Source == "Sent Transaction")
                {
                    _query.TableName = Procedure.View_SentTransaction;
                }
                else if (Source == "Stop Transaction")
                {
                    _query.TableName = Procedure.View_StopPayment;
                }
                else if (Source == "Remove Transaction")
                {
                    _query.TableName = Procedure.View_RemovePayment;
                }
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;

                if (_Search.SearchByType == 1)
                {
                    #region For Search By Transaction No.
                    if (!string.IsNullOrEmpty(_Search.SRTRNo))
                    {
                        _query.Add("@SRTRNo", SqlDbType.NVarChar, _Search.SRTRNo.Trim());
                    }
                    else
                    {
                        throw new Exception("Transaction Number not provided.");
                    }

                    if (_Search.SessionAgent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    {

                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                    }

                    #endregion For Search By Transaction No.
                }
                else if (_Search.SearchByType == 2)
                {
                    #region For Search By Other Field.
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    if (_Search.TrStatusID != 0 && _Search.TrStatusID != -1)
                    {
                        _query.Add("@TrStatusID", SqlDbType.Int, _Search.TrStatusID.ToString());
                    }
                    if (_Search.Agent_ID != 0)
                    {
                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else
                        {
                            if (_Search.TrTypeID == PaymentMode.Cash.GetHashCode() || _Search.TrTypeID == PaymentMode.Bank_Transfer.GetHashCode() || _Search.TrTypeID == PaymentMode.Draft.GetHashCode())
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                            else
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                        }
                    }
                    if (_Search.TrTypeID != 0 && _Search.TrTypeID != -1)
                    {
                        _query.Add("@TrTypeID", SqlDbType.Int, _Search.TrTypeID.ToString());
                    }
                    if (_Search.PayInCountry != 0 && _Search.PayInCountry != -1)
                    {
                        _query.Add("@CountryID", SqlDbType.Int, _Search.PayInCountry.ToString());
                    }
                    if (_Search.PayInCurrency != 0 && _Search.PayInCurrency != -1)
                    {
                        _query.Add("@PayInCurrencyID", SqlDbType.Int, _Search.PayInCurrency.ToString());
                    }
                    if (_Search.PayOutCountry != 0 && _Search.PayOutCountry != -1)
                    {
                        _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    }
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }

                    #endregion For Search By Other Field.
                }
                else if (_Search.SearchByType == 3)
                {
                    #region For Search By Advanced Fields.
                    bool _IsInputProvided = false;

                    if (!string.IsNullOrEmpty(_Search.Customer_Name_F))
                    {
                        _query.Add("@Customer_Name_F", SqlDbType.NVarChar, _Search.Customer_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Customer_Name_L))
                    {
                        _query.Add("@Customer_Name_L", SqlDbType.NVarChar, _Search.Customer_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Remitter_Phone_No))
                    {
                        _query.Add("@Customer_Phone", SqlDbType.NVarChar, _Search.Remitter_Phone_No);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_F))
                    {
                        _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, _Search.Beneficiary_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_L))
                    {
                        _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, _Search.Beneficiary_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Benef_Phone_No))
                    {
                        _query.Add("@Beneficiary_Phone", SqlDbType.NVarChar, _Search.Benef_Phone_No);
                        _IsInputProvided = true;
                    }

                    //if (_Search.LoginAgentCountry != 0)
                    //{
                    if (!string.IsNullOrEmpty(_Search.StartDate))
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(_Search.StartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(_Search.EndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN CONVERT(DATETIME, '" + _Search.StartDate + " 00:00:00', 102) AND CONVERT(DATETIME, '" + _Search.EndDate + " 00:00:00', 102)");
                                    _IsInputProvided = true;
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                    if (!_IsInputProvided)
                    {
                        throw new Exception("Input not provided.");
                    }
                    //}
                    #endregion For Search By Other Field.
                }

                if (_Search.LoginAgentCountry != 0)
                {
                    _query.Add("@LoginCountryID", SqlDbType.Int, _Search.LoginAgentCountry.ToString());
                }
                if (_Search.LoginAgentCity != 0)
                {
                    _query.Add("@LoginCityID", SqlDbType.Int, _Search.LoginAgentCity.ToString());
                }
                if (_Search.LoginAgentLocation != 0)
                {
                    _query.Add("@LoginLocationID", SqlDbType.Int, _Search.LoginAgentLocation.ToString());
                }


                if (_Search.AgentBranchId != 0 && _Search.AgentBranchId != -1)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, _Search.AgentBranchId.ToString());
                }

                //_query.AddCriteria("Tr_Sequance", csSQLFormat.int_InSqlFormat("1"), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);

                if (Source == "Edit Transaction" || Source == "Search Transaction" ||
                    Source == "View Transaction Status" || Source == "View Edit Transaction By Supervisor"
                    || Source == "View Pending Approval")
                {
                    if (Source == "Edit Transaction" || Source == "View Transaction Status" || Source == "View Pending Approval"
                         || Source == "View Edit Transaction By Supervisor")
                    {
                        if (!string.IsNullOrEmpty(_Search.UserID) && _Search.UserID != "0" && _Search.UserID != "-1")
                        {
                            _query.Add("@UserId", SqlDbType.NVarChar, _Search.UserID);
                        }
                    }
                    //if (_Search.SearchByType == 1)
                    //{
                    //if (_Search.SessionAgent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    //{
                    string _TrStatus = string.Empty;
                    foreach (ListItem _list in _TrStatusList)
                    {
                        if (_list.Value != "0" || _list.Value != "-1")
                        {
                            if (_TrStatus.Length == 0)
                            {
                                _TrStatus = _TrStatus + _list.Value;
                            }
                            else
                            {
                                _TrStatus = _TrStatus + "," + _list.Value;
                            }
                        }
                    }
                    if (!string.IsNullOrEmpty(_TrStatus))
                    {
                        //_script = _script + " AND TrStatusID IN(" + _TrStatus + ")";
                        _query.Add("@ListTrStatusID", SqlDbType.NVarChar, _TrStatus);
                    }
                    //}
                    //}
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);

                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }


        //=======Search Field >> List of Filter Data (Get All Record)=========//
        public DataTable EditTrxn_FillGridBySearch(EditTransactionSearchCriteria transactionSearch, string Source)
        {
            DataTable MyDT = new DataTable();
            //Permission _AgentType = Permission.Send;
            SearchInput _Search = new SearchInput();
            ListItemCollection NewTrStatusList = new ListItemCollection();
            foreach (var strCurrencie in transactionSearch.TrStatusList)
            {
                NewTrStatusList.Add(new ListItem(strCurrencie.Value, Convert.ToString(strCurrencie.Id)));
            }

            _Search.TopRecord = transactionSearch.TopRecord;
            _Search.RecAgent_ID = transactionSearch.Agent_ID;
            _Search.PayOutCountry = transactionSearch.PayOutCountry;
            _Search.PayInCountry = transactionSearch.PayInCountry;
            _Search.PayInCurrency = transactionSearch.PayInCurrency;
            _Search.PayOutCurrency = transactionSearch.PayOutCurrency;
            _Search.UserGroupType = transactionSearch.SubType;
            _Search.SessionAgent_ID = transactionSearch.SessionAgent_ID;
            _Search.SRTRNo = transactionSearch.SRTRNo;
            _Search.AgentType = Permission.Send;
            _Search.Agent_ID = transactionSearch.Agent_ID;
            _Search.TrTypeID = transactionSearch.TrTypeID;
            _Search.TrStatusID = transactionSearch.TrStatusID;
            _Search.SearchByType = transactionSearch.SearchByType;
            _Search.Customer_Name_F = transactionSearch.Customer_Name_F;
            _Search.Customer_Name_L = transactionSearch.Customer_Name_L;
            _Search.Remitter_Phone_No = transactionSearch.Remitter_Phone_No;
            _Search.Beneficiary_Name_F = transactionSearch.Beneficiary_Name_F;
            _Search.Beneficiary_Name_L = transactionSearch.Beneficiary_Name_L;
            _Search.Benef_Phone_No = transactionSearch.Benef_Phone_No;
            _Search.StartDate = transactionSearch.StartDate;
            _Search.EndDate = transactionSearch.EndDate;
            _Search.LoginAgentCountry = transactionSearch.LoginAgentCountry;
            _Search.LoginAgentCity = transactionSearch.LoginAgentCity;
            _Search.LoginAgentLocation = transactionSearch.LoginAgentLocation;
            _Search.AgentBranchId = transactionSearch.AgentBranchId;
            _Search.UserID = transactionSearch.UserID;

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                if (Source == "Edit Transaction")
                {
                    _query.TableName = Procedure.View_EditTransaction;
                }
                if (Source == "View Edit Transaction By Supervisor")
                {
                    _query.TableName = Procedure.View_EditTransactionBySupervisor;
                }
                else if (Source == "Edit CTA Transaction")
                {
                    _query.TableName = Procedure.View_EditCTATransaction;
                    if (_Search.RecAgent_ID != -1)
                    {
                        _query.Add("@RecAgent_ID", SqlDbType.Int, _Search.RecAgent_ID.ToString());
                    }
                }
                else if (Source == "Receive Transaction")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction;
                }
                else if (Source == "Receive Transaction ForCash")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction_ForCash;
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }
                }
                else if (Source == "Receive Transaction ForBank")
                {
                    _query.TableName = Procedure.View_ReceiveTransaction_ForBank;
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }
                }
                else if (Source == "View Transaction Status")
                {
                    _query.TableName = Procedure.View_ViewTransactionStatus;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                }
                else if (Source == "View Pending Approval")
                {
                    _query.TableName = Procedure.View_ViewPendingApproval;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                }
                else if (Source == "View Transaction")
                {
                    _query.TableName = Procedure.View_ViewTransaction;
                }
                else if (Source == "Search Transaction")
                {
                    _query.TableName = Procedure.View_SearchTransaction;
                    _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());
                    _query.Add("@SessionAgent_ID", SqlDbType.Int, _Search.SessionAgent_ID.ToString());
                }
                else if (Source == "Sent Transaction")
                {
                    _query.TableName = Procedure.View_SentTransaction;
                }
                else if (Source == "Stop Transaction")
                {
                    _query.TableName = Procedure.View_StopPayment;
                }
                else if (Source == "Remove Transaction")
                {
                    _query.TableName = Procedure.View_RemovePayment;
                }
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;

                if (_Search.SearchByType == 1)
                {
                    #region For Search By Transaction No.
                    if (!string.IsNullOrEmpty(_Search.SRTRNo))
                    {
                        _query.Add("@SRTRNo", SqlDbType.NVarChar, _Search.SRTRNo.Trim());
                    }
                    else
                    {
                        throw new Exception("Transaction Number not provided.");
                    }

                    if (_Search.SessionAgent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    {

                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                    }

                    #endregion For Search By Transaction No.
                }
                else if (_Search.SearchByType == 2)
                {
                    #region For Search By Other Field.
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    if (_Search.TrStatusID != 0 && _Search.TrStatusID != -1)
                    {
                        _query.Add("@TrStatusID", SqlDbType.Int, _Search.TrStatusID.ToString());
                    }
                    if (_Search.Agent_ID != 0)
                    {
                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else
                        {
                            if (_Search.TrTypeID == PaymentMode.Cash.GetHashCode() || _Search.TrTypeID == PaymentMode.Bank_Transfer.GetHashCode() || _Search.TrTypeID == PaymentMode.Draft.GetHashCode())
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                            else
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                        }
                    }
                    if (_Search.TrTypeID != 0 && _Search.TrTypeID != -1)
                    {
                        _query.Add("@TrTypeID", SqlDbType.Int, _Search.TrTypeID.ToString());
                    }
                    if (_Search.PayInCountry != 0 && _Search.PayInCountry != -1)
                    {
                        _query.Add("@CountryID", SqlDbType.Int, _Search.PayInCountry.ToString());
                    }
                    if (_Search.PayInCurrency != 0 && _Search.PayInCurrency != -1)
                    {
                        _query.Add("@PayInCurrencyID", SqlDbType.Int, _Search.PayInCurrency.ToString());
                    }
                    if (_Search.PayOutCountry != 0 && _Search.PayOutCountry != -1)
                    {
                        _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    }
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }

                    #endregion For Search By Other Field.
                }
                else if (_Search.SearchByType == 3)
                {
                    #region For Search By Advanced Fields.
                    bool _IsInputProvided = false;

                    if (!string.IsNullOrEmpty(_Search.Customer_Name_F))
                    {
                        _query.Add("@Customer_Name_F", SqlDbType.NVarChar, _Search.Customer_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Customer_Name_L))
                    {
                        _query.Add("@Customer_Name_L", SqlDbType.NVarChar, _Search.Customer_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Remitter_Phone_No))
                    {
                        _query.Add("@Customer_Phone", SqlDbType.NVarChar, _Search.Remitter_Phone_No);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_F))
                    {
                        _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, _Search.Beneficiary_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_L))
                    {
                        _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, _Search.Beneficiary_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Benef_Phone_No))
                    {
                        _query.Add("@Beneficiary_Phone", SqlDbType.NVarChar, _Search.Benef_Phone_No);
                        _IsInputProvided = true;
                    }

                    //if (_Search.LoginAgentCountry != 0)
                    //{
                    if (!string.IsNullOrEmpty(_Search.StartDate))
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(_Search.StartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(_Search.EndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN CONVERT(DATETIME, '" + _Search.StartDate + " 00:00:00', 102) AND CONVERT(DATETIME, '" + _Search.EndDate + " 00:00:00', 102)");
                                    _IsInputProvided = true;
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                    if (!_IsInputProvided)
                    {
                        throw new Exception("Input not provided.");
                    }
                    //}
                    #endregion For Search By Other Field.
                }

                if (_Search.LoginAgentCountry != 0)
                {
                    _query.Add("@LoginCountryID", SqlDbType.Int, _Search.LoginAgentCountry.ToString());
                }
                if (_Search.LoginAgentCity != 0)
                {
                    _query.Add("@LoginCityID", SqlDbType.Int, _Search.LoginAgentCity.ToString());
                }
                if (_Search.LoginAgentLocation != 0)
                {
                    _query.Add("@LoginLocationID", SqlDbType.Int, _Search.LoginAgentLocation.ToString());
                }


                if (_Search.AgentBranchId != 0 && _Search.AgentBranchId != -1)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, _Search.AgentBranchId.ToString());
                }

                //_query.AddCriteria("Tr_Sequance", csSQLFormat.int_InSqlFormat("1"), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);

                if (Source == "Edit Transaction" || Source == "Search Transaction" ||
                    Source == "View Transaction Status" || Source == "View Edit Transaction By Supervisor"
                    || Source == "View Pending Approval")
                {
                    if (Source == "Edit Transaction" || Source == "View Transaction Status" || Source == "View Pending Approval"
                         || Source == "View Edit Transaction By Supervisor")
                    {
                        if (!string.IsNullOrEmpty(_Search.UserID) && _Search.UserID != "0" && _Search.UserID != "-1")
                        {
                            _query.Add("@UserId", SqlDbType.NVarChar, _Search.UserID);
                        }
                    }
                    //if (_Search.SearchByType == 1)
                    //{
                    //if (_Search.SessionAgent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    //{
                    string _TrStatus = string.Empty;
                    foreach (ListItem _list in NewTrStatusList)
                    {
                        if (_list.Value != "0" || _list.Value != "-1")
                        {
                            if (_TrStatus.Length == 0)
                            {
                                _TrStatus = _TrStatus + _list.Value;
                            }
                            else
                            {
                                _TrStatus = _TrStatus + "," + _list.Value;
                            }
                        }
                    }
                    if (!string.IsNullOrEmpty(_TrStatus))
                    {
                        //_script = _script + " AND TrStatusID IN(" + _TrStatus + ")";
                        _query.Add("@ListTrStatusID", SqlDbType.NVarChar, _TrStatus);
                    }
                    //}
                    //}
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);

                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }      
        #endregion
        #region Manage Agent
        public DataTable GetAgentManagerCountry(string UserId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_AgentDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (!string.IsNullOrEmpty(UserId))
                {
                    _query.Add("@UserID", SqlDbType.NVarChar, UserId);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetAgentManagerAgent(int CountryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_AgentDetails_Agent;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (CountryId != 0)
                {
                    _query.Add("@CountryID", SqlDbType.Int, CountryId.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAllAgentManagerRecord(int CountryId, int AgentId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.View_AgentDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryId.ToString());
                _query.Add("@Agent_ID", SqlDbType.Int, AgentId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentTypeList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentType;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentWiseCountry(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_ListCountry_ForAgent;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentType", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentManagerCity(int countryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.City;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, countryId.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentManagerLocation(int CityId, int CountryId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Location;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("CityID", csSQLFormat.int_InSqlFormat(CityId.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.AND);
                _query.AddCriteria("CountryID", csSQLFormat.int_InSqlFormat(CountryId.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentSettlementCurrency(bool IsSettelmentCurrency = false)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("IsSettlementCurrency", csSQLFormat.String_InSqlFormat("True"), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentCurrency(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentManagerModeOfPayment(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Countrywise_ModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentAllowedDomesticTransactiontype(int CountryID, int AgentType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_CountryDomesticTransactionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Group_Id", SqlDbType.Int, AgentType.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentAllowedInternationalTransactiontype(int CountryID, int AgentType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_CountryInternationalTransactionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Group_Id", SqlDbType.Int, AgentType.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentRebateCurrencyType()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_Currency";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                MyDT.TableName = "RebateCurrency_Type";
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool SaveAgentName(string AgentName)
        {
            try
            {
                _query.TableName = "spUpdateTTRaccount";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@agentname", SqlDbType.NVarChar, AgentName);
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool RebatAgent(int AgentId, string RebatType, decimal Trdtxnlimit, decimal Trdtotalshare, decimal Trdagencyshare, decimal Trdpayoutagentshare, int TrdcurrencyId, string IsActive)
        {
            try
            {
                csQueryBuilder _query1 = new csQueryBuilder();
                _query1.TableName = "spREBATEDETAILS";
                _query1.QryType = csQueryBuilder.QueryType.Procedure;
                _query1.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query1.ViewType = csQueryBuilder.VType.Process;
                _query1.Add("@TRDAGENT_ID", SqlDbType.Int, AgentId.ToString().Trim());
                _query1.Add("@TRDTYPE", SqlDbType.NVarChar, RebatType.Trim());
                _query1.Add("@TRDTXNLIMIT", SqlDbType.Decimal, Trdtxnlimit.ToString().Trim());
                _query1.Add("@TRDTOTALSHARE", SqlDbType.Decimal, Trdtotalshare.ToString().Trim());
                _query1.Add("@TRDAGENCYSHARE", SqlDbType.Decimal, Trdagencyshare.ToString().Trim());
                _query1.Add("@TRDPAYOUTAGENTSHARE", SqlDbType.Decimal, Trdpayoutagentshare.ToString().Trim());
                _query1.Add("@TRDCURRENCYID", SqlDbType.Int, TrdcurrencyId.ToString().Trim());
                _query1.Add("@IsActive", SqlDbType.VarChar, IsActive.Trim());
                _query1.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query1.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool addNosto(int AgentId, int NostroCode, int NostroAcc)
        {
            try
            {
                csQueryBuilder _query2 = new csQueryBuilder();
                _query2.TableName = "spNostroAcc";
                _query2.QryType = csQueryBuilder.QueryType.Procedure;
                _query2.ProcedureType = csQueryBuilder.ProcType.Update;
                _query2.ViewType = csQueryBuilder.VType.Process;
                if (!string.IsNullOrEmpty(AgentId.ToString()))
                {
                    _query2.Add("@AgentId", SqlDbType.Int, AgentId.ToString());
                }
                if (!string.IsNullOrEmpty(NostroCode.ToString()))
                {
                    _query2.Add("@vostroCode", SqlDbType.Int, NostroCode.ToString());
                }
                if (!string.IsNullOrEmpty(NostroAcc.ToString()))
                {
                    _query2.Add("@vostroBal", SqlDbType.Int, NostroAcc.ToString());
                }
                _query2.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query2.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentDetailByID(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.View_SenderAvailableCreditLimit;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentByIDFillListBox(int AgentID)
        {
            DataTable MyDT = new DataTable();
            csQueryBuilder _query1 = new csQueryBuilder();
            try
            {
                _query1.TableName = Procedure.vw_AgentCurrencyList;
                _query1.QryType = csQueryBuilder.QueryType.Procedure;
                _query1.ProcedureType = csQueryBuilder.ProcType.Select;
                _query1.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query1.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query1.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentByIDMOPFillListBox(int AgentID)
        {
            csQueryBuilder _query2 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query2.TableName = Procedure.vw_AgentwiseMOP;
                _query2.QryType = csQueryBuilder.QueryType.Procedure;
                _query2.ProcedureType = csQueryBuilder.ProcType.Select;
                _query2.ViewType = csQueryBuilder.VType.Process;
                _query2.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query2.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query2.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentVostoByID(int AgentID)
        {
            csQueryBuilder _query3 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {

                _query3.TableName = "spNostroAcc";
                _query3.QryType = csQueryBuilder.QueryType.Procedure;
                _query3.ProcedureType = csQueryBuilder.ProcType.Select;
                _query3.ViewType = csQueryBuilder.VType.Process;
                if (!string.IsNullOrEmpty(AgentID.ToString()))
                {
                    _query3.Add("@AgentId", SqlDbType.Int, AgentID.ToString());
                }
                _query3.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query3.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentRebatByID(int AgentID)
        {
            csQueryBuilder _query4 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query4.TableName = "spREBATEDETAILS";
                _query4.QryType = csQueryBuilder.QueryType.Procedure;
                _query4.ProcedureType = csQueryBuilder.ProcType.Select;
                _query4.ViewType = csQueryBuilder.VType.Process;
                _query4.Add("@TRDAGENT_ID", SqlDbType.Int, AgentID.ToString());
                _query4.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query4.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool UpdateAgentName(int AgentID)
        {
            try
            {
                _query.TableName = "spUpdateTTRaccount";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool UpdateRebatAgent(int AgentID, string RebatType, decimal Trdtxnlimit, decimal Trdtotalshare, decimal Trdagencyshare, decimal Trdpayoutagentshare, int TrdcurrencyId, string IsActive)
        {
            csQueryBuilder _query1 = new csQueryBuilder();
            try
            {
                _query1.TableName = "spREBATEDETAILS";
                _query1.QryType = csQueryBuilder.QueryType.Procedure;
                _query1.ProcedureType = csQueryBuilder.ProcType.Update;
                _query1.ViewType = csQueryBuilder.VType.Process;
                _query1.Add("@TRDAGENT_ID", SqlDbType.Int, AgentID.ToString());
                _query1.Add("@TRDTYPE", SqlDbType.NVarChar, RebatType);
                _query1.Add("@TRDTXNLIMIT", SqlDbType.Decimal, Trdtxnlimit.ToString());
                _query1.Add("@TRDTOTALSHARE", SqlDbType.Decimal, Trdtotalshare.ToString());
                _query1.Add("@TRDAGENCYSHARE", SqlDbType.Decimal, Trdagencyshare.ToString());
                _query1.Add("@TRDPAYOUTAGENTSHARE", SqlDbType.Decimal, Trdpayoutagentshare.ToString());
                _query1.Add("@TRDCURRENCYID", SqlDbType.Int, TrdcurrencyId.ToString());
                _query1.Add("@IsActive", SqlDbType.VarChar, IsActive);
                _query1.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query1.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentAllMOPUpdate(int AgentID)
        {
            csQueryBuilder _query2 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query2.TableName = Procedure.vw_AgentwiseMOP_All;
                _query2.QryType = csQueryBuilder.QueryType.Procedure;
                _query2.ProcedureType = csQueryBuilder.ProcType.Select;
                _query2.ViewType = csQueryBuilder.VType.Process;
                _query2.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query2.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query2.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetLimit(int CountryId, int CurrencyId)
        {
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryId.ToString());
                _query.Add("@Currency_Id", SqlDbType.Int, CurrencyId.ToString());
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                DataTable MyDT = new DataTable();
                MyDT = MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
        }
        #endregion
        #region Agent Branch Manage

        public DataTable GetAgentBranchManagerCountry(string UserId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_AgentBranchDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (!string.IsNullOrEmpty(UserId))
                {
                    _query.Add("@UserID", SqlDbType.NVarChar, UserId);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerAgent(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_AgentBranchDetails_Agent;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (CountryID != 0)
                {
                    _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerBranch(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_AgentBranchMaster;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAllAgentBranchManager(int AgentID, int BranchID)
        {
            csQueryBuilder _query1 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query1.TableName = Procedure.View_AgentBranchMaster;
                _query1.QryType = csQueryBuilder.QueryType.Procedure;
                _query1.ProcedureType = csQueryBuilder.ProcType.Select;
                _query1.ViewType = csQueryBuilder.VType.Process;
                if (BranchID != 0)
                {
                    _query1.Add("@AgentBranch_ID", SqlDbType.Int, BranchID.ToString());
                }
                _query1.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query1.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query1.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerByBranchCode(string BranchCode, int AgentBranch_ID = 0)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.View_AgentBranchDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentBranch_ID", SqlDbType.Int, AgentBranch_ID.ToString());
                if (!string.IsNullOrEmpty(BranchCode.ToString()))
                {
                    _query.Add("@BranchCode", SqlDbType.NVarChar, BranchCode.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerAgentWiseCountry(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_ListCountry_ForAgent_ForAgentBranch;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentType", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerCountryWiseAgent(int CountryID, Permission MyType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingBranchAgent : Procedure.vw_ListReceivingBranchAgent;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerAgentWiseMOP(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentwiseMOP;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerBranchCurrency(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Agentwise_CurrencyDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchManagerByID(int BranchID, string BranchCode = "")
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.View_AgentBranchDetails;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentBranch_ID", SqlDbType.Int, BranchID.ToString());
                if (!string.IsNullOrEmpty(BranchCode.ToString()))
                {
                    _query.Add("@BranchCode", SqlDbType.NVarChar, BranchCode.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchByIDFillListBox(int BranchID, int AgentID)
        {
            DataTable MyDT = new DataTable();
            csQueryBuilder _query1 = new csQueryBuilder();
            try
            {
                _query1.TableName = Procedure.vw_AgentBranchCurrencyList;
                _query1.QryType = csQueryBuilder.QueryType.Procedure;
                _query1.ProcedureType = csQueryBuilder.ProcType.Select;
                _query1.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query1.Add("@Agent_Branch_ID", SqlDbType.Int, BranchID.ToString());
                _query1.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query1.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetAgentBranchByIDMOPFillListBox(int BranchID, int AgentID, int flag = 1)
        {
            csQueryBuilder _query2 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query2.TableName = (flag == 1) ? Procedure.vw_AgentBranchwiseMOP : Procedure.vw_AgentBranchwiseMOP_All;
                _query2.QryType = csQueryBuilder.QueryType.Procedure;
                _query2.ProcedureType = csQueryBuilder.ProcType.Select;
                _query2.ViewType = csQueryBuilder.VType.Process;
                _query2.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query2.Add("@AgentBranch_ID", SqlDbType.Int, BranchID.ToString());
                _query2.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query2.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchAllMOPUpdate(int AgentID, int BranchID, int flag = 0)
        {
            csQueryBuilder _query3 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query3.TableName = (flag == 1) ? Procedure.vw_AgentBranchwiseMOP : Procedure.vw_AgentBranchwiseMOP_All;
                _query3.QryType = csQueryBuilder.QueryType.Procedure;
                _query3.ProcedureType = csQueryBuilder.ProcType.Select;
                _query3.ViewType = csQueryBuilder.VType.Process;
                _query3.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query3.Add("@AgentBranch_ID", SqlDbType.Int, BranchID.ToString());
                _query3.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query3.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Compliance View List
        public DataTable GetComplianceManagementView(int UserID, int TransactionID, string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewBlockedTransaction";
                _query.Add("@TopRecord", SqlDbType.Int, TransactionID.ToString());
                if (!string.IsNullOrEmpty(TransactionNumber))
                {
                    _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                }
                _query.Add("@UserID", SqlDbType.NVarChar, UserID.ToString());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementViewBy_TransactionNumber(int UserID, string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewBlockedTransaction";
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@UserID", SqlDbType.NVarChar, UserID.ToString());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementViewBy_TransactionID(int UserID, int TransactionID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewBlockedTransaction";
                _query.Add("@TopRecord", SqlDbType.Int, TransactionID.ToString());
                _query.Add("@UserID", SqlDbType.NVarChar, UserID.ToString());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public Boolean GetComplianceManagementTxnPrefix(string TransactionNumber)
        {
            Boolean isMGTrxn = false;
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetTxnPrefix";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ParameterRequired = false;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                string _strTxnPrefix = Convert.ToString(MyDT.Rows[0]["TxnPrefix"]);
                if (TransactionNumber.Substring(0, 3) == _strTxnPrefix)
                {
                    isMGTrxn = true;
                }
                return isMGTrxn;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementView_ViewCompliance(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetComplianceReason";
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber.Trim());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementView_TransactionLog(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.ViewStatusLog;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@SRTRNo", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementView_RequiredDetail(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewTxnMasterDetails";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@TxnNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementView_BindData(string TransactionNumber)
        {
            csQueryBuilder _query1 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query1.TableName = "sp_TxnDetailsForComplianceReview";
                _query1.QryType = csQueryBuilder.QueryType.Procedure;
                _query1.ProcedureType = csQueryBuilder.ProcType.Select;
                _query1.Add("@TxnNumber", SqlDbType.NVarChar, TransactionNumber);
                _query1.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query1.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementView_ComplianceShowDetail(string TransactionNumber, string SearchType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetOFACLogDetails_ByRemBEN";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber.Trim());
                _query.Add("@SearchType", SqlDbType.NVarChar, SearchType.Trim());

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool ComplianceManagementView_OnHold(string TransactionNumber, string Remark, string UserID)
        {
            try
            {
                _query.TableName = "spComplainceHoldTransaction";
                _query.Add("@Trn", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@Remark", SqlDbType.NVarChar, Remark);
                _query.Add("@EnteredBy", SqlDbType.NVarChar, UserID);
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool ComplianceManagementView_UpdateCustBEN(string TransactionNumber, string IsApprove, string sType, string Remark, string UserID, string CustomerBeneficiaryNo)
        {
            try
            {
                _query.TableName = "SP_ANTS_Update_CustBen";
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@Remark", SqlDbType.NVarChar, Remark);
                _query.Add("@Mode", SqlDbType.NVarChar, sType);
                _query.Add("@RecordValue", SqlDbType.NVarChar, IsApprove);
                if (sType == "C")
                {
                    _query.Add("@ModeValue", SqlDbType.NVarChar, CustomerBeneficiaryNo);
                }
                else
                {
                    _query.Add("@ModeValue", SqlDbType.NVarChar, CustomerBeneficiaryNo);
                }
                _query.Add("@UserID", SqlDbType.NVarChar, UserID);
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool ComplianceManagementView_Approve(string TransactionNumber, string Remark, string UserID)
        {
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spApproveTransaction";
                _query.Add("@Trn", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@Remark", SqlDbType.NVarChar, Remark);

                _query.Add("@EnteredBy", SqlDbType.NVarChar, UserID);
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceManagementView_BindWithoutSBI(string TransactionNumber, string SelectList = "TransactionNumber")
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_TrMaster_Temp;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.AddCriteria(SelectList, csSQLFormat.String_InSqlFormat(TransactionNumber), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCustomerType(string TransactionNumber)
        {
            csQueryBuilder _query5 = new csQueryBuilder();
            DataTable MyDT = new DataTable();
            try
            {
                _query5 = new csQueryBuilder();
                _query5.TableName = "GetCustomerType";
                _query5.QryType = csQueryBuilder.QueryType.Procedure;
                _query5.ProcedureType = csQueryBuilder.ProcType.Select;
                _query5.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query5.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query5.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceRejectionReason()
        {
            DataTable dt = null;
            try
            {
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand())
                    {
                        command.Connection = conn;
                        command.CommandText = "SP_ComplianceRejectionReason";
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@ProcedureType", "0");
                        command.Parameters.AddWithValue("@ViewType", "0");

                        SqlDataAdapter da = new SqlDataAdapter(command);
                        dt = new DataTable();
                        da.Fill(dt);
                    }
                }
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region ViewCancelRequestStatus(frmViewCancelRequestStatus.aspx)

        public DataTable ViewCancelGetCountryList(int UserID, int Agent_ID, int Agent_Country_ID)
        {

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                _query.Add("@IsAllOptionReq", SqlDbType.Int, "1");

                if (Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable ViewCancelGetAgentList(int UserID, int _CountryID)
        {

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AgentListForCancelRequestStatus";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable ViewCancelGetAgentBranchList(int _ddlAgentsID)
        {

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "getBranchList_ViewCancelTrxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                //_query.Add("@AgentID", SqlDbType.Int, csDropDown.GetSelectedValue(ddlAgents.SelectedValue).ToString());
                _query.Add("@AgentID", SqlDbType.Int, _ddlAgentsID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable ViewCancelGetSearchResult(SearchProp searchProp)
        {

            DataTable MyDT = new DataTable();

            if (searchProp.TransactionNo == "" || searchProp.TransactionNo == null || searchProp.TransactionNo == "0")
            {
                try
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "spViewCancelRequestStatus";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.Add("@CountryID", SqlDbType.Int, searchProp.DdlCountryID.ToString());
                    _query.Add("@Agent_ID", SqlDbType.Int, searchProp.DdlAgentsID.ToString());
                    _query.Add("@SubGroupID", SqlDbType.Int, searchProp.SubUserGroup_Id.ToString());
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, searchProp.DrpAgentBranch.ToString());
                    if (!string.IsNullOrEmpty(searchProp.StartDate.ToString()) && !string.IsNullOrEmpty(searchProp.EndDate.ToString()))
                    {
                        _query.Add("@FromDate", SqlDbType.DateTime, searchProp.StartDate.ToString().Trim());
                        _query.Add("@ToDate", SqlDbType.DateTime, searchProp.EndDate.ToString().Trim());
                    }
                    _query.Add("@CancelledType", SqlDbType.Int, searchProp.DrpCancelledTypeID.ToString());
                    _query.Add("@StatusID", SqlDbType.Int, searchProp.DrpCancelledTypeID.ToString());
                    _query.Run();

                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                    return MyDT;
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
            else
            {
                try
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "spViewCancelRequestStatus";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.Add("@TransactionNumber", SqlDbType.NVarChar, searchProp.TransactionNo.ToString().Trim());
                    _query.Run();

                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                    return MyDT;
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
        }


        public bool ViewCancelTrnStatus_Cancel(CancilationProp cancilationProp)
        {
            #region Cancel Txn

            DataTable My_DT = new DataTable();

            bool isSuccess = false;

            try
            {

                string TransactionNo = cancilationProp.TransactionNo;
                cancilationProp.Date = DateTime.Now.ToShortDateString();
                cancilationProp.Time = DateTime.Now.ToShortTimeString();

                Boolean isMG = chkTrxnType(TransactionNo);

                if (cancilationProp.TrStatusID == 0)
                {
                    #region Delete Cancellation Request
                    try
                    {

                        //======Delete Request====//
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "UpdateStatus_ViewCancelTrxn";
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNo);
                        _query.Add("@AppID", SqlDbType.NVarChar, cancilationProp.App_ID);
                        _query.Add("@StatusID", SqlDbType.Int, "0");
                        _query.Add("@UserID", SqlDbType.Int, cancilationProp.UserID.ToString());
                        _query.Add("@Date", SqlDbType.DateTime, cancilationProp.Date); // Convert back to DateTime
                        _query.Add("@Time", SqlDbType.DateTime, cancilationProp.Time); // Convert back to DateTime
                        _query.Run();
                        csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                        MyDB.ExecuteNonQuery(_query.MyCmd);
                        isSuccess = true;
                    }
                    catch (Exception ex)
                    {
                        throw ex;
                    }

                    #endregion
                }
                else if (cancilationProp.TrStatusID == 14)
                {
                    #region Remove Transaction
                    // Delete Request
                    try
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "UpdateStatus_ViewCancelTrxn";
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNo);
                        _query.Add("@AppID", SqlDbType.NVarChar, cancilationProp.App_ID);
                        _query.Add("@StatusID", SqlDbType.Int, "14");
                        _query.Add("@UserID", SqlDbType.Int, cancilationProp.UserID.ToString());
                        _query.Add("@Date", SqlDbType.DateTime, DateTime.Now.ToShortDateString());
                        _query.Add("@Time", SqlDbType.DateTime, DateTime.Now.ToShortTimeString());
                        _query.Run();
                        csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                        MyDB.ExecuteNonQuery(_query.MyCmd);
                        isSuccess = true;
                    }
                    catch (Exception ex)
                    {
                        throw ex;
                    }
                    #endregion
                }
                else if (cancilationProp.TrStatusID == 29)
                {
                    #region Move To InProcess Transaction

                    try
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "spCanceToInprocessTxn";
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Update;
                        _query.Add("@TxnsNumber", SqlDbType.NVarChar, TransactionNo);
                        _query.Add("@UserId", SqlDbType.Int, cancilationProp.UserID.ToString());

                        if (!string.IsNullOrEmpty(cancilationProp.txtRemarks))
                        {
                            _query.Add("@Remark", SqlDbType.NVarChar, cancilationProp.txtRemarks.ToString());
                        }

                        _query.Run();
                        csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                        MyDB.ExecuteNonQuery(_query.MyCmd);

                        isSuccess = true;
                    }
                    catch (Exception ex)
                    {
                        throw ex;
                    }
                    #endregion

                }

                else
                {

                    string _TrxnNo = cancilationProp.TransactionNo;
                    string _TrStatusID = cancilationProp.TrStatusID.ToString();
                    string _User = cancilationProp.UserID.ToString();
                    string _Remark = cancilationProp.txtRemarks.ToString();

                    if (_Remark == null || _Remark == "")
                    {
                        _Remark = "Transaction Cancellation Requested";
                    }

                    if (isMG == true)
                    {
                        #region Changes for MG Cancellation Maker Checker by Khalid on 12Nov2020
                        try
                        {
                            csQueryBuilder _Query = new csQueryBuilder();
                            _Query.TableName = "sp_MG_Cancellation_MakerChecker";
                            _Query.QryType = csQueryBuilder.QueryType.Procedure;
                            _Query.ViewType = csQueryBuilder.VType.Process;
                            _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
                            _Query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNo);
                            _Query.Add("@TrStatusID", SqlDbType.Int, _TrStatusID);
                            _Query.Add("@UserID", SqlDbType.NVarChar, _User);
                            _Query.Add("@Remark", SqlDbType.NVarChar, _Remark);
                            _Query.Run();
                            csDatabase _MyDB = new csDatabase(csCommon.ConnectionString);
                            _MyDB.ExecuteNonQuery(_Query.MyCmd);
                            isSuccess = true;
                        }
                        catch (Exception ex)
                        {
                            throw ex;
                        }


                        #endregion
                    }
                    else
                    {
                        #region Changes for Cancellation Maker Checker by Khalid on 11May2020
                        try
                        {
                            csQueryBuilder _Query = new csQueryBuilder();
                            _Query.TableName = "spCancellation_MakerChecker";
                            _Query.QryType = csQueryBuilder.QueryType.Procedure;
                            _Query.ViewType = csQueryBuilder.VType.Process;
                            _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
                            _Query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNo);
                            _Query.Add("@TrStatusID", SqlDbType.Int, _TrStatusID);
                            _Query.Add("@UserID", SqlDbType.NVarChar, _User);
                            _Query.Add("@Remark", SqlDbType.NVarChar, _Remark);
                            _Query.Run();
                            csDatabase _MyDB = new csDatabase(csCommon.ConnectionString);
                            _MyDB.ExecuteNonQuery(_Query.MyCmd);
                            isSuccess = true;
                        }
                        catch (Exception ex)
                        {
                            throw ex;
                        }

                        #endregion
                    }
                }

            }
            catch (Exception ex)
            {
                throw ex;
            }

            return isSuccess;

            #endregion
        }


        public Boolean chkTrxnType(string TrxnNo)
        {
            Boolean isMGTrxn = false;
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetTxnPrefix";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ParameterRequired = false;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                string _strTxnPrefix = Convert.ToString(MyDT.Rows[0]["TxnPrefix"]);
                if (TrxnNo.Substring(0, 3) == _strTxnPrefix)
                {
                    isMGTrxn = true;
                }
                return isMGTrxn;
            }
            catch (Exception ex)
            {
                throw new Exception("Error in this method [chkTrxnType()]" + ex.Message);
            }
        }


        public DataTable PrintLog(string SRTRNo)
        {

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.ViewStatusLog;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@SRTRNo", SqlDbType.NVarChar, SRTRNo);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }

        }


        #endregion
        #region Compliance Management >> Compliance Reports >> Cmp_SuspiciousTransactionReport[frmSuspiciousTransactionReport.aspx]

        public DataTable SuspiciousTransactionReport_SearchResult(string FromDate, string ToDate, string SRTRNo)
        {

            DataTable MyDT = new DataTable();

            if ((!string.IsNullOrEmpty(FromDate)) || (!string.IsNullOrEmpty(ToDate)) && (string.IsNullOrEmpty(SRTRNo)))
            {
                try
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "spSuspiciousTransactionReport";
                    _query.Add("@FromDate", SqlDbType.NVarChar, FromDate);
                    _query.Add("@ToDate", SqlDbType.NVarChar, ToDate);
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                }

                catch (Exception ex)
                {
                    throw ex;
                }
            }
            else
            {
                try
                {
                    if (!string.IsNullOrEmpty(SRTRNo))
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "spSuspiciousTransactionReport";
                        _query.Add("@TransactionNumber", SqlDbType.NVarChar, SRTRNo);
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Run();

                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                    }
                    else
                    {
                        throw new Exception("Transaction No. not found!!");
                    }
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
            return MyDT;
        }

        #endregion
        #region Compliance Management >> Compliance Reports >> Cmp_IndianInboundTransactionReport[frmIndianinboundTransactionReport.aspx]

        public DataTable IndianInboundTransactionReport_SearchResult(string FromDate, string ToDate, string SRTRNo)
        {

            DataTable MyDT = new DataTable();

            if ((!string.IsNullOrEmpty(FromDate)) || (!string.IsNullOrEmpty(ToDate)) && (string.IsNullOrEmpty(SRTRNo)))
            {
                try
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "spIndianinboundTransactionReport";
                    _query.Add("@FromDate", SqlDbType.NVarChar, FromDate);
                    _query.Add("@ToDate", SqlDbType.NVarChar, ToDate);
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                }

                catch (Exception ex)
                {
                    throw ex;
                }
            }
            else
            {
                try
                {
                    if (!string.IsNullOrEmpty(SRTRNo))
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "spIndianinboundTransactionReport";
                        _query.Add("@TransactionNumber", SqlDbType.NVarChar, SRTRNo);
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Run();

                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                    }
                    else
                    {
                        throw new Exception("Transaction No. not found!!");
                    }
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
            return MyDT;
        }

        #endregion
        #region Compliance Management >> Compliance Reports >> Cmp_HighValueTransactionReport[frmHighValueTransactionReport.aspx]

        public DataTable HighValueTransactionReport_SearchResult(string FromDate, string ToDate, string SRTRNo)
        {

            DataTable MyDT = new DataTable();

            if ((!string.IsNullOrEmpty(FromDate)) || (!string.IsNullOrEmpty(ToDate)) && (string.IsNullOrEmpty(SRTRNo)))
            {
                try
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "spHighValueTransactionReport";
                    _query.Add("@FromDate", SqlDbType.NVarChar, FromDate);
                    _query.Add("@ToDate", SqlDbType.NVarChar, ToDate);
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                }

                catch (Exception ex)
                {
                    throw ex;
                }
            }
            else
            {
                try
                {
                    if (!string.IsNullOrEmpty(SRTRNo))
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "spHighValueTransactionReport";
                        _query.Add("@TransactionNumber", SqlDbType.NVarChar, SRTRNo);
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Run();

                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                    }
                    else
                    {
                        throw new Exception("Transaction No. not found!!");
                    }
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
            return MyDT;
        }

        #endregion
        #region Compliance Management >> Compliance Reports >> Cmp_ComplianceReleasedTransactionReport[frmComplianceReleasedTransactionReport.aspx]

        public DataTable ComplianceReleasedTransactionReport_SearchResult(string FromDate, string ToDate, string SRTRNo)
        {

            DataTable MyDT = new DataTable();

            if (SRTRNo == null || SRTRNo == "")
            {
                try
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "spComplianceReleasedTransactionReport";
                    _query.Add("@FromDate", SqlDbType.NVarChar, FromDate);
                    _query.Add("@ToDate", SqlDbType.NVarChar, ToDate);
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                }

                catch (Exception ex)
                {
                    throw ex;
                }
            }
            else
            {
                try
                {
                    if (!string.IsNullOrEmpty(SRTRNo))
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "spComplianceReleasedTransactionReport";
                        _query.Add("@TransactionNumber", SqlDbType.NVarChar, SRTRNo);
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Run();

                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                    }
                    else
                    {
                        throw new Exception("Transaction No. not found!!");
                    }
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }

            return MyDT;
        }

        #endregion
        #region Compliance Management >> Compliance Reports >> Cmp_ComplianceholdTransactionReport[frmComplianceholdTransactionReport.aspx]

        public DataTable ComplianceholdTransactionReport_SearchResult(string FromDate, string ToDate, string SRTRNo)
        {

            DataTable MyDT = new DataTable();

            if ((!string.IsNullOrEmpty(FromDate)) || (!string.IsNullOrEmpty(ToDate)) && (string.IsNullOrEmpty(SRTRNo)))
            {
                try
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "spComplianceholdTransactionReport";
                    _query.Add("@FromDate", SqlDbType.NVarChar, FromDate);
                    _query.Add("@ToDate", SqlDbType.NVarChar, ToDate);
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                }

                catch (Exception ex)
                {
                    throw ex;
                }
            }
            else
            {
                try
                {
                    if (!string.IsNullOrEmpty(SRTRNo))
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "spComplianceholdTransactionReport";
                        _query.Add("@TransactionNumber", SqlDbType.NVarChar, SRTRNo);
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Run();

                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                    }
                    else
                    {
                        throw new Exception("Transaction No. not found!!");
                    }
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
            //string str = JsonConvert.SerializeObject(MyDT);
            return MyDT;
        }

        #endregion
        #region Compliance Management >> Compliance Reports >> Cmp_Compliance Details Report[frmComplianceDetailsReport.aspx]               
        public DataTable ComplianceDetailsReport_SearchResult(string FromDate, string ToDate, string TrStatusID)
        {
            DataTable MyDT = new DataTable();

            if ((!string.IsNullOrEmpty(FromDate)) || (!string.IsNullOrEmpty(ToDate)))
            {
                try
                {
                    using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                    {
                        conn.Open();

                        using (SqlDataAdapter DataAdapter = new SqlDataAdapter("Sp_Compliance_Details_Report", conn))
                        {
                            DataAdapter.SelectCommand.CommandType = CommandType.StoredProcedure;
                            DataAdapter.SelectCommand.Parameters.AddWithValue("@ProcedureType", "0");
                            DataAdapter.SelectCommand.Parameters.AddWithValue("@ViewType", "1");
                            DataAdapter.SelectCommand.Parameters.AddWithValue("@FromDate", FromDate);
                            DataAdapter.SelectCommand.Parameters.AddWithValue("@ToDate", ToDate);
                            DataAdapter.SelectCommand.Parameters.AddWithValue("@StatusID", TrStatusID);
                            DataAdapter.SelectCommand.CommandTimeout = 0;

                            DataAdapter.Fill(MyDT);
                        }
                    }
                }
                catch (Exception ex)
                {

                    throw new Exception("Error : " + ex.Message);
                }
            }
            else
            {
                throw new Exception("Record Not Found!!");
            }

            return MyDT;
        }
        #endregion               
        #region View Transaction Status

        public DataTable GetCountryforTransactionStatus(string UserId, string G_Agent_ID, string Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserId);
                _query.Add("@CountryType", SqlDbType.Int, "8");
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentforTransactionStatus(string StrFlag, string AgentID, string CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.VarChar, StrFlag);
                _query.Add("@AgentID", SqlDbType.VarChar, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.VarChar, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentBranchforTransactionStatus(string StrFlag, string AgentID, string BranchID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.VarChar, StrFlag);
                _query.Add("@AgentID", SqlDbType.VarChar, AgentID.ToString());
                _query.Add("@SendBranch", SqlDbType.Int, BranchID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable GetTransactionStatus(int AgentType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (AgentType == UserGroupType.ReceivingAgent.GetHashCode())
                {
                    _query.TableName = Procedure.vw_ReceiveAgent_SearchTrans_StatusList;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                }
                else
                {
                    _query.TableName = Procedure.vw_ViewTransactionStatus_StatusList;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet GetTransactionStatusDeatil(DateTime FromDate, DateTime ToDate, string Filter)
        {
            DataSet MyDT = new DataSet();
            try
            {
                try
                {
                    _query.TableName = "sp_View_ViewTransactionStatus_ForAgent";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                    _query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                    _query.Add("@Filter", SqlDbType.VarChar, Filter);
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataSet(_query.MyCmd);

                }
                catch (Exception exp_s)
                {

                    if (MyDT.Tables.Count.Equals(0))
                    {

                        MyDT = null;
                        csQueryBuilder _query1 = new csQueryBuilder();
                        _query1.TableName = "sp_View_ViewTransactionStatus_ForAgent";
                        _query1.QryType = csQueryBuilder.QueryType.Procedure;
                        _query1.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query1.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                        _query1.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                        _query1.Add("@Filter", SqlDbType.VarChar, Filter);
                        _query1.Run();
                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataSet(_query1.MyCmd);
                    }
                }


                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet GetTransactionStatusDeatilByTransactionNumber(string Filter)
        {
            DataSet MyDT = new DataSet();
            try
            {
                try
                {
                    _query.TableName = "sp_View_ViewTransactionStatus_ForAgent";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.Add("@Filter", SqlDbType.VarChar, Filter);
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataSet(_query.MyCmd);

                }
                catch (Exception exp_s)
                {

                    if (MyDT.Tables.Count.Equals(0))
                    {

                        MyDT = null;
                        csQueryBuilder _query1 = new csQueryBuilder();
                        _query1.TableName = "sp_View_ViewTransactionStatus_ForAgent";
                        _query1.QryType = csQueryBuilder.QueryType.Procedure;
                        _query1.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query1.Add("@Filter", SqlDbType.VarChar, Filter);
                        _query1.Run();
                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataSet(_query1.MyCmd);
                    }
                }


                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionStatusLog(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.ViewStatusLog;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@SRTRNo", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region View Receive Transaction Status
        public DataTable GetCountryforReceiveTransaction(string UserId, string G_Agent_ID, string Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserId.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "9");
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetReceiveTransactionDetail(DateTime FromDate, DateTime ToDate, string Filter)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_View_ViewTransactionStatus_ForRAgent";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _query.Add("@Filter", SqlDbType.VarChar, Filter.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetReceiveTransactionByTransactionNumber(string Filter)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_View_ViewTransactionStatus_ForRAgent";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Filter", SqlDbType.VarChar, Filter.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Transaction Pending for Approval

        public DataTable GetTransactionPendingforApprovalStatus(string Form = "Pending Approval")
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.View_TrStatus;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@Form", SqlDbType.NVarChar, Form);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionPendingforApprovalUser(int AgentBranchID, int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentBranchwise_UserList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (AgentBranchID != 0)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, AgentBranchID.ToString());
                }
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionPendingforApprovalDetail(TransactionPendingRequest transactionPendingRequest, Permission MyType)
        {
            DataTable MyDT = new DataTable();
            SearchInput _Search = new SearchInput();
            ListItemCollection NewTrStatusList = new ListItemCollection();
            foreach (var strCurrencie in transactionPendingRequest.TrStatusList)
            {
                NewTrStatusList.Add(new ListItem(strCurrencie.Value, Convert.ToString(strCurrencie.Id)));
            }
            try
            {
                _Search.TopRecord = transactionPendingRequest.TopRecord;
                _Search.PayOutCountry = transactionPendingRequest.PayOutCountry;
                _Search.Agent_ID = transactionPendingRequest.Agent_ID;
                _Search.PayOutCurrency = transactionPendingRequest.PayOutCurrency;
                _Search.UserGroupType = transactionPendingRequest.UserGroupType;
                _Search.SessionAgent_ID = transactionPendingRequest.SessionAgent_ID;
                _Search.SRTRNo = transactionPendingRequest.SRTRNo;
                _Search.TrStatusID = transactionPendingRequest.TrStatusID;
                _Search.TrTypeID = transactionPendingRequest.TrTypeID;
                _Search.PayInCountry = transactionPendingRequest.PayInCountry;
                _Search.PayInCurrency = transactionPendingRequest.PayInCurrency;
                _Search.Customer_Name_F = transactionPendingRequest.Customer_Name_F;
                _Search.Customer_Name_L = transactionPendingRequest.Customer_Name_L;
                _Search.Remitter_Phone_No = transactionPendingRequest.Remitter_Phone_No;
                _Search.Beneficiary_Name_F = transactionPendingRequest.Beneficiary_Name_F;
                _Search.Beneficiary_Name_L = transactionPendingRequest.Beneficiary_Name_L;
                _Search.Benef_Phone_No = transactionPendingRequest.Benef_Phone_No;
                _Search.StartDate = transactionPendingRequest.StartDate;
                _Search.EndDate = transactionPendingRequest.EndDate;
                _Search.LoginAgentCountry = transactionPendingRequest.LoginAgentCountryID;
                _Search.LoginAgentCity = transactionPendingRequest.LoginAgentCityID;
                _Search.LoginAgentLocation = transactionPendingRequest.LoginAgentLocationID;
                _Search.AgentBranchId = transactionPendingRequest.AgentBranchId;
                _Search.UserID = transactionPendingRequest.UserID;
                _Search.AgentType = MyType;

                _query.TableName = Procedure.View_ViewPendingApproval;
                _query.Add("@UserGroupType", SqlDbType.Int, _Search.UserGroupType.ToString());

                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;

                if (_Search.SearchByType == 1)
                {
                    #region For Search By Transaction No.
                    if (!string.IsNullOrEmpty(_Search.SRTRNo))
                    {
                        _query.Add("@SRTRNo", SqlDbType.NVarChar, _Search.SRTRNo.Trim());
                    }
                    else
                    {
                        throw new Exception("Transaction Number not provided.");
                    }

                    if (_Search.SessionAgent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    {

                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                    }

                    #endregion For Search By Transaction No.
                }
                else if (_Search.SearchByType == 2)
                {
                    #region For Search By Other Field.
                    if (_Search.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, _Search.TopRecord.ToString());
                    }
                    if (_Search.TrStatusID != 0 && _Search.TrStatusID != -1)
                    {
                        _query.Add("@TrStatusID", SqlDbType.Int, _Search.TrStatusID.ToString());
                    }
                    if (_Search.Agent_ID != 0)
                    {
                        if (_Search.AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else if (_Search.AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                        }
                        else
                        {
                            if (_Search.TrTypeID == PaymentMode.Cash.GetHashCode() || _Search.TrTypeID == PaymentMode.Bank_Transfer.GetHashCode() || _Search.TrTypeID == PaymentMode.Draft.GetHashCode())
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                            else
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, _Search.Agent_ID.ToString());
                            }
                        }
                    }
                    if (_Search.TrTypeID != 0 && _Search.TrTypeID != -1)
                    {
                        _query.Add("@TrTypeID", SqlDbType.Int, _Search.TrTypeID.ToString());
                    }
                    if (_Search.PayInCountry != 0 && _Search.PayInCountry != -1)
                    {
                        _query.Add("@CountryID", SqlDbType.Int, _Search.PayInCountry.ToString());
                    }
                    if (_Search.PayInCurrency != 0 && _Search.PayInCurrency != -1)
                    {
                        _query.Add("@PayInCurrencyID", SqlDbType.Int, _Search.PayInCurrency.ToString());
                    }
                    if (_Search.PayOutCountry != 0 && _Search.PayOutCountry != -1)
                    {
                        _query.Add("@PayCountryID", SqlDbType.Int, _Search.PayOutCountry.ToString());
                    }
                    if (_Search.PayOutCurrency != 0 && _Search.PayOutCurrency != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, _Search.PayOutCurrency.ToString());
                    }

                    #endregion For Search By Other Field.
                }
                else if (_Search.SearchByType == 3)
                {
                    #region For Search By Advanced Fields.
                    bool _IsInputProvided = false;

                    if (!string.IsNullOrEmpty(_Search.Customer_Name_F))
                    {
                        _query.Add("@Customer_Name_F", SqlDbType.NVarChar, _Search.Customer_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Customer_Name_L))
                    {
                        _query.Add("@Customer_Name_L", SqlDbType.NVarChar, _Search.Customer_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Remitter_Phone_No))
                    {
                        _query.Add("@Customer_Phone", SqlDbType.NVarChar, _Search.Remitter_Phone_No);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_F))
                    {
                        _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, _Search.Beneficiary_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Beneficiary_Name_L))
                    {
                        _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, _Search.Beneficiary_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(_Search.Benef_Phone_No))
                    {
                        _query.Add("@Beneficiary_Phone", SqlDbType.NVarChar, _Search.Benef_Phone_No);
                        _IsInputProvided = true;
                    }

                    //if (_Search.LoginAgentCountry != 0)
                    //{
                    if (!string.IsNullOrEmpty(_Search.StartDate))
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(_Search.StartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(_Search.EndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN CONVERT(DATETIME, '" + _Search.StartDate + " 00:00:00', 102) AND CONVERT(DATETIME, '" + _Search.EndDate + " 00:00:00', 102)");
                                    _IsInputProvided = true;
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(_Search.EndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                    if (!_IsInputProvided)
                    {
                        throw new Exception("Input not provided.");
                    }
                    //}
                    #endregion For Search By Other Field.
                }

                if (_Search.LoginAgentCountry != 0)
                {
                    _query.Add("@LoginCountryID", SqlDbType.Int, _Search.LoginAgentCountry.ToString());
                }
                if (_Search.LoginAgentCity != 0)
                {
                    _query.Add("@LoginCityID", SqlDbType.Int, _Search.LoginAgentCity.ToString());
                }
                if (_Search.LoginAgentLocation != 0)
                {
                    _query.Add("@LoginLocationID", SqlDbType.Int, _Search.LoginAgentLocation.ToString());
                }


                if (_Search.AgentBranchId != 0 && _Search.AgentBranchId != -1)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, _Search.AgentBranchId.ToString());
                }

                //_query.AddCriteria("Tr_Sequance", csSQLFormat.int_InSqlFormat("1"), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);

                if (!string.IsNullOrEmpty(_Search.UserID) && _Search.UserID != "0" && _Search.UserID != "-1")
                {
                    _query.Add("@UserId", SqlDbType.NVarChar, _Search.UserID);
                }
                string _TrStatus = string.Empty;
                foreach (ListItem _list in NewTrStatusList)
                {
                    if (_list.Value != "0" || _list.Value != "-1")
                    {
                        if (_TrStatus.Length == 0)
                        {
                            _TrStatus = _TrStatus + _list.Value;
                        }
                        else
                        {
                            _TrStatus = _TrStatus + "," + _list.Value;
                        }
                    }
                }
                if (!string.IsNullOrEmpty(_TrStatus))
                {
                    //_script = _script + " AND TrStatusID IN(" + _TrStatus + ")";
                    _query.Add("@ListTrStatusID", SqlDbType.NVarChar, _TrStatus);
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Transaction Process Log
        public DataTable GetTransactionProcessLog(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "FrmTransProcessLog";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNO", SqlDbType.NVarChar, TransactionNumber.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Transaction Search
        public DataTable GetTransactionSearchLCCurrency(string UserID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spSearchTransactionsOperationRpt_CurrenctList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionSearchSendAgent(int CurrencyId, string UserID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spSearchTransactionsOperationRpt_SendAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Currency_Id", SqlDbType.Int, CurrencyId.ToString());
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionSearchFCCurrency()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spSearchTransactionsOperationRpt_FCCCYList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionSearchReceivingAgent(int CurrencyId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spSearchTransactionsOperationRpt_ReceiveAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Currency_Id", SqlDbType.Int, CurrencyId.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionSearchDetail(TransactionSearchRequest transactionSearchRequest)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (transactionSearchRequest.ReportType == "1")
                {
                    _query.TableName = "spSearchTransactionsOperationRpt";
                }
                else
                {
                    _query.TableName = "spSearchTransactionsOperationRpt_CCYWise";
                }
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@LCCCY", SqlDbType.Int, transactionSearchRequest.LcCurrencyId.ToString());
                _query.Add("@PayInAgent", SqlDbType.Int, transactionSearchRequest.SendAgentId.ToString());
                _query.Add("@FCCCY", SqlDbType.Int, transactionSearchRequest.FcCurrencyId.ToString());
                _query.Add("@PayOutAgent", SqlDbType.Int, transactionSearchRequest.ReceiveAgentId.ToString());
                if (!(string.IsNullOrEmpty(transactionSearchRequest.CustFullname.Trim())))
                {
                    _query.Add("@CustomerName", SqlDbType.NVarChar, transactionSearchRequest.CustFullname.Trim());
                }
                if (!(string.IsNullOrEmpty(transactionSearchRequest.Benfullname.Trim())))
                {
                    _query.Add("@BenfName", SqlDbType.NVarChar, transactionSearchRequest.Benfullname.Trim());
                }
                if (!(string.IsNullOrEmpty(Convert.ToString(transactionSearchRequest.Fromamount).Trim())))
                {
                    _query.Add("@FromAmount", SqlDbType.Decimal, transactionSearchRequest.Fromamount.ToString());
                }
                if (!(string.IsNullOrEmpty(Convert.ToString(transactionSearchRequest.ToAmount).Trim())))
                {
                    _query.Add("@Toamount", SqlDbType.Decimal, transactionSearchRequest.ToAmount.ToString());
                }
                if (transactionSearchRequest.IsAmountinUSD)
                {
                    _query.Add("@IsAmountinUSD", SqlDbType.NVarChar, "1");
                }
                else
                {
                    _query.Add("@IsAmountinUSD", SqlDbType.NVarChar, "0");
                }
                if (!string.IsNullOrEmpty(Convert.ToString(transactionSearchRequest.StartDate).Trim()))
                {
                    _query.Add("@StartDate", SqlDbType.DateTime, transactionSearchRequest.StartDate.ToString());
                }
                if (!string.IsNullOrEmpty(Convert.ToString(transactionSearchRequest.EndDate).Trim()))
                {
                    _query.Add("@ToDate", SqlDbType.DateTime, transactionSearchRequest.EndDate.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                string str = JsonConvert.SerializeObject(MyDT);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Cancel Paid Transaction

        public DataTable GetCancelPaidTransactionAgentAccount(int CountryID, Permission MyType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCancelPaidTransactionAgentBranch(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "getBranchList_ViewCancelTrxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCancelPaidTransactionAllRecord(int AgentID, int SubGroupID, int AgentBranchID, int CancelledType, int StatusID, string StartDate, string EndDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewPaidCancellationRequest";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@SubGroupID", SqlDbType.Int, SubGroupID.ToString());
                _query.Add("@Agent_Branch_ID", SqlDbType.Int, AgentBranchID.ToString());
                if (!string.IsNullOrEmpty(StartDate) && !string.IsNullOrEmpty(EndDate))
                {
                    _query.Add("@FromDate", SqlDbType.DateTime, StartDate.ToString());
                    _query.Add("@ToDate", SqlDbType.DateTime, EndDate.ToString());
                }
                _query.Add("@CancelledType", SqlDbType.Int, CancelledType.ToString());
                _query.Add("@StatusID", SqlDbType.Int, StatusID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCancelPaidTransactionByTransactionNumber(int AgentID, int SubGroupID, string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewPaidCancellationRequest";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@SubGroupID", SqlDbType.Int, SubGroupID.ToString());
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Load Report
        public DataTable GetTransactionReport(string TransactionNumber)
        {
            DataTable MyDT1 = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "sp_IsArebic";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@tr_display", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                DataTable MyDT = new DataTable();
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                if (MyDT.Rows.Count > 0)
                {
                    bool _IsDuplicate = (MyDT.Rows[0]["IsDuplicate"].ToString() == "False") ? false : true;
                    if (_IsDuplicate)
                    {

                    }
                    else
                    {
                        bool IsArebic = bool.Parse(MyDT.Rows[0]["IsArebic"].ToString());
                        _query = new csQueryBuilder();
                        _query.TableName = (IsArebic == false) ? "sp_Rpt_RO" : "sp_Rpt_RO_ARABIC";
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Add("@tr_display", SqlDbType.NVarChar, TransactionNumber);
                        _query.Run();
                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT1 = _MyDB.Return_DataTable(_query.MyCmd);
                    }
                }
                return MyDT1;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool GetIsArebic(string TransactionNumber)
        {
            DataTable MyDT1 = new DataTable();
            bool IsArebic = false;
            try
            {
                _query.TableName = "sp_IsArebic";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@tr_display", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                DataTable MyDT = new DataTable();
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                if (MyDT.Rows.Count > 0)
                {
                         IsArebic = bool.Parse(MyDT.Rows[0]["IsArebic"].ToString());                      
                }
                return IsArebic;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> Agent Wise TrxnSent Report[ AgentWise_TrxnSent.aspx]

        //=====For Country List======//
        public DataTable AgentWiseTrxnSentReport_CountryDropDown(int userID, int Agent_ID, int Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, userID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                if (Agent_ID != 0)
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====For Agent List======//
        public DataTable AgentWiseTrxnSentReport_AgentList(string Agent_ID, string CountryID)
        {
            DataTable MyDT = new DataTable();
            string flag = "1";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, Agent_ID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====For Agent Branch List======//
        public DataTable AgentWiseTrxnSentReport_AgentBranchList(string Agent_ID)
        {
            DataTable MyDT = new DataTable();
            string flag = "4";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, Agent_ID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====For Fill Grid Data======//
        public DataSet AgentWiseTrxnSentReport_FillGrid(FilterOptions obj)
        {
            string filter = "";

            string sqlText = "sp_AgentWise_TrxnSent";
            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            using (SqlCommand cmd = new SqlCommand(sqlText, conn))
            {
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandTimeout = 0;
                cmd.Parameters.AddWithValue("@FromDate", obj.FromDate);
                cmd.Parameters.AddWithValue("@ToDate", obj.ToDate);

                if (obj.AgentID != -1)
                {
                    filter = " AND SendAgent = " + obj.AgentID;
                }
                else
                {
                    filter = " AND TRT.PayInCountry = " + obj.CountryID;
                }

                filter += (obj.AgentBranchID != "ALL") ? " AND AgentBranch_ID = " + obj.AgentBranchID : string.Empty;
                cmd.Parameters.AddWithValue("@Filter", filter);
                cmd.Parameters.AddWithValue("@UserGroupType", obj.UserGroupType);
                cmd.Parameters.AddWithValue("@SessionAgent_ID", obj.SessionAgent_ID);

                SqlDataAdapter da = new SqlDataAdapter(cmd);
                DataSet ds = new DataSet();

                try
                {
                    da.Fill(ds);
                }
                catch (Exception ex)
                {
                    throw new Exception("Error:" + ex.Message);
                }

                return ds;
            }
        }

        #endregion
        #region Reports >> Transaction Details Report[ Reports/TransactionDetailsReport.aspx]

        //=====For Transaction Details Report Country List======//
        public DataTable TransactionDetailsReport_CountryList(int userID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "TransactionDetailsCountryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.NVarChar, userID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====For Transaction Details Report Agent List======//
        public DataTable TransactionDetailsReport_AgentList(int CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "TransactionDetailsAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable TransactionDetailsReportViewAccountSentDate(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "TrxnAccountVoucher";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Tr_Display", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@TrxnTypeFlag", SqlDbType.Int, "1");
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable TransactionDetailsReportViewAccountPaidDate(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "TrxnAccountVoucher";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Tr_Display", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@TrxnTypeFlag", SqlDbType.Int, "2");
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable TransactionDetailsReportViewAccountCancelDate(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "TrxnAccountVoucher";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Tr_Display", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@TrxnTypeFlag", SqlDbType.Int, "3");
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====For Fill Grid Data======//
        public DataTable TransactionDetailsReport_FillGrid(TransactionDetailsReportFilterOptions trxnDetails)
        {
            DataTable dt = new DataTable();
            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlCommand cmd = new SqlCommand())
                {
                    cmd.Connection = sqlConnection;
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandText = "TrxnAccountingReport";

                    if (trxnDetails.TrxnNo == "" || trxnDetails.TrxnNo == null)
                    {
                        cmd.Parameters.AddWithValue("@FromDate", trxnDetails.FromDate.ToString());
                        cmd.Parameters.AddWithValue("@ToDate", trxnDetails.ToDate.ToString());
                        cmd.Parameters.AddWithValue("@CountryID", trxnDetails.CountryID.ToString().Trim());
                        cmd.Parameters.AddWithValue("@AgentID", trxnDetails.AgentID.ToString());
                        cmd.Parameters.AddWithValue("@CustomerType", trxnDetails.CustomerID.ToString().Trim());
                    }
                    else
                    {
                        cmd.Parameters.AddWithValue("@TransactionNumber", trxnDetails.TrxnNo.ToString().Trim());
                    }

                    cmd.CommandTimeout = 180;
                    SqlDataAdapter da = new SqlDataAdapter(cmd);

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        if (dt == null)
                        {
                            sqlConnection.ConnectionString = csCommon.GetConnectionString;
                            da.Fill(dt);
                        }
                    }

                }
            }
            return dt;
        }
        #endregion
        #region Reports >> Agent PayOut Summary Report[frmAgentPayOutSummary.aspx]

        //=====For Agent PayOut Summary Report Agent List======//
        public DataTable AgentPayOutSummaryReport_AgentList(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AgentPayOutSummary_AgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====Agent PayOut Summary Report Agent Branch List======//
        public DataTable AgentPayOutSummaryReport_AgentBranchList(int AgentID, int G_Agent_ID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AgentPayOutSummary_BranchList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                if (G_Agent_ID != 0)
                {
                    _query.Add("@BranchID", SqlDbType.Int, G_Agent_ID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====For Fill Grid Data======//
        public DataSet AgentPayOutSummaryReport_FillGrid(int AgentId, int branchID, DateTime FromDate, DateTime ToDate)
        {
            DataSet _ds = new DataSet();
            int CheckOutput = 1;
            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlCommand cmd = new SqlCommand())
                {
                    cmd.Connection = sqlConnection;
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandText = "AgentPayOutSummary_Test12122023";
                    cmd.Parameters.AddWithValue("@FromDate", FromDate.ToString());
                    cmd.Parameters.AddWithValue("@ToDate", ToDate.ToString());
                    cmd.Parameters.AddWithValue("@AgentId", AgentId.ToString());
                    cmd.Parameters.AddWithValue("@branchID", branchID.ToString());
                    cmd.Parameters.AddWithValue("@CheckOutput", CheckOutput.ToString());

                    SqlDataAdapter da = new SqlDataAdapter(cmd);

                    try
                    {
                        da.Fill(_ds);
                        string _str = JsonConvert.SerializeObject(_ds);
                    }
                    catch (Exception ex)
                    {
                        if (_ds == null)
                        {
                            sqlConnection.ConnectionString = csCommon.GetConnectionString;
                            da.Fill(_ds);
                        }
                    }

                }
            }
            return _ds;
        }

        #endregion
        #region Reports >> Rebate Report [Reports\frmRebetRepotes.aspx]

        //=====For Rebate Requested Agent List======//
        public DataTable GetRebateRequestedAgentList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = "spGetrebatAgent";
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.View;
                MyQry.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQry.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        //=====For Rebate Requested Mode Of Payment List======//
        public DataTable GetRebatAgentPayModeList(int AgentID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = "spGetrebatAgentPayMode";
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.View;
                MyQry.Add("@TRD_AGENT_ID", SqlDbType.Int, AgentID.ToString());
                MyQry.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQry.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====For Fill Grid Data======//
        public DataTable GetRebatReport_FillGrid(int AgentId, int PaymentModeID, DateTime FromDate, DateTime ToDate)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = "spGetrebatReport";
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.View;
                MyQry.Add("@paygent", SqlDbType.Int, AgentId.ToString());
                MyQry.Add("@payMode", SqlDbType.Int, PaymentModeID.ToString());
                MyQry.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString("yyyy-MM-dd"));
                MyQry.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString("yyyy-MM-dd"));
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQry.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }





        #endregion
        #region Search Transaction Mode Wise
        public DataTable GetSearchTransactionModeWise(TransactionModeWiseRequest transactionModeWise)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spSearchTransactionsOperationRpt_ModeWise";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Mode", SqlDbType.Int, transactionModeWise.ModeType.ToString());
                _query.Add("@LCCCY", SqlDbType.Int, transactionModeWise.LcCurrencyID.ToString());
                _query.Add("@PayInAgent", SqlDbType.Int, transactionModeWise.SendAgentID.ToString());
                _query.Add("@FCCCY", SqlDbType.Int, transactionModeWise.FcCurrencyID.ToString());
                _query.Add("@PayOutAgent", SqlDbType.Int, transactionModeWise.ReceiveAgentID.ToString());
                if (!(string.IsNullOrEmpty(transactionModeWise.CustFullname)))
                {
                    _query.Add("@CustomerName", SqlDbType.NVarChar, transactionModeWise.CustFullname);
                }
                if (!(string.IsNullOrEmpty(transactionModeWise.Benfullname)))
                {
                    _query.Add("@BenfName", SqlDbType.NVarChar, transactionModeWise.Benfullname);
                }
                if (!(string.IsNullOrEmpty(transactionModeWise.Fromamount)))
                {
                    _query.Add("@FromAmount", SqlDbType.Decimal, transactionModeWise.Fromamount);
                }
                if (!(string.IsNullOrEmpty(transactionModeWise.ToAmount)))
                {
                    _query.Add("@Toamount", SqlDbType.Decimal, transactionModeWise.ToAmount);
                }
                _query.Add("@IsAmountinUSD", SqlDbType.NVarChar, transactionModeWise.IsAmtInUSD);
                if (!string.IsNullOrEmpty(transactionModeWise.StartDate))
                {
                    _query.Add("@StartDate", SqlDbType.DateTime, transactionModeWise.StartDate);
                }
                if (!string.IsNullOrEmpty(transactionModeWise.EndDate))
                {
                    _query.Add("@ToDate", SqlDbType.DateTime, transactionModeWise.EndDate);
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Transaction CTA Hold Summary
        public DataTable GetTransactionCTACountry()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewCTAHoldSummaryCountryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionCTAgent(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewCTAHoldSummaryAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionCTAAllRecord(string Todate, int CountryID, int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewCTATransactionSummarized";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (CountryID != 0)
                {
                    _query.Add("@Country_Id", SqlDbType.Int, CountryID.ToString());
                }
                if (AgentID != 0)
                {
                    _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Add("@ToDate", SqlDbType.DateTime, Todate.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Receive Transaction Status Summary

        public DataTable GetReceiveTransactionStatusSummaryCountry()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewReceiveTrxnSummaryCountryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetReceiveTransactionStatusSummaryAllRecord(string FromDate, string Todate, int CountryID, int AgentID, int StatusID)
        {
            DataTable MyDT = new DataTable();
            SqlConnection conn = null;
            SqlDataAdapter DataAdapter = null;
            using (conn = new SqlConnection(csCommon.GetConnectionString + ";Connection Timeout=3600"))
            {

                DataAdapter = new SqlDataAdapter("spViewTransactionStatusSummary", conn);
                DataAdapter.SelectCommand.CommandType = CommandType.StoredProcedure;
                DataAdapter.SelectCommand.Parameters.AddWithValue("@ProcedureType", "0");
                DataAdapter.SelectCommand.Parameters.AddWithValue("@ViewType", "1");

                if (CountryID != 0)
                {
                    DataAdapter.SelectCommand.Parameters.AddWithValue("@Country_Id", CountryID);
                }
                if (AgentID != 0)
                {
                    DataAdapter.SelectCommand.Parameters.AddWithValue("@AgentID", AgentID);
                }
                if (StatusID != 0)
                {
                    DataAdapter.SelectCommand.Parameters.AddWithValue("@statusid", StatusID);
                }

                DataAdapter.SelectCommand.Parameters.AddWithValue("@FromDate", FromDate);

                DataAdapter.SelectCommand.Parameters.AddWithValue("@ToDate", Todate);


                DataAdapter.SelectCommand.CommandTimeout = 0;
                DataAdapter.Fill(MyDT);
                return MyDT;
            }
        }

        #endregion
        #region Transaction SentSummary
        public DataTable GetTransactionSentSummaryAgent(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spSentTransactionSummaryAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentType", SqlDbType.Int, "8");
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionSentSummaryAllRecord(string FromDate, string ToDate, int ModeType, int SendCountryID, int AgentID, int ReceiveCountryID)
        {
            DataTable MyDT = new DataTable();
            SqlConnection conn = null;
            SqlDataAdapter DataAdapter = null;
            using (conn = new SqlConnection(csCommon.GetConnectionString + ";Connection Timeout=3600"))
            {

                DataAdapter = new SqlDataAdapter("spSentTransactionSummary", conn);
                DataAdapter.SelectCommand.CommandType = CommandType.StoredProcedure;
                DataAdapter.SelectCommand.Parameters.AddWithValue("@ProcedureType", "0");
                DataAdapter.SelectCommand.Parameters.AddWithValue("@ViewType", "1");

                DataAdapter.SelectCommand.Parameters.AddWithValue("@FromDate", FromDate);
                DataAdapter.SelectCommand.Parameters.AddWithValue("@ToDate", ToDate);


                if (SendCountryID != 0)
                {
                    DataAdapter.SelectCommand.Parameters.AddWithValue("@PayInCountryID", SendCountryID);
                }
                if (AgentID != 0)
                {
                    DataAdapter.SelectCommand.Parameters.AddWithValue("@SendAgentID", AgentID);
                }
                if (ReceiveCountryID != 0)
                {
                    DataAdapter.SelectCommand.Parameters.AddWithValue("@PayOutCountryID", ReceiveCountryID);
                }
                DataAdapter.SelectCommand.Parameters.AddWithValue("@Mode", ModeType);


                DataAdapter.SelectCommand.CommandTimeout = 0;

                DataAdapter.Fill(MyDT);
                return MyDT;
            }
        }

        #endregion
        #region Transaction View Duplicate
        public DataTable GetTransactionDuplicate(string FromDate, string Todate, string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spViewDuplicateTxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (string.IsNullOrEmpty(TransactionNumber))
                {
                    _query.Add("@FromDate", SqlDbType.DateTime, FromDate.Trim());
                    _query.Add("@ToDate", SqlDbType.DateTime, Todate.Trim());
                }
                else
                {
                    _query.Add("@TransactionNo", SqlDbType.NVarChar, TransactionNumber.Trim());
                }

                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool TransactionDuplicateRelease(string TransactionNo, string GenuineTransactionNo, string UserID)
        {
            try
            {
                _query.TableName = "spReleaseDuplicateTxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNo", SqlDbType.NVarChar, TransactionNo);
                _query.Add("@GenuineTransactionNo", SqlDbType.NVarChar, GenuineTransactionNo);
                _query.Add("@UserID", SqlDbType.NVarChar, UserID);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Transaction Customer Registration

        public DataTable GetCustomerRegistrationOccupation()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "Sp_TR_RemitterOccupation";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCustomerRegistrationSource()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_SourceOfIncome";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCustomerRegistrationNationality()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_Nationality";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string AddCustomerRegistration(CustomerRegistrationRequest customerRegistration)
        {
            try
            {
                _query.TableName = "APICustomerRegistration";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;

                _query.Add("@CustomerType", SqlDbType.Int, customerRegistration.CustomerType.ToString());

                if (!string.IsNullOrEmpty(customerRegistration.CustomerNo))
                {
                    _query.Add("@CustomerNo", SqlDbType.NVarChar, customerRegistration.CustomerNo.Trim());
                }
                else
                {
                    if (customerRegistration.CustomerType == "1")
                    {
                        throw new Exception("Iqama Number Cannot Be Empty");


                    }
                    else
                    {
                        throw new Exception("Customer Number Cannot Be Empty");
                    }
                }


                if (!string.IsNullOrEmpty(customerRegistration.CustomerAccount))
                { _query.Add("@CustomerAccountNo", SqlDbType.NVarChar, customerRegistration.CustomerAccount.Trim()); }
                else
                {
                    throw new Exception("CustomerAccount Number Cannot Be Empty");
                }

                if (customerRegistration.CustomerType == "1")
                {
                    if (!string.IsNullOrEmpty(customerRegistration.EasyPayExpiryDate))
                    {
                        _query.Add("@EasyPayExpiryDate", SqlDbType.NVarChar, customerRegistration.EasyPayExpiryDate.Trim());
                    }
                    else
                    {
                        throw new Exception("EasyPayExpiryDate  Cannot be empty");
                    }
                }
                _query.Add("@RegDateTime", SqlDbType.NVarChar, DateTime.Now.ToString("MM/dd/yyyy"));

                if (customerRegistration.CustomerType == "4")
                {
                    _query.Add("@ProductType", SqlDbType.Int, "9");
                }
                else
                {
                    _query.Add("@ProductType", SqlDbType.Int, string.IsNullOrEmpty(customerRegistration.ProductCode.Trim()) ? "0" : customerRegistration.ProductCode.Trim());
                }

                if (customerRegistration.CustomerType == "1")
                {
                    if (!string.IsNullOrEmpty(customerRegistration.CustomerName))
                    {
                        _query.Add("@FirstName", SqlDbType.NVarChar, customerRegistration.CustomerName.Trim());
                    }
                    else
                    {
                        throw new Exception("Name  Cannot be empty");
                    }

                }
                else
                {
                    if (!string.IsNullOrEmpty(customerRegistration.FirstName))
                    {
                        _query.Add("@FirstName", SqlDbType.NVarChar, customerRegistration.FirstName.Trim());
                    }
                    else
                    {
                        throw new Exception("FirstName  Cannot be empty");
                    }
                }

                if (customerRegistration.CustomerType == "1")
                {
                    _query.Add("@MiddleName", SqlDbType.NVarChar, "-");
                    _query.Add("@LastName", SqlDbType.NVarChar, "-");
                }
                else
                {
                    if (!string.IsNullOrEmpty(customerRegistration.CusMiddleName))
                    {
                        _query.Add("@MiddleName", SqlDbType.NVarChar, customerRegistration.CusMiddleName);
                    }
                    if (!string.IsNullOrEmpty(customerRegistration.CusLastName))
                    {
                        _query.Add("@LastName", SqlDbType.NVarChar, customerRegistration.CusLastName.ToString());
                    }
                    else
                    {
                        throw new Exception("LastName  Cannot be empty");
                    }
                }

                if (!string.IsNullOrEmpty(customerRegistration.CustomerAddress))
                {
                    _query.Add("@Address", SqlDbType.NVarChar, customerRegistration.CustomerAddress);
                }
                else
                {
                    throw new Exception("Address Cannot be empty");
                }
                if (!string.IsNullOrEmpty(customerRegistration.DOB))
                {
                    _query.Add("@DateOfBirth", SqlDbType.DateTime, customerRegistration.DOB);
                }
                if (customerRegistration.CustomerType != "1")
                {
                    if (customerRegistration.Gender != "0")
                    {
                        _query.Add("@Gender", SqlDbType.NVarChar, customerRegistration.Gender);
                    }

                }
                else
                {
                    _query.Add("@Gender", SqlDbType.NVarChar, customerRegistration.Gender);
                }

                if (customerRegistration.CustomerType != "1")
                {
                    if (!string.IsNullOrEmpty(customerRegistration.MobileNumber) && customerRegistration.MobileNumber.Length == 9)
                    {
                        _query.Add("@Telephone", SqlDbType.NVarChar, customerRegistration.MobilePrefix.Trim() + customerRegistration.MobileNumber);
                    }
                    else
                    {
                        throw new Exception("Telephone Number Cannot be empty and it should be 9 digits only");
                    }
                }
                else
                {
                    if (!string.IsNullOrEmpty(customerRegistration.MobileNumber))
                    {
                        _query.Add("@Telephone", SqlDbType.NVarChar, customerRegistration.MobileNumber);
                    }
                    else
                    {
                        throw new Exception("Telephone  Cannot be empty");
                    }
                }


                if (customerRegistration.Nationality != "0")
                {
                    string NationalityID = customerRegistration.Nationality;
                    {
                        _query.Add("@Nationality", SqlDbType.NVarChar, NationalityID);
                    }
                }

                if (!string.IsNullOrEmpty(customerRegistration.IDNumber))
                {
                    _query.Add("@IDNumber", SqlDbType.NVarChar, customerRegistration.IDNumber.Trim());
                }
                else
                {
                    throw new Exception("IDNumber  Cannot Be Empty");
                }

                if (customerRegistration.CustomerType == "1")
                {
                    _query.Add("@IDType", SqlDbType.Int, "13");
                }
                else
                {
                    string IDType = customerRegistration.IDType;
                    _query.Add("@IDType", SqlDbType.Int, IDType);
                }

                if (!string.IsNullOrEmpty(customerRegistration.IDExpiryDate))
                {
                    _query.Add("@IDExpiryDate", SqlDbType.NVarChar, customerRegistration.IDExpiryDate);
                }
                else
                {
                    throw new Exception("IDExpiryDate  Cannot Be Empty");
                }
                if (customerRegistration.Sourceoffund != "0")
                {
                    _query.Add("@SourceOfFund", SqlDbType.NVarChar, customerRegistration.Sourceoffund.Trim());
                }

                if (!string.IsNullOrEmpty(customerRegistration.TotalIncome))
                {
                    _query.Add("@TotalMonthlyIncome", SqlDbType.Decimal, customerRegistration.TotalIncome.Trim());
                }

                if (!String.IsNullOrEmpty(customerRegistration.UserID))
                { _query.Add("@UpdatedBy", SqlDbType.NVarChar, customerRegistration.UserID.Trim()); }

                #region for GFFP
                if (!string.IsNullOrEmpty(customerRegistration.Occupation))
                {
                    _query.Add("@Occupation", SqlDbType.NVarChar, customerRegistration.Occupation);
                }
                if (!string.IsNullOrEmpty(customerRegistration.City))
                {
                    _query.Add("@City", SqlDbType.NVarChar, customerRegistration.City);
                }
                if (!string.IsNullOrEmpty(customerRegistration.BirthCountry))
                {
                    _query.Add("@BirthCountry", SqlDbType.NVarChar, customerRegistration.BirthCountry);
                }
                #endregion

                _query.Run();

                clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
                _Connection.ConnectionString = csCommon.ConnectionString;

                csDatabase _MyDB = new csDatabase(_Connection.ConnectionString);
                string CustomerNumber = _MyDB.Return_SingleField(_query.MyCmd, "CustomerNumber");
                return CustomerNumber;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Transaction Edit Customer Registration

        public DataTable GetProductTypeCustomeronEdit(string customertype)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APIProductType";
                _query.Add("@CustomerType", SqlDbType.NVarChar, customertype.Trim());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                MyDT.TableName = "tblProduct_Type";
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetIdTypeCustomeronEdit(string CustomerType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (CustomerType == "4")
                {
                    _query.TableName = "spIDTypeListForVirginMobile";
                }
                else
                {
                    _query.TableName = "APIIdentity_Type";
                }
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSearchCustomeronEdit(string CustomerNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APIGetCustomer";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@CustomerNo", SqlDbType.NVarChar, CustomerNumber.Trim());
                _query.Add("@Flag", SqlDbType.Int, "2");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                MyDT.TableName = "tblGetCustomer";
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string UpdateCustomerRegistration(EditCustomerRegistrationRequest editCustomerRegistrationRequest)
        {
            csQueryBuilder _Query = new csQueryBuilder();
            _Query.TableName = "APIEditCustomerRegistration ";
            _Query.QryType = csQueryBuilder.QueryType.Procedure;
            _Query.ViewType = csQueryBuilder.VType.Process;
            _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
            int customertype = 0;
            if (editCustomerRegistrationRequest.customertype.Trim() == "EasyPay")
            { customertype = 1; }
            if (editCustomerRegistrationRequest.customertype.Trim() == "SAIB")
            { customertype = 2; }
            if (editCustomerRegistrationRequest.customertype.Trim() == "SAIB Staff")
            { customertype = 3; }
            if (editCustomerRegistrationRequest.customertype.Trim() == "Virgin Mobile" || editCustomerRegistrationRequest.customertype.Trim() == "VirginMobile")
            { customertype = 4; }



            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.CustomerNo))
            {
                _Query.Add("@CustomerType", SqlDbType.Int, customertype.ToString());
            }

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.CustomerNo))
            {
                _Query.Add("@CustomerNo", SqlDbType.NVarChar, editCustomerRegistrationRequest.CustomerNo.Trim());
            }

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.CustomerNo))
            {
                _Query.Add("@CustomerAccountNo", SqlDbType.NVarChar, editCustomerRegistrationRequest.CustomerAccountNo.Trim());
            }

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.EasyPayExpriyDate))
            {
                _Query.Add("@EasyPayExpiryDate", SqlDbType.NVarChar, editCustomerRegistrationRequest.EasyPayExpriyDate.Trim());
            }

            _Query.Add("@RegDateTime", SqlDbType.NVarChar, DateTime.Now.ToString("MM/dd/yyyy"));

            _Query.Add("@ProductType", SqlDbType.Int, editCustomerRegistrationRequest.producttype.ToString());

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.FirstName))
            {
                _Query.Add("@FirstName", SqlDbType.NVarChar, editCustomerRegistrationRequest.FirstName.Trim());
            }

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.MiddleName))
            {
                _Query.Add("@MiddleName", SqlDbType.NVarChar, editCustomerRegistrationRequest.MiddleName.Trim());
            }

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.FirstName))
            {
                _Query.Add("@LastName", SqlDbType.NVarChar, editCustomerRegistrationRequest.LastName.Trim());
            }

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.CustomerAddress))
            {
                _Query.Add("@Address", SqlDbType.NVarChar, editCustomerRegistrationRequest.CustomerAddress);
            }

            { _Query.Add("@DateOfBirth", SqlDbType.DateTime, editCustomerRegistrationRequest.dob.ToString()); }

            if (editCustomerRegistrationRequest.Gender != "-Select-")
            {
                _Query.Add("@Gender", SqlDbType.NVarChar, editCustomerRegistrationRequest.Gender);
            }

            if (editCustomerRegistrationRequest.producttype == 9)
            {

                if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.telephone) && editCustomerRegistrationRequest.telephone.Length == 9)
                {
                    _Query.Add("@Telephone", SqlDbType.NVarChar, editCustomerRegistrationRequest.MobilePrefix.Trim() + editCustomerRegistrationRequest.telephone);
                }
                else
                {
                    throw new Exception("Telephone Number Connot be empty and it should be 9 digits");
                }
            }
            else
            {
                _Query.Add("@Telephone", SqlDbType.NVarChar, editCustomerRegistrationRequest.telephone);
            }
            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.Nationality))
            { _Query.Add("@Nationality", SqlDbType.NVarChar, editCustomerRegistrationRequest.Nationality); }

            if (editCustomerRegistrationRequest.producttype == 9)
            {
                if (editCustomerRegistrationRequest.IDtype == 1)
                {
                    if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.Idnumber) && editCustomerRegistrationRequest.Idnumber.Length >= 8 && editCustomerRegistrationRequest.Idnumber.Length <= 10)
                    {
                        _Query.Add("@IDNumber", SqlDbType.NVarChar, editCustomerRegistrationRequest.Idnumber.Trim());
                    }
                    else
                    {
                        throw new Exception("IDNumber Should be between 8 to 10 digit for Passport");
                    }
                }
                else
                {
                    if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.Idnumber) && editCustomerRegistrationRequest.Idnumber.Length == 10)
                    {
                        _Query.Add("@IDNumber", SqlDbType.NVarChar, editCustomerRegistrationRequest.Idnumber.Trim());
                    }
                    else
                    {
                        throw new Exception("IDNumber Should be 10 Digit");
                    }
                }
            }
            else
            {
                if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.Idnumber))
                {
                    _Query.Add("@IDNumber", SqlDbType.NVarChar, editCustomerRegistrationRequest.Idnumber.Trim());
                }

            }
            if (editCustomerRegistrationRequest.IDtype != 0)
            {
                _Query.Add("@IDType", SqlDbType.Int, editCustomerRegistrationRequest.IDtype.ToString());
            }


            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.Idexpirydate))
            {
                _Query.Add("@IDExpiryDate", SqlDbType.NVarChar, editCustomerRegistrationRequest.Idexpirydate);
            }

            if (editCustomerRegistrationRequest.Sourceoffund != "0")
            {
                _Query.Add("@SourceOfFund", SqlDbType.NVarChar, editCustomerRegistrationRequest.Sourceoffund);
            }

            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.TotalMonthlyIncome))
            {
                _Query.Add("@TotalMonthlyIncome", SqlDbType.Decimal, editCustomerRegistrationRequest.TotalMonthlyIncome.Trim());
            }
            if (editCustomerRegistrationRequest.Status == "-1")
            {
                throw new Exception("Please Enter Status");
            }
            else
            {
                _Query.Add("@IsActive", SqlDbType.NVarChar, editCustomerRegistrationRequest.Status);
            }
            #region for GFFP
            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.Occupation))
            {
                _Query.Add("@Occupation", SqlDbType.NVarChar, editCustomerRegistrationRequest.Occupation);
            }
            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.City))
            {
                _Query.Add("@City", SqlDbType.NVarChar, editCustomerRegistrationRequest.City);
            }
            if (!string.IsNullOrEmpty(editCustomerRegistrationRequest.BirthCountry))
            {
                _Query.Add("@BirthCountry", SqlDbType.NVarChar, editCustomerRegistrationRequest.BirthCountry);
            }
            #endregion

            if (!String.IsNullOrEmpty(editCustomerRegistrationRequest.UserID))
            { _Query.Add("@UpdatedBy", SqlDbType.NVarChar, editCustomerRegistrationRequest.UserID.Trim()); }

            _Query.Run();

            clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
            _Connection.ConnectionString = csCommon.ConnectionString;

            csDatabase _MyDB = new csDatabase(_Connection.ConnectionString);
            string CustomerNumber = "";
            CustomerNumber = _MyDB.Return_SingleField(_Query.MyCmd, "CustomerNumber");
            string Message = string.Empty;
            if (!string.IsNullOrEmpty(CustomerNumber))
            {
                Message = "Customer Numer  - " + CustomerNumber + " Upadate successfully!";
            }
                return Message;
        }
        #endregion
        #region Transaction Beneficiary Activation
        public DataTable GetBeneficiaryActivationAllRecord(string BeneficiaryNo)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APIInActiveBeneficiaryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (!String.IsNullOrEmpty(BeneficiaryNo))
                {
                    _query.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneficiaryNo.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                MyDT.TableName = "tblInActiveBeneficiarys";
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string GetActivateBeneficiary(string BeneficiaryNo)
        {
            string BeneficiaryNumber = "";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "APIActivateBeneficiary";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneficiaryNo.ToString());
                _query.Add("@IsActive", SqlDbType.Int, "1");
                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                BeneficiaryNumber = _MyDB.Return_SingleField(_query.MyCmd, "BeneficiaryNumber");
                return BeneficiaryNumber;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> Customer Report [Reports/frmcustomerReport.aspx]
        //=====For Customer Type List======//
        public DataTable GetCustomerTypeList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "APICustomerType";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _Query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====For Customer Report All Record List======//
        public DataTable GetCustomerReportFillGrid(int ReportType, int TypeofCustomer, DateTime FromDate, DateTime ToDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "GetCustomerReport";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _Query.Add("@ReportType", SqlDbType.Int, ReportType.ToString());
                _Query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _Query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _Query.Add("@TypeofCustomer", SqlDbType.Int, TypeofCustomer.ToString());
                _Query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> View Daily Rates Report [Reports/frmViewDailyRates.aspx]

        //=====For View Daily Rates Report List======//
        public DataTable GetViewDailyRatesReportList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spDailyRatesCustomerRate";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Reports >> Beneficiary Registration Report[frmBeneficiaryRegistrationReport.aspx]

        //===========Beneficiary Registration Report[frmBeneficiaryRegistrationReport.aspx]============//
        public DataTable GetBeneficiaryRegistrationReportList(string TypeofBeneficiary, DateTime FromDate, DateTime ToDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "GetBeneficiaryRegReport";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _Query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _Query.Add("@TypeofBeneficiary", SqlDbType.NVarChar, TypeofBeneficiary.ToString());
                _Query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Reports >> RptRepush Transaction Report[frmBeneficiaryRegistrationReport.aspx]

        //===========Rpt Repush Transaction Report [RptRepushTransaction.aspx]============//
        public DataTable GetRptRepushTransactionReportList(string FromDate, string ToDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "GetRepushTxnReport";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _Query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _Query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



        #endregion
        #region Masters >> Back Office >> Global >> Global Transaction Limit Management[frmViewTransactionGlobalLimit.aspx]

        //===========Global Transaction Limit Management============//
        public DataTable GetGlobal()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.TableName = "sp_vw_Global_TransactionLimit";
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQry.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetGlobalPerTranMonthlyThresholdLimit()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.View;
                MyQry.TableName = "sp_Update_Daily_Monthly_TransactionLimit_ForGlobal";
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQry.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string UpdateGlobalTrxnLimit(decimal TransactionLimit, decimal TransactionLimit_Bank, string UserID)
        {
            string msg = "";
            DataTable MyDT = new DataTable();
            try
            {
                if (TransactionLimit != 0 && TransactionLimit_Bank != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "sp_Update_TransactionLimit_ForGlobal";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Update;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@TransactionLimitInUSD", SqlDbType.Decimal, TransactionLimit.ToString());
                    _query.Add("@TransactionLimitInUSD_Bank", SqlDbType.Decimal, TransactionLimit_Bank.ToString());
                    _query.Add("@DtEntered", SqlDbType.DateTime, DateTime.Parse(DateTime.Now.ToString()).ToShortDateString());
                    _query.Add("@TmEntered", SqlDbType.DateTime, DateTime.Parse(DateTime.Now.ToString()).ToShortTimeString());
                    _query.Add("@EnteredBy", SqlDbType.NVarChar, UserID.ToString());
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    _MyDB.ExecuteNonQuery(_query.MyCmd);

                    msg = "Record Updated Successfully";
                }
                else
                {
                    msg = "Sorry!! Record Not Updated";
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return msg;
        }

        public string UpdateSegementLimit(UpdateSegementLimitRequest updateSegementLimit)
        {
            DataTable MyDT = new DataTable();
            string msg = "";
            try
            {
                if (updateSegementLimit != null)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = "sp_Update_Daily_Monthly_TransactionLimit_ForGlobal";
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Update;
                    _query.ViewType = csQueryBuilder.VType.Process;

                    _query.Add("@Platinum_PerTran_Limit", SqlDbType.Decimal, updateSegementLimit.SegPlatinumPerTranLimit.ToString());
                    _query.Add("@Platinum_Monthly_Limit", SqlDbType.Decimal, updateSegementLimit.SegPlatinumMonthlyLimit.ToString());
                    _query.Add("@chkPlatinum_IsActive", SqlDbType.Bit, updateSegementLimit.chkPlatinum_IsActive ? "1" : "0");

                    _query.Add("@Gold_PerTran_Limit", SqlDbType.Decimal, updateSegementLimit.SegGoldPerTranLimit.ToString());
                    _query.Add("@Gold_Monthly_Limit", SqlDbType.Decimal, updateSegementLimit.SegGoldMonthlyLimit.ToString());
                    _query.Add("@chkGold_IsActive", SqlDbType.Bit, updateSegementLimit.chkGold_IsActive ? "1" : "0");

                    _query.Add("@Silver_PerTran_Limit", SqlDbType.Decimal, updateSegementLimit.SegSilverPerTranLimit.ToString());
                    _query.Add("@Silver_Monthly_Limit", SqlDbType.Decimal, updateSegementLimit.SegSilverMonthlyLimit.ToString());
                    _query.Add("@chkSilver_IsActive", SqlDbType.Bit, updateSegementLimit.chkSilver_IsActive ? "1" : "0");

                    _query.Add("@Staff_PerTran_Limit", SqlDbType.Decimal, updateSegementLimit.SegStaffPerTranLimit.ToString());
                    _query.Add("@Staff_Monthly_Limit", SqlDbType.Decimal, updateSegementLimit.SegStaffMonthlyLimit.ToString());
                    _query.Add("@chkStaff_IsActive", SqlDbType.Bit, updateSegementLimit.chkStaff_IsActive ? "1" : "0");

                    _query.Add("@EasyPay_PerTran_Limit", SqlDbType.Decimal, updateSegementLimit.SegEasyPayPerTranLimit.ToString());
                    _query.Add("@EasyPay_Monthly_Limit", SqlDbType.Decimal, updateSegementLimit.SegEasyPayMonthlyLimit.ToString());
                    _query.Add("@chkEasyPay_IsActive", SqlDbType.Bit, updateSegementLimit.chkEasyPay_IsActive ? "1" : "0");

                    _query.Add("@VMobile_PerTran_Limit", SqlDbType.Decimal, updateSegementLimit.SegVMobilePerTranLimit.ToString());
                    _query.Add("@VMobile_Monthly_Limit", SqlDbType.Decimal, updateSegementLimit.SegVMobileMonthlyLimit.ToString());
                    _query.Add("@chkVMobile_IsActive", SqlDbType.Bit, updateSegementLimit.chkVMobile_IsActive ? "1" : "0");

                    _query.Add("@Private_PerTran_Limit", SqlDbType.Decimal, updateSegementLimit.SegPrivatePerTranLimit.ToString());
                    _query.Add("@Private_Monthly_Limit", SqlDbType.Decimal, updateSegementLimit.SegPrivateMonthlyLimit.ToString());
                    _query.Add("@chkPrivate_IsActive", SqlDbType.Bit, updateSegementLimit.chkVMobile_IsActive ? "1" : "0");

                    _query.Add("@EnteredBy", SqlDbType.NVarChar, updateSegementLimit.UserID.ToString());
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    _MyDB.ExecuteNonQuery(_query.MyCmd);

                    msg = "Record Updated Successfully";
                }
                else
                {
                    msg = "Sorry!! Record Not Updated"; ;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return msg;
        }

        #endregion
        #region Masters >> Back Office >> VAT[frmVAT.aspx]

        //===========VAT Management============//
        public DataTable GetVATInformation()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "SP_VATInformation";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool UpdateVATInformation(int UserID, string VATAccNumber, decimal VATPercentage)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "SP_VATInformation";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Update;
                _Query.Add("@UserID", SqlDbType.VarChar, Convert.ToString(UserID));
                _Query.Add("@AccNum", SqlDbType.VarChar, VATAccNumber.ToString().Trim());
                _Query.Add("@VATPercent", SqlDbType.VarChar, VATPercentage.ToString().Trim());
                _Query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(_Query.MyCmd);
                return true;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Download Transaction File
        public DataTable GetDownloadTransactionAllRecord(string searchText, int SearchType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spAddPROCESSMASTER";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (!string.IsNullOrEmpty(searchText))
                {
                    if (SearchType == 1)
                    {
                        _query.Add("@PM_USER_NM", SqlDbType.NVarChar, searchText);
                    }
                    if (SearchType == 2)
                    {
                        _query.Add("@PM_DT", SqlDbType.NVarChar, searchText);
                    }
                }
                _query.Add("@PM_MODULE", SqlDbType.NVarChar, "m_AgaraniBank_Download");
                _query.Run();

                clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
                _Connection.ConnectionString = csCommon.GetConnectionString;
                _MyDB = new csDatabase(_Connection.ConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetDownloadFileDetail(string fileName)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spAgraniBankExtration";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@FileName", SqlDbType.VarChar, fileName);
                _query.Add("@Mode", SqlDbType.VarChar, "2");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Upload Transaction File

        public DataTable GetUploadTransactionAllRecord(string searchText, int SearchType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spAddPROCESSMASTER";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (!string.IsNullOrEmpty(searchText))
                {
                    if (SearchType == 0)
                    {
                        _query.Add("@PM_USER_NM", SqlDbType.NVarChar, searchText);
                    }
                    if (SearchType == 1)
                    {
                        _query.Add("@PM_DT", SqlDbType.NVarChar, searchText);
                    }
                }
                _query.Add("@PM_MODULE", SqlDbType.NVarChar, "m_AgaraniBank_Upload");
                _query.Run();

                clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
                _Connection.ConnectionString = csCommon.GetConnectionString;
                _MyDB = new csDatabase(_Connection.ConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool CheckFileUploaded(string FileName)
        {
            bool IsUploaded = false;
            SqlConnection conn = new SqlConnection(csCommon.GetConnectionString);
            SqlCommand cmd = new SqlCommand("SP_TransactionUploadFile", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.Parameters.AddWithValue("@FileName", FileName);
            if (conn.State == ConnectionState.Closed)
            {
                conn.Open();
            }
            object val = cmd.ExecuteScalar();

            if ((int)val > 0)
            {
                IsUploaded = true;
            }
            return IsUploaded;

        }
        public string InsertData(string FileName, string G_UserName)
        {
            clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
            _Connection.ConnectionString = csCommon.ConnectionString;

            csQueryBuilder _Query = new csQueryBuilder();
            _Query.TableName = "spAddPROCESSMASTER";
            _Query.QryType = csQueryBuilder.QueryType.Procedure;
            _Query.ViewType = csQueryBuilder.VType.Process;
            _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
            DateTime now = DateTime.Now;
            _Query.Add("@PM_USER_NM", SqlDbType.NVarChar, G_UserName);
            _Query.Add("@PM_MODULE", SqlDbType.NVarChar, "m_AgaraniBank_Upload");
            _Query.Add("@PM_STATUS", SqlDbType.NVarChar, "S");
            _Query.Add("@PM_LOG", SqlDbType.NVarChar, "PayOut Upload data is in progress..");
            _Query.Add("@PM_NO_REC", SqlDbType.Int, "0");
            _Query.Add("@PM_FILENM", SqlDbType.NVarChar, FileName);
            _Query.Run();

            csDatabase _MyDB = new csDatabase(_Connection.ConnectionString);
            string ProcessID = _MyDB.Return_SingleField(_Query.MyCmd, "ProcessID");
            return ProcessID;
        }

        public bool CheckAgentTxn(string TxnNumber)
        {
            bool IsValid = false;
            csQueryBuilder _Query = new csQueryBuilder();
            _Query.TableName = "SP_CheckAgentTxn";
            _Query.QryType = csQueryBuilder.QueryType.Procedure;
            _Query.ViewType = csQueryBuilder.VType.Process;
            _Query.ProcedureType = csQueryBuilder.ProcType.Select;
            _Query.Add("@TransactionNumber", SqlDbType.NVarChar, TxnNumber);
            _Query.Add("@AgentID", SqlDbType.Int, "15");
            _Query.Run();
            clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
            _Connection.ConnectionString = csCommon.GetConnectionString;
            csDatabase _MyDB = new csDatabase(_Connection.ConnectionString);
            DataTable MyDT = new DataTable();
            MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

            string strValid = Convert.ToString(MyDT.Rows[0]["IsValid"]);
            if (strValid == "1")
            {
                IsValid = true;
            }

            return IsValid;

        }

        public void UpdateData(string status, int Reccount, string Reason, string DBID)
        {
            csQueryBuilder _Query = new csQueryBuilder();
            _Query.TableName = "spAddPROCESSMASTER";
            _Query.QryType = csQueryBuilder.QueryType.Procedure;
            _Query.ViewType = csQueryBuilder.VType.Process;
            _Query.ProcedureType = csQueryBuilder.ProcType.Update;
            DateTime now = DateTime.Now;

            _Query.Add("@PM_STATUS", SqlDbType.NVarChar, status);
            _Query.Add("@PM_NO_REC", SqlDbType.Int, Reccount.ToString());
            _Query.Add("@PM_MODULE", SqlDbType.NVarChar, "m_AgaraniBank_Upload");

            if (status == "S")
            {
                string sucMsg = "PayOut Bank Transaction Upload data is successfully completed.";
                if (!string.IsNullOrEmpty(Reason))
                {
                    sucMsg = sucMsg + Environment.NewLine + Reason;
                }
                int mlen = sucMsg.Length;
                _Query.Add("@PM_LOG", SqlDbType.NVarChar, sucMsg.Substring(0, mlen < 500 ? mlen : 500));
            }
            if (status == "F")
            {
                int len = Reason.Length;
                _Query.Add("@PM_LOG", SqlDbType.NVarChar, Reason.Substring(0, len < 500 ? len : 500));
            }

            if (!string.IsNullOrEmpty(DBID))
            {
                _Query.Add("@PM_ID", SqlDbType.NVarChar, DBID);
            }

            _Query.Run();

            clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
            _Connection.ConnectionString = csCommon.ConnectionString;
            csDatabase _MyDB = new csDatabase(_Connection.ConnectionString);
            _MyDB.ExecuteNonQuery(_Query.MyCmd);

        }

        public void UpdateTxnStatus(string SFlag, string SQID, string TxnNumber)
        {
            if (!string.IsNullOrEmpty(SFlag))
            {
                #region InProcess
                using (SqlConnection conn1 = new SqlConnection(csCommon.GetConnectionString))
                {
                    SqlCommand cmd1 = new SqlCommand("SP_Payout_UpdateTxnDetails", conn1);
                    cmd1.CommandType = CommandType.StoredProcedure;
                    cmd1.Parameters.AddWithValue("@TxnNumber", TxnNumber);
                    cmd1.Parameters.AddWithValue("@StatusCode", SFlag);
                    cmd1.Parameters.AddWithValue("@PayoutName", "AgraniEmail");
                    cmd1.Parameters.AddWithValue("@PayoutMethod", "E");

                    if (conn1.State == ConnectionState.Closed)
                    {
                        conn1.Open();
                    }

                    cmd1.ExecuteNonQuery();
                }
                #endregion

            }
        }
        #endregion
        #region Menu
        public DataTable GetMenuList(string UserId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_Qry_01_UserFunction";
                _query.Add("@UserId", SqlDbType.NVarChar, UserId);
                _query.Add("@LevelID", SqlDbType.NVarChar, "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetChildMenuList(string UserId, string strParentItem)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query = new csQueryBuilder();
                _query.TableName = "sp_Qry_01_UserFunction";
                _query.Add("@UserId", SqlDbType.NVarChar, UserId);
                _query.Add("@Parent", SqlDbType.NVarChar, strParentItem);
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Masters >> Back Office >> Relationship Management [frmViewCustBeneRelation.aspx]
        public DataTable GetCustBeneRelationRecords(string Relation_Name)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.SP_CustBene_Relationship;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (!string.IsNullOrEmpty(Relation_Name))
                {
                    _query.Add("@RelationName", SqlDbType.NVarChar, Relation_Name);
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====FOR EDIT Record=====frmEditCustBeneRelation.aspx====//
        public DataTable GetCustBeneRelationEditRecord(int ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                CustBeneRelationship.GetCustBeneRelation _get = new CustBeneRelationship.GetCustBeneRelation(csCommon.ConnectionString);
                _get.Relation_ID = ID;
                _get.GetData();

                string RelationName = _get.RelationName;
                bool IsActive = _get.IsActive;

                MyDT.Columns.Add("RelationName", typeof(string));
                MyDT.Columns.Add("IsActive", typeof(bool));
                MyDT.Rows.Add(RelationName, IsActive);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return MyDT;
        }

        #endregion
        #region Remitter Occupation

        public DataTable GetRemitterOccupationList(string StrRemitter)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Sp_RemitterOccupation;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                if (!string.IsNullOrEmpty(StrRemitter))
                {
                    _query.Add("@Occupation", SqlDbType.NVarChar, StrRemitter);
                }
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);                
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Masters >> Back Office >> Data Mapping [frmTableDataMapping.aspx]
        public DataTable GetDataList(DataMapping_Request mappingRequest, int Mode)
        {
            DataTable MyDT = new DataTable();
            try
            {
                DataTable dt = new DataTable();

                using (SqlConnection connection = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("Sp_Data_Mapping", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        if (Mode != 0)
                        {
                            command.Parameters.AddWithValue("@Mode", Mode);
                        }
                        if (mappingRequest.ActionType != 0)
                        {
                            command.Parameters.AddWithValue("@ActionType", mappingRequest.ActionType);
                        }
                        if (mappingRequest.PayoutAgentID != 0)
                        {
                            command.Parameters.AddWithValue("@PayOutAgentID", mappingRequest.PayoutAgentID);

                        }
                        if (mappingRequest.TrValueID != 0)
                        {
                            command.Parameters.AddWithValue("@TrValueID", mappingRequest.TrValueID);

                        }

                        if (mappingRequest.PayoutValueID != 0)
                        {
                            command.Parameters.AddWithValue("@PayOutValueID", mappingRequest.PayoutValueID);

                        }
                        if (mappingRequest.SendAgentID != 0)
                        {
                            command.Parameters.AddWithValue("@SendAgentID", mappingRequest.SendAgentID);

                        }
                        if (mappingRequest.IsActive != 9)
                        {
                            command.Parameters.AddWithValue("@IsActive", mappingRequest.IsActive);
                        }
                        SqlDataAdapter da = new SqlDataAdapter(command);
                        dt = new DataTable();
                        da.Fill(dt);
                    }
                }
                //if (dt != null)
                //{
                //    if (dt.Rows.Count > 0)
                //    {
                //        return dt;
                //    }
                //    else
                //    {
                //        return null;
                //    }
                //}
                //else
                //{
                //    return null;
                //}
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Tag Mapping

        public DataTable GetTags(int Mode, int ActionType = 0, string MethodName = null, int PayoutAgentID = 0,
            string Extra1 = null, string Extra2 = null, string Extra3 = null, string Extra4 = null, string Extra5 = null)
        {
            DataTable MyDT = new DataTable();
            try
            {
                DataTable dt = new DataTable();
                using (SqlConnection connection = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("Sp_Tag_Mapping", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        if (Mode != 0)
                        {
                            command.Parameters.AddWithValue("@Mode", Mode);

                            if (Mode == 9)
                            {
                                command.Parameters.AddWithValue("@ID", ActionType);
                            }
                        }
                        if (ActionType != 0)
                        {
                            command.Parameters.AddWithValue("@ActionType", ActionType);
                        }
                        if (!string.IsNullOrEmpty(MethodName))
                        {
                            command.Parameters.AddWithValue("@MethodName", MethodName);
                        }
                        if (PayoutAgentID != 0)
                        {
                            command.Parameters.AddWithValue("@PayOutAgentID", PayoutAgentID);

                        }
                        if (!string.IsNullOrEmpty(Extra1))
                        {
                            command.Parameters.AddWithValue("@Extra1", Extra1);

                        }
                        if (!string.IsNullOrEmpty(Extra2))
                        {
                            command.Parameters.AddWithValue("@Extra2", Extra2);

                        }
                        if (!string.IsNullOrEmpty(Extra3))
                        {
                            command.Parameters.AddWithValue("@Extra3", Extra3);

                        }
                        if (!string.IsNullOrEmpty(Extra4))
                        {
                            command.Parameters.AddWithValue("@Extra4", Extra4);

                        }

                        if (!string.IsNullOrEmpty(Extra5))
                        {
                            command.Parameters.AddWithValue("@Extra5", Extra5);

                        }

                        SqlDataAdapter da = new SqlDataAdapter(command);
                        da.Fill(dt);

                    }
                }
                if (dt != null)
                {
                    if (dt.Rows.Count > 0)
                    {
                        return dt;
                    }
                    else
                    {
                        return null;
                    }
                }
                else
                {
                    return null;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string UpdateTag(int ProcedureType, string MethodName, int PayOutXMLTagID, int PayoutAgentID, string UserID, string TRTag)
        {
            string alertMsg = "";
            try
            {
                using (SqlConnection connection = new SqlConnection(csCommon.ConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("Sp_Tag_Mapping", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@Mode", ProcedureType);
                        command.Parameters.AddWithValue("@MethodName", MethodName);
                        command.Parameters.AddWithValue("@ID", PayOutXMLTagID);
                        command.Parameters.AddWithValue("@TrTag", TRTag);
                        command.Parameters.AddWithValue("@PayOutAgentID", PayoutAgentID);
                        command.Parameters.AddWithValue("@ActionBy", UserID);
                        if (connection.State != ConnectionState.Open)
                            connection.Open();
                        command.ExecuteNonQuery();
                        alertMsg = "Update Successful";
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return alertMsg;
        }

        #endregion
        #region Map Tr Master
        public DataTable GetData(int PayoutXMLType = 0, int ActionType = 0, int Mode = 0,
            int Type = 0, string Country = "0", string Currency = "0",
            string DeliveryOption = "0", string Agent = "0", int IsActive = 9)
        {
            DataTable dt = null;
            try
            {
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand())
                    {
                        command.Connection = conn;
                        command.CommandText = "Sp_MapTRMasterWithMGMaster";
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@ActionType", ActionType);
                        command.Parameters.AddWithValue("@Mode", Mode);
                        command.Parameters.AddWithValue("@Type", Type);
                        if (PayoutXMLType != 0)
                        {
                            command.Parameters.AddWithValue("@PayoutXMLType", PayoutXMLType);
                        }
                        if (Country != "0")
                        {
                            command.Parameters.AddWithValue("@PayoutCountry", Country);
                        }
                        if (Currency != "0")
                        {
                            command.Parameters.AddWithValue("@PayoutCurrency", Currency);
                        }
                        if (DeliveryOption != "0")
                        {
                            command.Parameters.AddWithValue("@payoutDeliveryOption", DeliveryOption);
                        }
                        if (Agent != "0")
                        {
                            command.Parameters.AddWithValue("@PayoutAgent", Agent);
                        }
                        if (IsActive != 9)
                        {
                            command.Parameters.AddWithValue("@IsActive", IsActive);
                        }

                        SqlDataAdapter da = new SqlDataAdapter(command);
                        dt = new DataTable();
                        da.Fill(dt);
                    }
                }
                if (dt != null)
                {
                    if (dt.Rows.Count > 0)
                    {
                        return dt;
                    }
                    else
                    {
                        return null;
                    }
                }
                else
                {
                    return null;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string Update(int PayoutXMLType, int TRValueID, int Id, bool IsActive, string UserID)
        {
            string msg = "";
            try
            {
                using (SqlConnection connection = new SqlConnection(csCommon.ConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("Sp_MapTRMasterWithMGMaster", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@ActionType", 1);
                        command.Parameters.AddWithValue("@PayoutXMLType", PayoutXMLType);
                        command.Parameters.AddWithValue("@TRValueID", TRValueID);
                        command.Parameters.AddWithValue("@IsActive", IsActive);
                        command.Parameters.AddWithValue("@Id", Id);
                        command.Parameters.AddWithValue("@UserID", UserID);
                        if (connection.State != ConnectionState.Open)
                            connection.Open();
                        command.ExecuteNonQuery();
                        msg = "Record Updated";
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return msg;
        }
        #endregion
        #region Manage Exchange Rates >> RATES (MIN - MAX) [FrmEditMinMaxRate.aspx]

        //====Fill Currency====//
        public DataTable GetCurrencyInformation()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "SpAddMinMaxRate";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.ViewType = csQueryBuilder.VType.View;
                _Query.Add("@TrType", SqlDbType.Int, "6");
                _Query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====Fill Currency - ADD section====//
        public DataTable GetCurrencyInsert()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpAddMinMaxRate";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@TrType", SqlDbType.Int, "1");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====Fill Grid====//
        public DataTable GetGridRecords(int DrpCurr)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "SpAddMinMaxRate";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.ViewType = csQueryBuilder.VType.View;
                _Query.Add("@TrType", SqlDbType.Int, "4");
                _Query.Add("@CurrencyId", SqlDbType.Int, DrpCurr.ToString());
                _Query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====Add MinMax Data====//
        public string AddMinMaxRate(int CurrencyId, decimal RatePer, int UserID)
        {
            string alertMsg = "";
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _QuerySelect = new csQueryBuilder();
                _QuerySelect.TableName = "SpAddMinMaxRate";
                _QuerySelect.QryType = csQueryBuilder.QueryType.Procedure;
                _QuerySelect.ProcedureType = csQueryBuilder.ProcType.Select;
                _QuerySelect.ViewType = csQueryBuilder.VType.Process;
                _QuerySelect.Add("@TrType", SqlDbType.Int, "5");
                _QuerySelect.Add("@CurrencyId", SqlDbType.Int, CurrencyId.ToString());
                _QuerySelect.Run();
                csDatabase MyDb1 = new csDatabase(csCommon.ConnectionString);
                string CurrnecyID = MyDb1.Return_SingleField(_QuerySelect.MyCmd, "CurrencyId");
                if (!string.IsNullOrEmpty(CurrnecyID))
                {
                    alertMsg = "Record Already Exists";
                }
                else
                {
                    csQueryBuilder _QueryInsert = new csQueryBuilder();
                    _QueryInsert.TableName = "SpAddMinMaxRate";
                    _QueryInsert.QryType = csQueryBuilder.QueryType.Procedure;
                    _QueryInsert.ProcedureType = csQueryBuilder.ProcType.Insert;
                    _QueryInsert.ViewType = csQueryBuilder.VType.Process;
                    _QueryInsert.Add("@TrType", SqlDbType.Int, "2");
                    _QueryInsert.Add("@CurrencyId", SqlDbType.Int, CurrencyId.ToString());
                    _QueryInsert.Add("@RatePER", SqlDbType.Decimal, RatePer.ToString());
                    _QueryInsert.Add("@DtEntered", SqlDbType.DateTime, DateTime.Now.ToShortDateString());
                    _QueryInsert.Add("@TmEntered", SqlDbType.DateTime, DateTime.Now.ToShortTimeString());
                    _QueryInsert.Add("@Enteredby", SqlDbType.NVarChar, UserID.ToString());
                    _QueryInsert.Run();
                    csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                    MyDb.ExecuteNonQuery(_QueryInsert.MyCmd);

                    alertMsg = "Record Added Successfully";
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return alertMsg;
        }

        //====Update MinMax Data====//
        public string UpdateMinMaxRate(decimal RatePer, int Id)
        {
            string alertMsg = "";
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _QueryUpdate = new csQueryBuilder();
                _QueryUpdate.TableName = "SpAddMinMaxRate";
                _QueryUpdate.QryType = csQueryBuilder.QueryType.Procedure;
                _QueryUpdate.ProcedureType = csQueryBuilder.ProcType.Update;
                _QueryUpdate.ViewType = csQueryBuilder.VType.Process;
                _QueryUpdate.Add("@TrType", SqlDbType.Int, "3");
                _QueryUpdate.Add("@RatePER", SqlDbType.Decimal, RatePer.ToString());
                _QueryUpdate.Add("@id", SqlDbType.Int, Id.ToString());
                _QueryUpdate.Run();
                csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                MyDb.ExecuteNonQuery(_QueryUpdate.MyCmd);

                alertMsg = "Record Update Successfully";
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return alertMsg;
        }

        #endregion
        #region Reports >> Instant Cash Details Report[Reports/rptInstantCashDetails.aspx]
        //===========Instant Cash Details Report [Reports/rptInstantCashDetails.aspx]============//
        public DataTable GetrptInstantCashDetailsReportList(string FromDate, string ToDate, string ICNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "GetInstantCashTxnReport";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _Query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                if (!string.IsNullOrEmpty(ICNumber.ToString().Trim()))
                {
                    _Query.Add("@ICNumber", SqlDbType.NVarChar, ICNumber.ToString().Trim());
                }
                _Query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> Treasury Report [Reports/frmTreasuryReport.aspx]
        //===========Treasury Report [Reports/frmTreasuryReport.aspx]============//
        public DataSet GetTreasuryReportList(string FromDate, string ddlCustType)
        {
            DataSet _ds = new DataSet();
            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlCommand cmd = new SqlCommand("sp_DailyRemittance_Report", sqlConnection))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@ProcedureType", 0);
                    if (!string.IsNullOrEmpty(FromDate))
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    }
                    cmd.Parameters.AddWithValue("@IsVirgin", ddlCustType);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);

                    try
                    {
                        da.Fill(_ds);
                        string _str = JsonConvert.SerializeObject(_ds);
                    }
                    catch (Exception ex)
                    {
                        if (_ds == null)
                        {
                            sqlConnection.ConnectionString = csCommon.GetConnectionString;
                            da.Fill(_ds);
                        }
                    }
                }
            }
            return _ds;
        }


        #endregion 
        #region Manage CIF wise Commission

        public string GetUserID(string UserID)
        {
            try
            {
                _query.TableName = "SpAllSentMISReport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.NVarChar, UserID);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                string _userid = MyDB.Return_SingleField(_query.MyCmd, "USERID");
                return _userid;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetContryList(string UserID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_AgentWise_PreferentialCommission;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (!string.IsNullOrEmpty(UserID))
                {
                    _query.Add("@UserID", SqlDbType.NVarChar, UserID);
                }
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentList(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_AgentWise_PreferentialCommission_Agent;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (CountryID != 0)
                {
                    _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                }
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetReceiveCountryList(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_vw_Filter_AgentWise_PreferentialCommission_ForRece;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (CountryID != 0)
                {
                    _query.Add("@PayInCountryID", SqlDbType.Int, CountryID.ToString());
                }
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetReceiveAgentList(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_vw_Filter_AgentWise_PreferentialCommission_Agent_ForRece;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (CountryID != 0)
                {
                    _query.Add("@PayOutCountryID", SqlDbType.Int, CountryID.ToString());
                }
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCIFWiseCommissionAllRecord(bool IsSubAgent, int SendCountryID, int ReceiveCountryID, int AgentID, int ReceivingAgentID, int ModeOfPaymentID, int ReceivingSubAgentID, string CIFNumber = "", decimal StartRange = 0, decimal EndRange = 0)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (IsSubAgent)
                {
                    _query.TableName = Procedure.TempView_SubAgentWise_PreferentialCommissionSlab;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@CountryID", SqlDbType.Int, SendCountryID.ToString());
                    _query.Add("@RecCountryID", SqlDbType.Int, ReceiveCountryID.ToString());
                    _query.Add("@SendingAgent_ID", SqlDbType.Int, AgentID.ToString());
                    _query.Add("@Agent_ID", SqlDbType.Int, ReceivingAgentID.ToString());
                    _query.Add("@RecAgent_ID", SqlDbType.Int, ReceivingSubAgentID.ToString());
                    _query.Add("@ModeOfPayment", SqlDbType.Int, ModeOfPaymentID.ToString());
                    if (!string.IsNullOrEmpty(CIFNumber))
                    {
                        _query.Add("@CIFNumber", SqlDbType.VarChar, CIFNumber);
                    }
                    _query.Add("@StartRange", SqlDbType.Decimal, StartRange.ToString());
                    _query.Add("@EndRange", SqlDbType.Decimal, EndRange.ToString());
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                    return MyDT;
                }
                else
                {
                    _query = new csQueryBuilder();
                    _query.TableName = Procedure.TempView_AgentWise_PreferentialCommissionSlab;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@CountryID", SqlDbType.Int, SendCountryID.ToString());
                    _query.Add("@RecCountryID", SqlDbType.Int, ReceiveCountryID.ToString());
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                    _query.Add("@RecAgent_ID", SqlDbType.Int, ReceivingAgentID.ToString());
                    _query.Add("@ModeOfPayment", SqlDbType.Int, ModeOfPaymentID.ToString());
                    if (!string.IsNullOrEmpty(CIFNumber))
                    {
                        _query.Add("@CIFNumber", SqlDbType.VarChar, CIFNumber);
                    }
                    _query.Add("@StartRange", SqlDbType.Decimal, StartRange.ToString());
                    _query.Add("@EndRange", SqlDbType.Decimal, EndRange.ToString());
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                    return MyDT;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCIFModOfPayment(int ProductType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.ModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ParameterRequired = false;
                _query.AddCriteria("ProductType", csSQLFormat.String_InSqlFormat(ProductType.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetCIFReceiveCurrency(int AgentID, int ModeOfPaymentID, Permission MyType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType == Permission.Send) ? Procedure.vw_SendingAgentSendingCurrency : Procedure.vw_SendingAgentReceiveCurrency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@ModeOfPayment_ID", SqlDbType.Int, ModeOfPaymentID.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region ExchangeRateBankRate
        public DataTable GetExchangeRateBankRateSendingAgent(int CurrencyID, int CountryID, Permission MyType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendingAgentRate_AgentList : Procedure.vw_ReceivingAgentRate_AgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Currency_Id", SqlDbType.Int, CurrencyID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetExchangeRateBankRateModeofPayment(int TargetCountryID, int ReceAgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_MOP_List_For_SendingReceivingAgent_ForBankAgentExchangeRate;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TargetCountryID", SqlDbType.Int, TargetCountryID.ToString());
                _query.Add("@RAgent_ID", SqlDbType.Int, ReceAgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetExchangeRateBankRateSettlementCurrency(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentSettlementCurrency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("Agent_ID", csSQLFormat.int_InSqlFormat(AgentID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetExchangeRateBankRateAgentWise_SendingCurrency(int _CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Beneficiary Registration
        public DataTable GetBeneficiaryRegistrationPayOutCurrency(string CountryCode)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SpGetCountryWiseCurrencyCode";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@CountryCode", SqlDbType.NVarChar, CountryCode.Trim());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationPurposeTransfer()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APIGetPurposeList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                MyDT.TableName = "tblGetPurposeList";
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationIDType()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APIIdentity_Type";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationPhoneCountryCode()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "tbl_08_01_ListofNationality";
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("NationalityID");
                _query.Add("ISOCode");
                _query.Run();
                string _script = string.Empty;
                _script = _query.ViewQuery;

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_script);
                DataTable dataTable = MyDT.Rows.Cast<DataRow>().Where(row => !row.ItemArray.All(field => field is DBNull || string.IsNullOrWhiteSpace(field as string))).CopyToDataTable();
                return dataTable;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationSourceOfFound()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "sp_SourceOfIncome";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                DataTable DTSourceoffunds = MyDT.Select("IsActive = 1").CopyToDataTable();
                return DTSourceoffunds;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationAccountType()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "Sp_BeneficiaryAccountType";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                MyDT.TableName = "BeneficiaryAccountType";
                DataTable DTbeneAcountType = MyDT.Select("IsActive = 1").CopyToDataTable();
                return DTbeneAcountType;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationCustomerRelationShip()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SP_CustBene_Relationship";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                MyDT.TableName = "CustRelationship";
                DataTable CustRelation = MyDT.Select("Active = 1").CopyToDataTable();
                return CustRelation;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string GetBeneficiaryRegistrationCheckBeneficiaryNumber(string strBeneficiaryNo)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APICheckBeneficiaryNumber";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (!string.IsNullOrEmpty(strBeneficiaryNo))
                {
                    _query.Add("@BeneficiaryNo", SqlDbType.NVarChar, strBeneficiaryNo);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                string IsBeneficiaryExist = _MyDB.Return_SingleField(_query.MyCmd, "IsBeneficiaryExist");
                return IsBeneficiaryExist;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationCustomerDetail(string CustomerNo)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APIGetCustomer";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@CustomerNo", SqlDbType.NVarChar, CustomerNo.Trim());
                _query.Add("@Flag", SqlDbType.Int, "1");
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string AddBeneficiaryRegistration(BeneficiaryRegistrationRequest beneficiaryRegistrationRequest, string strBeneficiaryNo)
        {
            try
            {
                _query = new csQueryBuilder();
                _query.TableName = "APIBeneficiaryRegistration";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.CustomerNo)))
                { _query.Add("@CustomerNo", SqlDbType.NVarChar, beneficiaryRegistrationRequest.CustomerNo.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.FirstName)))
                { _query.Add("@FirstName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.FirstName.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.MiddleName)))
                { _query.Add("@MiddleName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.MiddleName.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.LastName)))
                { _query.Add("@LastName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.LastName.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.NickName)))
                { _query.Add("@NickName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.NickName.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BeneficiaryAddress)))
                { _query.Add("@Address", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryAddress.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.DOB)))
                { _query.Add("@DateOfBirth", SqlDbType.DateTime, beneficiaryRegistrationRequest.DOB.ToString()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.Telephone)))
                { _query.Add("@Telephone", SqlDbType.NVarChar, beneficiaryRegistrationRequest.Telephone.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.Nationality)))
                { _query.Add("@Nationality", SqlDbType.NVarChar, beneficiaryRegistrationRequest.Nationality.Trim()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.Idnumber)))
                { _query.Add("@IDNumber", SqlDbType.NVarChar, beneficiaryRegistrationRequest.Idnumber.Trim()); }

                if (beneficiaryRegistrationRequest.IdType != 0)
                { _query.Add("@IDType", SqlDbType.NVarChar, beneficiaryRegistrationRequest.IdType.ToString()); }


                if (beneficiaryRegistrationRequest.PaymentMode != "")
                {
                    _query.Add("@PaymentMode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.PaymentMode);

                    if (beneficiaryRegistrationRequest.PaymentMode.ToUpper() == "BANK")
                    {
                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankName)))
                        { _query.Add("@BankName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankName.Trim()); }

                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.DestinationCountry)))
                        { _query.Add("@BankCountry", SqlDbType.NVarChar, beneficiaryRegistrationRequest.DestinationCountry.Trim()); }

                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankBranch)))
                        { _query.Add("@BranchName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankBranch.Trim()); }

                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankCode)))
                        { _query.Add("@BankCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankCode.Trim()); }

                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankAccountNo)))
                        { _query.Add("@AccountNumber", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankAccountNo.Trim()); }

                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankAddress)))
                        { _query.Add("@BankBranch", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankAddress.Trim()); }

                    }
                    else if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankName)))
                    { _query.Add("@BankName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankName.Trim()); }

                    else if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.DestinationCountry)))
                    { _query.Add("@BankCountry", SqlDbType.NVarChar, beneficiaryRegistrationRequest.DestinationCountry.Trim()); }

                    else if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankBranch)))
                    { _query.Add("@BranchName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankBranch.Trim()); }

                    else if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankCode)))
                    { _query.Add("@BankCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankCode.Trim()); }

                    else if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BankAccountNo)))
                    { _query.Add("@AccountNumber", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankAccountNo.Trim()); }

                    if (beneficiaryRegistrationRequest.PaymentMode.ToUpper() == "CASH")
                    {
                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BranchCode)))
                        { _query.Add("@PaymentBranchCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BranchCode); }

                        if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BranchAddress)))
                        { _query.Add("@BankBranch", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BranchAddress.Trim()); }

                    }
                    else if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BranchCode)))
                    { _query.Add("@PaymentBranchCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BranchCode); }
                }
                if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.PayoutCurrency)))
                { _query.Add("@Currency", SqlDbType.NVarChar, beneficiaryRegistrationRequest.PayoutCurrency.Trim()); }

                if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.Purpose)))
                { _query.Add("@PurposeCode", SqlDbType.Int, beneficiaryRegistrationRequest.Purpose.Trim()); }

                if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.DestinationCountry)))
                { _query.Add("@PayOutCountryCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.DestinationCountry.Trim()); }

                if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.PurposeText)))
                {
                    if (beneficiaryRegistrationRequest.Purpose == "6")
                    {
                        _query.Add("@PurposeValue", SqlDbType.VarChar, beneficiaryRegistrationRequest.PurposeText);
                    }
                    else
                    {
                        _query.Add("@PurposeValue", SqlDbType.VarChar, null);
                    }
                }

                if (!String.IsNullOrEmpty(Convert.ToString(strBeneficiaryNo)))
                {
                    _query.Add("@BeneficiaryNo", SqlDbType.NVarChar, strBeneficiaryNo);
                }
                if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.UserID)))
                { _query.Add("@UpdatedBy", SqlDbType.NVarChar, beneficiaryRegistrationRequest.UserID.Trim()); }

                if (beneficiaryRegistrationRequest.CustomerRelation != 0)
                { _query.Add("@Customer_Relation", SqlDbType.NVarChar, beneficiaryRegistrationRequest.CustomerRelation.ToString()); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BeneficiaryCity)))
                { _query.Add("@ReceiverCity", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryCity.Trim()); }

                if (beneficiaryRegistrationRequest.beneficiaryPhoneCountryCodeValue != 0)
                { _query.Add("@ReceiverPhoneCountryCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.beneficiaryPhoneCountryCodeText.Trim()); }

                if (beneficiaryRegistrationRequest.BeneficiarySourceoffunds != "0")
                { _query.Add("@ReceiverSourceOfFund", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiarySourceoffunds); }

                if (beneficiaryRegistrationRequest.BeneficiaryAccountType != "0")
                { _query.Add("@ReceiverAccounttype", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryAccountType); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.BeneficiaryZipCode)))
                { _query.Add("@ReceiverZipCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryZipCode.Trim()); }

                if (beneficiaryRegistrationRequest.Declaration)
                { _query.Add("@Declaration", SqlDbType.NVarChar, "1"); }

                if (!string.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.FatherSpouse)))
                { _query.Add("@FatherSpouseName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.FatherSpouse); }

                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                string BeneficiaryNumber = _MyDB.Return_SingleField(_query.MyCmd, "BeneficiaryNumber");
                return BeneficiaryNumber;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationBankrDetail(string CountryCode, string BankName, string BranchName)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SPBankSearchList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@CountryCode", SqlDbType.NVarChar, CountryCode);
                if (!string.IsNullOrEmpty(BankName))
                {
                    _query.Add("@BankName", SqlDbType.NVarChar, BankName);
                }
                if (!string.IsNullOrEmpty(BranchName))
                {
                    _query.Add("@BranchName", SqlDbType.NVarChar, BranchName);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Edit Beneficiary Registration
        public DataTable GetBeneficiaryRegistrationByCustomerNumber(string CustomerNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "APIGetBeneficiarylist";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (!String.IsNullOrEmpty(CustomerNumber))
                {
                    _query.Add("@CustomerNo", SqlDbType.NVarChar, CustomerNumber);
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationView(string ID, int ModuleID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetCheckerData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@ModuleID", SqlDbType.Int, ModuleID.ToString());
                _query.Add("@ID", SqlDbType.NVarChar, ID);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryRegistrationByEdit(string BeneficiaryNo)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "spGetBeneficiaryDetialForRpt";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@BeneficiaryId", SqlDbType.NVarChar, BeneficiaryNo.Trim());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string UpdateBeneficiaryRegistration(BeneficiaryRegistrationRequest beneficiaryRegistrationRequest)
        {
            try
            {
                _query.TableName = "APIEditBeneficiaryRegistration";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;

                #region Set Parameters
                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BeneficiaryNo.Trim()))
                { _query.Add("@BeneficiaryNo", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryNo.Trim()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.FirstName.Trim()))
                { _query.Add("@FirstName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.FirstName.Trim()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.MiddleName.Trim()))
                { _query.Add("@MiddleName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.MiddleName.Trim()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.LastName.Trim()))
                { _query.Add("@LastName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.LastName.Trim()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.NickName.Trim()))
                { _query.Add("@NickName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.NickName.Trim()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BeneficiaryAddress.Trim()))
                { _query.Add("@Address", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryAddress.Trim()); }


                if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.DOB)))
                { _query.Add("@DateOfBirth", SqlDbType.DateTime, beneficiaryRegistrationRequest.DOB.ToString()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.Telephone.Trim()))
                { _query.Add("@Telephone", SqlDbType.NVarChar, beneficiaryRegistrationRequest.Telephone.Trim()); }


                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.Idnumber.Trim()))
                { _query.Add("@IDNumber", SqlDbType.NVarChar, beneficiaryRegistrationRequest.Idnumber.Trim()); }

                if (beneficiaryRegistrationRequest.IdType != 0)
                { _query.Add("@IDType", SqlDbType.NVarChar, beneficiaryRegistrationRequest.IdType.ToString()); }


                if (beneficiaryRegistrationRequest.PaymentMode.Trim().ToUpper() == "BANK")
                {
                    if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BankAddress.Trim()))
                    { _query.Add("@BankBranch", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankAddress.Trim()); }

                    if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BankName.Trim()))
                    { _query.Add("@BankName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankName.Trim()); }

                    if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BankBranch.Trim()))
                    { _query.Add("@BranchName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankBranch.Trim()); }

                    if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BankCode.Trim()))
                    { _query.Add("@BankCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankCode.Trim()); }

                    if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BankAccountNo.Trim()))
                    { _query.Add("@AccountNumber", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BankAccountNo.Trim()); }

                }

                if (beneficiaryRegistrationRequest.PaymentMode.Trim().ToUpper() == "CASH")
                {
                    if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BranchAddress.Trim()))
                    { _query.Add("@BankBranch", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BranchAddress.Trim()); }

                    if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BranchCode.Trim()))
                    { _query.Add("@PaymentBranchCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BranchCode.Trim()); }

                }
                else if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.BranchCode))
                { _query.Add("@PaymentBranchCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BranchCode); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.DestinationCountry.Trim()))
                { _query.Add("@BankCountry", SqlDbType.NVarChar, beneficiaryRegistrationRequest.DestinationCountry.Trim()); }


                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.PayoutCurrency.Trim()))
                { _query.Add("@Currency", SqlDbType.NVarChar, beneficiaryRegistrationRequest.PayoutCurrency.Trim()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.PaymentMode.Trim()))
                { _query.Add("@PaymentMode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.PaymentMode.Trim()); }


                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.Purpose.Trim()))
                { _query.Add("@PurposeCode", SqlDbType.Int, beneficiaryRegistrationRequest.Purpose.Trim()); }

                if (!String.IsNullOrEmpty(beneficiaryRegistrationRequest.DestinationCountry.Trim()))
                { _query.Add("@PayOutCountryCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.DestinationCountry.Trim()); }

                if (!String.IsNullOrEmpty(Convert.ToString(beneficiaryRegistrationRequest.UserID)))
                { _query.Add("@UpdatedBy", SqlDbType.NVarChar, beneficiaryRegistrationRequest.UserID.Trim()); }

                if (beneficiaryRegistrationRequest.CustomerRelation != 0)
                { _query.Add("@Customer_Relation", SqlDbType.NVarChar, beneficiaryRegistrationRequest.CustomerRelation.ToString().Trim()); }


                if (!string.IsNullOrEmpty(beneficiaryRegistrationRequest.BeneficiaryCity))
                { _query.Add("@ReceiverCity", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryCity.Trim()); }

                if (beneficiaryRegistrationRequest.beneficiaryPhoneCountryCodeValue != 0)
                { _query.Add("@ReceiverPhoneCountryCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.beneficiaryPhoneCountryCodeText.Trim()); }

                if (beneficiaryRegistrationRequest.BeneficiarySourceoffunds != "0")
                { _query.Add("@ReceiverSourceOfFund", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiarySourceoffunds.Trim()); }

                if (beneficiaryRegistrationRequest.BeneficiaryAccountType != "0")
                { _query.Add("@ReceiverAccounttype", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryAccountType.Trim()); }

                if (!string.IsNullOrEmpty(beneficiaryRegistrationRequest.BeneficiaryZipCode))
                { _query.Add("@ReceiverZipCode", SqlDbType.NVarChar, beneficiaryRegistrationRequest.BeneficiaryZipCode); }

                if (beneficiaryRegistrationRequest.Declaration)
                { _query.Add("@Declaration", SqlDbType.NVarChar, "1"); }

                if (!string.IsNullOrEmpty(beneficiaryRegistrationRequest.FatherSpouse))
                { _query.Add("@FatherSpouseName", SqlDbType.NVarChar, beneficiaryRegistrationRequest.FatherSpouse.Trim()); }

                #endregion

                _query.Run();
                csDatabase _MyDB = new csDatabase(csCommon.ConnectionString);
                string BeneficiaryNumber;
                BeneficiaryNumber = _MyDB.Return_SingleField(_query.MyCmd, "BeneficiaryNumber");
                return BeneficiaryNumber;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Dashboard Report [frmDashboardReport.aspx]
        public DataTable GetDashboardReportList(string FromDate, string ddlCustType)
        {
            DataTable dt = new DataTable();

            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlDataAdapter da = new SqlDataAdapter("SP_DashboardReport", sqlConnection))
                {
                    da.SelectCommand.CommandType = CommandType.StoredProcedure;
                    da.SelectCommand.Parameters.AddWithValue("@ProcedureType", "0");
                    da.SelectCommand.Parameters.AddWithValue("@ViewType", "0");
                    da.SelectCommand.Parameters.AddWithValue("@Filter", "");
                    da.SelectCommand.Parameters.AddWithValue("@RPTDate", FromDate);
                    da.SelectCommand.Parameters.AddWithValue("@CustomerType", ddlCustType.Trim());
                    da.SelectCommand.CommandTimeout = 0;

                    try
                    {
                        DataSet MyDs = new DataSet();
                        da.Fill(MyDs);
                        if (MyDs != null && MyDs.Tables != null)
                        {
                            da.Fill(dt);
                            string str = JsonConvert.SerializeObject(dt);
                        }
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception if needed
                    }
                }
            }
            return dt;
        }
        #endregion
        #region ViewMonthlyFeesReconciliation Report [frmViewMonthlyFeesReconciliation.aspx]

        //=======For Country List=====//
        public DataTable GetViewMonthlyFeesReconciliationCountryList()
        {
            DataTable dt = new DataTable();

            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlDataAdapter da = new SqlDataAdapter("Sp_MonthlyFeesReconciliation_Report", sqlConnection))
                {
                    da.SelectCommand.CommandType = CommandType.StoredProcedure;
                    da.SelectCommand.Parameters.AddWithValue("@ReqType", 1);
                    da.SelectCommand.CommandTimeout = 0;

                    try
                    {
                        da.Fill(dt);
                        string str = JsonConvert.SerializeObject(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception if needed
                    }
                }
            }
            return dt;
        }

        //====For Agent List=====//
        public DataTable GetViewMonthlyFeesReconciliationAgentList(int countryID)
        {
            DataTable dt = new DataTable();

            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlDataAdapter da = new SqlDataAdapter("Sp_MonthlyFeesReconciliation_Report", sqlConnection))
                {
                    da.SelectCommand.CommandType = CommandType.StoredProcedure;
                    da.SelectCommand.Parameters.AddWithValue("@ReqType", 2);
                    da.SelectCommand.Parameters.AddWithValue("@CountryID", countryID.ToString().Trim());
                    da.SelectCommand.CommandTimeout = 0;

                    try
                    {
                        da.Fill(dt);
                        string str = JsonConvert.SerializeObject(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception if needed
                    }
                }
            }
            return dt;
        }

        //====For Currency List=====//
        public DataTable GetViewMonthlyFeesReconciliationCurrencyList(int AgentID)
        {
            DataTable dt = new DataTable();

            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlDataAdapter da = new SqlDataAdapter("Sp_MonthlyFeesReconciliation_Report", sqlConnection))
                {
                    da.SelectCommand.CommandType = CommandType.StoredProcedure;
                    da.SelectCommand.Parameters.AddWithValue("@ReqType", 3);
                    da.SelectCommand.Parameters.AddWithValue("@AgentID", AgentID.ToString().Trim());
                    da.SelectCommand.CommandTimeout = 0;

                    try
                    {
                        da.Fill(dt);
                        string str = JsonConvert.SerializeObject(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception if needed
                    }
                }
            }
            return dt;
        }


        //====For Currency List=====//
        public DataTable GetData(string CountryID, string AgentID, string CurrencyID, string FromDate, string ToDate)
        {
            DataTable dt = new DataTable();
            try
            {
                #region UserCode
                using (SqlConnection conn = new SqlConnection(csCommon.ConnectionString))
                {
                    SqlCommand cmd = new SqlCommand("Sp_MonthlyFeesReconciliation_Report", conn);
                    cmd.Parameters.AddWithValue("@ProcedureType", 1);
                    if (CountryID != "-1")
                    {
                        cmd.Parameters.AddWithValue("@CountryID", CountryID);
                    }
                    if (CurrencyID != "-1")
                    {
                        cmd.Parameters.AddWithValue("@CurrencyID", CurrencyID);
                    }
                    if (AgentID != "-1")
                    {
                        cmd.Parameters.AddWithValue("@AgentID", AgentID);
                    }
                    cmd.Parameters.AddWithValue("@FromDate", FromDate.Trim());
                    cmd.Parameters.AddWithValue("@ToDate", ToDate.Trim());

                    cmd.CommandType = CommandType.StoredProcedure;
                    SqlDataAdapter adapter = new SqlDataAdapter(cmd);
                    adapter.Fill(dt);

                }
                #endregion

            }
            catch (Exception ex)
            {
                throw new Exception("Error: ", ex);
            }
            return dt;
        }

        #endregion
        #region ViewAgentModeOfPayment1 [frmViewAgentModeOfPayment1.aspx]

        //=======For Country List=====//
        public DataTable GetViewAgentModeOfPayment1CountryList()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_AgentCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }

        //====For Agent List=====//
        public DataTable GetViewAgentModeOfPayment1AgentList(int countryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_AgentModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, countryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }

        //====For Agent List=====//
        public DataTable GetViewAgentModeOfPayment1FillGrid(int countryID, int agentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_AgentModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (agentID != 0)
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, agentID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }

        #endregion
        #region EditCTAHoldMargin [FrmEditCTAHoldMargin.aspx]
        //=======For Send Country List=====//
        public DataTable GetEditCTAHoldMarginSendingCountryList()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "CTAHoldCountryCurrency";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.View;
                MyQuery.Add("@countryType", SqlDbType.NVarChar, "S");
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For Fill Grid=====//
        public DataTable GetEditCTAHoldMarginFillGrid(int countryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "CTAHoldMargin";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@SendCountryId", SqlDbType.Int, countryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For Sending Currency List=====//
        public DataTable GetEditCTAHoldMarginSendingCurrencyList(int _sendCountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "CTAHoldCountryCurrency";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Country_id", SqlDbType.Int, _sendCountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For Receive Country List=====//
        public DataTable GetEditCTAHoldMarginReceiveCountry()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "CTAHoldCountryCurrency";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.View;
                MyQuery.Add("@countryType", SqlDbType.NVarChar, "R");
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For Receive Currency List=====//
        public DataTable GetEditCTAHoldMarginReceiveCurrency(int _receiveCountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "CTAHoldCountryCurrency";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Country_id", SqlDbType.Int, _receiveCountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }

        #endregion
        #region Manage SA-Agent Min-Max Commission
        public DataTable GetManageSAAgentMinMaxCommissionSendCountry()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_SendingAgentPercentageWise_CommissionSlabMaster;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageSAAgentMinMaxCommissionSendAgent(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_SendingAgentPercentageWise_CommissionSlabMaster;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@PayInCountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageSAAgentMinMaxCommissionAllRecord(int CountryID, int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.TempView_SendingAgentPercentagWise_CommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (CountryID != 0)
                {
                    _query.Add("@PayInCountryID", SqlDbType.Int, CountryID.ToString());
                }
                if (AgentID != 0)
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageSAAgentMinMaxCommissionReceiveCountry(int CountryID, Permission MyType, bool AsPerPermission)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendCountryPermissionList : Procedure.vw_ReceiveCountryPermissionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (AsPerPermission == false) ? "0" : "1");
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageSAAgentMinMaxCommissionModeOfPayment(int CountryID, int ReceAgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_MOP_List_For_SendingReceivingAgent_ForSendingAgentPerCommission;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TargetCountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@RAgent_ID", SqlDbType.Int, ReceAgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> MG Treasury Report [Reports/frmMGTreasuryReport.aspx]
        //===========MG Treasury Report [Reports/frmMGTreasuryReport.aspx]============//
        public DataSet GetMGTreasuryReportGrid(string txtFromDate)
        {
            DataSet MyDs = new DataSet();
            SqlCommand cmd = null;
            SqlDataAdapter da = null;

            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                cmd = new SqlCommand("sp_MG_DailyRemittance_Report", sqlConnection);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.Parameters.AddWithValue("@ProcedureType", 0);
                if (!string.IsNullOrEmpty(txtFromDate.ToString()))
                {
                    cmd.Parameters.AddWithValue("@FromDate", txtFromDate.ToString());
                }
                da = new SqlDataAdapter(cmd);

                da.Fill(MyDs);
                try
                {
                    //da.Fill(dt);
                    string str = JsonConvert.SerializeObject(MyDs);
                }
                catch (Exception ex)
                {
                    // Handle the exception if needed
                }

            }
            return MyDs;
        }
        #endregion
        #region Masters >> Back Office >> Manage Premium Margins[frmViewAgentVariance.aspx]
        //=====Sending Country List====//
        public DataTable GetViewAgentVarianceSendingCountryList()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_Agent_RateMargin_Variance;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }

        //=====Receiving Country List====//
        public DataTable GetViewAgentVarianceReceivingCountryList(int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_Agent_RateMargin_Variance_ReceCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (_CountryID != 0)
                {
                    _query.Add("@SendCountryID", SqlDbType.Int, _CountryID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====GridView Records List====//
        public DataTable GetViewAgentVarianceGridRecordsList(int _PayInCountry, int _PayOutCountry)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_Agent_RateMargin_Variance;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@SendCountryID", SqlDbType.Int, _PayInCountry.ToString());
                _query.Add("@ReceCountryID", SqlDbType.Int, _PayOutCountry.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=================ADD Section Methods==========//


        //=====Sending Country(PayInCountryId) List====//
        public DataTable GetViewAgentVarianceSendingCountry_ADD(bool _AsPerPermission, Permission _MyType = Permission.Send)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====Sending Agent List====//
        public DataTable GetViewAgentVarianceSendingAgentList_ADD(int TargetCountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, TargetCountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====Agent Currency List====//
        public DataTable GetViewAgentVarianceAgentCurrency_ADD(int _AgentID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentCountrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, _AgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====Receive Country(Target_CountryID) List====//
        public DataTable GetViewAgentVarianceReceiveCountry_ADD(bool _AsPerPermission, Permission _MyType)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====Receive Agent(TargetAgent_ID) List====//
        public DataTable GetViewAgentVarianceReceiveAgent_ADD(int _CurrencyID, int _CountryID, Permission _MyType)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendingAgentRate_AgentList : Procedure.vw_ReceivingAgentRate_AgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Currency_Id", SqlDbType.Int, _CurrencyID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====Receive Currency List====//
        public DataTable GetViewAgentVarianceReceiveCurrency_ADD(int _AgentID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentCountrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, _AgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                string str = JsonConvert.SerializeObject(MyDT);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====ModeOfPayment List====//
        public DataTable GetViewAgentVarianceModeOfPayment_ADD()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.ModeOfPayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ParameterRequired = false;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }

        #endregion
        #region Masters >> Back Office >> Manage Exchange Rates >> Agent Rates[frmViewSendingAgentExchangeRateTest.aspx]
        //=======For Send Country List[PayInCountry]=====//
        public DataTable AgentExchangeRateSendingCountryList(string _UserID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "sp_vw_Filter_SendingAgentCurrencyExchangeRate";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (!string.IsNullOrEmpty(_UserID.ToString()))
                {
                    _query.Add("@UserID", SqlDbType.NVarChar, _UserID);
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For Agent List=====//
        public DataTable AgentExchangeRateAgentList(int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_SendingAgentCurrencyExchangeRate_Agent;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (_CountryID != 0)
                {
                    _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For Grid Records List=====//
        public DataTable AgentExchangeRateGridData(int _PayInCountry, int _PayInAgent)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.View_SendingAgentCurrencyExchangeRateTest;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _PayInCountry.ToString());
                _query.Add("@Agent_ID", SqlDbType.Int, _PayInAgent.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }





        //======ADD section[frmAddSendingAgentExchangeRate.aspx]===========//

        //=======For Send Country List[PayInCountry]=====//
        public DataTable AgentExchangeRateSendingCountry_Add(bool _AsPerPermission, Permission _MyType)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For Send Currency List[PayInCountry]=====//
        public DataTable AgentExchangeRateSendingCurrency_Add(int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=======For AgentAccount=====//
        public DataTable AgentExchangeRateAgentAccount_Add(Permission _Type, int _CurrencyID, int _CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_Type.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendingAgentRate_AgentList : Procedure.vw_ReceivingAgentRate_AgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Currency_Id", SqlDbType.Int, _CurrencyID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        //=====AgentSettlementCurrency List====//
        public DataTable AgentExchangeRateAgentSettlementCurrency_Add(int _AgentID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgentSettlementCurrency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.AddCriteria("Agent_ID", csSQLFormat.int_InSqlFormat(_AgentID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                // Handle the exception if needed
            }

            return MyDT;
        }


        #endregion
        #region Manage RA-Agent Min-Max Commission

        public DataTable GetManageRAAgentMinMaxCommissionReceiveCountry()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_ReceivingAgentPercentagWise_CommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageRAAgentMinMaxCommissionAgent(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Filter_ReceivingAgentPercentagWise_CommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@PayOutCountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageRAAgentMinMaxCommissionAllRecord(int PayOutCountryID, int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.TempView_ReceivingAgentPercentagWise_CommissionSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (PayOutCountryID != 0)
                {
                    _query.Add("@PayOutCountryID", SqlDbType.Int, PayOutCountryID.ToString());
                }
                if (AgentID != 0)
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageRAAgentMinMaxCommissionCommissionOn()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = TableName.tbl_CommissionAmountOf;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("id");
                _query.Add("CommissionAmountOf");
                _query.AddFieldOrder("CommissionAmountOf", csQueryBuilder.OrderType.Ascending);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.ViewQuery);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region SA Sub Agent Commission

        public DataTable GetSASubAgentCommissionCountry(int AgentID, int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_SASubAgentCommSlabCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSASubAgentCommissionSendingAgent(int AgentID, int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_SASubAgentCommSlabAgentView;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSASubAgentCommissionSendingSubAgent(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_SASubAgentCommSlabSubAgentView;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSASubAgentCommissionAllRecord(int AgentID, int SubAgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_EditSubAgentCommSlab;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@SubAgentID", SqlDbType.Int, SubAgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Masters >> Back Office >> Manage Source Of Income [frmViewSourceOfIncome.aspx]

        //=====Source of Income Name====//
        public DataSet SourceOfIncomeNameList(string SourceOfIncome)
        {
            DataSet MyDs = new DataSet();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_SourceOfIncome;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;

                if (!string.IsNullOrEmpty(SourceOfIncome))
                {
                    _query.Add("@SourceOfIncome", SqlDbType.NVarChar, SourceOfIncome);
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

                return MyDs;
            }
            catch (Exception ex)
            {

            }

            return MyDs;

        }



        //=====Grid Records====//


        #endregion
        #region Sending Sub Agent Margin [frmSubSendingAgentMargin.aspx]
        public DataTable GetSendingSubAgentMarginSendingCountry(int AgentID, Permission Group)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (Group.GetHashCode() == Permission.Send.GetHashCode())
                {
                    _query.TableName = "Agent_SubAgentCountryList_ViewForm";
                }
                else
                {
                    _query.TableName = "Agent_SubAgentReceiveCountryList_ViewForm";
                }
                _query.Add("@SessionAgentID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSendingSubAgentMarginAllRecord(int SendCountryID, int ReceiveCountryID, int SendAgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "View_Agent_SubAgentMargin";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@SendCountryID", SqlDbType.Int, SendCountryID.ToString());
                _query.Add("@ReceCountryID", SqlDbType.Int, ReceiveCountryID.ToString());
                _query.Add("@SendAgentID", SqlDbType.Int, SendAgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSendingSubAgentMarginSendCurrency(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (IsSendingSubAgentMarginSAgentExist(AgentID))
                {
                    _query.TableName = Procedure.vw_Agentwise_CurrencyDetails;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                    _query.Run();

                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                }
                else
                {
                    throw new Exception("Agent is Invalid.");
                }
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        private bool IsSendingSubAgentMarginSAgentExist(int AgentID)
        {
            bool _output = false;
            try
            {
                _output = SendingSubAgentMarginSCheck(AgentID);
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return _output;
        }

        private bool IsSendingSubAgentMarginSAnyOneProvided(int AgentID)
        {
            bool _output = false;
            if (AgentID != 0)
            {
                _output = true;
            }
            return _output;
        }

        public bool SendingSubAgentMarginSCheck(int AgentID)
        {
            bool _output = false;
            try
            {
                if (IsSendingSubAgentMarginSAnyOneProvided(AgentID))
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.AgentDetailsTable;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.AddCriteria("Agent_ID", csSQLFormat.int_InSqlFormat(AgentID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                    _query.Run();

                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    _output = MyDB.IsData(_query.MyCmd);
                }
                else
                {
                    string _message = "Agent ID not provided.";
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return _output;
        }

        public DataTable GetSendingSubAgentMarginReceiveCountryInsert(int BaseCountryID, int PermissionID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (IsSendingSubAgentMarginBaseCountryIDExist(BaseCountryID))
                {
                    if (IsSendingSubAgentMarginPermissionIDExist(PermissionID))
                    {
                        _query.TableName = Procedure.vw_CountryPermissionList;
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Add("@BaseCountryID", SqlDbType.Int, BaseCountryID.ToString());
                        _query.Add("@PermissionID", SqlDbType.Int, PermissionID.ToString());
                        _query.Run();

                        _MyDB = new csDatabase(csCommon.GetConnectionString);
                        MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                    }
                    else
                    {
                        throw new Exception("Permission is invalid");
                    }
                }
                else
                {
                    throw new Exception("Base Country is invalid");
                }

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        private bool IsSendingSubAgentMarginBaseCountryIDExist(int BaseCountryID)
        {
            bool _output = false;
            try
            {
                _output = SendingSubAgentMarginCheck(BaseCountryID);
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return _output;
        }

        private bool IsSendingSubAgentMarginAnyOneProvided(int CountryID)
        {
            bool _output = false;
            if (CountryID != 0)
            {
                _output = true;
            }
            return _output;
        }

        public bool SendingSubAgentMarginCheck(int BaseCountryID)
        {
            bool _output = false;
            try
            {
                if (IsSendingSubAgentMarginAnyOneProvided(BaseCountryID))
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.Country;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.AddCriteria("CountryID", csSQLFormat.int_InSqlFormat(BaseCountryID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                    _query.Run();

                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    _output = MyDB.IsData(_query.MyCmd);
                }
                else
                {
                    string message = "Country Name not provided.";
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return _output;
        }

        private bool IsSendingSubAgentMarginPermissionIDExist(int PermissionID)
        {
            bool _output = false;
            try
            {
                _output = PermissionCheck(PermissionID);
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return _output;
        }

        private bool IsPermissionAnyOneProvided(int PermissionID)
        {
            bool _output = false;
            if (PermissionID != 0)
            {
                _output = true;
            }
            return _output;
        }


        public bool PermissionCheck(int PermissionID)
        {
            bool _output = false;
            try
            {
                if (IsPermissionAnyOneProvided(PermissionID))
                {
                    try
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = Procedure.PermissionType;
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.ViewType = csQueryBuilder.VType.Process;
                        _query.Add("@PermissionID", SqlDbType.Int, PermissionID.ToString());
                        _query.Run();

                        csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                        _output = MyDB.IsData(_query.MyCmd);
                    }
                    catch (Exception ex)
                    {
                        throw new Exception(ex.Message);
                    }
                }
                else
                {
                    string message = "Permission ID invalid.";
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return _output;
        }

        public DataTable GetSendingSubAgentMarginReceiveCurrencyInsert(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSendingSubAgentMarginEdit(int ID, string ConnectionString)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (ID == 0)
                {
                    throw new Exception("SR Exchange Margin id not provided.");
                }
                else if (string.IsNullOrEmpty(ConnectionString))
                {
                    throw new Exception("Un-expected error contact your administrator.");
                }
                else
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.Agent_SendSubAgentExchange_Margin;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.View;
                    _query.Add("@ID", SqlDbType.Int, ID.ToString());
                    _query.Run();

                    csDatabase MyDB = new csDatabase(ConnectionString);
                    MyDT = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region  Sub Agent Margin
        public DataTable GetSubAgentMarginAgent(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "GetSubAgentList_ViewSubAgentMargin";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSubAgentMarginView(int AgentID, int AgentBranchID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "View_SubAgentMargin";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@SessionAgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@AgentBranchID", SqlDbType.Int, AgentBranchID.ToString());
                // _query.Add("@PayInCountryId", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSubAgentMarginSubAgentInsert(int SessionAgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "GetSubAgentList_AddSubAgentMarin";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.Int, SessionAgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSubAgentMarginMinMaxMargin(int SendAgentID, int PayInCountryId, int PayInCurrencyId, int PayOutCountryId, int PayOutCurrencyId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (SendAgentID != 0 && PayInCountryId != 0 && PayInCurrencyId != 0 && PayOutCountryId != 0 && PayOutCurrencyId != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.GetSubAgent_MinMax_Margin;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.View;
                    _query.Add("@SendAgentID", SqlDbType.Int, SendAgentID.ToString());
                    _query.Add("@PayInCountryId", SqlDbType.Int, PayInCountryId.ToString());
                    _query.Add("@PayInCurrencyId", SqlDbType.Int, PayInCurrencyId.ToString());
                    _query.Add("@PayOutCountryId", SqlDbType.Int, PayOutCountryId.ToString());
                    _query.Add("@PayOutCurrencyId", SqlDbType.Int, PayOutCurrencyId.ToString());
                    _query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                }
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Transaction Remove Payment

        public DataTable GetTransactionRemovePaymentStatus(string Form)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.View_TrStatus;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@Form", SqlDbType.NVarChar, Form);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentAgentType(int AgentId, int AgentGroupID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_IsAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (AgentId != 0)
                {
                    _query.Add("@Group_Id", SqlDbType.Int, AgentGroupID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentSendCountry()
        {
            Permission MyType = Permission.Send;
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSearchSendCountry : Procedure.vw_ListSearchReceiveCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentReceiveCountry(int CountryID)
        {
            Permission MyType = Permission.Receive;
            bool AsPerPermission = false;
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendCountryPermissionList : Procedure.vw_ReceiveCountryPermissionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (AsPerPermission == false) ? "0" : "1");
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentSendCurrency(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_Countrywise_Currency;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentAgentInsert(int AgentID, int TargetCountryID)
        {
            Permission MyType = Permission.Send;
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (AgentID != 0)
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Add("@CountryID", SqlDbType.Int, TargetCountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentUser(int AgentBranchID, int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentBranchwise_UserList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (AgentBranchID != 0)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, AgentBranchID.ToString());
                }
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentAgentBranch(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentBranchList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (AgentID != 0) // For All Agent branch
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentTransferType(int AgentID, int GroupID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (AgentID == 0)
                {
                    if (GroupID == 8) // For display Sender Transaction
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_TrTypeForTransfer;
                    }
                }
                else
                {
                    if (GroupID == 8)
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else if (GroupID == 9)
                    {
                        _query.TableName = Procedure.vw_Receive_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_SendReceive_Tr_Type;
                    }
                }


                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionRemovePaymentAllRecord(TransactionRemovePaymentRequest transactionRemovePaymentRequest, Permission MyType)
        {
            DataTable MyDT = new DataTable();
            try
            {

                _query.TableName = Procedure.View_RemovePayment;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;

                if (transactionRemovePaymentRequest.SearchByType == 1)
                {
                    #region For Search By Transaction No.
                    if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.SRTRNo))
                    {
                        _query.Add("@SRTRNo", SqlDbType.NVarChar, transactionRemovePaymentRequest.SRTRNo.Trim());
                    }
                    else
                    {
                        throw new Exception("Transaction Number not provided.");
                    }

                    if (transactionRemovePaymentRequest.G_Agent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    {

                        if (MyType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, transactionRemovePaymentRequest.Agent_ID.ToString());
                        }
                        else if (MyType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, transactionRemovePaymentRequest.Agent_ID.ToString());
                        }
                    }

                    #endregion For Search By Transaction No.
                }
                else if (transactionRemovePaymentRequest.SearchByType == 2)
                {
                    #region For Search By Other Field.
                    if (transactionRemovePaymentRequest.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, transactionRemovePaymentRequest.TopRecord.ToString());
                    }
                    if (transactionRemovePaymentRequest.StatusID != 0 && transactionRemovePaymentRequest.StatusID != -1)
                    {
                        _query.Add("@TrStatusID", SqlDbType.Int, transactionRemovePaymentRequest.StatusID.ToString());
                    }
                    if (transactionRemovePaymentRequest.Agent_ID != 0)
                    {
                        if (MyType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, transactionRemovePaymentRequest.Agent_ID.ToString());
                        }
                        else if (MyType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, transactionRemovePaymentRequest.Agent_ID.ToString());
                        }
                        else
                        {
                            if (transactionRemovePaymentRequest.TrTypeID == PaymentMode.Cash.GetHashCode() || transactionRemovePaymentRequest.TrTypeID == PaymentMode.Bank_Transfer.GetHashCode() || transactionRemovePaymentRequest.TrTypeID == PaymentMode.Draft.GetHashCode())
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, transactionRemovePaymentRequest.Agent_ID.ToString());
                            }
                            else
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, transactionRemovePaymentRequest.Agent_ID.ToString());
                            }
                        }
                    }
                    if (transactionRemovePaymentRequest.TrTypeID != 0 && transactionRemovePaymentRequest.TrTypeID != -1)
                    {
                        _query.Add("@TrTypeID", SqlDbType.Int, transactionRemovePaymentRequest.TrTypeID.ToString());
                    }
                    if (transactionRemovePaymentRequest.PayInCountryID != 0 && transactionRemovePaymentRequest.PayInCountryID != -1)
                    {
                        _query.Add("@CountryID", SqlDbType.Int, transactionRemovePaymentRequest.PayInCountryID.ToString());
                    }
                    if (transactionRemovePaymentRequest.PayInCurrencyID != 0 && transactionRemovePaymentRequest.PayInCurrencyID != -1)
                    {
                        _query.Add("@PayInCurrencyID", SqlDbType.Int, transactionRemovePaymentRequest.PayInCurrencyID.ToString());
                    }
                    if (transactionRemovePaymentRequest.PayOutCountryID != 0 && transactionRemovePaymentRequest.PayOutCountryID != -1)
                    {
                        _query.Add("@PayCountryID", SqlDbType.Int, transactionRemovePaymentRequest.PayOutCountryID.ToString());
                    }
                    if (transactionRemovePaymentRequest.PayOutCurrencyID != 0 && transactionRemovePaymentRequest.PayOutCurrencyID != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, transactionRemovePaymentRequest.PayOutCurrencyID.ToString());
                    }

                    #endregion For Search By Other Field.
                }
                else if (transactionRemovePaymentRequest.SearchByType == 3)
                {
                    #region For Search By Advanced Fields.
                    bool _IsInputProvided = false;

                    if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.Customer_Name_F))
                    {
                        _query.Add("@Customer_Name_F", SqlDbType.NVarChar, transactionRemovePaymentRequest.Customer_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.Customer_Name_L))
                    {
                        _query.Add("@Customer_Name_L", SqlDbType.NVarChar, transactionRemovePaymentRequest.Customer_Name_L);
                        _IsInputProvided = true;
                    }

                    if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.Beneficiary_Name_F))
                    {
                        _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, transactionRemovePaymentRequest.Beneficiary_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.Beneficiary_Name_L))
                    {
                        _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, transactionRemovePaymentRequest.Beneficiary_Name_L);
                        _IsInputProvided = true;
                    }

                    if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.StartDate))
                    {
                        if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.EndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(transactionRemovePaymentRequest.StartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(transactionRemovePaymentRequest.EndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN CONVERT(DATETIME, '" + transactionRemovePaymentRequest.StartDate + " 00:00:00', 102) AND CONVERT(DATETIME, '" + transactionRemovePaymentRequest.EndDate + " 00:00:00', 102)");
                                    _IsInputProvided = true;
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(transactionRemovePaymentRequest.EndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                    if (!_IsInputProvided)
                    {
                        throw new Exception("Input not provided.");
                    }
                    //}
                    #endregion For Search By Other Field.
                }

                if (transactionRemovePaymentRequest.LoginAgentCountry != 0)
                {
                    _query.Add("@LoginCountryID", SqlDbType.Int, transactionRemovePaymentRequest.LoginAgentCountry.ToString());
                }
                if (transactionRemovePaymentRequest.LoginAgentCity != 0)
                {
                    _query.Add("@LoginCityID", SqlDbType.Int, transactionRemovePaymentRequest.LoginAgentCity.ToString());
                }
                if (transactionRemovePaymentRequest.LoginAgentLocation != 0)
                {
                    _query.Add("@LoginLocationID", SqlDbType.Int, transactionRemovePaymentRequest.LoginAgentLocation.ToString());
                }


                if (transactionRemovePaymentRequest.AgentBranchId != 0 && transactionRemovePaymentRequest.AgentBranchId != -1)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, transactionRemovePaymentRequest.AgentBranchId.ToString());
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Approve Transaction

        public DataTable GetApproveTransactionStatus(int AgentID, int AgentSubGroupID)
        {
            DataTable MyDT = new DataTable();
            string TableName = string.Empty;
            int TrStatusID = 0;
            try
            {
                if (AgentID == 0)
                {
                    TableName = Procedure.vw_EditTransaction_Status_For_SR;
                }
                else
                {
                    if (AgentSubGroupID == UserSubGroupType.Agent_Supervisor.GetHashCode())
                    {
                        TableName = Procedure.vw_EditTransaction_Status_For_AgentSupervisor;
                    }
                    else
                    {
                        TableName = Procedure.vw_EditTransaction_Status_For_Agent_User;
                    }
                }
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = TableName;
                _query.Add("@TrStatusID", SqlDbType.Int, TrStatusID.ToString());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveTransactionTransferType(int AgentID, int GroupID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (AgentID == 0)
                {
                    if (GroupID == 8) // For display Sender Transaction
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_TrTypeForTransfer;
                    }
                }
                else
                {
                    if (GroupID == 8)
                    {
                        _query.TableName = Procedure.vw_Send_TrType;
                    }
                    else if (GroupID == 9)
                    {
                        _query.TableName = Procedure.vw_Receive_TrType;
                    }
                    else
                    {
                        _query.TableName = Procedure.vw_SendReceive_Tr_Type;
                    }
                }


                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveTransactionSendCountry()
        {
            DataTable MyDT = new DataTable();
            Permission MyType = Permission.Send;
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSearchSendCountry : Procedure.vw_ListSearchReceiveCountry;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveTransactionReceiveCountry(int CountryID)
        {
            DataTable MyDT = new DataTable();
            Permission MyType = Permission.Receive;
            bool AsPerPermission = false;
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendCountryPermissionList : Procedure.vw_ReceiveCountryPermissionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (AsPerPermission == false) ? "0" : "1");
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Reports >> RpT Agent Report [Agent_Reports/AgentWise_TrxnSentPaid.aspx]

        public DataSet AgentReportSelectReportList()
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "sp_FillAgentReports";
                _query.Add("@Flag", SqlDbType.Int, "0");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);
                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet AgentReportSelectCountryList(string UserID, string Agent_Country_ID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForAgentReport_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                if (UserID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);
                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataSet AgentReport_AgentList(int CountryID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                using (SqlConnection connection = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("sp_Reports_AgentWise_TrxnSentPaid", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@CountryID", CountryID);
                        command.Parameters.AddWithValue("@Flag", 1);

                        connection.Open();
                        SqlDataAdapter adapter = new SqlDataAdapter(command);
                        adapter.Fill(MyDs);
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return MyDs;
        }

        public DataSet AgentReportSelectAgentBranchList(RpTAgentReportAgentBranchListRequest objAgentReport, int AgentID, int Session_Agent_Branch_ID = 0)
        {
            DataSet MyDs = new DataSet();

            try
            {
                if (objAgentReport.IsAgencyUser)
                {
                    objAgentReport.SendBranch = -1;
                }
                else if (objAgentReport.IsSupervisor)
                {
                    if (objAgentReport.IsHO)
                    {
                        objAgentReport.SendBranch = -1;
                    }
                    else
                    {
                        objAgentReport.SendBranch = Session_Agent_Branch_ID;
                    }
                }
                else if (objAgentReport.IsTeller)
                {
                    objAgentReport.SendBranch = Session_Agent_Branch_ID;
                }


                using (SqlConnection connection = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("sp_Reports_AgentWise_TrxnSentPaid", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@Flag", 4);
                        command.Parameters.AddWithValue("@AgentID", AgentID);

                        connection.Open();
                        SqlDataAdapter adapter = new SqlDataAdapter(command);
                        adapter.Fill(MyDs);
                    }
                }


                return MyDs; // Return the DataSet
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet AgentReportSelectCurrencyList(int AgentID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _MyQry = new csQueryBuilder();
                _MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                _MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                _MyQry.TableName = "sp_Agentwise_CurrencyDetails_ForReport";
                _MyQry.ViewType = csQueryBuilder.VType.Process;
                _MyQry.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_MyQry.MyCmd);
                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet AgentReportSelectUserList(int AgentID, int SendBranch)
        {
            DataSet MyDs = new DataSet();

            //string Flag = "11";

            try
            {
                using (SqlConnection connection = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("sp_Reports_AgentWise_TrxnSentPaid", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@Flag", 11);
                        command.Parameters.AddWithValue("@AgentID", AgentID);
                        command.Parameters.AddWithValue("@SendBranch", SendBranch);

                        connection.Open();
                        SqlDataAdapter adapter = new SqlDataAdapter(command);
                        adapter.Fill(MyDs);
                    }
                }


                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable DisplayAgentCommissionReport(AgentCommissionReportRequest agentCommissionReportRequest)
        {
            try
            {
                //DS_AgentRpts obj = new DS_AgentRpts();
                SqlConnection conn = new SqlConnection(csCommon.ConnectionString);
                SqlCommand cmd = new SqlCommand("spAgentwiseCommissionReport", conn);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandTimeout = 0;
                cmd.Parameters.AddWithValue("@FromDate", agentCommissionReportRequest.FromDate);
                cmd.Parameters.AddWithValue("@ToDate", agentCommissionReportRequest.ToDate);
                cmd.Parameters.AddWithValue("@CountryID", agentCommissionReportRequest.CountryID);
                cmd.Parameters.AddWithValue("@AgentID", agentCommissionReportRequest.AgentID);
                cmd.Parameters.AddWithValue("@AgentBranch_ID", agentCommissionReportRequest.AgentBranch_ID);
                cmd.Parameters.AddWithValue("@CCYID", agentCommissionReportRequest.CCYID);
                SqlDataAdapter da = new SqlDataAdapter(cmd);
                DataTable dt = new DataTable();
                da.Fill(dt);
                return dt;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable DisplayTAgentTransactionSummaryReport(string FromDate, string ToDate, string Filter)
        {
            SqlConnection conn = new SqlConnection(csCommon.ConnectionString);
            SqlCommand cmd = new SqlCommand("spAgentTrxnSummary", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandTimeout = 0;
            cmd.Parameters.AddWithValue("@FromDt", FromDate);
            cmd.Parameters.AddWithValue("@ToDt", ToDate);
            cmd.Parameters.AddWithValue("@Filter", Filter);
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            //DataSet ds = new DataSet();
            try
            {
                DataTable dt = new DataTable();
                da.Fill(dt);
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                conn.Dispose();
                cmd.Dispose();
            }
        }

        public DataTable DisplaySendRecvTrxnUserWiseReport(string BCI, string XBI, string FromDate, string ToDate, string Filter)
        {
            SqlConnection conn = new SqlConnection(csCommon.ConnectionString);
            SqlCommand cmd = new SqlCommand("SendRecvTransactionUserWise", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandTimeout = 0;
            cmd.Parameters.AddWithValue("@Base_Currency_Id", int.Parse(BCI));
            cmd.Parameters.AddWithValue("@Ex_Branch_ID", int.Parse(XBI));
            cmd.Parameters.AddWithValue("@FromDate", FromDate);
            cmd.Parameters.AddWithValue("@ToDate", ToDate);
            cmd.Parameters.AddWithValue("@Filter", Filter);
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            //DataSet ds = new DataSet();
            try
            {

                DataTable dt = new DataTable();
                da.Fill(dt);
                return dt;

            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                conn.Dispose();
                cmd.Dispose();
            }
        }

        public DataTable DisplayExchangeEarningsReport(string FromDate, string ToDate, string Filter)
        {
            SqlConnection conn = new SqlConnection(csCommon.ConnectionString);
            SqlCommand cmd = new SqlCommand("sp_AgentExchEarningReportUserWise", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandTimeout = 0;
            cmd.Parameters.AddWithValue("@FromDate", FromDate);
            cmd.Parameters.AddWithValue("@ToDate", ToDate);
            cmd.Parameters.AddWithValue("@Filter", Filter);
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            try
            {
                DataTable dt = new DataTable();
                da.Fill(dt);
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                conn.Dispose();
                cmd.Dispose();
            }
        }

        public DataSet Get_StatementOfAccount_Detail(StatementOfAccount_Request reqObj)
        {
            DataSet MyDs = new DataSet();

            string _filter = "";

            _filter += "&AgentID=" + reqObj.AgentID;
            _filter += "&AgentName=" + reqObj.AgentName;
            _filter += "&Currency_Id=" + reqObj.Currency_Id;

            reqObj.filter = _filter;

            try
            {
                using (SqlConnection connection = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("spStatementOfAccount_CCY", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@FromDate", reqObj.FromDate);
                        command.Parameters.AddWithValue("@ToDate", reqObj.ToDate);
                        command.Parameters.AddWithValue("@Agent_ID", reqObj.AgentID);
                        command.Parameters.AddWithValue("@Currency_Id", reqObj.Currency_Id);
                        command.Parameters.AddWithValue("@AccountType", reqObj.AccountType);
                        command.Parameters.AddWithValue("@Filter", reqObj.filter);

                        connection.Open();
                        SqlDataAdapter adapter = new SqlDataAdapter(command);
                        adapter.Fill(MyDs);
                    }
                }


                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> MG Transaction Account Details Report[Reports/MGTransactionDetailsReport.aspx]
        //===========MG Transaction Account Details Report - Country List============//
        public DataTable MGTransactionDetailsReportCountryList(string G_UserID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "TransactionDetailsCountryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.NVarChar, G_UserID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //===========MG Transaction Account Details Report - Agent List============//
        public DataTable MGTransactionDetailsReportAgentList(int CountryID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "TransactionDetailsAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }

        }

        //===========MG Transaction Account Details Report - Grid List============//
        public DataTable MGTransactionDetailsReporBindGrid(string FromDate, string ToDate, string CountryID, string AgentID, string CustomerType, string TransactionNumber, string ByTxn)
        {
            DataTable dt = new DataTable();

            using (SqlConnection sqlConnection = new SqlConnection(csCommon.GetConnectionString))
            {
                using (SqlCommand cmd = new SqlCommand())
                {
                    cmd.Connection = sqlConnection;
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandText = "MG_TrxnAccountingReport";

                    if (ByTxn == "Y")
                    {
                        cmd.Parameters.AddWithValue("@TransactionNumber", TransactionNumber.Trim());
                    }
                    else
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate.Trim());
                        cmd.Parameters.AddWithValue("@ToDate", ToDate.Trim());
                        cmd.Parameters.AddWithValue("@CountryID", CountryID);
                        cmd.Parameters.AddWithValue("@AgentID", AgentID);
                        cmd.Parameters.AddWithValue("@CustomerType", CustomerType.Trim());
                    }

                    cmd.CommandTimeout = 180;
                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    da.Fill(dt);
                    string str = JsonConvert.SerializeObject(dt);

                }
            }
            return dt;
        }

        #endregion
        #region Approve Send Transaction
        public DataTable GetApproveTransactionSendCurrency(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (IsSendingSubAgentMarginBaseCountryIDExist(CountryID))
                {
                    _query.TableName = Procedure.vw_Countrywise_Currency;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                    _query.Run();

                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveTransactionAgent(int AgentID, int CountryID)
        {
            DataTable MyDT = new DataTable();
            Permission MyType = Permission.Send;
            try
            {
                _query.TableName = (MyType.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (AgentID != 0)
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, MyType.GetHashCode().ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveTransactionAgentBranch(int AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentBranchList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (AgentID != 0) // For All Agent branch
                {
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveTransactionUser(int AgentID, int AgentBranchID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.vw_AgentBranchwise_UserList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (AgentBranchID != 0)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, AgentBranchID.ToString());
                }
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetApproveTransactionAllRecord(ApproveTransactionRequest approveTransactionRequest)
        {
            DataTable MyDT = new DataTable();
            Permission AgentType = Permission.Send;
            ListItemCollection NewTrStatusList = new ListItemCollection();
            foreach (var strCurrencie in approveTransactionRequest.TrStatusList)
            {
                NewTrStatusList.Add(new ListItem(strCurrencie.Value, Convert.ToString(strCurrencie.Id)));
            }
            try
            {

                _query.TableName = Procedure.View_EditTransactionBySupervisor;

                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;

                if (approveTransactionRequest.SearchByType == 1)
                {
                    #region For Search By Transaction No.
                    if (!string.IsNullOrEmpty(approveTransactionRequest.SRTRNo))
                    {
                        _query.Add("@SRTRNo", SqlDbType.NVarChar, approveTransactionRequest.SRTRNo.Trim());
                    }
                    else
                    {
                        throw new Exception("Transaction Number not provided.");
                    }

                    if (approveTransactionRequest.G_Agent_ID != 0) //_Search.Agent_ID != 0 && _Search.LoginAgentCountry != 0
                    {

                        if (AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, approveTransactionRequest.Agent_ID.ToString());
                        }
                        else if (AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, approveTransactionRequest.Agent_ID.ToString());
                        }
                    }

                    #endregion For Search By Transaction No.
                }
                else if (approveTransactionRequest.SearchByType == 2)
                {
                    #region For Search By Other Field.
                    if (approveTransactionRequest.TopRecord != 0)
                    {
                        _query.Add("@TopRecord", SqlDbType.NVarChar, approveTransactionRequest.TopRecord.ToString());
                    }
                    if (approveTransactionRequest.TrStatusID != 0 && approveTransactionRequest.TrStatusID != -1)
                    {
                        _query.Add("@TrStatusID", SqlDbType.Int, approveTransactionRequest.TrStatusID.ToString());
                    }
                    if (approveTransactionRequest.Agent_ID != 0)
                    {
                        if (AgentType == Permission.Send)
                        {
                            _query.Add("@Agent_ID", SqlDbType.Int, approveTransactionRequest.Agent_ID.ToString());
                        }
                        else if (AgentType == Permission.Receive)
                        {
                            _query.Add("@PayAgent", SqlDbType.Int, approveTransactionRequest.Agent_ID.ToString());
                        }
                        else
                        {
                            if (approveTransactionRequest.TrTypeID == PaymentMode.Cash.GetHashCode() || approveTransactionRequest.TrTypeID == PaymentMode.Bank_Transfer.GetHashCode() || approveTransactionRequest.TrTypeID == PaymentMode.Draft.GetHashCode())
                            {
                                _query.Add("@Agent_ID", SqlDbType.Int, approveTransactionRequest.Agent_ID.ToString());
                            }
                            else
                            {
                                _query.Add("@PayAgent", SqlDbType.Int, approveTransactionRequest.Agent_ID.ToString());
                            }
                        }
                    }
                    if (approveTransactionRequest.TrTypeID != 0 && approveTransactionRequest.TrTypeID != -1)
                    {
                        _query.Add("@TrTypeID", SqlDbType.Int, approveTransactionRequest.TrTypeID.ToString());
                    }
                    if (approveTransactionRequest.PayInCountryID != 0 && approveTransactionRequest.PayInCountryID != -1)
                    {
                        _query.Add("@CountryID", SqlDbType.Int, approveTransactionRequest.PayInCountryID.ToString());
                    }
                    if (approveTransactionRequest.PayInCurrencyID != 0 && approveTransactionRequest.PayInCurrencyID != -1)
                    {
                        _query.Add("@PayInCurrencyID", SqlDbType.Int, approveTransactionRequest.PayInCurrencyID.ToString());
                    }
                    if (approveTransactionRequest.PayOutCountryID != 0 && approveTransactionRequest.PayOutCountryID != -1)
                    {
                        _query.Add("@PayCountryID", SqlDbType.Int, approveTransactionRequest.PayOutCountryID.ToString());
                    }
                    if (approveTransactionRequest.PayOutCurrencyID != 0 && approveTransactionRequest.PayOutCurrencyID != -1)
                    {
                        _query.Add("@PayOutCurrencyID", SqlDbType.Int, approveTransactionRequest.PayOutCurrencyID.ToString());
                    }

                    #endregion For Search By Other Field.
                }
                else if (approveTransactionRequest.SearchByType == 3)
                {
                    #region For Search By Advanced Fields.
                    bool _IsInputProvided = false;

                    if (!string.IsNullOrEmpty(approveTransactionRequest.Customer_Name_F))
                    {
                        _query.Add("@Customer_Name_F", SqlDbType.NVarChar, approveTransactionRequest.Customer_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(approveTransactionRequest.Customer_Name_L))
                    {
                        _query.Add("@Customer_Name_L", SqlDbType.NVarChar, approveTransactionRequest.Customer_Name_L);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(approveTransactionRequest.Beneficiary_Name_F))
                    {
                        _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, approveTransactionRequest.Beneficiary_Name_F);
                        _IsInputProvided = true;
                    }
                    if (!string.IsNullOrEmpty(approveTransactionRequest.Beneficiary_Name_L))
                    {
                        _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, approveTransactionRequest.Beneficiary_Name_L);
                        _IsInputProvided = true;
                    }

                    //if (_Search.LoginAgentCountry != 0)
                    //{
                    if (!string.IsNullOrEmpty(approveTransactionRequest.StartDate))
                    {
                        if (!string.IsNullOrEmpty(approveTransactionRequest.EndDate))
                        {
                            if (MyControls.csDateTime.IsValidDate(approveTransactionRequest.StartDate))
                            {
                                if (MyControls.csDateTime.IsValidDate(approveTransactionRequest.EndDate))
                                {
                                    _query.Add("@DATETIME", SqlDbType.NVarChar, " TrDate BETWEEN CONVERT(DATETIME, '" + approveTransactionRequest.StartDate + " 00:00:00', 102) AND CONVERT(DATETIME, '" + approveTransactionRequest.EndDate + " 00:00:00', 102)");
                                    _IsInputProvided = true;
                                }
                            }
                        }
                        else
                        {
                            throw new Exception("Select End Date.");
                        }
                    }
                    else
                    {
                        if (!string.IsNullOrEmpty(approveTransactionRequest.EndDate))
                        {
                            throw new Exception("Select Start Date.");
                        }
                    }

                    if (!_IsInputProvided)
                    {
                        throw new Exception("Input not provided.");
                    }
                    //}
                    #endregion For Search By Other Field.
                }

                if (approveTransactionRequest.LoginAgentCountryID != 0)
                {
                    _query.Add("@LoginCountryID", SqlDbType.Int, approveTransactionRequest.LoginAgentCountryID.ToString());
                }
                if (approveTransactionRequest.LoginAgentCityID != 0)
                {
                    _query.Add("@LoginCityID", SqlDbType.Int, approveTransactionRequest.LoginAgentCityID.ToString());
                }
                if (approveTransactionRequest.LoginAgentLocationID != 0)
                {
                    _query.Add("@LoginLocationID", SqlDbType.Int, approveTransactionRequest.LoginAgentLocationID.ToString());
                }


                if (approveTransactionRequest.AgentBranchId != 0 && approveTransactionRequest.AgentBranchId != -1)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, approveTransactionRequest.AgentBranchId.ToString());
                }

                if (!string.IsNullOrEmpty(approveTransactionRequest.UserID) && approveTransactionRequest.UserID != "0" && approveTransactionRequest.UserID != "-1")
                {
                    _query.Add("@UserId", SqlDbType.NVarChar, approveTransactionRequest.UserID);
                }

                string _TrStatus = string.Empty;
                foreach (ListItem _list in NewTrStatusList)
                {
                    if (_list.Value != "0" || _list.Value != "-1")
                    {
                        if (_TrStatus.Length == 0)
                        {
                            _TrStatus = _TrStatus + _list.Value;
                        }
                        else
                        {
                            _TrStatus = _TrStatus + "," + _list.Value;
                        }
                    }
                }
                if (!string.IsNullOrEmpty(_TrStatus))
                {
                    //_script = _script + " AND TrStatusID IN(" + _TrStatus + ")";
                    _query.Add("@ListTrStatusID", SqlDbType.NVarChar, _TrStatus);
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Block Transaction
        public DataTable GetBlockTransactionAllRecord(int G_Agent_ID, bool IsHeadOffice, int Agent_Branch_ID, string Transactionnumber, int StatusID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "GetUnpaidTrxn_frmAgentBlockTrxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentId", SqlDbType.Int, G_Agent_ID.ToString());
                if (Transactionnumber.Trim() != "")
                {
                    _query.Add("@Transactionnumber", SqlDbType.NVarChar, Transactionnumber.Trim());
                }
                else
                {
                    _query.Add("@TrStatusID", SqlDbType.Int, StatusID.ToString());
                }

                _query.Add("@IsHO", SqlDbType.Int, (IsHeadOffice.ToString() == "True") ? "1" : "0");
                _query.Add("@BranchID", SqlDbType.Int, Agent_Branch_ID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string BlockTransaction(string TransactionNumber, string AppID, int StatusID, int PrevStatusID, string UserID)
        {
            try
            {
                string Message = "";
                _query.TableName = "BlockTransaction_frmAgentBlockTrxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@AppID", SqlDbType.NVarChar, AppID);
                _query.Add("@StatusID", SqlDbType.Int, StatusID.ToString());
                _query.Add("@PrevStatusID", SqlDbType.Int, PrevStatusID.ToString());
                _query.Add("@Date", SqlDbType.DateTime, DateTime.Now.ToShortDateString());
                _query.Add("@Time", SqlDbType.DateTime, DateTime.Now.ToShortTimeString());
                _query.Add("@UserID", SqlDbType.NVarChar, UserID.ToString());
                _query.Add("@Remarks", SqlDbType.NVarChar, "Transaction Blocked by Agent");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
                Message = "Transaction blocked successfully";
                return Message;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string UnBlockTransaction(string TransactionNumber, string AppID, int StatusID, int PrevStatusID, string UserID)
        {
            try
            {
                string Message = "";
                _query.TableName = "BlockTransaction_frmAgentBlockTrxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@AppID", SqlDbType.NVarChar, AppID);
                _query.Add("@StatusID", SqlDbType.Int, StatusID.ToString());
                _query.Add("@PrevStatusID", SqlDbType.Int, PrevStatusID.ToString());
                _query.Add("@Date", SqlDbType.DateTime, DateTime.Now.ToShortDateString());
                _query.Add("@Time", SqlDbType.DateTime, DateTime.Now.ToShortTimeString());
                _query.Add("@UserID", SqlDbType.NVarChar, UserID.ToString());
                _query.Add("@Remarks", SqlDbType.NVarChar, "Transaction Release by Agent");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
                Message = "Transaction release successfully";
                return Message;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Transaction Status For Agent

        public DataTable GetTransactionStatusForAgentCountry(int G_UserID, int G_Agent_ID, int Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, G_UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionStatusForAgent(int AgentID, int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.NVarChar, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.NVarChar, CountryID.ToString());
                _query.Add("@StrFlag", SqlDbType.NVarChar, "1");
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionStatusForAgentBranch(int AgentID, int SendBranchID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.NVarChar, AgentID.ToString());
                _query.Add("@SendBranch", SqlDbType.NVarChar, SendBranchID.ToString());
                _query.Add("@StrFlag", SqlDbType.NVarChar, "4");
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionStatusForAgentStatus(int AgentType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                if (AgentType == UserGroupType.ReceivingAgent.GetHashCode())
                {
                    _query.TableName = Procedure.vw_ReceiveAgent_SearchTrans_StatusList;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                }
                else
                {
                    _query.TableName = Procedure.vw_ViewTransactionStatus_StatusList;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                }

                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionStatusForAgentByDateAllRecord(DateTime FromDate, DateTime ToDate, int AgentID, int StatusID, string AgentBranch, int AgentBranchID)
        {
            DataTable MyDT = new DataTable();
            string Filter = string.Empty;
            try
            {
                if (AgentID.ToString() != "-1")
                {
                    Filter = " TRT.SendAgent = " + AgentID;
                }
                if (StatusID.ToString() != "-1")
                {
                    Filter += " AND IsNull(TRS.InternalStatusID, 0) = " + StatusID;
                }
                if (AgentBranch.Trim().ToUpper() != "ALL")
                {
                    Filter += " AND TRT.AgentBranch_ID = " + AgentBranchID;
                }

                string SqlText = string.Empty;
                SqlConnection conn = new SqlConnection(csCommon.GetConnectionString);
                SqlText = "sp_View_BlockUnBlockTransactionStatus";
                SqlCommand cmd = new SqlCommand(SqlText, conn);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandTimeout = 0;
                cmd.Parameters.AddWithValue("@FromDate", FromDate);
                cmd.Parameters.AddWithValue("@ToDate", ToDate);
                if (!string.IsNullOrEmpty(Filter))
                {
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                }
                SqlDataAdapter da = new SqlDataAdapter(cmd);
                da.Fill(MyDT);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetTransactionStatusForAgentByTransactionAllRecord(string Filter)
        {
            DataTable MyDT = new DataTable();
            try
            {
                string SqlText = string.Empty;
                SqlConnection conn = new SqlConnection(csCommon.GetConnectionString);
                SqlText = "sp_View_BlockUnBlockTransactionStatus";
                SqlCommand cmd = new SqlCommand(SqlText, conn);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandTimeout = 0;
                cmd.Parameters.AddWithValue("@Filter", Filter);
                SqlDataAdapter da = new SqlDataAdapter(cmd);
                da.Fill(MyDT);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string TransactionStatusForAgentBlock(string TransactionNumber, string G_UserID)
        {
            try
            {
                string Message = "";
                _query.TableName = "BlockTransaction_frmAgencyBlockTrxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@StatusID", SqlDbType.Int, Status.Agency_Block.GetHashCode().ToString());
                _query.Add("@PrevStatusID", SqlDbType.Int, Status.Unpaid.GetHashCode().ToString());
                _query.Add("@Date", SqlDbType.DateTime, DateTime.Now.ToShortDateString());
                _query.Add("@Time", SqlDbType.DateTime, DateTime.Now.ToShortTimeString());
                _query.Add("@UserID", SqlDbType.NVarChar, G_UserID.ToString());
                _query.Add("@Remarks", SqlDbType.NVarChar, "Transaction block by Agency");
                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
                Message = "Transaction release successfully";
                return Message;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string TransactionStatusForAgentUnBlock(string TransactionNumber, string G_UserID)
        {
            try
            {
                string Message = "";
                _query.TableName = "BlockTransaction_frmAgencyBlockTrxn";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Add("@StatusID", SqlDbType.Int, Status.Unpaid.GetHashCode().ToString());
                _query.Add("@PrevStatusID", SqlDbType.Int, Status.Agency_Block.GetHashCode().ToString());
                _query.Add("@Date", SqlDbType.DateTime, DateTime.Now.ToShortDateString());
                _query.Add("@Time", SqlDbType.DateTime, DateTime.Now.ToShortTimeString());
                _query.Add("@UserID", SqlDbType.NVarChar, G_UserID.ToString());
                _query.Add("@Remarks", SqlDbType.NVarChar, "Transaction Release by Agency");
                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
                Message = "Transaction release successfully";
                return Message;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Send Agent CTA Hold Transaction
        public DataTable GetSendAgentCTAHoldTransactionCountry(string G_UserID, string ToDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SPSendCTAholdAgent";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, G_UserID.ToString());
                _query.Add("@Trtype", SqlDbType.Int, "1");
                _query.Add("@AsonDate", SqlDbType.DateTime, ToDate);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSendAgentCTAHoldTransactionAgent(int CountryID, string ToDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SPSendCTAholdAgent";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Trtype", SqlDbType.Int, "2");
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@AsonDate", SqlDbType.DateTime, ToDate);
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetSendAgentCTAHoldTransactionAllRecord(int AgentID, string ToDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                string SqlText = string.Empty;
                SqlConnection conn = new SqlConnection(csCommon.GetConnectionString);
                SqlText = "SPSendCTAholdAgent";
                SqlCommand cmd = new SqlCommand(SqlText, conn);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandTimeout = 0;
                //cmd.Parameters.AddWithValue("@FromDate", FromDate);
                cmd.Parameters.AddWithValue("@Trtype", 3);
                cmd.Parameters.AddWithValue("@Agentid", AgentID);
                cmd.Parameters.AddWithValue("@AsonDate", ToDate);
                SqlDataAdapter da = new SqlDataAdapter(cmd);
                da.Fill(MyDT);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void SendAgentCTAHoldTransactionRelease(string TransactionNumber)
        {
            try
            {
                _query.TableName = "SPSendCTAholdAgent";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Trtype", SqlDbType.Int, "4");
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Edit Transaction Detail

        public DataTable GetEditTransactionDetailAllRecord(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "SPFrmEditTransaction";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetEditTransactionDetailCustomerNationality()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Nationality;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetEditTransactionDetailBeneficiaryNationality()
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Nationality;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string EditTransactionDetail(EditTransactionDetailRequest editTransactionDetailRequest)
        {
            try
            {
                string Message = "";

                _query.TableName = "ForEditBenficiaryRemitter";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNo", SqlDbType.NVarChar, editTransactionDetailRequest.TransactionNo);
                _query.Add("@Beneficiary_Name_F", SqlDbType.NVarChar, editTransactionDetailRequest.BeneficiaryFirstName);
                if (!string.IsNullOrEmpty(editTransactionDetailRequest.BeneficiaryLastName))
                {
                    _query.Add("@Beneficiary_Name_L", SqlDbType.NVarChar, editTransactionDetailRequest.BeneficiaryLastName);
                }
                if (!string.IsNullOrEmpty(editTransactionDetailRequest.BeneficiaryAddress))
                {
                    _query.Add("@Beneficiary_Address", SqlDbType.NVarChar, editTransactionDetailRequest.BeneficiaryAddress);
                }
                if (!string.IsNullOrEmpty(editTransactionDetailRequest.Landmark))
                {
                    _query.Add("@Beneficiary_LandMark", SqlDbType.NVarChar, editTransactionDetailRequest.Landmark);
                }
                if (!string.IsNullOrEmpty(editTransactionDetailRequest.ZipCode))
                {
                    _query.Add("@Beneficiary_ZipCode", SqlDbType.NVarChar, editTransactionDetailRequest.ZipCode);
                }
                if (!string.IsNullOrEmpty(editTransactionDetailRequest.BeneficiaryMobileNo))
                {
                    _query.Add("@Beneficiary_Mobile", SqlDbType.NVarChar, editTransactionDetailRequest.BeneficiaryMobileNo);
                }
                if (!string.IsNullOrEmpty(editTransactionDetailRequest.BeneficiaryTeleNo))
                {
                    _query.Add("@Beneficiary_Phone", SqlDbType.NVarChar, editTransactionDetailRequest.BeneficiaryTeleNo);
                }
                _query.Add("@Beneficiary_NationalityID", SqlDbType.Int, editTransactionDetailRequest.BeneficiaryNationalityID.ToString());
                _query.Add("@Customer_NationalityID", SqlDbType.Int, editTransactionDetailRequest.CustomerNationalityID.ToString());
                _query.Add("@Update_By", SqlDbType.NVarChar, editTransactionDetailRequest.G_UserID);
                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);

                Message = "Record update successfully";
                return Message;


            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Vostro Balance
        public DataSet GetVostroBalance()
        {
            DataTable MyDT = new DataTable();
            try
            {
                DataSet ds = new DataSet();
                using (SqlConnection c = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlDataAdapter a = new SqlDataAdapter("sp_Get_VostroACC_details", c))
                    {
                        a.SelectCommand.CommandType = CommandType.StoredProcedure;
                        a.Fill(ds);
                    }
                }
                return ds;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string VostroBalanceAdd(int CountryID, int AgentID, int CurrencyID, string AccNum, decimal AccBal, decimal DepositAmt, string G_UserName, string TxnType, string Mode)
        {
            try
            {
                string Message = "";
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "sp_Update_VostroACC_details";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                if (Mode == "1")
                {
                    _query.ProcedureType = csQueryBuilder.ProcType.Update;
                }
                else if (Mode == "2")
                {
                    _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                }
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@AGENT_ID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@Currency_Id", SqlDbType.Int, CurrencyID.ToString());
                _query.Add("@VOSTRO_AC_NO", SqlDbType.VarChar, AccNum);
                _query.Add("@BAL_AMT", SqlDbType.Decimal, AccBal.ToString());
                _query.Add("@Deposit_AMT", SqlDbType.Decimal, DepositAmt.ToString());
                _query.Add("@EnteredBy", SqlDbType.NVarChar, G_UserName);
                _query.Add("@TxnType", SqlDbType.NVarChar, TxnType);

                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
                return Message = "Records updated successfully";
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Beneficiary Checker
        public DataTable GetBeneficiaryCheckerAllRecord(int SearchType, string FromDate, string ToDate, string SearchData)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = "GetBenficiaryCheckerList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@SearchtType", SqlDbType.Int, SearchType.ToString());
                if (SearchType == 3)
                {
                    _query.Add("@FromDate", SqlDbType.DateTime, FromDate.Trim());
                    _query.Add("@ToDate", SqlDbType.DateTime, ToDate.Trim());
                }
                else
                {
                    _query.Add("@SearchData", SqlDbType.VarChar, SearchData.Trim());
                }
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void UpdateBeneficiaryChecker(string BeneficiaryNumber, string ReqType, string UserID)
        {
            try
            {
                _query.TableName = "UpdateBenificiaryMakerChecker";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@UserID", SqlDbType.VarChar, UserID);
                _query.Add("@BeneficiaryNumber", SqlDbType.VarChar, BeneficiaryNumber);
                _query.Add("@ReqType", SqlDbType.VarChar, ReqType);
                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(_query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void SendSMSBeneficiaryChecker(string ReqType, string CustNo, string BeneNo)
        {
            try
            {
                #region MQ text sms

                string strTxtMsgResp = "";
                string t_CusNum = "";
                string t_CusNum_Sent = "";

                csQueryBuilder _QuerySMS = new csQueryBuilder();
                _QuerySMS.TableName = "spMQConnectionData";
                _QuerySMS.QryType = csQueryBuilder.QueryType.Procedure;
                _QuerySMS.ViewType = csQueryBuilder.VType.Process;
                _QuerySMS.ProcedureType = csQueryBuilder.ProcType.Select;
                _QuerySMS.Run();
                csDatabase _MyDBSMS = new csDatabase(csCommon.GetConnectionString);
                DataTable MyDT = _MyDBSMS.Return_DataTable(_QuerySMS.MyCmd);
                // MQ_Channel, MQ_ReadQueue, MQ_WriteQueue
                clsSMQ objSMQ = new clsSMQ();
                objSMQ._LogPath = ConfigurationManager.AppSettings["SMQLogPath"].ToString();
                objSMQ._MQ_Machine = MyDT.Rows[0]["MQ_Machine"].ToString();
                objSMQ._Unit = MyDT.Rows[0]["Unit"].ToString();//"QRD";
                objSMQ._LoggedUser = MyDT.Rows[0]["LoggedUser"].ToString();
                objSMQ._SrcEnvName = MyDT.Rows[0]["SrcEnvName"].ToString();
                objSMQ._SrcSysName = MyDT.Rows[0]["SrcSysName"].ToString();
                objSMQ._DstEnvName = MyDT.Rows[0]["DstEnvName"].ToString();
                objSMQ._DstSysName = MyDT.Rows[0]["DstSysName"].ToString();
                objSMQ._BrnCde = MyDT.Rows[0]["BrnCde"].ToString();
                objSMQ._MQ_Channel = MyDT.Rows[0]["MQ_Channel"].ToString();
                objSMQ._MQ_ReadQueue = MyDT.Rows[0]["MQ_ReadQueue"].ToString();
                objSMQ._MQ_WriteQueue = MyDT.Rows[0]["MQ_WriteQueue"].ToString();
                objSMQ._TmeOut = Convert.ToInt32(MyDT.Rows[0]["TmeOut"].ToString());
                objSMQ._MQ_Server = MyDT.Rows[0]["MQ_Server"].ToString();

                bool _isbool = objSMQ.Connect();


                if (_isbool == true)
                {
                    clsSMSText objSmsTxt = new clsSMSText();
                    csQueryBuilder _Query = new csQueryBuilder();
                    csDatabase _MyDB = new csDatabase(csCommon.GetConnectionString);
                    _Query = new csQueryBuilder();
                    _Query.TableName = "spMQSmsData";
                    _Query.QryType = csQueryBuilder.QueryType.Procedure;
                    _Query.ViewType = csQueryBuilder.VType.Process;
                    _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _Query.Add("@TransactionNo", SqlDbType.NVarChar, CustNo);
                    _Query.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneNo);
                    if (ReqType == "0")
                    {
                        _Query.Add("@Flag", SqlDbType.NVarChar, "9");
                    }
                    else
                    {
                        _Query.Add("@Flag", SqlDbType.NVarChar, "13");
                    }
                    _Query.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDT = new DataTable();
                    MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

                    ////objSmsTxt.CusNum = MyDT.Rows[0]["CusNum"].ToString().PadLeft(6, '0');
                    ////objSmsTxt.CusNum = "      ";
                    //t_CusNum = MyDT.Rows[0]["CusNum"].ToString().PadLeft(6, '0');
                    //objSmsTxt.CusNum = "      ";

                    t_CusNum = MyDT.Rows[0]["CusNum"].ToString();
                    t_CusNum_Sent = MyDT.Rows[0]["CustNoToSent"].ToString();
                    objSmsTxt.CusNum = t_CusNum_Sent;

                    objSmsTxt.MobTel = MyDT.Rows[0]["MobTel"].ToString();
                    objSmsTxt.MsgCls = MyDT.Rows[0]["MsgCls"].ToString();
                    objSmsTxt.SmsDlvDay = MyDT.Rows[0]["SmsDlvDay"].ToString();
                    objSmsTxt.SmsDlvNow = MyDT.Rows[0]["SmsDlvNow"].ToString();
                    objSmsTxt.SmsLng = MyDT.Rows[0]["SmsLng"].ToString();
                    objSmsTxt.SmsTxt = MyDT.Rows[0]["SmsTxt"].ToString();

                    strTxtMsgResp = objSMQ.SendMessage_SendSMS(objSmsTxt);

                    _Query = new csQueryBuilder();
                    _Query.TableName = "spSaveMQSmsLog";
                    _Query.QryType = csQueryBuilder.QueryType.Procedure;
                    _Query.ViewType = csQueryBuilder.VType.Process;
                    _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                    //_Query.Add("@CustNum", SqlDbType.NVarChar, objSmsTxt.CusNum);
                    //_Query.Add("@CustNum", SqlDbType.NVarChar, "000000");
                    _Query.Add("@CustNum", SqlDbType.NVarChar, t_CusNum);
                    _Query.Add("@MobTel", SqlDbType.NVarChar, objSmsTxt.MobTel);
                    _Query.Add("@MsgCls", SqlDbType.NVarChar, objSmsTxt.MsgCls);
                    _Query.Add("@SmsDlvDay", SqlDbType.NVarChar, objSmsTxt.SmsDlvDay);
                    _Query.Add("@SmsDlvNow", SqlDbType.NVarChar, objSmsTxt.SmsDlvNow);
                    _Query.Add("@SmsLng", SqlDbType.NVarChar, objSmsTxt.SmsLng);
                    //_Query.Add("@SmsTxt", SqlDbType.NVarChar, objSmsTxt.SmsTxt);
                    _Query.Add("@SmsTxt", SqlDbType.NVarChar, objSmsTxt.SmsTxt + "|" + t_CusNum_Sent);
                    _Query.Add("@Flag", SqlDbType.NVarChar, "1");
                    _Query.Add("@MethoName", SqlDbType.NVarChar, "Beneficiary Registration Request");

                    _Query.Run();
                    _MyDB = new csDatabase(csCommon.ConnectionString);
                    _MyDB.ExecuteNonQuery(_Query.MyCmd);

                    if (!string.IsNullOrEmpty(strTxtMsgResp))
                    {
                        csQueryBuilder _Query1 = new csQueryBuilder();
                        _Query1.TableName = "spSaveMQSmsLog";
                        _Query1.QryType = csQueryBuilder.QueryType.Procedure;
                        _Query1.ViewType = csQueryBuilder.VType.Process;
                        _Query1.ProcedureType = csQueryBuilder.ProcType.Select;
                        //_Query1.Add("@CustNum", SqlDbType.NVarChar, objSmsTxt.CusNum);
                        _Query1.Add("@CustNum", SqlDbType.NVarChar, t_CusNum);
                        _Query1.Add("@MobTel", SqlDbType.NVarChar, objSmsTxt.MobTel);
                        _Query1.Add("@MsgCls", SqlDbType.NVarChar, objSmsTxt.MsgCls);
                        _Query1.Add("@SmsDlvDay", SqlDbType.NVarChar, objSmsTxt.SmsDlvDay);
                        _Query1.Add("@SmsDlvNow", SqlDbType.NVarChar, objSmsTxt.SmsDlvNow);
                        _Query1.Add("@SmsLng", SqlDbType.NVarChar, objSmsTxt.SmsLng);
                        //_Query1.Add("@SmsTxt", SqlDbType.NVarChar, objSmsTxt.SmsTxt);
                        _Query1.Add("@SmsTxt", SqlDbType.NVarChar, objSmsTxt.SmsTxt + "|" + t_CusNum_Sent);
                        _Query1.Add("@ResponseLog", SqlDbType.NVarChar, strTxtMsgResp);
                        _Query1.Add("@Flag", SqlDbType.NVarChar, "2");
                        _Query1.Add("@MethoName", SqlDbType.NVarChar, "Beneficiary Registration Response");
                        _Query1.Run();
                        csDatabase _MyDB1 = new csDatabase(csCommon.ConnectionString);
                        _MyDB1.ExecuteNonQuery(_Query1.MyCmd);
                    }
                }
                #endregion
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void GetBeneficiaryInfoForIVRBeneficiaryChecker(string BeneficiaryNo)
        {
            DataTable MyDt = new DataTable();
            string CustNO, PhoneNo, BeneNo, BeneName, CustLang;
            csQueryBuilder _Query = new csQueryBuilder();
            _Query.TableName = "spGetBeneDetailsByNumber";
            _Query.QryType = csQueryBuilder.QueryType.Procedure;
            _Query.ViewType = csQueryBuilder.VType.Process;
            _Query.ProcedureType = csQueryBuilder.ProcType.Select;
            //_Query.Add("@BeneficiaryNo", SqlDbType.NVarChar, Request.QueryString["id"].ToString().Trim());
            _Query.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneficiaryNo);
            _Query.Run();
            csDatabase _MyDB = new csDatabase(csCommon.GetConnectionString);
            MyDt = _MyDB.Return_DataTable(_Query.MyCmd);
            CustNO = MyDt.Rows[0]["CustomerNo"].ToString().Trim();
            PhoneNo = MyDt.Rows[0]["Telephone"].ToString().Trim();
            BeneNo = MyDt.Rows[0]["BeneficiaryNo"].ToString().Trim();
            BeneName = MyDt.Rows[0]["FirstName"].ToString().Trim();
            CustLang = MyDt.Rows[0]["CustomerLanguage"].ToString().Trim();

            #region Call IVR
            //IVR_CallFromAPI(CustNO, PhoneNo, BeneNo, BeneName, CustLang, CustNO);
            #endregion Call IVR
        }

        //private void IVR_CallFromAPIBeneficiaryChecker(string CustNO, string PhoneNo, string BeneNo, string BeneName, string CustLang, string NationalID)
        //{

        //    try
        //    {
        //        SAIBAPI.SAIB objservice = new SAIBAPI.SAIB();
        //        SAIBAPI.RequestActiveBeneficiaryByOutboundCall Req = new SAIBAPI.RequestActiveBeneficiaryByOutboundCall();
        //        SAIBAPI.ResponseActiveBeneficiaryByOutboundCall Resp = new SAIBAPI.ResponseActiveBeneficiaryByOutboundCall();

        //        #region Set Parameter
        //        DataTable MyDt = new DataTable();
        //        clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
        //        _Connection.ConnectionString = csCommon.ConnectionString;
        //        csQueryBuilder _Query = new csQueryBuilder();
        //        _Query.TableName = "GetUserDetailsForIVR";
        //        _Query.QryType = csQueryBuilder.QueryType.Procedure;
        //        _Query.ViewType = csQueryBuilder.VType.View;
        //        _Query.ProcedureType = csQueryBuilder.ProcType.Select;
        //        _Query.Add("@UserId", SqlDbType.NVarChar, "1007001");

        //        _Query.Run();
        //        csDatabase _MyDB = new csDatabase(_Connection.ConnectionString);

        //        MyDt = _MyDB.Return_DataTable(_Query.MyCmd);
        //        MyDt.TableName = "tblUserData";

        //        MainRemit.csAuthentication cs = new MainRemit.csAuthentication();
        //        SAIBAPI.Credentials UserCre = new SAIBAPI.Credentials();
        //        UserCre.PartnerCode = Convert.ToInt32(MyDt.Rows[0]["PartnerCode"].ToString());
        //        UserCre.UserName = MyDt.Rows[0]["UserName"].ToString();
        //        UserCre.UserPassword = cs.DecryptPassword(MyDt.Rows[0]["UserPassword"].ToString());


        //        Req.Credentials = UserCre;
        //        Req.CustomerNumber = CustNO;
        //        Req.PhoneNumber = PhoneNo;
        //        Req.BeneficiaryNumber = BeneNo;
        //        Req.BeneficiaryName = BeneName;
        //        Req.CustomerLanguage = CustLang;
        //        Req.NationalID = NationalID;

        //        #endregion Set Parameter

        //        #region Calling API Method
        //        Resp = objservice.ActiveBeneficiaryByOutboundCall(Req);
        //        #endregion Calling API Method
        //    }
        //    catch (Exception ex)
        //    {

        //    }

        //}

        #endregion
        #region Reports >> Rates In Summarized Way Report[Reports/RptRatesInSummarizedWay.aspx]
        //===========Rates In Summarized Way Report - Country List============//
        public DataTable RptRatesInSummarizedWayReportCountryList(int G_UserID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, G_UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //========Receive Country=======//
        public DataTable RptRatesInSummarizedWayReportReceiveCountryList(bool _AsPerPermission, int _CountryID, Permission _MyType)
        {
            DataTable MyDt = new DataTable();
            try
            {
                //csQueryBuilder _query = new csQueryBuilder();
                //_query.TableName = Procedure.vw_ListCountry;
                //_query.QryType = csQueryBuilder.QueryType.Procedure;
                //_query.ProcedureType = csQueryBuilder.ProcType.Select;
                //_query.ViewType = csQueryBuilder.VType.Process;
                //_query.Run();

                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_SendCountryPermissionList : Procedure.vw_ReceiveCountryPermissionList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.Add("@CountryID", SqlDbType.Int, _CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _MyType.GetHashCode().ToString());
                _query.Run();


                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //===========Rates In Summarized Way Report - Agent List============//
        public DataTable RptRatesInSummarizedWayReportSendAgentList(int CountryID, Permission _Type)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_Type.GetHashCode() == Permission.Receive.GetHashCode()) ? Procedure.vw_TargetCountryAgentList : Procedure.vw_SourceCountryAgentList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //===========Rates In Summarized Way Report - Grid Record List============//
        public DataSet RptRatesInSummarizedWayReportFillGrid(RptRatesInSummarizedWayReportFillGridRequest _gridRequest, Permission _Type)
        {
            DataSet MyDs = new DataSet();
            try
            {
                int _CountryID = _gridRequest.CountryID;
                int _TargetCountryID = _gridRequest.TargetCountryID;
                int _AgentID = _gridRequest.AgentID;
                bool _IsAgent = _gridRequest.IsAgent;
                int _TargetAgentID = _gridRequest.TargetAgentID;
                int _SettelmentID = _gridRequest.SettlementID;
                string _CIFNumber = _gridRequest.CIFNumber;
                string _ProductType = _gridRequest.ProductType;


                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_DailyRates;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@IsAgent", SqlDbType.Int, "0");
                _query.Add("@Permission", SqlDbType.Int, _Type.GetHashCode().ToString());
                if (_Type.GetHashCode() == Permission.Send.GetHashCode())
                {
                    if (_CountryID != -1 && _CountryID != 0)
                    {
                        _query.Add("@BaseCountry", SqlDbType.Int, _CountryID.ToString());
                    }
                    if (_TargetCountryID != -1 && _TargetCountryID != 0)
                    {
                        _query.Add("@TargetCountry", SqlDbType.Int, _TargetCountryID.ToString());
                    }
                    if (_AgentID >= 0 && _IsAgent == true)
                    {
                        _query.Add("@BaseAgent", SqlDbType.Int, _AgentID.ToString());
                    }
                    if (_TargetAgentID != -1 && _TargetAgentID != 0)
                    {
                        _query.Add("@TargetAgent", SqlDbType.Int, _TargetAgentID.ToString());
                    }
                    _query.Add("@BaseSettlementCurrency", SqlDbType.Int, _SettelmentID.ToString());
                }
                else if (_Type.GetHashCode() == Permission.Receive.GetHashCode())
                {
                    if (_CountryID != -1 && _CountryID != 0)
                    {
                        _query.Add("@TargetCountry", SqlDbType.Int, _CountryID.ToString());
                    }
                    if (_TargetCountryID != -1 && _TargetCountryID != 0)
                    {
                        _query.Add("@BaseCountry", SqlDbType.Int, _TargetCountryID.ToString());
                    }
                    if (_AgentID != -1 && _AgentID != 0)
                    {
                        _query.Add("@TargetAgent", SqlDbType.Int, _AgentID.ToString());
                    }
                    if (_TargetAgentID != -1 && _TargetAgentID != 0)
                    {
                        _query.Add("@BaseAgent", SqlDbType.Int, _TargetAgentID.ToString());
                    }
                    _query.Add("@TargetSettlementCurrency", SqlDbType.Int, _SettelmentID.ToString());
                }

                if (!string.IsNullOrEmpty(_CIFNumber))
                {
                    _query.Add("@CIFNumber", SqlDbType.NVarChar, _CIFNumber);
                }
                if (!string.IsNullOrEmpty(_ProductType))
                {
                    _query.Add("@ProductType", SqlDbType.NVarChar, _ProductType);
                }

                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> Error Log Report[frmErrorLogReport.aspx]
        //===========Error Log Report============//
        public DataTable RptErrorLogReportGrid()
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "spErrorLogReportGetdata";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(_Query.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Masters >> Back Office >> Manage Country Wise Mandatory Field [frmAddMandetoryField.aspx]
        //===========Error Log Report============//
        public DataTable TypeofMandatory()
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = Procedure.sp_Get_CountryPermissions_Mandatory_Type;
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(MyQry.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable MandatoryCountryType()
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = Procedure.sp_Get_PermissionType;
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(MyQry.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable MandatoryCountryList(int CountryType)
        {
            DataTable MyDt = new DataTable();
            if (CountryType == 0)
            {
                throw new Exception("Please select Type");
            }
            try
            {
                if (CountryType == 1)
                {
                    csQueryBuilder MyQry = new csQueryBuilder();
                    MyQry.TableName = Procedure.vw_ListReceiveCountry;
                    MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                    MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                    MyQry.ViewType = csQueryBuilder.VType.Process;
                    MyQry.ParameterRequired = false;
                    MyQry.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = _MyDB.Return_DataTable(MyQry.MyCmd);
                }
                else
                {
                    csQueryBuilder MyQry = new csQueryBuilder();
                    MyQry.TableName = Procedure.vw_ListSendCountry;
                    MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                    MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                    MyQry.ViewType = csQueryBuilder.VType.Process;
                    MyQry.ParameterRequired = false;
                    MyQry.Run();
                    _MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = _MyDB.Return_DataTable(MyQry.MyCmd);
                }


                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable MandatoryModeOfPayment(int CountryID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = Procedure.sp_Get_CounrtyWiseMOP;
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.Add("@CountryId", SqlDbType.Int, CountryID.ToString());
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(MyQry.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable MandatoryFieldGridRecords(int ValidationTypeID, int PermissionID, int CountryID, int ModeOfPayment_ID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = Procedure.sp_Get_Mandatory;
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.Add("@ValidationTypeID", SqlDbType.Int, ValidationTypeID.ToString());
                MyQry.Add("@PermissionID", SqlDbType.Int, PermissionID.ToString());
                MyQry.Add("@CountryId", SqlDbType.Int, CountryID.ToString());
                MyQry.Add("@ModeOfPayment_ID", SqlDbType.Int, ModeOfPayment_ID.ToString());
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(MyQry.MyCmd);
                string str = JsonConvert.SerializeObject(MyDt);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> All Receive (MIS) Reports[frmAllReceiveTxnsReport.aspx]
        //====Receiveing Country=====//
        public DataTable AllReceiveTxnsReport_RecCountry(int G_UserID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spCountryFillReportUserWise";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@UserID", SqlDbType.Int, G_UserID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====Agent List=====//
        public DataTable AllReceiveTxnsReport_AgentList(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spCountryWiseAgentFillReport";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====Fill Grid List For -  Detail=====//
        public DataSet AllReceiveTxnsReportFillGrid_Detail(AllReceiveTxnsReportGridRequest gridRequest)
        {
            DataSet ds = new DataSet();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spAllReceive_MISReport";
                //MyQuery.TableName = "spAllSent_MISReport";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@CountryID", SqlDbType.Int, gridRequest.CountryID.ToString());
                MyQuery.Add("@AgentID", SqlDbType.Int, gridRequest.AgentID.ToString());
                MyQuery.Add("@FromDate", SqlDbType.DateTime, gridRequest.FromDate.ToString());
                MyQuery.Add("@ToDate", SqlDbType.DateTime, gridRequest.ToDate.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                ds = _MyDB.Return_DataSet(MyQuery.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return ds;
        }

        public DataTable AllReceiveTxnsReportFillGrid_Summary(AllReceiveTxnsReportGridRequest gridRequest)
        {
            DataTable MyDt = new DataTable();
            try
            {

                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spAllReceive_MISReport_Summary";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@CountryID", SqlDbType.Int, gridRequest.CountryID.ToString());
                MyQuery.Add("@AgentID", SqlDbType.Int, gridRequest.AgentID.ToString());
                MyQuery.Add("@FromDate", SqlDbType.DateTime, gridRequest.FromDate.ToString());
                MyQuery.Add("@ToDate", SqlDbType.DateTime, gridRequest.ToDate.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(MyQuery.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            string str = JsonConvert.SerializeObject(MyDt);

            return MyDt;
        }

        public DataTable AllReceiveTxnsReportFillGrid_StatusWiseSummary(AllReceiveTxnsReportGridRequest gridRequest)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spAllReceive_MISReport_Status_Summary";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@CountryID", SqlDbType.Int, gridRequest.CountryID.ToString());
                MyQuery.Add("@AgentID", SqlDbType.Int, gridRequest.AgentID.ToString());
                MyQuery.Add("@FromDate", SqlDbType.DateTime, gridRequest.FromDate.ToString());
                MyQuery.Add("@ToDate", SqlDbType.DateTime, gridRequest.ToDate.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(MyQuery.MyCmd);

            }
            catch (Exception ex)
            {
                throw ex;
            }

            string str = JsonConvert.SerializeObject(MyDt);

            return MyDt;
        }
        #endregion
        #region Reports >> Country Wise Summary Report[FrmGetCountryWiseSummaryReport.aspx]
        //====All Country=====//
        public DataTable GetCountryWiseSummaryReportCountryList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpGetAllCountry";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception exp)
            {
                throw exp;
            }
        }

        //====Fill Grid=====//
        public DataTable GetCountryWiseSummaryReportFillGrid(int SendingCountry, string StartDate, string EndDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpGetCountryWiseSummaryReport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Country_id", SqlDbType.Int, SendingCountry.ToString());
                _query.Add("@FromDate", SqlDbType.DateTime, StartDate.ToString());
                _query.Add("@ToDate", SqlDbType.DateTime, EndDate.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);


                string str = JsonConvert.SerializeObject(MyDT);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Rejected Beneficiary 
        public DataTable GetRejectedBeneficiaryAllRecord(int SearchType, string FromDate, string ToDate, string Search)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "GetBenficiaryCheckerList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@SearchtType", SqlDbType.Int, SearchType.ToString());

                if (SearchType != 4)
                {
                    if (SearchType == 7)
                    {
                        _query.Add("@FromDate", SqlDbType.DateTime, FromDate.Trim());
                        _query.Add("@ToDate", SqlDbType.DateTime, ToDate.Trim());
                    }
                    else
                    {
                        _query.Add("@SearchData", SqlDbType.VarChar, Search.Trim());
                    }
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Channel Hold Transaction
        public DataTable GetChannelHoldTransactionAllRecord(string frmDate, string toDate, string filter)
        {
            DataTable MyDt = new DataTable();
            SqlCommand cmd = null;
            SqlDataAdapter adapter = null;
            SqlConnection conn = new SqlConnection(csCommon.GetConnectionString);
            try
            {
                cmd = new SqlCommand("sp_Channel_Hold_Trasnactions", conn);
                cmd.Parameters.AddWithValue("@ProcedureType", 0);
                if (!string.IsNullOrEmpty(frmDate) && frmDate != null && !string.IsNullOrEmpty(toDate) && toDate != null)
                {
                    cmd.Parameters.AddWithValue("@FromDate", frmDate);
                    cmd.Parameters.AddWithValue("@ToDate", toDate);
                }
                if (!string.IsNullOrEmpty(filter))
                {
                    cmd.Parameters.AddWithValue("@Filter", filter);
                }

                cmd.CommandType = CommandType.StoredProcedure;
                adapter = new SqlDataAdapter(cmd);
                adapter.Fill(MyDt);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public bool ChannelHoldProcessedTransaction(string TransactionNumber, string Remark, string G_UserID, int CustomerType, string OrgMsgID, string status)
        {
            #region Processed Transaction
            bool isSuccess = false;
            SqlConnection conn = null;
            SqlCommand cmd = null;
            try
            {
                using (conn = new SqlConnection(csCommon.ConnectionString))
                {
                    cmd = new SqlCommand("sp_Channel_Hold_Trasnactions", conn);
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.Parameters.AddWithValue("@ProcedureType", 1);
                    cmd.Parameters.AddWithValue("@TransactionNumber", TransactionNumber.Trim());
                    cmd.Parameters.AddWithValue("@Remarks", Remark.Trim());
                    cmd.Parameters.AddWithValue("@Status", status);
                    cmd.Parameters.AddWithValue("@ProcessedBy", G_UserID);
                    cmd.Parameters.AddWithValue("@CustType", CustomerType);
                    cmd.Parameters.AddWithValue("@OrgMsgID", OrgMsgID);


                    if (conn.State == ConnectionState.Closed)
                    {
                        conn.Open();
                    }
                    cmd.ExecuteNonQuery();
                }

                isSuccess = true;

            }
            catch (Exception ex)
            {
                throw ex;
            }
            finally
            {
                cmd.Dispose();
                conn.Close();
            }

            return isSuccess;
            #endregion
        }
        #endregion
        #region Cancellation Checker
        public DataTable GetCancellationCheckerNormalTrxn(CancellationCheckerRequest cancellationCheckerRequest)
        {
            DataTable dtResult = new DataTable();

            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "spCancellation_MakerChecker";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@SearchType", SqlDbType.Int, "0");
                if (cancellationCheckerRequest.SearchType == 2)
                {
                    _Query.ViewType = csQueryBuilder.VType.Process;
                    _Query.Add("@IsApproved", SqlDbType.Int, cancellationCheckerRequest.TransactionType.ToString());
                    _Query.Add("@FromDate", SqlDbType.DateTime, cancellationCheckerRequest.FromDate.ToString().Trim());
                    _Query.Add("@ToDate", SqlDbType.DateTime, cancellationCheckerRequest.Todate.ToString().Trim());
                }
                else
                {
                    _Query.ViewType = csQueryBuilder.VType.View;
                    _Query.Add("@IsApproved", SqlDbType.Int, cancellationCheckerRequest.TransactionType.ToString());
                    _Query.Add("@TransactionNumber", SqlDbType.NVarChar, cancellationCheckerRequest.Search.Trim());
                }
                _Query.Run();

                csDatabase MyDb = new csDatabase(csCommon.GetConnectionString);
                dtResult = MyDb.Return_DataTable(_Query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return dtResult;
        }

        public DataTable GetCancellationCheckerMGTrxn(CancellationCheckerRequest cancellationCheckerRequest)
        {
            DataTable dtResult = new DataTable();

            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "sp_MG_Cancellation_MakerChecker";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@SearchType", SqlDbType.Int, "0");
                if (cancellationCheckerRequest.SearchType == 2)
                {
                    _Query.ViewType = csQueryBuilder.VType.Process;
                    _Query.Add("@IsApproved", SqlDbType.Int, cancellationCheckerRequest.TransactionType.ToString());
                    _Query.Add("@FromDate", SqlDbType.DateTime, cancellationCheckerRequest.FromDate.Trim());
                    _Query.Add("@ToDate", SqlDbType.DateTime, cancellationCheckerRequest.Todate.Trim());
                }
                else
                {
                    _Query.ViewType = csQueryBuilder.VType.View;
                    _Query.Add("@IsApproved", SqlDbType.Int, cancellationCheckerRequest.TransactionType.ToString());
                    _Query.Add("@TransactionNumber", SqlDbType.NVarChar, cancellationCheckerRequest.Search.Trim());
                }
                _Query.Run();

                csDatabase MyDb = new csDatabase(csCommon.GetConnectionString);
                dtResult = MyDb.Return_DataTable(_Query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return dtResult;
        }

        public DataTable GetCancellationCheckerTransactionMGTrxn(string TrxnNo)
        {
            DataTable dtResult = new DataTable();

            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "sp_MG_Cancellation_MakerChecker";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@SearchType", SqlDbType.Int, "0");
                _Query.ViewType = csQueryBuilder.VType.View;
                _Query.Add("@TransactionNumber", SqlDbType.NVarChar, TrxnNo);
                _Query.Run();

                csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                dtResult = MyDb.Return_DataTable(_Query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return dtResult;
        }

        public DataTable GetCancellationCheckerTransactionNormalTrxn(string TrxnNo)
        {
            DataTable dtResult = new DataTable();

            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "spCancellation_MakerChecker";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@SearchType", SqlDbType.Int, "0");
                _Query.ViewType = csQueryBuilder.VType.View;
                _Query.Add("@TransactionNumber", SqlDbType.NVarChar, TrxnNo);
                _Query.Run();

                csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                dtResult = MyDb.Return_DataTable(_Query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return dtResult;
        }
        #endregion
        #region Customer Checker

        public DataTable GetCustomerCheckerAllRecord(int SearchType, string FromDate, string ToDate, string Search)
        {
            DataTable dtResult = new DataTable();

            try
            {
                _query.TableName = "Sp_Customer_Details";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@SearchtType", SqlDbType.Int, SearchType.ToString());
                if (SearchType == 3)
                {
                    _query.Add("@FromDate", SqlDbType.DateTime, FromDate.Trim());
                    _query.Add("@ToDate", SqlDbType.DateTime, ToDate.Trim());
                }
                else
                {
                    _query.Add("@SearchData", SqlDbType.VarChar, Search.Trim());
                }
                _query.Run();

                csDatabase MyDb = new csDatabase(csCommon.GetConnectionString);
                dtResult = MyDb.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return dtResult;
        }

        public void UpdateCustomer(string CustomerNumber, string ReqType, string G_UserID)
        {
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "UpdateCustomerMakerChecker";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _Query.Add("@UserID", SqlDbType.VarChar, G_UserID);
                _Query.Add("@CustomerNumber", SqlDbType.VarChar, CustomerNumber);
                _Query.Add("@ReqType", SqlDbType.VarChar, ReqType);
                _Query.Run();
                csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                MyDb.ExecuteNonQuery(_Query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Reports >> Agent Balances Report[Reports/AgentBalances.aspx]
        //====AgentBalances - Country=====//
        public DataSet AgentBalancesCountryList(string UserID, string G_Agent_ID, string Agent_Country_ID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return MyDs;
        }

        //====Agent List=====//
        public DataTable AgentBalancesAgentList(int CountryID, string SessionAgentId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = "GetAgentBalanceAgentList";
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.View;
                MyQry.Add("@SessionAgentId", SqlDbType.Int, SessionAgentId.ToString());
                MyQry.Add("@CountryId", SqlDbType.Int, CountryID.ToString());
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQry.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====Fill Grid List=====//
        public DataTable AgentBalancesFillGrid(int CountryID, int AgentID, string FromDate, string ToDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = "spAgentBalances_New";
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.View;
                MyQry.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                MyQry.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                MyQry.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                MyQry.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQry.MyCmd);
                string str = JsonConvert.SerializeObject(MyDT);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Reports >>Agent Wise_TrxnPaid Report[Reports/AgentWise_TrxnPaid.aspx]

        //====AgentWise_TrxnPaid - PayOut Country=====//
        public DataSet AgentWise_TrxnPaidCountryList(string UserID, string G_Agent_ID, string Agent_Country_ID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "9");
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return MyDs;
        }

        //====AgentWise_TrxnPaid - PayOut Agent=====//
        public DataSet AgentWise_TrxnPaidAgentList(string CountryID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, "1");
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return MyDs;
        }

        //====AgentWise_TrxnPaid - PayOut AgentBranch=====//
        public DataSet AgentWise_TrxnPaidAgentBranchList(string AgentID, string SendBranch)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, "4");
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@SendBranch", SqlDbType.Int, SendBranch.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return MyDs;
        }

        //====AgentWise_TrxnPaid - Fill Grid=====//
        public DataSet AgentWise_TrxnPaidFillGrid(string AgentID, int CountryID, string AgentBranchID, string FromDate, string ToDate)
        {
            string Filter_ = (AgentID != "0") ? " AND RecommendedAgent_ID = " + AgentID : " AND TRT.PayOutCountry = " + CountryID;

            Filter_ += (AgentBranchID != "ALL") ? " AND ISNULL(TRT.PayOut_Branch_ID, TRT.BDO_Branch_ID) = " + AgentBranchID : string.Empty;

            string Filter = Filter_;

            DataSet ds = new DataSet();

            try
            {
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    string SqlText = "sp_AgentWise_TrxnPaid";
                    using (SqlCommand cmd = new SqlCommand(SqlText, conn))
                    {
                        cmd.CommandType = CommandType.StoredProcedure;
                        cmd.CommandTimeout = 0;
                        cmd.Parameters.AddWithValue("@FromDate", FromDate.ToString());
                        cmd.Parameters.AddWithValue("@ToDate", ToDate.ToString());
                        cmd.Parameters.AddWithValue("@Filter", Filter);

                        using (SqlDataAdapter da = new SqlDataAdapter(cmd))
                        {
                            da.Fill(ds);
                        }
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return ds;
        }

        #endregion
        #region Reports >>All Sent Txns Corridor Wise[frmAllSendReceiveTxnsReport.aspx]

        //====FillSendCountry=====//
        public DataTable AllSendReceiveTxnsReportSendCountryList(string userID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spSenCountryFillUserWise";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@UserID", SqlDbType.Int, userID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllSendReceiveTxnsReportSendAgentList(string SendCountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spSendAgentFill";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@SendCountryID", SqlDbType.Int, SendCountryID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllSendReceiveTxnsReportSendBranchList(string SendAgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spSendBranchFill";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@SendAgentID", SqlDbType.Int, SendAgentID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllSendReceiveTxnsReportReceiveCountry(string UserID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spRecCountryFillUserWise";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@UserID", SqlDbType.Int, UserID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllSendReceiveTxnsReportReceiveAgent(string ReceiveCountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spReceiveAgentFill";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@ReceiveCountryID", SqlDbType.Int, ReceiveCountryID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet AllSendReceiveTxnsReportGrid(RpTAllSendReceiveTxnsReportGridRequest txnsReportGridRequest)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spAllSendReceive_Report";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@SenCountryID", SqlDbType.Int, txnsReportGridRequest.SenCountryID.ToString());
                MyQuery.Add("@SenAgentID", SqlDbType.Int, txnsReportGridRequest.SenAgentID.ToString());
                //MyQuery.Add("@SenBranchID", SqlDbType.Int, txnsReportGridRequest.SenBranchID.ToString());
                MyQuery.Add("@RecCountryID", SqlDbType.Int, txnsReportGridRequest.RecCountryID.ToString());
                MyQuery.Add("@RecAgentID", SqlDbType.Int, txnsReportGridRequest.RecAgentID.ToString());
                MyQuery.Add("@FromDate", SqlDbType.DateTime, txnsReportGridRequest.FromDate.ToString());
                MyQuery.Add("@ToDate", SqlDbType.DateTime, txnsReportGridRequest.ToDate.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(MyQuery.MyCmd);
                string str = JsonConvert.SerializeObject(MyDs);
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return MyDs;
        }

        #endregion
        #region Rejected Customer
        public DataTable GetRejectedCustomerAllRecord(int SearchType, string FromDate, string ToDate, string Search)
        {
            DataTable dtResult = new DataTable();

            try
            {
                _query.TableName = "Sp_Customer_Details";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Insert;
                _query.Add("@SearchtType", SqlDbType.Int, SearchType.ToString());

                if (SearchType != 4)
                {
                    if (SearchType == 7)
                    {
                        _query.Add("@FromDate", SqlDbType.DateTime, FromDate.Trim());
                        _query.Add("@ToDate", SqlDbType.DateTime, ToDate.Trim());
                    }
                    else
                    {
                        _query.Add("@SearchData", SqlDbType.VarChar, Search.Trim());
                    }
                }
                _query.Run();

                csDatabase MyDb = new csDatabase(csCommon.GetConnectionString);
                dtResult = MyDb.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return dtResult;
        }
        #endregion
        #region Transaction Amendment
        public DataTable GetTransactionAmendmentAllRecord(string Search)
        {
            DataTable dtResult = new DataTable();

            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "sp_MG_ReqResp_AmendTrxn_Log";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@TransactionNumber", SqlDbType.NVarChar, Search.Trim());
                _Query.Add("@RCID", SqlDbType.NVarChar, "0");
                _Query.Run();

                csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                dtResult = MyDb.Return_DataTable(_Query.MyCmd);
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return dtResult;
        }
        #endregion
        #region Channel Cancel Transaction
        public DataTable GetChannelCancelTransactionAllRecord(string frmDate, string toDate, string filter)
        {
            DataTable MyDt = new DataTable();
            SqlCommand cmd = null;
            SqlDataAdapter adapter = null;
            SqlConnection conn = new SqlConnection();
            try
            {
                using (conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    cmd = new SqlCommand("sp_Channel_Cancel_Trasnactions", conn);
                    cmd.Parameters.AddWithValue("@ProcedureType", 0);
                    cmd.Parameters.AddWithValue("@ViewType", 0);
                    if (frmDate != null && toDate != null)
                    {
                        cmd.Parameters.AddWithValue("@FromDate", frmDate);
                        cmd.Parameters.AddWithValue("@ToDate", toDate);
                    }
                    if (!string.IsNullOrEmpty(filter))
                    {
                        cmd.Parameters.AddWithValue("@Filter", filter);
                    }

                    cmd.CommandType = CommandType.StoredProcedure;
                    adapter = new SqlDataAdapter(cmd);
                    adapter.Fill(MyDt);
                    return MyDt;
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >>Sent Txns User Wise[Reports/frmAllSentTrxnForSalesP.aspx]
        //====FillSendCountry=====//
        public DataTable AllSentTrxnForSalesPSendCountryList(string G_UserID, string G_Agent_ID, string Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, G_UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllSentTrxnForSalesPSendAgentList(string G_Agent_ID, int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "SpTransactionStatusGetData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@StrFlag", SqlDbType.Int, "1");
                MyQuery.Add("@AgentID", SqlDbType.Int, G_Agent_ID.ToString());
                MyQuery.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllSentTrxnForSalesPSendAgentBranchList(int AgentID, string Agent_Branch_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "SpTransactionStatusGetData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@StrFlag", SqlDbType.Int, "4");
                MyQuery.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                MyQuery.Add("@SendBranch", SqlDbType.Int, Agent_Branch_ID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AllSentTrxnForSalesPUserList(string AgentBranchId)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spUserList_ForSentAllTrxnSales";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                if (AgentBranchId != "ALL")
                {
                    _query.Add("@AgentBranchID", SqlDbType.Int, AgentBranchId.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====For Details Report=====//      

        public DataSet getAgentWise_TrxnSentSalesPDetailGrid(SentTrxnForSalesPFilterRequest reqObj)
        {
            string Filter_ = "";

            if (reqObj.AgentID != "-1")
            {
                Filter_ = " AND SendAgent =" + reqObj.AgentID;
            }
            else
            {
                Filter_ = " AND TRT.PayInCountry =" + reqObj.CountryID;
            }
            if (reqObj.AgentBranchID != "ALL")
            {
                Filter_ += " AND AgentBranch_ID =" + reqObj.AgentBranchID;
            }
            if (reqObj.UserID != "-1")
            {
                Filter_ += " AND TRT.EnteredBy =" + reqObj.@UserID;
            }

            reqObj.UserGroupType = Convert.ToInt32(reqObj.UserGroupType);
            reqObj.SessionAgent_ID = Convert.ToInt32(reqObj.SessionAgent_ID);

            string Filter = Filter_;

            string SqlText = "spAgentWiseTrxnSent_ForSalesPerson";
            DataSet ds = new DataSet();

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            using (SqlCommand cmd = new SqlCommand(SqlText, conn))
            {
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandTimeout = 0;
                cmd.Parameters.AddWithValue("@FromDate", reqObj.FromDate);
                cmd.Parameters.AddWithValue("@ToDate", reqObj.ToDate);
                cmd.Parameters.AddWithValue("@Filter", Filter);
                cmd.Parameters.AddWithValue("@UserGroupType", reqObj.UserGroupType);
                cmd.Parameters.AddWithValue("@SessionAgent_ID", reqObj.SessionAgent_ID);

                SqlDataAdapter da = new SqlDataAdapter(cmd);
                try
                {
                    da.Fill(ds);
                }
                catch (Exception ex)
                {
                    throw new Exception(ex.Message);
                }
            }
            return ds;
        }



        //=====For Summary Report=====//
        public DataSet GetAgentWise_TrxnSentSummarySalesPfillGrid(SentTrxnForSalesPFilterRequest reqObj)
        {
            string Filter_ = "";

            if (reqObj.AgentID != "-1")
            {
                Filter_ = " AND SendAgent = " + reqObj.AgentID.ToString();
            }
            else
            {
                Filter_ = " AND TRT.PayInCountry = " + reqObj.CountryID.ToString();
            }
            Filter_ += (reqObj.AgentBranchID != "ALL") ? " AND AgentBranch_ID = " + reqObj.AgentBranchID : string.Empty;

            Filter_ += (reqObj.UserID != "-1") ? " AND TRT.EnteredBy = " + reqObj.UserID : string.Empty;

            string Filter = Filter_;

            string SqlText = string.Empty;

            SqlConnection conn = new SqlConnection(csCommon.GetConnectionString);
            SqlText = "spAgentWiseTrxnSentSummary_ForSalesPerson";
            SqlCommand cmd = new SqlCommand(SqlText, conn);
            cmd.CommandType = CommandType.StoredProcedure;
            cmd.CommandTimeout = 0;
            cmd.Parameters.AddWithValue("@FromDate", reqObj.FromDate);
            cmd.Parameters.AddWithValue("@ToDate", reqObj.ToDate);
            cmd.Parameters.AddWithValue("@Filter", Filter);
            cmd.Parameters.AddWithValue("@UserGroupType", reqObj.UserGroupType);
            cmd.Parameters.AddWithValue("@SessionAgent_ID", reqObj.SessionAgent_ID);
            SqlDataAdapter da = new SqlDataAdapter(cmd);
            DataSet ds = new DataSet();
            try
            {
                da.Fill(ds);
            }
            catch (Exception ex)
            {
                ex.ToString();
            }
            finally
            {
                conn.Dispose();
                cmd.Dispose();
            }
            return ds;
        }

        #endregion
        #region Reports >>Transactions Status Report (Paid / Unpaid)[FrmTransactionStatuspaidunpaidRpt.aspx]

        //=====Agent Account=====//
        public DataTable GetTxnStatusPaidUnPaidReportAgentAccount(string SessionG_Agent_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpUnpaidPaidTransRpt";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TrType", SqlDbType.Int, "1");
                _query.Add("@AgentId", SqlDbType.Int, SessionG_Agent_ID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Branch=====//
        public DataTable GetTxnStatusPaidUnPaidReportBranch(string AgentAccountID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpUnpaidPaidTransRpt";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TrType", SqlDbType.Int, "2");
                _query.Add("@AgentId", SqlDbType.Int, AgentAccountID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Status=====//
        public DataTable GetTxnStatusPaidUnPaidReportStatus()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _queryTr = new csQueryBuilder();
                _queryTr.TableName = "SpUnpaidPaidTransRpt";
                _queryTr.QryType = csQueryBuilder.QueryType.Procedure;
                _queryTr.ProcedureType = csQueryBuilder.ProcType.Select;
                _queryTr.ViewType = csQueryBuilder.VType.Process;
                _queryTr.Add("@TrType", SqlDbType.Int, "3");
                _queryTr.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_queryTr.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====CCY=====//
        public DataTable GetTxnStatusPaidUnPaidReportCCY(string AgentAccountID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _queryTr = new csQueryBuilder();
                _query.TableName = "SpUnpaidPaidTransRpt_CCYList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentAccountID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Fill Grid=====//
        public DataTable GetTxnStatusPaidUnPaidReportGrid(string AgentAccountID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _queryTr = new csQueryBuilder();
                _query.TableName = "SpUnpaidPaidTransRpt_CCYList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentAccountID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Beneficiary Complicance Release
        public DataTable GetBeneficiaryComplicanceReleaseAllRecord(string BeneficiaryNo, string status)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "APIComplianceHoldBeneficiaryList";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (!String.IsNullOrEmpty(BeneficiaryNo))
                {
                    _Query.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneficiaryNo.ToString());
                }
                if (status == "Release")
                {
                    _Query.Add("@IsHoldForOFAC", SqlDbType.Int, "0");
                }
                else
                    if (status == "Reject")
                {
                    _Query.Add("@IsHoldForOFAC", SqlDbType.Int, "2");

                }

                _Query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_Query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryComplicanceReleaseOFACLogDetails(string TransactionNumber)
        {
            DataTable MyDT = new DataTable();
            string str = TransactionNumber;
            str = str.Substring(0, 3);
            try
            {
                if (str != "BTN")
                {
                    _query.TableName = "spGetOFACLogDetails";
                    _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber.Trim());
                }
                else if (str == "BTN")
                {
                    _query.TableName = "spGetBenOFACLogDetails";
                    _query.Add("@BeneficiaryNo", SqlDbType.NVarChar, TransactionNumber.Trim().Replace("BTN", string.Empty));
                }
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetBeneficiaryComplicanceReleaseView(string BeneficiaryNo, string status)
        {
            DataTable MyDt = new DataTable("tblInActiveBeneficiary");
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "APIComplianceHoldBeneficiaryList";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneficiaryNo);
                if (status == "Release")
                {
                    _Query.Add("@IsHoldForOFAC", SqlDbType.Int, "0");
                }
                else
                    if (status == "Reject")
                {
                    _Query.Add("@IsHoldForOFAC", SqlDbType.Int, "2"); ;
                }
                _Query.Run();

                csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                MyDt = MyDb.Return_DataTable(_Query.MyCmd);
                MyDt.TableName = "APIComplianceHoldBeneficiaryList";
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string BeneficiaryComplicanceReleaseApprove(string Remark, string BeneficiaryNo, string GUserName)
        {
            string BeneficiaryNumber = string.Empty;
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "APIComplianceReleaseBeneficiary";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Update;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneficiaryNo);
                MyQuery.Add("@IsHoldForOFAC", SqlDbType.Int, "0");
                MyQuery.Add("@Remark", SqlDbType.NVarChar, Remark);
                MyQuery.Add("@userid", SqlDbType.NVarChar, GUserName.ToString());
                MyQuery.Run();

                csDatabase _MyDB = new csDatabase(csCommon.ConnectionString);
                BeneficiaryNumber = _MyDB.Return_SingleField(MyQuery.MyCmd, "BeneficiaryNumber");
                return BeneficiaryNumber;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string BeneficiaryComplicanceReleaseReject(string Remark, string BeneficiaryNo, string GUserName)
        {
            string BeneficiaryNumber = string.Empty;
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "APIComplianceReleaseBeneficiary";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Update;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@BeneficiaryNo", SqlDbType.NVarChar, BeneficiaryNo);
                MyQuery.Add("@IsHoldForOFAC", SqlDbType.Int, "3");
                MyQuery.Add("@Remark", SqlDbType.NVarChar, Remark);
                MyQuery.Add("@userid", SqlDbType.NVarChar, GUserName.ToString());
                MyQuery.Run();

                csDatabase _MyDB = new csDatabase(csCommon.ConnectionString);
                BeneficiaryNumber = _MyDB.Return_SingleField(MyQuery.MyCmd, "BeneficiaryNumber");
                return BeneficiaryNumber;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Masters >> Back Office >> Manage SA Margins[frmSendingAgentMarginAgencyUser.aspx]
        //=====SendCountry=====//
        public DataTable GetManageSAMarginSendCountry()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_Filter_SendingAgentMargin;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====SendAgent=====//
        public DataTable GetManageSAMarginSendAgent(int SendCountryID, int SessionG_Agent_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spGetAgentSendingAgentMargin";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@CountryID", SqlDbType.Int, SendCountryID.ToString());
                _query.Add("@AgentID", SqlDbType.Int, SessionG_Agent_ID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Fill Grid=====//
        public DataSet GetManageSAMarginFillGrid(int SendCountryID, int SendAgentID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spSendingAgentMarginForAgencyUserForm";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@PayInCountryId", SqlDbType.Int, SendCountryID.ToString());
                _query.Add("@SendAgentID", SqlDbType.Int, SendAgentID.ToString());
                _query.Add("@Criteria", SqlDbType.NVarChar, "edit");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====ADD Section[frmAddSendingAgentMargin.aspx]=====//

        //=====Send Country=====[PayInCountryId]===//
        public DataTable GetManageSAMarginSendCountry_ADD(bool _AsPerPermission, Permission _MyType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = (_MyType.GetHashCode() == Permission.Send.GetHashCode()) ? Procedure.vw_ListSendingCountry : Procedure.vw_ListReceivingCountry;
                _query.Add("@AsPerPermission", SqlDbType.Bit, (_AsPerPermission == false) ? "0" : "1");
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Send Agent=====[Agent_ID]===//
        public DataTable GetManageSAMarginSendAgent_ADD(int CountryID, Permission _Permission)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spSendingAgentMarginAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Permission", SqlDbType.Int, _Permission.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Agent Currency=====[Agent_CurrencyID]====//
        public DataTable GetManageSAMarginAgentCurrency_ADD(int AgentID, int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spSendingAgentMarginAgentCCYList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Receiving Country=====[Target_CountryID]====//
        public DataTable GetManageSAMarginReceiveCountry_ADD(int PayInCountryId, Permission _Permission)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spSendingAgentMarginCountryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@PayInCountryId", SqlDbType.Int, PayInCountryId.ToString());
                _query.Add("@Permission", SqlDbType.Int, _Permission.GetHashCode().ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Receiving Currency=====[Target_CurrencyID]===//
        public DataTable GetManageSAMarginReceiveCurrency_ADD(int AgentID, int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spSendingAgentMarginAgentCCYList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Fill Grid=====ADD//
        public DataSet GetManageSAMarginFillGrid_ADD(int Base_CountryID, int Agent_CurrencyID, int SendAgentID, int Target_CountryID, int Target_CurrencyID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spSendingAgentMarginForAgencyUserForm";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@PayInCountryId", SqlDbType.Int, Base_CountryID.ToString());
                _query.Add("@SendAgentID", SqlDbType.Int, SendAgentID.ToString());
                _query.Add("@PayInCurrency", SqlDbType.Int, Agent_CurrencyID.ToString());
                _query.Add("@PayoutCountryId", SqlDbType.Int, Target_CountryID.ToString());
                _query.Add("@PayoutCurrency", SqlDbType.Int, Target_CurrencyID.ToString());
                _query.Add("@Criteria", SqlDbType.NVarChar, "add");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);
                string str = JsonConvert.SerializeObject(MyDs);
                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====UPDATE DATA=======//
        
        public string GetManageSAMarginUpdateRecord(List<SAMarginUpdateData> updateData)
        {
            csDatabase MyDB = null;

            string msg = "";

            try
            {
                MyDB = new csDatabase(csCommon.ConnectionString);

                foreach (var data in updateData)
                {
                    if (data.chkIsUpdate)
                    {
                        csQueryBuilder _query = new csQueryBuilder();
                        _query.TableName = "spUpdateSendingAgentMarginForAgency";
                        _query.QryType = csQueryBuilder.QueryType.Procedure;
                        _query.ProcedureType = csQueryBuilder.ProcType.Select;
                        _query.Add("@ID", SqlDbType.Int, data.ID.ToString());
                        _query.Add("@Margin_Rate", SqlDbType.Decimal, data.Margin.ToString());
                        _query.Add("@Active", SqlDbType.NVarChar, (data.chkIsActive) ? "1" : "0");
                        _query.Add("@ActionBy", SqlDbType.NVarChar, data.UserID.ToString());
                        _query.Run();
                        MyDB = null;
                        DataTable MyDT = null;

                        try
                        {
                            MyDB = new csDatabase(csCommon.ConnectionString);
                            //MyDB = new csDatabase(BaseFill.select_ConnectionString());
                        }
                        catch (Exception ex)
                        {
                            if (MyDT == null)
                            {
                                MyDB = new csDatabase(csCommon.GetConnectionString);
                            }
                        }

                        MyDB.ExecuteNonQuery(_query.MyCmd);

                        msg = "Record Updated Successfully";
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return msg;
        }
        #endregion
        #region Reports >>All Sent Transaction (MIS)(Reports/AllAgentWiseMisReport.aspx]
        //====Send Country=====//
        public DataTable AllSentTxnsReport_CountryList(string G_UserID, int ReportType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AllSentTrxm_MISRptCountryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, G_UserID.ToString());
                _query.Add("@flag", SqlDbType.Int, ReportType.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //====Send Agent=====//
        public DataTable AllSentTxnsReport_AgentList(string CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AllSentTrxnMISRpt_AgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====Display Record By => Detail======//
        public DataSet AllSentTxnsReportFillGrid_Detail(string FromDate, string ToDate, int CountryID, int AgentID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spAllSent_MISReport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);

                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====Display Record By => Summary======//
        public DataSet AllSentTxnsReportFillGrid_Summary(string FromDate, string ToDate, int CountryID, int AgentID)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spAllSent_MISReportSummary";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);
                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====Display Record By => Summary(StatusWise)======//
        public DataSet AllSentTxnsReportFillGrid_SummaryStatusWise(string FromDate, string ToDate, int CountryID, int AgentID)
        {
            DataSet MyDT = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spAllSent_MISReportSummarystatus";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@StatusID", SqlDbType.Int, "11");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataSet(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion        
        #region Reports >>Statement of Account (USD)(Agent_Reports/frmUSD_SOA.aspx]
        public DataTable USD_SOAReport_AccountList(string G_Agent_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "GetUSDSOAAccountList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@AgentID", SqlDbType.Int, G_Agent_ID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataSet USD_SOAReport_Grid(int AgentID, string AccountID, string FromDate, string ToDate)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spStatementOfAccountUSD";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.View;
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@AccountID", SqlDbType.NVarChar, AccountID);
                _query.Add("@FromDate", SqlDbType.NVarChar, FromDate);
                _query.Add("@ToDate", SqlDbType.NVarChar, ToDate);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);
                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> PayOut Summary (Reports/frmAgentPayOutSummary.aspx]
        //====Agent List=====//
        public DataTable AgentPayOutSummaryReport_Agent(string G_Agent_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AgentPayOutSummary_AgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Agent_ID", SqlDbType.Int, G_Agent_ID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable AgentPayOutSummaryReport_Branch(int AgentID, string G_Agent_ID, string Agent_Branch_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AgentPayOutSummary_BranchList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@BranchID", SqlDbType.Int, Agent_Branch_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet AgentPayOutSummaryReport_Grid(int AgentID, string branchID, string FromDate, string ToDate)
        {
            DataSet MyDs = new DataSet();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "AgentPayOutSummary";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentId", SqlDbType.Int, AgentID.ToString());
                _query.Add("@branchID", SqlDbType.Int, branchID.ToString());
                _query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _query.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDs = _MyDB.Return_DataSet(_query.MyCmd);
                return MyDs;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Compliance Upload Report
        public DataTable GetComplianceUploadReportAllRecord(string fileType)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "spcomplianceGetdata";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                _Query.Add("@FileType", SqlDbType.NVarChar, fileType);
                _Query.Run();

                clsSPIntegration.Integration.Connection _Connection = new clsSPIntegration.Integration.Connection();
                _Connection.ConnectionString = csCommon.GetConnectionString;

                csDatabase MyDb = new csDatabase(_Connection.ConnectionString);
                MyDt = MyDb.Return_DataTable(_Query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Reports >> Send Receive Transaction List (Agent_Reports/Agent_Reports.aspx)
        public DataTable GetAgent_ReportsType()
        {
            string Flag = "0";
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetAgentReports";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentReports_CountryList(string CountryType)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetAgentReports";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;

                if (CountryType == "Send")
                {
                    _query.Add("@Flag", SqlDbType.Int, "3");
                }
                else
                {
                    _query.Add("@Flag", SqlDbType.Int, "4");
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public DataTable GetAgentReports_AgentTypeList(string CountryID, string SessionAgentID)
        {

            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetAgentReports";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, "1");
                _query.Add("@CountryID", SqlDbType.Int, CountryID);
                _query.Add("@SessionAgentID", SqlDbType.Int, SessionAgentID);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentReports_AgentBranchList(string AgentID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetAgentReports";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, "2");
                _query.Add("@AgentID", SqlDbType.Int, AgentID);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //======Statement Of Account=======//
        public DataSet GetAgentReportsStatementOfAccount_FillGrid(string AgentID, string FromDate, string ToDate)
        {
            string procName = "spStatementOfAccount_New";
            string filter = " and StmtOfAcc.Agent_ID=" + AgentID;

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Agent_ID", AgentID);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        throw new Exception(ex.Message);
                    }

                    return ds;
                }
            }
        }

        public DataSet GetAgentReportsSendRecvTransaction_FillGrid(string AgentID, string FromDate, string ToDate)
        {
            string procName = "spSendRecvTransaction";
            string Filter = " and StmtOfAcc.Agent_ID= " + AgentID;
            string FileName = "Send/Receive Transaction";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;

                    if (FileName == "Agent Transaction Summary" || FileName == "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDt", FromDate);
                        cmd.Parameters.AddWithValue("@ToDt", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }
                    else if (FileName != "Transaction in Transit" &&
                        FileName != "Exchange Earnings Report" &&
                        FileName != "Statement Of Account" &&
                        FileName != "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }
                    if (FileName == "Statement Of Account" || FileName == "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                        cmd.Parameters.AddWithValue("@Agent_ID", AgentID);
                    }
                    else if (FileName != "Agent Transaction Summary" && FileName != "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        //====Summarized Account Statement====//
        public DataSet GetAgentReportsSummarizedAccountStatement_FillGrid(string AgentID, string FromDate, string ToDate)
        {
            //string procName = "spStatementOfAccount";   //=====Procedure Not Availabe
            string procName = "spStatementOfAccount_New";
            string Filter = " and StmtOfAcc.Agent_ID=" + AgentID;

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;

                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    cmd.Parameters.AddWithValue("@Agent_ID", AgentID);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        throw new Exception(ex.Message);
                    }

                    return ds;
                }
            }
        }

        public DataSet GetAgentReportsTransactionInTransit_FillGrid(string FromDate, string ToDate, string AgentID, string AgentBranchID)
        {
            string procName = "spTrxnInTransit";
            string Filter = " and AgentID = " + AgentID.ToString();
            if (AgentBranchID.ToString() != "ALL")
            {
                Filter += " and AgentBranchID=" + AgentBranchID.ToString();
            }
            string FileName = "Transaction in Transit";

            if (AgentBranchID.ToString() == "" || AgentBranchID.ToString() == "0" || AgentID.ToString() == "" || AgentID.ToString() == "0")
            {
                Filter = "";
            }


            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;

                    if (FileName == "Agent Transaction Summary" || FileName == "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDt", FromDate);
                        cmd.Parameters.AddWithValue("@ToDt", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }
                    else if (FileName != "Transaction in Transit" && FileName != "Exchange Earnings Report" && FileName != "Statement Of Account" && FileName != "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }
                    if (FileName == "Statement Of Account" || FileName == "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                        cmd.Parameters.AddWithValue("@Agent_ID", AgentID);
                    }
                    else if (FileName != "Agent Transaction Summary" && FileName != "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataSet GetAgentReportsAgentTransactionSummary_FillGrid(string FromDate, string ToDate, string AgentID, string AgentBranchID)
        {
            string procName = "spAgentTrxnSummary";
            string Filter = " and AgentID = " + AgentID.ToString();
            if (AgentBranchID.ToString() != "ALL")
            {
                Filter += " and AgentBranchID=" + AgentBranchID.ToString();
            }
            string FileName = "Agent Transaction Summary";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;

                    if (FileName == "Agent Transaction Summary" || FileName == "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDt", FromDate);
                        cmd.Parameters.AddWithValue("@ToDt", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }
                    else if (FileName != "Transaction in Transit" && FileName != "Exchange Earnings Report" && FileName != "Statement Of Account" && FileName != "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }
                    if (FileName == "Statement Of Account" || FileName == "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                        cmd.Parameters.AddWithValue("@Agent_ID", AgentID);
                    }
                    else if (FileName != "Agent Transaction Summary" && FileName != "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataSet GetAgentReportsActivityWiseReport_FillGrid(string FromDate, string ToDate, string AgentID, string AgentBranchID)
        {
            string procName = "spAgentActivityWiseReport";
            string Filter = " and AgentID = " + AgentID.ToString();
            if (AgentBranchID.ToString() != "ALL")
            {
                Filter += " and AgentBranchID=" + AgentBranchID.ToString();
            }
            string FileName = "Activity wise Report";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;

                    if (FileName == "Agent Transaction Summary" || FileName == "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDt", FromDate);
                        cmd.Parameters.AddWithValue("@ToDt", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }
                    else if (FileName != "Transaction in Transit" && FileName != "Exchange Earnings Report" && FileName != "Statement Of Account" && FileName != "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }
                    if (FileName == "Statement Of Account" || FileName == "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                        cmd.Parameters.AddWithValue("@Agent_ID", AgentID);
                    }
                    else if (FileName != "Agent Transaction Summary" && FileName != "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataSet GetAgentReportsExchangeEarningsReport_FillGrid(string AgentID, string AgentBranchID, string FromDate, string ToDate)
        {
            string procName = "sp_AgentExchEarningReport";
            string Filter = AgentID.ToString();
            string FileName = "Exchange Earnings Report";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;

                    if (FileName == "Agent Transaction Summary" || FileName == "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDt", FromDate);
                        cmd.Parameters.AddWithValue("@ToDt", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }
                    else if (FileName != "Transaction in Transit" && FileName != "Exchange Earnings Report" && FileName != "Statement Of Account" && FileName != "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }
                    if (FileName == "Statement Of Account" || FileName == "Summarized Account Statement")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                        cmd.Parameters.AddWithValue("@Agent_ID", AgentID);
                    }
                    else if (FileName != "Agent Transaction Summary" && FileName != "Activity wise Report")
                    {
                        cmd.Parameters.AddWithValue("@FromDate", FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", ToDate);
                        cmd.Parameters.AddWithValue("@Filter", Filter);
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        #endregion
        #region Reports >> Agents Exchange / Commission details (Agent_Reports/AgentReport_ForMargin.aspx)
        public DataTable GetAgentReportForMargin_ReportsType()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spFillAgentReports";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetAgentReportForMargin_CountryList(string G_UserID, string G_Agent_ID, string Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "ForUserManagement_CountrySpecificUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, G_UserID.ToString());
                _query.Add("@CountryType", SqlDbType.Int, "8");
                if (G_Agent_ID.ToString() != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====Agent List=====//
        public DataTable GetAgentReports_MasterAgentList(string CountryID, string AgentID)
        {
            string Flag = "1";
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Agent Branch List=====//
        public DataTable GetAgentReports_SubAgentList(string AgentID, string SendBranch)
        {
            string Flag = "4";

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@SendBranch", SqlDbType.Int, SendBranch.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        //=====Currency List=====//
        public DataTable GetAgentReports_CurrencyList(string AgentID)
        {

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _MyQry = new csQueryBuilder();
                _MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                _MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                _MyQry.TableName = "sp_Agentwise_CurrencyDetails_ForReport";
                _MyQry.ViewType = csQueryBuilder.VType.Process;
                _MyQry.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _MyQry.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_MyQry.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====Grid===[AgentCommissionIncomeDetail]====//
        public DataSet Get_AgentCommissionIncomeDetail(RpTAgentReportForMargin_GridRequest reqObj)
        {
            DataSet resultDataSet = new DataSet();
            string filter = " AND StmtOfAcc.Agent_ID = " + reqObj.Agent_ID;

            if (reqObj.Agent_Branch_ID != "-1")
            {
                filter += " AND StmtOfAcc.Agent_BranchID = " + reqObj.Agent_Branch_ID;
            }

            try
            {
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand cmd = new SqlCommand("spAgentwiseCommissionReport", conn))
                    {
                        cmd.CommandType = CommandType.StoredProcedure;
                        cmd.Parameters.AddWithValue("@FromDate", reqObj.FromDate);
                        cmd.Parameters.AddWithValue("@ToDate", reqObj.ToDate);
                        cmd.Parameters.AddWithValue("@CountryID", reqObj.Country_ID);
                        cmd.Parameters.AddWithValue("@AgentID", reqObj.Agent_ID);
                        cmd.Parameters.AddWithValue("@AgentBranch_ID", reqObj.Agent_Branch_ID);
                        cmd.Parameters.AddWithValue("@CCYID", reqObj.Currency_ID);
                        cmd.Parameters.AddWithValue("@Filter", filter);

                        using (SqlDataAdapter adapter = new SqlDataAdapter(cmd))
                        {
                            adapter.Fill(resultDataSet);
                        }
                    }
                }

                return resultDataSet;
            }
            catch (SqlException sqlEx)
            {
                throw new ApplicationException(sqlEx.Message);
            }
            catch (Exception ex)
            {
                throw new ApplicationException(ex.Message);
            }
        }


        //=====Grid===[AgentExchangeEarningsReport]====//
        public DataSet Get_AgentExchangeEarningsReport(RpTAgentReportForMargin_GridRequest reqObj)
        {
            DataTable MyDS = new DataTable();
            string _filter = " AND StmtOfAcc.Agent_ID = " + reqObj.Agent_ID;

            if (reqObj.Agent_Branch_ID != "-1")
            {
                _filter += " AND StmtOfAcc.Agent_BranchID = " + reqObj.Agent_Branch_ID;
            }

            try
            {
                using (SqlConnection connection = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand("sp_AgentExchEarningReportUserWise", connection))
                    {
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@FromDate", reqObj.FromDate);
                        command.Parameters.AddWithValue("@ToDate", reqObj.ToDate);
                        command.Parameters.AddWithValue("@Filter", _filter);

                        connection.Open();
                        SqlDataAdapter adapter = new SqlDataAdapter(command);
                        adapter.Fill(MyDs);
                    }
                }
                return MyDs;
            }
            catch (SqlException sqlEx)
            {
                throw new ApplicationException("An error occurred while executing the database command.", sqlEx);
            }
            catch (Exception ex)
            {
                throw new ApplicationException("An unexpected error occurred.", ex);
            }
        }

        #endregion
        #region Reports >> Remittance Send Report (Reports/RemittanceSend.aspx)
        public DataTable GetRemittanceSend_CountryList(string CountryType, string G_Agent_ID, string Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();

            string Flag = "";
            string CountryID = "";

            if (G_Agent_ID.ToString() == "0")
            {
                Flag = CountryType == "Send" ? "2" : "3";
            }
            else
            {
                Flag = "8";
                CountryID = Agent_Country_ID.ToString();
            }

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                if (Flag == "8")
                {
                    _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {

            }

            return MyDT;
        }

        //=====Agent List=====//
        public DataTable GetRemittanceSend_AgentList(string AgentID, string CountryID)
        {
            string Flag = "1";
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //=====Agent Branch List=====//
        public DataTable GetRemittanceSend_AgentBranchList(string AgentID, string SendBranch)
        {
            string Flag = "4";

            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@SendBranch", SqlDbType.Int, SendBranch.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetRemittanceSend_StatusList()
        {
            DataTable MyDT = new DataTable();

            string Flag = "6";

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {

            }

            return MyDT;
        }

        public DataTable GetRemittanceSend_TranferTypeList()
        {
            DataTable MyDT = new DataTable();

            string Flag = "7";

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {

            }

            return MyDT;
        }

        public DataSet GetRemittanceSend_GridList(RemittanceSendReportGridRequest request)
        {
            string Filter = "";
            string flag = "3";

            Filter = (request.CountryType) == "Send" ? " AND SendAgent = " + request.AgentID : " AND PayAgent = " + request.AgentID;
            Filter += " AND TrStatusID IN (";
            for (int i = 0; i < request.TrStatusIDs.Count; i++)
            {
                if (request.TrStatusIDs[i].IsSelected)
                {
                    Filter += request.TrStatusIDs[i].SelectedID + ",";
                }
            }
            Filter = Filter.Remove(Filter.LastIndexOf(','), 1);
            Filter += ")";

            Filter += " AND TrTypeID IN (";
            for (int i = 0; i < request.TrTypeIDs.Count; i++)
            {
                if (request.TrTypeIDs[i].IsTrSelected)
                {
                    Filter += request.TrTypeIDs[i].TrSelectedID + ",";
                }
            }
            Filter = Filter.Remove(Filter.LastIndexOf(','), 1);
            Filter += ")";

            if (request.AgentBranchID != "ALL")
            {
                Filter += (request.CountryType) == "Send" ? " AND Agent_BranchID = " + request.AgentBranchID : " AND BDO_Branch_ID = " + request.AgentBranchID;
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand("sp_AgentTransactionsList", conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@FromDate", request.FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", request.ToDate);
                    cmd.Parameters.AddWithValue("@Flag", flag);
                    cmd.Parameters.AddWithValue("@CountryType", request.CountryType);
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Log or handle the exception
                    }

                    return ds;
                }

            }
        }

        #endregion
        #region Reports >> Remittance Paid/UnPaid Report (Reports/RemittancePaidUnpaid.aspx)

        //=======Country List=====//
        public DataTable GetRemittancePaidUnpaid_CountryList(string CountryType, string G_Agent_ID, string Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();

            string Flag = "";
            string CountryID = "";

            if (G_Agent_ID.ToString() == "0")
            {
                Flag = CountryType == "Send" ? "2" : "3";
            }
            else
            {
                Flag = "8";
                CountryID = Agent_Country_ID.ToString();
            }

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                if (Flag == "8")
                {
                    _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {

            }

            return MyDT;
        }

        //=====Agent List=====//
        public DataTable GetRemittancePaidUnpaid_AgentList(string AgentID, string CountryID)
        {
            string Flag = "1";
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetRemittancePaidUnpaid_StatusList()
        {
            DataTable MyDT = new DataTable();

            string Flag = "5";

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {

            }

            return MyDT;
        }

        public DataTable GetRemittancePaidUnpaid_TranferTypeList()
        {
            DataTable MyDT = new DataTable();

            string Flag = "7";

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SpTransactionStatusGetData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
            }
            catch (Exception ex)
            {

            }

            return MyDT;
        }

        public DataSet GetRemittancePaidUnpaid_GridList(RemittancePaidUnpaiReportGridRequest request)
        {
            string Filter = "";
            string flag = "1";

            Filter = (request.CountryType) == "Send" ? " AND SendAgent = " + request.AgentID : " AND PayAgent = " + request.AgentID;
            Filter += " AND TrStatusID IN (";
            for (int i = 0; i < request.TrStatusIDs.Count; i++)
            {
                if (request.TrStatusIDs[i].IsSelected)
                {
                    Filter += request.TrStatusIDs[i].SelectedID + ",";
                }
            }
            Filter = Filter.Remove(Filter.LastIndexOf(','), 1);
            Filter += ")";

            Filter += " AND TrTypeID IN (";
            for (int i = 0; i < request.TrTypeIDs.Count; i++)
            {
                if (request.TrTypeIDs[i].IsTrSelected)
                {
                    Filter += request.TrTypeIDs[i].TrSelectedID + ",";
                }
            }
            Filter = Filter.Remove(Filter.LastIndexOf(','), 1);
            Filter += ")";

            //if (request.AgentBranchID != "ALL")
            //{
            //    Filter += (request.CountryType) == "Send" ? " AND Agent_BranchID = " + request.AgentBranchID : " AND BDO_Branch_ID = " + request.AgentBranchID;
            //}

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand("sp_AgentTransactionsList", conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@FromDate", request.FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", request.ToDate);
                    cmd.Parameters.AddWithValue("@Flag", flag);
                    cmd.Parameters.AddWithValue("@CountryType", request.CountryType);
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Log or handle the exception
                    }

                    return ds;
                }

            }
        }

        #endregion
        #region View Complaince Hold List
        public DataTable GetViewComplainceHoldListAllRecord(int TopRecords, string TransactionNumber, string Name)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "spViewComplainceHoldTransaction";
                if (TopRecords > 0)
                {
                    _query.Add("@TopRecord", SqlDbType.Int, TopRecords.ToString());
                }
                if (!string.IsNullOrEmpty(TransactionNumber))
                {
                    _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber);

                }
                if (Name == "Reject")
                {
                    _query.Add("@InternalStatusID", SqlDbType.Int, "25");

                }
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                csDatabase MyDb = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDb.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetViewComplainceHoldListViewComplaice(string TransactionNumber)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "spGetComplianceReason";
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, TransactionNumber.Trim());
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Run();

                csDatabase MyDb = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDb.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetViewComplainceHoldListGetRequired(string TransactionNumber)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spViewTxnMasterDetails";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@TxnNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetViewComplainceHoldListView(string TransactionNumber)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "sp_TxnDetailsForComplianceReview";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@TxnNumber", SqlDbType.NVarChar, TransactionNumber);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region  Manage User Sub Group
        public DataTable GetManageUserGroup()
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SP_ManageUserGroupData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.NVarChar, "1");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageUserSubGroup(int GroupID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SP_ManageUserGroupData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.NVarChar, "2");
                _query.Add("@GroupId", SqlDbType.Int, GroupID.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageUserUserParent(int GroupID, int SubGroupID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SP_ManageUserGroupData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.NVarChar, "3");
                _query.Add("@GroupId", SqlDbType.Int, GroupID.ToString());
                _query.Add("@SubGroupId", SqlDbType.Int, SubGroupID.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageUserParent()
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SP_ManageUserGroupData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.NVarChar, "4");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageUserSubGroupChild(string ParentName)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SP_ManageUserGroupData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.NVarChar, "5");
                _query.Add("@ParentName", SqlDbType.NVarChar, ParentName.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageUserUserChild(int GroupID, int SubGroupID, string ParentName)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "SP_ManageUserGroupData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@StrFlag", SqlDbType.NVarChar, "6");
                _query.Add("@GroupId", SqlDbType.Int, GroupID.ToString());
                _query.Add("@SubGroupId", SqlDbType.Int, SubGroupID.ToString());
                _query.Add("@ParentName", SqlDbType.NVarChar, ParentName.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region  Manage User New Sub Group
        public DataTable GetManageUserNewSubGroupAllRecord(int GroupID, int SubGroupID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = Procedure.sp_Get_UserFunction;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Group_Id", SqlDbType.Int, GroupID.ToString());
                _query.Add("@SubUserGroup_Id", SqlDbType.Int, SubGroupID.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void ManageUserNewSubGroupUpdateUserRights(List<ManageUserNewSubGroupRequest> manageUserNewSubGroupRequest)
        {
            try
            {
                SqlCommand[] MyCommand = null;
                int _Tr_Sequance = 0;
                csQueryBuilder MyQry = new csQueryBuilder();

                if (manageUserNewSubGroupRequest.Count > 0)
                {
                    MyCommand = new SqlCommand[manageUserNewSubGroupRequest.Count];
                }

                if (manageUserNewSubGroupRequest.Count > 0)
                {
                    for (int i = 0; i < manageUserNewSubGroupRequest.Count; i++)
                    {

                        MyQry = new csQueryBuilder();
                        MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                        MyQry.TableName = Procedure.sp_SubGroupFunctions;//sp_SubGroupFunctions
                        MyQry.ProcedureType = csQueryBuilder.ProcType.Insert;
                        MyQry.ViewType = csQueryBuilder.VType.Process;

                        if (manageUserNewSubGroupRequest[i].IschkAccessAddVisible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkAccessAdd)
                            {
                                MyQry.Add("@Access_Add", SqlDbType.Bit, "1");
                                MyQry.Add("@Add_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Add", SqlDbType.Bit, "0");
                                MyQry.Add("@Add_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Add", SqlDbType.Bit, "0");
                            MyQry.Add("@Add_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageUserNewSubGroupRequest[i].IschkAccessEditVisible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkAccessEdit)
                            {
                                MyQry.Add("@Access_Edit", SqlDbType.Bit, "1");
                                MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Edit", SqlDbType.Bit, "0");
                                MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Edit", SqlDbType.Bit, "0");
                            MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageUserNewSubGroupRequest[i].IschkAccessDeleteVisible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkAccessDelete)
                            {
                                MyQry.Add("@Access_Delete", SqlDbType.Bit, "1");
                                MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Delete", SqlDbType.Bit, "0");
                                MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Delete", SqlDbType.Bit, "0");
                            MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageUserNewSubGroupRequest[i].IschkAccessViewVisible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkAccessView)
                            {
                                MyQry.Add("@Access_View", SqlDbType.Bit, "1");
                                MyQry.Add("@View_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_View", SqlDbType.Bit, "0");
                                MyQry.Add("@View_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_View", SqlDbType.Bit, "0");
                            MyQry.Add("@View_IsVisible", SqlDbType.Bit, "0");
                        }

                        MyQry.Add("@Group_Id", SqlDbType.Int, manageUserNewSubGroupRequest[i].GroupId.ToString());
                        MyQry.Add("@SubUserGroup_Id", SqlDbType.Int, manageUserNewSubGroupRequest[i].SubUserGroupId.ToString());
                        MyQry.Add("@FunctionID", SqlDbType.Int, manageUserNewSubGroupRequest[i].FunctionID.ToString().Trim());
                        MyQry.Run();

                        MyCommand[_Tr_Sequance] = MyQry.MyCmd;

                        _Tr_Sequance++;
                    }
                }

                if (manageUserNewSubGroupRequest.Count > 0)
                {
                    csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                    MyDB.BatchExecuteNonQuery(MyCommand);
                }
            }
            catch (Exception ex)
            {
                throw new Exception("Error " + ex.Message);
            }
        }

        public void ManageUserNewSubGroupUpdateUserSubGroup(List<ManageUserNewSubGroupRequest> manageUserNewSubGroupRequest)
        {
            try
            {
                SqlCommand[] MyCommand = null;
                int _Tr_Sequance = 0;
                string strTrue = string.Empty;
                string strFalse = string.Empty;
                csQueryBuilder MyQry = new csQueryBuilder();

                if (manageUserNewSubGroupRequest.Count > 0)
                {
                    MyCommand = new SqlCommand[manageUserNewSubGroupRequest.Count];
                }

                if (manageUserNewSubGroupRequest.Count > 0)
                {
                    for (int i = 0; i < manageUserNewSubGroupRequest.Count; i++)
                    {
                        strTrue = "";
                        strFalse = "";

                        MyQry = new csQueryBuilder();
                        MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                        MyQry.TableName = Procedure.sp_UpdateUserSubGroup;
                        MyQry.ProcedureType = csQueryBuilder.ProcType.Update;
                        MyQry.ViewType = csQueryBuilder.VType.Process;

                        if (manageUserNewSubGroupRequest[i].IschkLevel1Visible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkLevel1)
                            {
                                if (manageUserNewSubGroupRequest[i].FirstFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageUserNewSubGroupRequest[i].FirstFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageUserNewSubGroupRequest[i].FirstFunctionID;
                                    }
                                }
                            }
                            else
                            {
                                if (manageUserNewSubGroupRequest[i].FirstFunctionID != "")
                                {
                                    if (strFalse == "")
                                    {
                                        strFalse = strFalse + manageUserNewSubGroupRequest[i].FirstFunctionID;
                                    }
                                    else
                                    {
                                        strFalse = strFalse + "," + manageUserNewSubGroupRequest[i].FirstFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageUserNewSubGroupRequest[i].IschkLevel2Visible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkLevel2)
                            {
                                if (manageUserNewSubGroupRequest[i].SecondFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageUserNewSubGroupRequest[i].SecondFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageUserNewSubGroupRequest[i].SecondFunctionID;
                                    }
                                }
                            }
                            else
                            {
                                if (manageUserNewSubGroupRequest[i].SecondFunctionID != "")
                                {
                                    if (strFalse == "")
                                    {
                                        strFalse = strFalse + manageUserNewSubGroupRequest[i].SecondFunctionID;
                                    }
                                    else
                                    {
                                        strFalse = strFalse + "," + manageUserNewSubGroupRequest[i].SecondFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageUserNewSubGroupRequest[i].IschkLevel3Visible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkLevel3)
                            {
                                if (manageUserNewSubGroupRequest[i].ThirdFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageUserNewSubGroupRequest[i].ThirdFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageUserNewSubGroupRequest[i].ThirdFunctionID;
                                    }
                                }
                            }
                            else
                            {
                                if (manageUserNewSubGroupRequest[i].ThirdFunctionID != "")
                                {
                                    if (strFalse == "")
                                    {
                                        strFalse = strFalse + manageUserNewSubGroupRequest[i].ThirdFunctionID;
                                    }
                                    else
                                    {
                                        strFalse = strFalse + "," + manageUserNewSubGroupRequest[i].ThirdFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageUserNewSubGroupRequest[i].IschkLevel4Visible)
                        {
                            if (manageUserNewSubGroupRequest[i].IschkLevel4)
                            {
                                if (manageUserNewSubGroupRequest[i].FourthFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageUserNewSubGroupRequest[i].FourthFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageUserNewSubGroupRequest[i].FourthFunctionID;
                                    }
                                }
                            }
                            else
                            {
                                if (manageUserNewSubGroupRequest[i].FourthFunctionID != "")
                                {
                                    if (strFalse == "")
                                    {
                                        strFalse = strFalse + manageUserNewSubGroupRequest[i].FourthFunctionID;
                                    }
                                    else
                                    {
                                        strFalse = strFalse + "," + manageUserNewSubGroupRequest[i].FourthFunctionID;
                                    }
                                }
                            }
                        }

                        if (strTrue == "")
                        {
                            strTrue = "0";
                        }

                        if (strFalse == "")
                        {
                            strFalse = "0";
                        }

                        MyQry.Add("@TrueFunctionID", SqlDbType.NVarChar, strTrue.ToString());
                        MyQry.Add("@FalseFunctionID", SqlDbType.NVarChar, strFalse.ToString());
                        if (strFalse != "0")
                        {
                            strFalse.ToString();
                        }
                        MyQry.Add("@Group_Id", SqlDbType.Int, manageUserNewSubGroupRequest[i].GroupId.ToString());
                        MyQry.Add("@SubUserGroup_Id", SqlDbType.Int, manageUserNewSubGroupRequest[i].SubUserGroupId.ToString());

                        MyQry.Run();

                        MyCommand[_Tr_Sequance] = MyQry.MyCmd;

                        _Tr_Sequance++;
                    }
                }

                if (manageUserNewSubGroupRequest.Count > 0)
                {
                    csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                    MyDB.BatchExecuteNonQuery(MyCommand);
                }
            }
            catch (Exception ex)
            {
                throw new Exception("Error " + ex.Message);
            }
        }
        #endregion
        #region Agency >> Forex & Treasury Report (AgencySR_Reports/TTR_Reports.aspx)
        public DataTable GetForexTreasury_ReportsType()
        {
            DataTable MyDT = new DataTable();
            string Flag = "3";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetAgencyReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetForexTreasury_CountryList()
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetAgencyReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, "4");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetForexTreasury_AgentList(string CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetAgencyReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, "0");
                _query.Add("@CountryID", SqlDbType.NVarChar, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetForexTreasury_IncomeGrid(string AgentID, string FromDate)
        {
            DataTable dt = new DataTable();
            string filter = " and tbl_05_01_TrMaster.SendAgent=" + AgentID;
            try
            {
                SqlConnection conn = new SqlConnection(csCommon.ConnectionString);
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = conn;
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandText = "spIncomeReport";
                cmd.CommandTimeout = 0;
                cmd.Parameters.AddWithValue("@Base_Currency_Id", int.Parse("1"));
                cmd.Parameters.AddWithValue("@Ex_Branch_ID", int.Parse("1001"));
                cmd.Parameters.AddWithValue("@FromDate", FromDate);
                cmd.Parameters.AddWithValue("@Filter", filter.ToString());

                SqlDataAdapter da = new SqlDataAdapter(cmd);
                da.Fill(dt);
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetForexTreasury_RevaluationReportGrid(string FromDate)
        {
            DataTable dt = new DataTable();
            try
            {
                SqlConnection conn = new SqlConnection(csCommon.ConnectionString);
                SqlCommand cmd = new SqlCommand();
                cmd.Connection = conn;
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandText = "spRevaluationReport";
                cmd.CommandTimeout = 0;
                //RptName = "RevaluationReport.rpt";
                //cmd.Parameters.AddWithValue("@Base_Currency_Id", int.Parse(BCI));
                //cmd.Parameters.AddWithValue("@Ex_Branch_ID", int.Parse(XBI));
                cmd.Parameters.AddWithValue("@FromDate", FromDate);
                SqlDataAdapter da = new SqlDataAdapter(cmd);
                da.Fill(dt);
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataSet GetForexTreasury_TTRReportGrid(bool DetailedReport, string ddlCriteria, string AgentID, string FromDate)
        {
            DataSet ds = new DataSet();
            string filter = AgentID;
            string procName = "";
            string FileName = "TTR";

            if (DetailedReport)
            {
                procName = (ddlCriteria == "8") ? "spTTRDetailesReport_SA_Wise" : "spTTRDetailesReport_RA_Wise";
            }
            else
            {
                procName = (ddlCriteria == "8") ? "spTTRSummaryReport_SA_Wise" : "spTTRSummaryReport_RA_Wise";
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;

                    if (FileName != "Revaluation Report")
                    {
                        cmd.Parameters.Add("@Base_Currency_Id", SqlDbType.Int).Value = 1;
                        cmd.Parameters.Add("@Ex_Branch_ID", SqlDbType.Int).Value = 1001;
                        cmd.Parameters.Add("@Filter", SqlDbType.NVarChar).Value = filter;
                    }
                    cmd.Parameters.Add("@FromDate", SqlDbType.NVarChar).Value = FromDate;

                    SqlDataAdapter da = new SqlDataAdapter(cmd);

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        throw ex;
                    }
                }
            }

            return ds;
        }

        public DataSet GetForexTreasury_TurnoverAndYieldComparisonReportGrid(bool DetailedReport, string AgentID, string FromDate)
        {
            DataSet ds = new DataSet();
            string filter = "and tbl_05_01_TrMaster.SendAgent=" + AgentID;
            string procName = "";
            string FileName = "Turnover And Yield Comparison Report";
            try
            {
                if (DetailedReport)
                {
                    procName = "spTurnoverYieldCompReport_Detailed";
                }
                else
                {
                    procName = "spTurnoverYieldCompReport_Summary";
                }
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    conn.Open();

                    using (SqlCommand cmd = new SqlCommand(procName, conn))
                    {
                        cmd.CommandType = CommandType.StoredProcedure;
                        cmd.CommandTimeout = 0;
                        if (FileName != "Revaluation Report")
                        {
                            cmd.Parameters.Add("@Base_Currency_Id", SqlDbType.Int).Value = 1;
                            cmd.Parameters.Add("@Ex_Branch_ID", SqlDbType.Int).Value = 1001;
                            cmd.Parameters.Add("@Filter", SqlDbType.NVarChar).Value = filter;
                        }
                        cmd.Parameters.Add("@FromDate", SqlDbType.NVarChar).Value = FromDate;
                        SqlDataAdapter da = new SqlDataAdapter(cmd);

                        try
                        {
                            da.Fill(ds);
                        }
                        catch (Exception ex)
                        {
                            throw ex;
                        }
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return ds;
        }

        public DataSet GetForexTreasury_TurnoverAndYieldComparisonReportGrid_Details(string FromDate, int CountryID, int AgentID, bool Criteria_SendingAgentsWise)
        {
            DataSet ds = new DataSet();
            string filter = "and tbl_05_01_TrMaster.SendAgent=" + AgentID;
            string procName = "spTurnoverYieldCompReport_Detailed";
            string FileName = "Turnover And Yield Comparison Report";
            try
            {
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    conn.Open();

                    using (SqlCommand cmd = new SqlCommand(procName, conn))
                    {
                        cmd.CommandType = CommandType.StoredProcedure;
                        cmd.CommandTimeout = 0;
                        if (FileName != "Revaluation Report")
                        {
                            cmd.Parameters.Add("@Base_Currency_Id", SqlDbType.Int).Value = 1;
                            cmd.Parameters.Add("@Ex_Branch_ID", SqlDbType.Int).Value = 1001;
                            cmd.Parameters.Add("@Filter", SqlDbType.NVarChar).Value = filter;
                        }
                        cmd.Parameters.Add("@FromDate", SqlDbType.NVarChar).Value = FromDate;
                        SqlDataAdapter da = new SqlDataAdapter(cmd);

                        try
                        {
                            da.Fill(ds);
                        }
                        catch (Exception ex)
                        {
                            throw ex;
                        }
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return ds;
        }

        public DataSet GetForexTreasury_TurnoverAndYieldComparisonReportGrid_Summary(string FromDate, int CountryID, int AgentID, bool Criteria_SendingAgentsWise)
        {
            DataSet ds = new DataSet();
            string filter = "and tbl_05_01_TrMaster.SendAgent=" + AgentID;
            string procName = "spTurnoverYieldCompReport_Summary";
            string FileName = "Turnover And Yield Comparison Report";
            try
            {

                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    conn.Open();

                    using (SqlCommand cmd = new SqlCommand(procName, conn))
                    {
                        cmd.CommandType = CommandType.StoredProcedure;
                        cmd.CommandTimeout = 0;
                        if (FileName != "Revaluation Report")
                        {
                            cmd.Parameters.Add("@Base_Currency_Id", SqlDbType.Int).Value = 1;
                            cmd.Parameters.Add("@Ex_Branch_ID", SqlDbType.Int).Value = 1001;
                            cmd.Parameters.Add("@Filter", SqlDbType.NVarChar).Value = filter;
                        }
                        cmd.Parameters.Add("@FromDate", SqlDbType.NVarChar).Value = FromDate;
                        SqlDataAdapter da = new SqlDataAdapter(cmd);

                        try
                        {
                            da.Fill(ds);
                        }
                        catch (Exception ex)
                        {
                            throw ex;
                        }
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
            return ds;
        }

        #endregion
        #region Agency >> Log Report (LogReports.aspx)
        public DataTable GetLogReport_ReportsType()
        {
            DataTable MyDT = new DataTable();
            string Flag = "0";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetLogReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetLogReport_ReportsName()
        {
            DataTable MyDT = new DataTable();
            string Flag = "4";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetLogReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetLogReport_UserList()
        {
            DataTable MyDT = new DataTable();
            string Flag = "1";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetLogReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetLogReport_StatusList()
        {
            DataTable MyDT = new DataTable();
            string Flag = "3";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetLogReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetLogReport_BranchList(string UserID)
        {
            DataTable MyDT = new DataTable();
            string Flag = "2";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_GetLogReportData";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Compliance Report
        public DataTable GetComplianceReportFilter()
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "SpComplianceReport_backup";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Type", SqlDbType.Int, "3");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceReportAllRecord(int FilterType, DateTime FromDate, DateTime ToDate)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "SpComplianceReport_backup";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Type", SqlDbType.Int, FilterType.ToString());
                _query.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                _query.Add("@TODate", SqlDbType.DateTime, ToDate.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region Manage Agency User
        public DataTable GetManageAgencyUserCountry()
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = Procedure.AgencyUserAccessRights;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Status", SqlDbType.NVarChar, "CountryList");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserGroup(int CountryID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = Procedure.AgencyUserAccessRights;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Country", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Status", SqlDbType.NVarChar, "GroupList");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserList(int CountryID, int GroupID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = Procedure.AgencyUserAccessRights;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Country", SqlDbType.Int, CountryID.ToString());
                _query.Add("@Group", SqlDbType.Int, GroupID.ToString());
                _query.Add("@Status", SqlDbType.NVarChar, "UserList");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserDetail(string UserID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                string _User = string.Empty;
                _User = UserID;

                try
                {
                    _User = GetManageAgencyUserName(UserID);
                }
                catch (Exception ex)
                { }

                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry = new csQueryBuilder();
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.TableName = Procedure.vw_UserBranchInfo;
                MyQry.Add("@UserId", SqlDbType.NVarChar, _User);
                MyQry.Run();

                csDatabase MyDB1 = new csDatabase(csCommon.GetConnectionString);
                System.Data.DataSet MyDS = new System.Data.DataSet();
                MyDt = MyDB1.Return_DataTable(MyQry.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw new Exception("Provided User is not Exist.");
            }
        }

        public static string GetManageAgencyUserName(string UserID)
        {
            string _Output = string.Empty;
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = "SP_ManageAgencyUser";
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.Add("@UserID", SqlDbType.NVarChar, UserID);
                MyQry.Add("@StrFlag", SqlDbType.NVarChar, "1");
                MyQry.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                _Output = MyDB.Return_SingleField(MyQry.MyCmd, "UserId");
            }
            catch (Exception ex)
            {
                throw new Exception(ex.Message);
            }
            return _Output;
        }

        public DataTable GetManageAgencyUserAllRecord(int SubGroupID, int UserID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_AgencyUserManagement;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (SubGroupID != 0)
                {
                    _query.Add("@SubUserGroup_Id", SqlDbType.Int, SubGroupID.ToString());
                }
                if (UserID != 0)
                {
                    _query.Add("@UserId", SqlDbType.Int, UserID.ToString());
                }
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserGridGroup(int AgentID, int UserGroup)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "SP_ManageAgencyUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Add("@UserGroup", SqlDbType.Int, UserGroup.ToString());
                _query.Add("@StrFlag", SqlDbType.NVarChar, "2");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserGridSubGroup(int UserGroup)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "SP_ManageAgencyUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserGroup", SqlDbType.Int, UserGroup.ToString());
                _query.Add("@StrFlag", SqlDbType.NVarChar, "3");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserAddCountry(int AgentTypeID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = Procedure.View_UserCountryList;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@User_Group", SqlDbType.Int, AgentTypeID.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserAddGroup(int AgentTypeID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = TableName.SubGroupName;
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("SubGroup_Name");
                _query.Add("SubUserGroup_Id");
                if (Convert.ToInt32(AgentTypeID) != UserGroupType.SR.GetHashCode())
                {
                    _query.AddCriteria("SubUserGroup_Id", csSQLFormat.String_InSqlFormat(UserSubGroupType.Admin.GetHashCode().ToString()), csQueryBuilder.OperatorList.NotEqual, csQueryBuilder.LogicalOperatorList.AND);
                }
                _query.AddCriteria("Group_Id", csSQLFormat.String_InSqlFormat(AgentTypeID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                _query.AddFieldOrder("SubGroup_Name", csQueryBuilder.OrderType.Ascending);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.ViewQuery);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserExBranchID()
        {
            DataTable MyDt = new DataTable();
            try
            {
                _query.TableName = "SP_ManageAgencyUser";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@StrFlag", SqlDbType.NVarChar, "4");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgencyUserBranch(string UserID, string GroupID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_User_Branch_Details;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@UserId", SqlDbType.Int, UserID);
                _query.Add("@Group_Id", SqlDbType.Int, GroupID);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void ManageAgencyUserInsertDeleteUserAccess(List<ManageAgencyUserInsertRequest> manageAgencyUserSetTreeRequest)
        {
            try
            {
                int _Tr_Sequance = 0;
                string strTrue = string.Empty;
                csQueryBuilder MyQry = new csQueryBuilder();
                csQueryBuilder MyQry2 = new csQueryBuilder();
                SqlCommand[] MyCommand = null;
                SqlCommand[] MyCommand1 = null;
                if (manageAgencyUserSetTreeRequest.Count > 0)
                {
                    MyCommand = new SqlCommand[manageAgencyUserSetTreeRequest.Count];
                    MyCommand1 = new SqlCommand[manageAgencyUserSetTreeRequest.Count];
                }

                if (manageAgencyUserSetTreeRequest.Count > 0)
                {
                    for (int i = 0; i < manageAgencyUserSetTreeRequest.Count; i++)
                    {
                        strTrue = "";

                        #region Insert
                        MyQry = new csQueryBuilder();
                        MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                        MyQry.TableName = Procedure.sp_UpdateUserAccess;
                        MyQry.ProcedureType = csQueryBuilder.ProcType.Insert;
                        MyQry.ViewType = csQueryBuilder.VType.Process;

                        MyQry.Add("@Group_Id", SqlDbType.Int, manageAgencyUserSetTreeRequest[i].GroupID.ToString());
                        MyQry.Add("@SubUserGroup_Id", SqlDbType.Int, manageAgencyUserSetTreeRequest[i].SubUserGroupID.ToString());
                        MyQry.Add("@UserId", SqlDbType.NVarChar, manageAgencyUserSetTreeRequest[i].UserID);

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel1Visible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkLevel1)
                            {
                                if (manageAgencyUserSetTreeRequest[i].FirstFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID1", SqlDbType.Int, manageAgencyUserSetTreeRequest[i].FirstFunctionID.ToString());
                                }
                            }
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel2Visible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkLevel2)
                            {
                                if (manageAgencyUserSetTreeRequest[i].SecondFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID2", SqlDbType.Int, manageAgencyUserSetTreeRequest[i].SecondFunctionID.ToString());
                                }
                            }
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel3Visible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkLevel3)
                            {
                                if (manageAgencyUserSetTreeRequest[i].ThirdFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID4", SqlDbType.Int, manageAgencyUserSetTreeRequest[i].ThirdFunctionID.ToString());
                                }
                            }
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel4Visible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkLevel4)
                            {
                                if (manageAgencyUserSetTreeRequest[i].FourthFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID5", SqlDbType.Int, manageAgencyUserSetTreeRequest[i].FourthFunctionID.ToString());
                                }
                            }
                        }

                        MyQry.Add("@DtEntered", SqlDbType.DateTime, DateTime.Now.ToString());
                        MyQry.Add("@TmEntered", SqlDbType.DateTime, DateTime.Now.ToString());
                        MyQry.Add("@EnteredBy", SqlDbType.NVarChar, manageAgencyUserSetTreeRequest[i].UserID.ToString());

                        if (manageAgencyUserSetTreeRequest[i].IschkAccess_AddVisible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkAccess_Add)
                            {
                                MyQry.Add("@Access_Add", SqlDbType.Bit, "1");
                                MyQry.Add("@Add_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Add", SqlDbType.Bit, "0");
                                MyQry.Add("Add_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Add", SqlDbType.Bit, "0");
                            MyQry.Add("@Add_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkAccess_EditVisible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkAccess_Edit)
                            {
                                MyQry.Add("@Access_Edit", SqlDbType.Bit, "1");
                                MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Edit", SqlDbType.Bit, "0");
                                MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Edit", SqlDbType.Bit, "0");
                            MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkAccess_DeleteVisible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkAccess_Delete)
                            {
                                MyQry.Add("@Access_Delete", SqlDbType.Bit, "1");
                                MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Delete", SqlDbType.Bit, "0");
                                MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Delete", SqlDbType.Bit, "0");
                            MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkAccess_ViewVisible)
                        {
                            if (manageAgencyUserSetTreeRequest[i].IschkAccess_View)
                            {
                                MyQry.Add("@Access_View", SqlDbType.Bit, "1");
                                MyQry.Add("@View_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_View", SqlDbType.Bit, "0");
                                MyQry.Add("@View_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_View", SqlDbType.Bit, "0");
                            MyQry.Add("@View_IsVisible", SqlDbType.Bit, "0");
                        }

                        MyQry.Run();

                        MyCommand[_Tr_Sequance] = MyQry.MyCmd;

                        #endregion

                        #region Delete
                        MyQry2 = new csQueryBuilder();
                        MyQry2.QryType = csQueryBuilder.QueryType.Procedure;
                        MyQry2.TableName = Procedure.sp_UpdateUserAccess;
                        MyQry2.ProcedureType = csQueryBuilder.ProcType.Delete;
                        MyQry2.ViewType = csQueryBuilder.VType.Process;

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel1Visible)
                        {
                            if (!manageAgencyUserSetTreeRequest[i].IschkLevel1)
                            {
                                if (manageAgencyUserSetTreeRequest[i].FirstFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgencyUserSetTreeRequest[i].FirstFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgencyUserSetTreeRequest[i].FirstFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel2Visible)
                        {
                            if (!manageAgencyUserSetTreeRequest[i].IschkLevel2)
                            {
                                if (manageAgencyUserSetTreeRequest[i].SecondFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgencyUserSetTreeRequest[i].SecondFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgencyUserSetTreeRequest[i].SecondFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel3Visible)
                        {
                            if (!manageAgencyUserSetTreeRequest[i].IschkLevel3)
                            {
                                if (manageAgencyUserSetTreeRequest[i].ThirdFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgencyUserSetTreeRequest[i].ThirdFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgencyUserSetTreeRequest[i].ThirdFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageAgencyUserSetTreeRequest[i].IschkLevel4Visible)
                        {
                            if (!manageAgencyUserSetTreeRequest[i].IschkLevel4)
                            {
                                if (manageAgencyUserSetTreeRequest[i].FourthFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgencyUserSetTreeRequest[i].FourthFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgencyUserSetTreeRequest[i].FourthFunctionID;
                                    }
                                }
                            }
                        }

                        if (strTrue == "")
                        {
                            strTrue = "0";
                        }
                        MyQry2.Add("@UserId", SqlDbType.NVarChar, manageAgencyUserSetTreeRequest[i].UserID.ToString());
                        MyQry2.Add("@FunctionID3", SqlDbType.NVarChar, strTrue.ToString());
                        MyQry2.Run();

                        MyCommand1[_Tr_Sequance] = MyQry2.MyCmd;

                        #endregion

                        _Tr_Sequance++;
                    }
                }

                if (manageAgencyUserSetTreeRequest.Count > 0)
                {
                    csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                    MyDB.BatchExecuteNonQuery(MyCommand);
                    MyDB.BatchExecuteNonQuery(MyCommand1);
                }
            }
            catch (Exception ex)
            {
                throw new Exception("Error " + ex.Message);
            }
        }

        public void ManageAgencyUserUpdateUserAccessRights(List<ManageAgencyUserInsertRequest> manageAgencyUserSetUpdateRequest)
        {
            try
            {
                int _Tr_Sequance = 0;
                string[] MyStrings = null;
                csQueryBuilder MyQry = new csQueryBuilder();

                if (manageAgencyUserSetUpdateRequest.Count > 0)
                {
                    MyStrings = new string[manageAgencyUserSetUpdateRequest.Count];
                }

                if (manageAgencyUserSetUpdateRequest.Count > 0)
                {
                    for (int i = 0; i < manageAgencyUserSetUpdateRequest.Count; i++)
                    {
                        MyQry = new csQueryBuilder();
                        MyQry.QryType = csQueryBuilder.QueryType.Update;
                        MyQry.TableName = TableName.UserRights;//tbl_01_03_UserRights

                        if (manageAgencyUserSetUpdateRequest[i].IschkAccess_AddVisible)
                        {
                            if (manageAgencyUserSetUpdateRequest[i].IschkAccess_Add)
                            {
                                MyQry.Add("Access_Add", SqlDbType.Bit, "1");
                                MyQry.Add("Add_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_Add", SqlDbType.Bit, "0");
                                MyQry.Add("Add_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_Add", SqlDbType.Bit, "0");
                            MyQry.Add("Add_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgencyUserSetUpdateRequest[i].IschkAccess_EditVisible)
                        {
                            if (manageAgencyUserSetUpdateRequest[i].IschkAccess_Edit)
                            {
                                MyQry.Add("Access_Edit", SqlDbType.Bit, "1");
                                MyQry.Add("Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_Edit", SqlDbType.Bit, "0");
                                MyQry.Add("Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_Edit", SqlDbType.Bit, "0");
                            MyQry.Add("Edit_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgencyUserSetUpdateRequest[i].IschkAccess_DeleteVisible)
                        {
                            if (manageAgencyUserSetUpdateRequest[i].IschkAccess_Delete)
                            {
                                MyQry.Add("Access_Delete", SqlDbType.Bit, "1");
                                MyQry.Add("Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_Delete", SqlDbType.Bit, "0");
                                MyQry.Add("Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_Delete", SqlDbType.Bit, "0");
                            MyQry.Add("Delete_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgencyUserSetUpdateRequest[i].IschkAccess_ViewVisible)
                        {
                            if (manageAgencyUserSetUpdateRequest[i].IschkAccess_View)
                            {
                                MyQry.Add("Access_View", SqlDbType.Bit, "1");
                                MyQry.Add("View_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_View", SqlDbType.Bit, "0");
                                MyQry.Add("View_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_View", SqlDbType.Bit, "0");
                            MyQry.Add("View_IsVisible", SqlDbType.Bit, "0");
                        }

                        MyQry.AddCriteria("FunctionID", manageAgencyUserSetUpdateRequest[i].FunctionID.ToString().Trim(), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.AND);
                        MyQry.AddCriteria("UserId", manageAgencyUserSetUpdateRequest[i].UserID.ToString().Trim(), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);

                        MyQry.Run();

                        MyStrings[_Tr_Sequance] = MyQry.ViewQuery.ToString();

                        _Tr_Sequance++;
                    }
                }

                if (manageAgencyUserSetUpdateRequest.Count > 0)
                {
                    csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                    MyDB.BatchExecuteNonQuery(MyStrings);
                }
            }
            catch (Exception ex)
            {
                throw new Exception("Error " + ex.Message);
            }
        }

        public void ManageAgencyUsersetAccessApprove(List<ManageAgencyUserInsertRequest> manageAgencyUserSetUpdateRequest)
        {
            try
            {
                if (manageAgencyUserSetUpdateRequest.Count > 0)
                {
                    for (int i = 0; i < manageAgencyUserSetUpdateRequest.Count; i++)
                    {
                        csQueryBuilder _Query = new csQueryBuilder();
                        _Query.TableName = "sp_setAccessApprove";
                        _Query.QryType = csQueryBuilder.QueryType.Procedure;
                        _Query.ViewType = csQueryBuilder.VType.Process;
                        _Query.ProcedureType = csQueryBuilder.ProcType.Update;
                        _Query.Add("@UserId", SqlDbType.Int, manageAgencyUserSetUpdateRequest[i].QsUserID.ToString());
                        if (manageAgencyUserSetUpdateRequest[i].IschkAccess_ApproveVisible)
                        {
                            if (manageAgencyUserSetUpdateRequest[i].IschkAccess_Approve)
                            {
                                _Query.Add("@Approve_IsVisible", SqlDbType.Bit, "1");
                                _Query.Add("@Access_Approve", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                _Query.Add("@Approve_IsVisible", SqlDbType.Bit, "1");
                                _Query.Add("@Access_Approve", SqlDbType.Bit, "0");
                            }
                        }
                        else
                        {
                            _Query.Add("@Approve_IsVisible", SqlDbType.Bit, "0");
                            _Query.Add("@Access_Approve", SqlDbType.Bit, "0");
                        }
                        _Query.Add("@FunctionID", SqlDbType.Int, manageAgencyUserSetUpdateRequest[i].FunctionID.ToString());
                        _Query.Run();

                        csDatabase MyDb = new csDatabase(csCommon.ConnectionString);
                        MyDb.ExecuteNonQuery(_Query.MyCmd);
                    }
                }
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Manage Agent User
        public DataTable GetManageAgentUserCountry()
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.UserAccessRights;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Status", SqlDbType.NVarChar, "CountryList");
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserAgent(int CountryID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                if (CountryID != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.UserAccessRights;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@Country", SqlDbType.Int, CountryID.ToString());
                    _query.Add("@Status", SqlDbType.NVarChar, "AgentList");
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserAgentBranch(int CountryID, int AgentID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                if (CountryID != 0 && AgentID != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.UserAccessRights;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@Country", SqlDbType.Int, CountryID.ToString());
                    _query.Add("@Agent", SqlDbType.Int, AgentID.ToString());
                    _query.Add("@Status", SqlDbType.NVarChar, "AgentBranchList");
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserGroup(int CountryID, int AgentID, int AgentBranchID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                if (CountryID != 0 && AgentID != 0 && AgentBranchID != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.UserAccessRights;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@Country", SqlDbType.Int, CountryID.ToString());
                    _query.Add("@Agent", SqlDbType.Int, AgentID.ToString());
                    _query.Add("@AgentBranch", SqlDbType.Int, AgentBranchID.ToString());
                    _query.Add("@Status", SqlDbType.NVarChar, "GroupList");
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserList(int CountryID, int AgentID, int AgentBranchID, int GroupID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                if (CountryID != 0 && AgentID != 0 && AgentBranchID != 0 && GroupID != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.UserAccessRights;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@Country", SqlDbType.Int, CountryID.ToString());
                    _query.Add("@Agent", SqlDbType.Int, AgentID.ToString());
                    _query.Add("@AgentBranch", SqlDbType.Int, AgentBranchID.ToString());
                    _query.Add("@Group", SqlDbType.Int, GroupID.ToString());
                    _query.Add("@Status", SqlDbType.NVarChar, "UserList");
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserAllRecord(int AgentID, int AgentBranchID, int GroupID, int UserID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.vw_UserManagement;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (AgentBranchID != 0)
                {
                    _query.Add("@Agent_Branch_ID", SqlDbType.Int, AgentBranchID.ToString());
                }
                if (GroupID != 0)
                {
                    _query.Add("@SubUserGroup_Id", SqlDbType.Int, GroupID.ToString());
                }
                if (UserID != 0)
                {
                    _query.Add("@UserId", SqlDbType.Int, UserID.ToString());
                }
                _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserGetDetail(string UserNameID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.TableName = Procedure.vw_UserBranchInfo;
                _query.Add("@UserId", SqlDbType.NVarChar, UserNameID);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                int GroupID = int.Parse(MyDt.Rows[0]["Group_Id"].ToString());
                if (GroupID == 1)
                {
                    throw new Exception("Provided User is not assigned for Agent level.");
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw new Exception("Provided User is not Exist.");
            }
        }

        public DataTable GetManageAgentUserLoginDetail(string UserID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "FrmviewLoginDetails";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@User_id", SqlDbType.NVarChar, UserID);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserAddCountry(int AgentTypeID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                if (AgentTypeID != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.View_UserCountryList;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.ViewType = csQueryBuilder.VType.Process;
                    _query.Add("@User_Group", SqlDbType.Int, AgentTypeID.ToString());
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserAddAgent(int CountryID, int AgentTypeID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                if (CountryID != 0 && AgentTypeID != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.View_UserAgentList;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                    _query.Add("@User_Group", SqlDbType.NVarChar, AgentTypeID.ToString());
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserAddAgentBranch(int AgentID)
        {
            DataTable MyDt = new DataTable();
            try
            {
                if (AgentID != 0)
                {
                    csQueryBuilder _query = new csQueryBuilder();
                    _query.TableName = Procedure.View_UserAgentBranchList;
                    _query.QryType = csQueryBuilder.QueryType.Procedure;
                    _query.ProcedureType = csQueryBuilder.ProcType.Select;
                    _query.Add("@Agent_ID", SqlDbType.Int, AgentID.ToString());
                    _query.Run();
                    csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                    MyDt = MyDB.Return_DataTable(_query.MyCmd);
                }
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserAddGroup(int AgentTypeID, string G_UserGroup)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "tbl_01_06_SubGroupName";
                _query.QryType = csQueryBuilder.QueryType.Select;
                _query.Add("SubGroup_Name");
                _query.Add("SubUserGroup_Id");

                if (G_UserGroup != "1")
                {
                    _query.AddCriteria("Group_Id", csSQLFormat.String_InSqlFormat(AgentTypeID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.AND);

                    _query.AddCriteria("SubUserGroup_Id", csSQLFormat.String_InSqlFormat("1"), csQueryBuilder.OperatorList.NotEqual, csQueryBuilder.LogicalOperatorList.None);
                }
                else
                {
                    _query.AddCriteria("Group_Id", csSQLFormat.String_InSqlFormat(AgentTypeID.ToString()), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);
                }
                _query.AddFieldOrder("SubGroup_Name", csQueryBuilder.OrderType.Ascending);
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.ViewQuery);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserPopulateGroup(ManageAgentUserSetRequest manageAgentUserSetRequest)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder MyQry = new csQueryBuilder();
                MyQry.TableName = Procedure.sp_Get_UserAccessRights;
                MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                MyQry.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQry.ViewType = csQueryBuilder.VType.Process;
                MyQry.Add("@UserId", SqlDbType.NVarChar, manageAgentUserSetRequest.UserID.ToString());
                MyQry.Add("@Group_Id", SqlDbType.Int, manageAgentUserSetRequest.GroupID.ToString());
                MyQry.Add("@SubUserGroup_Id", SqlDbType.Int, manageAgentUserSetRequest.SubGroupID.ToString());
                MyQry.Add("@LoginAgentGroup", SqlDbType.Int, manageAgentUserSetRequest.G_UserGroupID.ToString());
                MyQry.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(MyQry.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetManageAgentUserBranch(ManageAgentUserSetRequest manageAgentUserSetRequest)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = Procedure.sp_User_Branch_Details;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.Add("@UserId", SqlDbType.Int, manageAgentUserSetRequest.UserID.ToString());
                _query.Add("@Group_Id", SqlDbType.Int, manageAgentUserSetRequest.GroupID.ToString());
                _query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public void ManageAgentUserInsertDeleteUserAccess(List<ManageAgentUserSetTreeRequest> manageAgentUserSetTreeRequest)
        {
            try
            {
                int _Tr_Sequance = 0;
                string strTrue = string.Empty;
                string strFalse = string.Empty;
                SqlCommand[] MyCommand = null;
                SqlCommand[] MyCommand1 = null;
                _Tr_Sequance = 0;
                csQueryBuilder MyQry = new csQueryBuilder();
                csQueryBuilder MyQry2 = new csQueryBuilder();

                if (manageAgentUserSetTreeRequest.Count > 0)
                {
                    MyCommand = new SqlCommand[manageAgentUserSetTreeRequest.Count];
                    MyCommand1 = new SqlCommand[manageAgentUserSetTreeRequest.Count];
                }

                if (manageAgentUserSetTreeRequest.Count > 0)
                {
                    for (int i = 0; i < manageAgentUserSetTreeRequest.Count; i++)
                    {
                        strTrue = "";
                        #region Insert
                        MyQry = new csQueryBuilder();
                        MyQry.QryType = csQueryBuilder.QueryType.Procedure;
                        MyQry.TableName = Procedure.sp_UpdateUserAccess;
                        MyQry.ProcedureType = csQueryBuilder.ProcType.Insert;
                        MyQry.ViewType = csQueryBuilder.VType.Process;

                        MyQry.Add("@Group_Id", SqlDbType.Int, manageAgentUserSetTreeRequest[i].GroupID.ToString());
                        MyQry.Add("@SubUserGroup_Id", SqlDbType.Int, manageAgentUserSetTreeRequest[i].SubGroupID.ToString());
                        MyQry.Add("@UserId", SqlDbType.NVarChar, manageAgentUserSetTreeRequest[i].UserID);

                        if (manageAgentUserSetTreeRequest[i].IschkLevel1Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel1)
                            {
                                if (manageAgentUserSetTreeRequest[i].FirstFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID1", SqlDbType.Int, manageAgentUserSetTreeRequest[i].FirstFunctionID.ToString());
                                }
                            }
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkLevel2Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel2)
                            {
                                if (manageAgentUserSetTreeRequest[i].SecondFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID2", SqlDbType.Int, manageAgentUserSetTreeRequest[i].SecondFunctionID.ToString());
                                }
                            }
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkLevel3Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel3)
                            {
                                if (manageAgentUserSetTreeRequest[i].ThirdFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID4", SqlDbType.Int, manageAgentUserSetTreeRequest[i].ThirdFunctionID.ToString());
                                }
                            }
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkLevel4Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel4)
                            {
                                if (manageAgentUserSetTreeRequest[i].FourthFunctionID != "")
                                {
                                    MyQry.Add("@FunctionID5", SqlDbType.Int, manageAgentUserSetTreeRequest[i].FourthFunctionID.ToString());
                                }
                            }
                        }

                        MyQry.Add("@DtEntered", SqlDbType.DateTime, DateTime.Now.ToString());
                        MyQry.Add("@TmEntered", SqlDbType.DateTime, DateTime.Now.ToString());
                        MyQry.Add("@EnteredBy", SqlDbType.NVarChar, manageAgentUserSetTreeRequest[i].UserID.ToString());

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_AddVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_Add)
                            {
                                MyQry.Add("@Access_Add", SqlDbType.Bit, "1");
                                MyQry.Add("@Add_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Add", SqlDbType.Bit, "0");
                                MyQry.Add("Add_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Add", SqlDbType.Bit, "0");
                            MyQry.Add("@Add_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_EditVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_Edit)
                            {
                                MyQry.Add("@Access_Edit", SqlDbType.Bit, "1");
                                MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Edit", SqlDbType.Bit, "0");
                                MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Edit", SqlDbType.Bit, "0");
                            MyQry.Add("@Edit_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_DeleteVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_Delete)
                            {
                                MyQry.Add("@Access_Delete", SqlDbType.Bit, "1");
                                MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_Delete", SqlDbType.Bit, "0");
                                MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_Delete", SqlDbType.Bit, "0");
                            MyQry.Add("@Delete_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_ViewVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_View)
                            {
                                MyQry.Add("@Access_View", SqlDbType.Bit, "1");
                                MyQry.Add("@View_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("@Access_View", SqlDbType.Bit, "0");
                                MyQry.Add("@View_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("@Access_View", SqlDbType.Bit, "0");
                            MyQry.Add("@View_IsVisible", SqlDbType.Bit, "0");
                        }

                        MyQry.Run();

                        MyCommand[_Tr_Sequance] = MyQry.MyCmd;

                        #endregion

                        #region Delete
                        MyQry2 = new csQueryBuilder();
                        MyQry2.QryType = csQueryBuilder.QueryType.Procedure;
                        MyQry2.TableName = Procedure.sp_UpdateUserAccess;
                        MyQry2.ProcedureType = csQueryBuilder.ProcType.Delete;
                        MyQry2.ViewType = csQueryBuilder.VType.Process;

                        if (manageAgentUserSetTreeRequest[i].IschkLevel1Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel1 == false)
                            {
                                if (manageAgentUserSetTreeRequest[i].FirstFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgentUserSetTreeRequest[i].FirstFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgentUserSetTreeRequest[i].FirstFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkLevel2Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel2 == false)
                            {
                                if (manageAgentUserSetTreeRequest[i].SecondFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgentUserSetTreeRequest[i].SecondFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgentUserSetTreeRequest[i].SecondFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkLevel3Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel3 == false)
                            {
                                if (manageAgentUserSetTreeRequest[i].ThirdFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgentUserSetTreeRequest[i].ThirdFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgentUserSetTreeRequest[i].ThirdFunctionID;
                                    }
                                }
                            }
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkLevel4Visible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkLevel4 == false)
                            {
                                if (manageAgentUserSetTreeRequest[i].FourthFunctionID != "")
                                {
                                    if (strTrue == "")
                                    {
                                        strTrue = strTrue + manageAgentUserSetTreeRequest[i].FourthFunctionID;
                                    }
                                    else
                                    {
                                        strTrue = strTrue + "," + manageAgentUserSetTreeRequest[i].FourthFunctionID;
                                    }
                                }
                            }
                        }

                        if (strTrue == "")
                        {
                            strTrue = "0";
                        }
                        MyQry2.Add("@UserId", SqlDbType.NVarChar, manageAgentUserSetTreeRequest[i].UserID);
                        MyQry2.Add("@FunctionID3", SqlDbType.NVarChar, strTrue.ToString());
                        MyQry2.Run();

                        MyCommand1[_Tr_Sequance] = MyQry2.MyCmd;

                        #endregion

                        _Tr_Sequance++;
                    }
                }

                if (manageAgentUserSetTreeRequest.Count > 0)
                {
                    csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                    MyDB.BatchExecuteNonQuery(MyCommand);
                    MyDB.BatchExecuteNonQuery(MyCommand1);
                }
            }
            catch (Exception ex)
            {
                throw new Exception("Error " + ex.Message);
            }
        }

        public void ManageAgentUserUpdateUserAccessRights(List<ManageAgentUserSetTreeRequest> manageAgentUserSetTreeRequest)
        {
            int _Tr_Sequance = 0;
            string[] MyStrings = null;
            try
            {
                _Tr_Sequance = 0;
                csQueryBuilder MyQry = new csQueryBuilder();

                if (manageAgentUserSetTreeRequest.Count > 0)
                {
                    MyStrings = new string[manageAgentUserSetTreeRequest.Count];
                }

                if (manageAgentUserSetTreeRequest.Count > 0)
                {
                    for (int i = 0; i < manageAgentUserSetTreeRequest.Count; i++)
                    {
                        MyQry = new csQueryBuilder();
                        MyQry.QryType = csQueryBuilder.QueryType.Update;
                        MyQry.TableName = TableName.UserRights;//tbl_01_03_UserRights

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_AddVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_Add)
                            {
                                MyQry.Add("Access_Add", SqlDbType.Bit, "1");
                                MyQry.Add("Add_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_Add", SqlDbType.Bit, "0");
                                MyQry.Add("Add_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_Add", SqlDbType.Bit, "0");
                            MyQry.Add("Add_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_EditVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_Edit)
                            {
                                MyQry.Add("Access_Edit", SqlDbType.Bit, "1");
                                MyQry.Add("Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_Edit", SqlDbType.Bit, "0");
                                MyQry.Add("Edit_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_Edit", SqlDbType.Bit, "0");
                            MyQry.Add("Edit_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_DeleteVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_Delete)
                            {
                                MyQry.Add("Access_Delete", SqlDbType.Bit, "1");
                                MyQry.Add("Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_Delete", SqlDbType.Bit, "0");
                                MyQry.Add("Delete_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_Delete", SqlDbType.Bit, "0");
                            MyQry.Add("Delete_IsVisible", SqlDbType.Bit, "0");
                        }

                        if (manageAgentUserSetTreeRequest[i].IschkAccess_ViewVisible)
                        {
                            if (manageAgentUserSetTreeRequest[i].IschkAccess_View)
                            {
                                MyQry.Add("Access_View", SqlDbType.Bit, "1");
                                MyQry.Add("View_IsVisible", SqlDbType.Bit, "1");
                            }
                            else
                            {
                                MyQry.Add("Access_View", SqlDbType.Bit, "0");
                                MyQry.Add("View_IsVisible", SqlDbType.Bit, "1");
                            }
                        }
                        else
                        {
                            MyQry.Add("Access_View", SqlDbType.Bit, "0");
                            MyQry.Add("View_IsVisible", SqlDbType.Bit, "0");
                        }

                        MyQry.AddCriteria("FunctionID", manageAgentUserSetTreeRequest[i].FunctionID.ToString().Trim(), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.AND);
                        MyQry.AddCriteria("UserId", manageAgentUserSetTreeRequest[i].UserID.ToString().Trim(), csQueryBuilder.OperatorList.Equal, csQueryBuilder.LogicalOperatorList.None);

                        MyQry.Run();

                        MyStrings[_Tr_Sequance] = MyQry.ViewQuery.ToString();

                        _Tr_Sequance++;
                    }
                }

                if (manageAgentUserSetTreeRequest.Count > 0)
                {
                    csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                    MyDB.BatchExecuteNonQuery(MyStrings);
                }
            }
            catch (Exception ex)
            {
                throw new Exception("Error " + ex.Message);
            }
        }
        #endregion
        #region Agency >> MIS & Audit Report (MIS_Reports/CountryWiseSendReceiveTrxn_Reports.aspx)
        public DataTable GetMISReport_ReportsType()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_getMISreport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.NVarChar, "0");
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetMISReport_SendCountry()
        {
            DataTable MyDT = new DataTable();
            string Flag = "4";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_getMISreport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetMISReport_SendAgent(string SendCountryID)
        {
            DataTable MyDT = new DataTable();
            string Flag = "2";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_getMISreport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Add("@SendCountryID", SqlDbType.Int, SendCountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetMISReport_ReceiveCountry()
        {
            DataTable MyDT = new DataTable();
            string Flag = "1";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_getMISreport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetMISReport_ReceiveAgent(string SendCountryID)
        {
            DataTable MyDT = new DataTable();
            string Flag = "3";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_getMISreport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Add("@SendCountryID", SqlDbType.Int, SendCountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        //===Country Wise Send Recv Trxn====//
        public DataTable GetMISReport_CountryWiseSendRecvTrxn(string RecvCountryID, string AgentID, string FromDate, string ToDate, string ReportType, string CountryType)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";
            string RptName = "Country Wise Send/Recv Trxn";


            if (ReportType == "Detailed Report")
            {
                if (CountryType == "Send")
                {
                    procName = "spSent_Trxns_To_Country_AgentWise_Detailed";
                    Filter = "  and dbo.tbl_05_01_TrMaster.PayCountryID = " + RecvCountryID.ToString();
                }
                else
                {
                    procName = "spReceive_Trxns_From_Country_AgentWise_Detailed";
                    Filter = " and dbo.tbl_04_08_Country_Details.CountryID = " + RecvCountryID.ToString();
                }
                Filter = Filter + "  and dbo.tbl_Agent_Details.Agent_ID = " + AgentID.ToString();
            }
            else
            {
                if (CountryType == "Send")
                {
                    procName = "spReceive_Trxns_From_Country_DateWise_Summary";
                    Filter = " and dbo.tbl_04_08_Country_Details.CountryID = " + RecvCountryID.ToString();
                }
                else
                {
                    procName = "spSent_Trxn_To_Country_DateWise_Summary";
                    Filter = "  and dbo.tbl_05_01_TrMaster.PayCountryID = " + RecvCountryID.ToString();
                }
            }
            FileName = "Country Wise Send Recv Trxn " + ReportType;

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    if (RptName == "Country Wise Send/Recv Trxn")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }



        //===Agent Wise MIS - Date Wise====//
        public DataTable GetMISReport_AgentWiseMISDateWise(string SendCountry, string RecvCountryID, string AgentID, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_AgentWise_MIS";
            Filter = SendCountry == "ALL" ? "" : " AND SEND_COUNTRY_ID=" + SendCountry;
            Filter += AgentID == "ALL" ? "" : " AND SEND_AGENT_ID=" + AgentID;
            Filter += RecvCountryID == "ALL" ? "" : " AND BENEFICIARY_COUNTRY_ID=" + RecvCountryID;
            FileName = "Agent Wise MIS - Date Wise";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;

                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===Agent Wise MIS - Month Wise====//
        public DataTable GetMISReport_AgentWiseMISMonthWise(string SendCountry, string RecvCountryID, string AgentID, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_AgentWise_MIS";
            Filter = SendCountry == "ALL" ? "" : " AND SEND_COUNTRY_ID=" + SendCountry;
            Filter += AgentID == "ALL" ? "" : " AND SEND_AGENT_ID=" + AgentID;
            Filter += RecvCountryID == "ALL" ? "" : " AND BENEFICIARY_COUNTRY_ID=" + RecvCountryID;
            FileName = "Agent Wise MIS - Month Wise";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===Agent Wise MIS - Year Wise====//
        public DataTable GetMISReport_AgentWiseMISYearWise(string SendCountry, string AgentID, string RecvCountryID, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_AgentWise_MIS";
            Filter = SendCountry == "ALL" ? "" : " AND SEND_COUNTRY_ID=" + SendCountry;
            Filter += AgentID == "ALL" ? "" : " AND SEND_AGENT_ID=" + AgentID;
            Filter += RecvCountryID == "ALL" ? "" : " AND BENEFICIARY_COUNTRY_ID=" + RecvCountryID;
            FileName = "Agent Wise MIS - Year Wise";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===Sending Country To Receiving Country - Income====//
        public DataTable GetMISReport_SendingCountryToReceivingCountryIncome(string SendCountry, string AgentID, string RecvCountryID, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_SendingCountryToReceivingCountryIncome";
            Filter = SendCountry == "ALL" ? "" : " AND SendCountryID=" + SendCountry;
            Filter += RecvCountryID == "ALL" ? "" : " AND RecvCountryID=" + RecvCountryID;
            FileName = "Sending Country To Receiving Country - Income";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;

                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===COUNTRY WISE AGENTS YIELD REPORT MONTHLY====//
        public DataTable GetMISReport_CountryWiseAgentsYieldReportMonthly(string SendCountry, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";

            procName = "sp_CountryWiseAgentsYieldMonthly";
            Filter = SendCountry == "ALL" ? "" : " and tbl_04_08_Country_Details.CountryID=" + SendCountry;
            FileName = "COUNTRY WISE AGENTS YIELD REPORT MONTHLY";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===Top Sending Agents Performance Report - YEARLY====//
        public DataTable GetMISReport_TopSendingAgentsPerformanceReportYEARLY(string SendCountry, string AgentID, string RecvCountryID, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_MIS_MajorDecreaseTrxns_SA_YearWise";
            Filter = SendCountry == "ALL" ? "" : " AND SendCountryID=" + SendCountry;
            Filter += AgentID == "ALL" ? "" : " AND SendAgentID=" + AgentID;
            Filter += RecvCountryID == "ALL" ? "" : " AND RecvCountryID=" + RecvCountryID;
            FileName = "Top Sending Agents Performance Report - YEARLY";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }



        //===Major Agent Transactions Alert====//
        public DataTable GetMISReport_MajorAgentTransactionsAlert(string SendCountry, string AgentID, string RecvCountryID, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_MIS_MajorAgentTrxns_IncreaseDecrease";
            Filter = SendCountry == "ALL" ? "" : " AND SendCountryID=" + SendCountry;
            Filter += AgentID == "ALL" ? "" : " AND SendAgentID=" + AgentID;
            Filter += RecvCountryID == "ALL" ? "" : " AND RecvCountryID=" + RecvCountryID;
            FileName = "Major Agent Transactions Alert";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;

                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===Daily Send Receive Trxns - Send Country Wise====//
        public DataTable GetMISReport_DailySendReceiveTrxnsSendCountryWise(string SendCountry, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_MIS_DailySendReceiveTrxns_SendCountryWise";
            Filter = SendCountry == "ALL" ? "" : " AND SendCountryID=" + SendCountry;
            FileName = "Daily Send Receive Trxns - Send Country Wise";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===MODEWISE INITIATED TRANSACTION - RECEIVING COUNTRY====//
        public DataTable GetMISReport_ModWiseIntitiatedTransactionRecevingCountry(string RecvCountry, string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_ModeWiseInitiatedTrxnRecvCountry";
            Filter = RecvCountry == "ALL" ? "" : " AND tbl_04_08_Country_Details_1.CountryID=" + RecvCountry;
            FileName = "MODEWISE INITIATED TRANSACTION - RECEIVING COUNTRY";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===MIS Report Summary====//
        public DataTable GetMISReport_MISReportSummary(string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_MIS_Summary_Report_For_The_Day";
            FileName = "MIS Report Summary";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        //===TOP TEN AGENTS TRANSACTION====//
        public DataTable GetMISReport_TopTenAgentsTransaction(string FromDate, string ToDate)
        {
            string procName = "";
            string Filter = "";
            string FileName = "";


            procName = "sp_MIS_TOP_TEN_SENDING_AGENT";
            FileName = "TOP TEN AGENTS TRANSACTION";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 30;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", Filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }


        #endregion
        #region Agency >> Sales & Marketing Report (Sales_Marketing_Reports/SalesMarketing_Reports.aspx)
        public DataTable GetSalesMarketingReport_ReportsType()
        {
            DataTable MyDT = new DataTable();
            string Flag = "3";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_SalesMarketing_GetAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetSalesMarketingReport_Country(string Criteria, string UserID)
        {
            DataTable MyDT = new DataTable();
            string Flag = "";

            if (Criteria == "Sending Agents Wise")
            {
                Flag = "7";
            }
            else if (Criteria == "Receiving Agents Wise")
            {
                Flag = "9";
            }
            else
            {
                throw new Exception("Invalid Criteria!!");
            }

            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_SalesMarketing_GetAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Add("@UserID", SqlDbType.Int, UserID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetSalesMarketingReport_Agent(string Criteria, int CountryID)
        {
            DataTable MyDT = new DataTable();
            string Flag = "";

            if (Criteria == "Sending Agents Wise")
            {
                Flag = "0";
            }
            else if (Criteria == "Receiving Agents Wise")
            {
                Flag = "1";
            }
            else if (Criteria == "Sending/Receiving Agents Wise")
            {
                Flag = "5";
            }
            else
            {
                throw new Exception("Invalid Criteria!!");
            }
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_SalesMarketing_GetAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Add("@SendRecvCountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetSalesMarketingReport_AgentBranch(int AgentID)
        {
            DataTable MyDT = new DataTable();
            string Flag = "4";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "usp_SalesMarketing_GetAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Flag", SqlDbType.Int, Flag.ToString());
                _query.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataSet GetSalesMarketingReport_FillGrid_TopAgents(int TopRecordCount, string AgentID, string AgentBranchID, string FromDate, string ToDate, string RptName)
        {
            string procName = "spTopAgentReport"; //spTopAgentReport
            string filter = "";
            if (AgentID != "ALL")
            {
                filter = "Top " + TopRecordCount;
            }
            string fileName = "Top Agents";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Agent Summarized Trxn Statemet" && RptName != "Transactions Corridor Summary - Payment Mode" && RptName != "Transactions Corridor Summary - Country")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataTable GetSalesMarketingReport_FillGrid_AgentWiseSendReceiveTransaction(string FromDate, string ToDate, string RptName, string ReportType, string CountryID, string AgentID, string AgentBranchID)
        {
            string procName = "";
            string filter = "";
            string fileName = "";

            filter = " and AgentSendRecvDetailed.Agent_ID=" + AgentID;

            if (AgentBranchID != "ALL")
            {
                filter = filter + " and AgentSendRecvDetailed.AgentBranch_ID=" + AgentBranchID;
            }
            if (ReportType == "Detailed Report")
            {
                procName = "spAgent_Sent_Received_Trxn_Detailed";
            }
            else
            {
                procName = "spAgent_Sent_Received_Trxn_Summary";

                if (CountryID != "-1")
                {
                    filter = filter + " and AgentSendRecvDetailed.CountryID=" + CountryID;
                }
            }
            fileName = "Agent Wise Send/Receive Transaction " + ReportType;

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Agent Summarized Trxn Statemet"
                        && RptName != "Transactions Corridor Summary - Payment Mode"
                        && RptName != "Transactions Corridor Summary - Country")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    //DataSet ds = new DataSet();

                    DataTable dt = new DataTable();

                    try
                    {
                        da.Fill(dt);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return dt;
                }
            }
        }
        public DataSet GetSalesMarketingReport_FillGrid_AgentSummarizedTrxnStatemet(string AgentID, string FromDate, string ToDate, string RptName)
        {
            string procName = "";
            string filter = "";
            string fileName = "";

            procName = "spAgentWiseSummarizedTrxnStmt";
            filter = " and dbo.tbl_Agent_Details.Agent_ID = " + AgentID;
            fileName = "Agent Summarized Trxn Statemet";

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    cmd.Parameters.AddWithValue("@Filter", filter);

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }
        public DataSet GetSalesMarketingReport_FillGrid_TransactionsCorridorSummaryPaymentMode(int SendRecvCountryID, int CountryID, string AgentID, string FromDate, string ToDate, string RptName)
        {
            string procName = "";
            string filter = "";
            string fileName = "";

            procName = "sp_TransactionsCorridorSummaryPaymentMode";
            filter = " and SendCountryID = " + SendRecvCountryID;
            filter += " and SendAgentID = " + AgentID;
            filter += " and RecvCountryID = " + CountryID;
            fileName = "Transactions Corridor Summary - Payment Mode";

            string _filter = filter;

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", _filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Agent Summarized Trxn Statemet"
                        && RptName != "Transactions Corridor Summary - Payment Mode"
                        && RptName != "Transactions Corridor Summary - Country")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }
        public DataSet GetSalesMarketingReport_FillGrid_TransactionsCorridorSummaryCountry(int SendRecvCountryID, int CountryID, string AgentID, string FromDate, string ToDate, string RptName)
        {
            string procName = "";
            string filter = "";
            string fileName = "";

            procName = "sp_TransactionsCorridorSummaryCountry";
            filter = " and SendCountryID = " + SendRecvCountryID;
            filter += " and SendAgentID = " + AgentID;
            filter += " and RecvCountryID = " + CountryID;
            fileName = "Transactions Corridor Summary - Payment Mode";

            string _filter = filter;

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();
                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", _filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Agent Summarized Trxn Statemet"
                        && RptName != "Transactions Corridor Summary - Payment Mode"
                        && RptName != "Transactions Corridor Summary - Country")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataSet ds = new DataSet();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }
        #endregion
        #region Agency >> Transaction Exchange Gain Report (AgencySR_Reports/frmExchangeGainReport.aspx)
        public DataTable GetTransactionExchangeGainReport_Country()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spCountryFillReport";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetTransactionExchangeGainReport_Agent(int CountryID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spCountryWiseAgentFillReport";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public DataTable GetTransactionExchangeGainReport_FillGrid(int CountryID, int AgentID, string FromDate, string ToDate)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "spCountryWiseExchangeGain";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                MyQuery.Add("@AgentID", SqlDbType.Int, AgentID.ToString());
                MyQuery.Add("@FromDate", SqlDbType.DateTime, FromDate.ToString());
                MyQuery.Add("@ToDate", SqlDbType.DateTime, ToDate.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Finance & Accounts >> Commission & Income Report (Finance_Accounts_Reports/FinanceAndAccounts_Reports.aspx)
        public DataTable GetFinanceAndAccountsReport_ReportType()
        {
            DataTable MyDT = new DataTable();

            string Flag = "0";

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "usp_GetCustomerReportData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Flag", SqlDbType.NVarChar, Flag.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetFinanceAndAccountsReport_CountryList(string CriteriaID)
        {
            DataTable MyDT = new DataTable();

            string Flag = "";

            if (CriteriaID == "8")
            {
                Flag = "3";
            }
            else
            {
                Flag = "4";
            }

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "usp_GetCustomerReportData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Flag", SqlDbType.NVarChar, Flag.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetFinanceAndAccountsReport_CurrencyList()
        {
            DataTable MyDT = new DataTable();

            string Flag = "1";

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "usp_GetCustomerReportData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Flag", SqlDbType.NVarChar, Flag.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetFinanceAndAccountsReport_AgentList(string CriteriaID, string CountryID)
        {
            DataTable MyDT = new DataTable();

            string Flag = "2";

            if (CountryID == "0")
            {
                CountryID = "ALL";
            }

            if (CriteriaID == "8")
            {
                CriteriaID = "Sending";
            }
            else if (CriteriaID == "9")
            {
                CriteriaID = "Receiving";
            }
            else
            {
                throw new Exception("CriteriaID should be 8 or 9");
            }

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "usp_GetCustomerReportData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Flag", SqlDbType.NVarChar, Flag.ToString());
                MyQuery.Add("@Criteria", SqlDbType.NVarChar, CriteriaID.ToString());
                MyQuery.Add("@CountryID", SqlDbType.NVarChar, CountryID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetFinanceAndAccountsReport_SendAgentList(string CountryID)
        {
            DataTable MyDT = new DataTable();

            string Flag = "5";

            if (CountryID == "0")
            {
                CountryID = "ALL";
            }

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "usp_GetCustomerReportData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Flag", SqlDbType.NVarChar, Flag.ToString());
                MyQuery.Add("@CountryID", SqlDbType.NVarChar, CountryID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetFinanceAndAccountsReport_RecvCountryList()
        {
            DataTable MyDT = new DataTable();

            string Flag = "4";

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "usp_GetCustomerReportData";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Flag", SqlDbType.NVarChar, Flag.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetFinanceAndAccountsReport_FillGrid_UnpaidPrincipalReport(string CurrencyID, string FromDate, string ToDate, string RptName)
        {
            string procName = "spUnpaid_Principal_Report";

            string Filter = "";

            if (CurrencyID == "0")
            {
                Filter = "";
            }
            else
            {
                Filter = "and UnPaidPrincipalCommissionReport.Currency_Id=" + CurrencyID;
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Global Trxns Income Summary" || RptName != "Global Trxns Income Summary Corridorwise")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataTable ds = new DataTable();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataTable GetFinanceAndAccountsReport_FillGrid_UnpaidCommissionReport(string CurrencyID, string FromDate, string ToDate, string RptName)
        {
            string procName = "spUnpaid_Commission_Report";

            string Filter = "";

            if (CurrencyID == "0")
            {
                Filter = "";
            }
            else
            {
                Filter = " and UnPaidPrincipalCommissionReport.Currency_Id=" + CurrencyID;
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Global Trxns Income Summary" || RptName != "Global Trxns Income Summary Corridorwise")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataTable ds = new DataTable();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataTable GetFinanceAndAccountsReport_FillGrid_AgencyCommissionIncomeReport(string CurrencyID, string FromDate, string ToDate, string RptName)
        {
            string procName = "spAgencyCommissionIncomeReport";

            string Filter = "";

            if (CurrencyID == "0")
            {
                Filter = "";
            }
            else
            {
                Filter = " and UnPaidPrincipalCommissionReport.Currency_Id=" + CurrencyID;
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Global Trxns Income Summary" || RptName != "Global Trxns Income Summary Corridorwise")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataTable ds = new DataTable();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataTable GetFinanceAndAccountsReport_FillGrid_AgencyExchangeEarningsReport(string AgentID, string FromDate, string ToDate, string RptName)
        {
            string procName = "spAgencyExchangeEarningsReport";

            string Filter = "";

            if (AgentID == "0")
            {
                Filter = "";
            }
            else
            {
                Filter = " and AgencyExchEarning.ACCLevel3ID=" + AgentID;
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (RptName != "Global Trxns Income Summary" || RptName != "Global Trxns Income Summary Corridorwise")
                    {
                        cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                        cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataTable ds = new DataTable();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataTable GetFinanceAndAccountsReport_FillGrid_GlobalTrxnsIncomeSummaryReport(string AgentID, string CountryID, string FromDate, string ToDate, string RptName)
        {
            string procName = "spGlobalTrxnsIncomeSummary";

            string Filter = "";

            if (CountryID != "0")
            {
                Filter = " AND SendCountryID = " + CountryID;
            }
            else
            {
                Filter = "";
            }

            if (AgentID != "0")
            {
                Filter += " AND SendAgentID = " + AgentID;
            }
            else
            {
                Filter = "";
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);
                    if (Filter != "")
                    {
                        if (RptName != "Global Trxns Income Summary" || RptName != "Global Trxns Income Summary Corridorwise")
                        {
                            cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                            cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                        }
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);

                    DataTable ds = new DataTable();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        public DataTable GetFinanceAndAccountsReport_FillGrid_GlobalTrxnsIncomeSummaryCorridorwise(string AgentID, string CountryID, string ReceCountryID, string FromDate, string ToDate, string RptName)
        {
            string procName = "spGlobalTrxnsIncomeSummary";

            string Filter = "";

            if (CountryID != "0")
            {
                Filter = " AND SendCountryID = " + CountryID;
            }
            else
            {
                Filter = "";
            }
            if (AgentID != "0")
            {
                Filter += " AND SendAgentID = " + AgentID;
            }
            else
            {
                Filter = "";
            }
            if (ReceCountryID != "0")
            {
                Filter = " AND RecvCountryID = " + ReceCountryID;
            }
            else
            {
                Filter = "";
            }

            using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
            {
                conn.Open();

                using (SqlCommand cmd = new SqlCommand(procName, conn))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.CommandTimeout = 0;
                    cmd.Parameters.AddWithValue("@Filter", Filter);
                    cmd.Parameters.AddWithValue("@FromDate", FromDate);
                    cmd.Parameters.AddWithValue("@ToDate", ToDate);

                    if (Filter != "")
                    {
                        if (RptName != "Global Trxns Income Summary" || RptName != "Global Trxns Income Summary Corridorwise")
                        {
                            cmd.Parameters.AddWithValue("@Base_Currency_Id", "1");
                            cmd.Parameters.AddWithValue("@Ex_Branch_ID", "1001");
                        }
                    }

                    SqlDataAdapter da = new SqlDataAdapter(cmd);
                    DataTable ds = new DataTable();

                    try
                    {
                        da.Fill(ds);
                    }
                    catch (Exception ex)
                    {
                        // Handle the exception (e.g., log or rethrow)
                    }

                    return ds;
                }
            }
        }

        #endregion
        #region Compliance Upload Data
        public DataTable GetComplianceUploadDataAllRecord(int SearchID, string Search)
        {
            DataTable MyDt = new DataTable();
            try
            {
                csQueryBuilder _Query = new csQueryBuilder();
                _Query.TableName = "spAddPROCESSMASTER";
                _Query.QryType = csQueryBuilder.QueryType.Procedure;
                _Query.ViewType = csQueryBuilder.VType.Process;
                _Query.ProcedureType = csQueryBuilder.ProcType.Select;
                if (!string.IsNullOrEmpty(Search))
                {
                    if (SearchID == 1)
                    {
                        _Query.Add("@PM_USER_NM", SqlDbType.NVarChar, Search);
                    }
                    if (SearchID == 2)
                    {
                        _Query.Add("@PM_DT", SqlDbType.NVarChar, Search);
                    }
                }
                _Query.Add("@PM_MODULE", SqlDbType.NVarChar, "m_compliance_upload");
                _Query.Run();
                csDatabase MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDt = MyDB.Return_DataTable(_Query.MyCmd);
                return MyDt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region Compliance Reject Transaction Report[frmComplianceRejectTransactionReport.aspx]
        public DataTable GetReportByDate(string fromDate, string toDate)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spComplianceRejectTransactionReport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@FromDate", SqlDbType.NVarChar, fromDate);
                _query.Add("@ToDate", SqlDbType.NVarChar, toDate);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetReportByTransactionNo(string transactionNo)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spComplianceRejectTransactionReport";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@TransactionNumber", SqlDbType.NVarChar, transactionNo);
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        #endregion
        #region View Compliance Rejection Reason

        public string AddComplianceRejectionReason(ViewComplianceRejectionReasonRequest viewComplianceRejectionReasonRequest)
        {
            string Results = "";
            try
            {                
                using (SqlConnection conn = new SqlConnection(csCommon.ConnectionString))
                {
                    using (SqlCommand command = new SqlCommand())
                    {
                        command.Connection = conn;
                        command.CommandText = "SP_ComplianceRejectionReason";
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@ProcedureType", "2");
                        command.Parameters.AddWithValue("@ViewType", "0");
                        command.Parameters.AddWithValue("@Reason", viewComplianceRejectionReasonRequest.Reason);
                        command.Parameters.AddWithValue("@Flag", viewComplianceRejectionReasonRequest.FlagShowTo);
                        command.Parameters.AddWithValue("@IsActive", viewComplianceRejectionReasonRequest.IsActive);
                        command.Parameters.AddWithValue("@UserID", viewComplianceRejectionReasonRequest.UserID);
                        if (conn.State != ConnectionState.Open)
                            conn.Open();
                        command.ExecuteNonQuery();
                        Results = "Record Added Successfully";
                    }
                }
                
            }
            catch (Exception ex)
            {
                throw ex;
            }

            return Results;
        }

        public DataTable GetComplianceRejectionReasonAllRecord()
        {
            DataTable dt = null;
            try
            {
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand())
                    {
                        command.Connection = conn;
                        command.CommandText = "SP_ComplianceRejectionReason";
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@ProcedureType", "0");
                        command.Parameters.AddWithValue("@ViewType", "0");

                        SqlDataAdapter da = new SqlDataAdapter(command);
                        dt = new DataTable();
                        da.Fill(dt);
                    }
                }
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetComplianceRejectionReasonByID(int RejectionID)
        {
            DataTable dt = null;
            try
            {
                using (SqlConnection conn = new SqlConnection(csCommon.GetConnectionString))
                {
                    using (SqlCommand command = new SqlCommand())
                    {
                        command.Connection = conn;
                        command.CommandText = "SP_ComplianceRejectionReason";
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@ProcedureType", "0");
                        command.Parameters.AddWithValue("@ViewType", "1");
                        command.Parameters.AddWithValue("@ID", RejectionID);

                        SqlDataAdapter da = new SqlDataAdapter(command);
                        dt = new DataTable();
                        da.Fill(dt);
                    }
                }
                return dt;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public string UpdateComplianceRejectionReason(ViewComplianceRejectionReasonRequest viewComplianceRejectionReasonRequest)
        {
            string Results = "";
            try
            {                
                using (SqlConnection conn = new SqlConnection(csCommon.ConnectionString))
                {
                    using (SqlCommand command = new SqlCommand())
                    {
                        command.Connection = conn;
                        command.CommandText = "SP_ComplianceRejectionReason";
                        command.CommandType = CommandType.StoredProcedure;
                        command.Parameters.AddWithValue("@ProcedureType", "1");
                        command.Parameters.AddWithValue("@ViewType", "0");

                        command.Parameters.AddWithValue("@ID", viewComplianceRejectionReasonRequest.ID);
                        command.Parameters.AddWithValue("@Reason", viewComplianceRejectionReasonRequest.Reason);
                        command.Parameters.AddWithValue("@Flag", viewComplianceRejectionReasonRequest.FlagShowTo);
                        command.Parameters.AddWithValue("@IsActive", viewComplianceRejectionReasonRequest.IsActive);
                        command.Parameters.AddWithValue("@UserID", viewComplianceRejectionReasonRequest.UserID);

                        if (conn.State != ConnectionState.Open)
                            conn.Open();
                        command.ExecuteNonQuery();
                        Results = "Record Updated Successfully";
                    }
                }
                return Results;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region CTA Hold Transaction
        public DataTable GetRACTAHoldCountryList(string UserID, string G_Agent_ID, string Agent_Country_ID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spViewCTAHoldCountryList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@UserID", SqlDbType.Int, UserID);
                _query.Add("@CountryType", SqlDbType.Int, "9");
                if (G_Agent_ID != "0")
                {
                    _query.Add("@CountryID", SqlDbType.Int, Agent_Country_ID);
                }
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetRACTAHoldAgentList(int CountryID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "spViewCTAHoldAgentList";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@CountryID", SqlDbType.Int, CountryID.ToString());
                _query.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);

                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable GetRACTAHoldAllRecord(string FromDate, string ToDate, string Filter)
        {
            DataTable MyDT = new DataTable();
            try
            {
                string SqlText = string.Empty;
                SqlConnection conn = new SqlConnection(csCommon.ConnectionString);
                SqlText = "sp_View_CTATransaction";
                SqlCommand cmd = new SqlCommand(SqlText, conn);
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.CommandTimeout = 0;
                cmd.Parameters.AddWithValue("@FromDate", FromDate);
                cmd.Parameters.AddWithValue("@ToDate", ToDate);
                cmd.Parameters.AddWithValue("@Filter", Filter);
                SqlDataAdapter da = new SqlDataAdapter(cmd);
                da.Fill(MyDT);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
        #region AddComplianceRejectionReasonFlag[frmAddComplianceRejectionReason.aspx]
        public DataTable AllFlag()
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "sp_ManageReasonFlag";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Action", SqlDbType.NVarChar, "ALL");
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }

        public DataTable EditFlag(int ID)
        {
            DataTable MyDT = new DataTable();

            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "sp_ManageReasonFlag";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Select;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Action", SqlDbType.NVarChar, "EDIT");
                MyQuery.Add("@ID", SqlDbType.Int, ID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(MyQuery.MyCmd);

                return MyDT;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }        

        public string InsertFlag(string FlagDescription, string EnteredBy, bool IsActive)
        {
            string msg = "";
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "sp_ManageReasonFlag";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Insert;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Action", SqlDbType.VarChar, "INSERT");
                MyQuery.Add("@FlagDescription", SqlDbType.NVarChar, FlagDescription);
                MyQuery.Add("@EnteredBy", SqlDbType.NVarChar, EnteredBy);
                MyQuery.Add("@IsActive", SqlDbType.Bit, IsActive ? "1" : "0");
                MyQuery.Run();

                _MyDB = new csDatabase(csCommon.ConnectionString);
                _MyDB.ExecuteNonQuery(MyQuery.MyCmd);

                msg = "Insert Successfully";
            }
            catch (Exception ex)
            {
                msg = $"Insert Failed. Error: {ex.Message}";
            }

            return msg;
        }


        public string UpdateFlag(int ID, string FlagDescription, string EnteredBy, bool IsActive)
        {
            string message_ = "";
            try
            {
                csQueryBuilder _query = new csQueryBuilder();
                _query.TableName = "sp_ManageReasonFlag";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@Action", SqlDbType.VarChar, "UPDATE");
                _query.Add("@ID", SqlDbType.Int, ID.ToString());
                _query.Add("@FlagDescription", SqlDbType.NVarChar, FlagDescription);
                _query.Add("@EnteredBy", SqlDbType.NVarChar, EnteredBy);
                _query.Add("@IsActive", SqlDbType.Bit, IsActive ? "1" : "0");
                _query.Run();
                _MyDB = new csDatabase(csCommon.ConnectionString);                
                _MyDB.ExecuteNonQuery(_query.MyCmd);

                message_ = "Update Successfully";
            }
            catch (Exception ex)
            {
                message_ = $"Update Failed. Error: {ex.Message}";
            }
            return message_;
        }


        public string DeleteFlag(int ID)
        {
            string msg_ = "";
            try
            {
                csQueryBuilder MyQuery = new csQueryBuilder();
                MyQuery.TableName = "sp_ManageReasonFlag";
                MyQuery.QryType = csQueryBuilder.QueryType.Procedure;
                MyQuery.ProcedureType = csQueryBuilder.ProcType.Delete;
                MyQuery.ViewType = csQueryBuilder.VType.Process;
                MyQuery.Add("@Action", SqlDbType.VarChar, "DELETE");
                MyQuery.Add("@ID", SqlDbType.Int, ID.ToString());
                MyQuery.Run();
                _MyDB = new csDatabase(csCommon.GetConnectionString);
                _MyDB.ExecuteNonQuery(MyQuery.MyCmd);

                msg_ = "Delete Successfully";

                return msg_;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        #endregion
        #region Promotion Master
        public DataTable GetPromotionMasterDetails(int PromotionID)
        {
            DataTable MyDT = new DataTable();
            try
            {
                _query.TableName = Procedure.Get_PromotionData;
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ProcedureType = csQueryBuilder.ProcType.Select;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.Add("@PromotionID", SqlDbType.Int, PromotionID.ToString());
                _query.Run();

                _MyDB = new csDatabase(csCommon.GetConnectionString);
                MyDT = _MyDB.Return_DataTable(_query.MyCmd);
                return MyDT;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        public bool PromotionApprove(int PromotionID, string Status, string UserID)
        {
            try
            {

                _query.TableName = "Promotion_Checker_Approval";
                _query.QryType = csQueryBuilder.QueryType.Procedure;
                _query.ViewType = csQueryBuilder.VType.Process;
                _query.ProcedureType = csQueryBuilder.ProcType.Update;
                _query.Add("@PromotionID", SqlDbType.Int, Convert.ToInt32(PromotionID).ToString());
                _query.Add("@Status", SqlDbType.NVarChar, Status.ToString());
                _query.Add("@UpdatedBy", SqlDbType.NVarChar, UserID.ToString());
                _query.Run();

                csDatabase MyDB = new csDatabase(csCommon.ConnectionString);
                MyDB.ExecuteNonQuery(_query.MyCmd);
                return true;

            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
        #endregion
    }
}
